# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-04-24 22:55
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import softbutterfly.wagtail.materialize.models.base
import softbutterfly.wagtail.materialize.models.cards
import softbutterfly.wagtail.materialize.models.parallax
import taggit.managers
import wagtail.wagtailcore.blocks
import wagtail.wagtailcore.fields
import wagtail.wagtaildocs.blocks
import wagtail.wagtailimages.blocks


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailimages', '0018_remove_rendition_filter'),
        ('wagtailcore', '0032_add_bulk_delete_page_permission'),
        ('taggit', '0002_auto_20150616_2121'),
    ]

    operations = [
        migrations.CreateModel(
            name='BrandLogo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32, verbose_name='name')),
                ('attributes', wagtail.wagtailcore.fields.StreamField((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))), blank=True, verbose_name='Attributes')),
                ('text', models.CharField(blank=True, max_length=255, null=True, verbose_name='Text')),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.Image', verbose_name='image')),
                ('tags', taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags')),
            ],
            options={
                'verbose_name': 'Brand logo',
                'verbose_name_plural': 'Brand logos',
            },
        ),
        migrations.CreateModel(
            name='Footer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=32, verbose_name='Name')),
                ('attributes', wagtail.wagtailcore.fields.StreamField((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))), blank=True, verbose_name='Attributes')),
                ('contents', wagtail.wagtailcore.fields.StreamField((('container', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('row', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('column', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))), ('promotedicon', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('icon', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('3d_rotation', '3d rotation'), ('ac_unit', 'ac unit'), ('access_alarm', 'access alarm'), ('access_alarms', 'access alarms'), ('access_time', 'access time'), ('accessibility', 'accessibility'), ('accessible', 'accessible'), ('account_balance', 'account balance'), ('account_balance_wallet', 'account balance wallet'), ('account_box', 'account box'), ('account_circle', 'account circle'), ('adb', 'adb'), ('add', 'add'), ('add_a_photo', 'add a photo'), ('add_alarm', 'add alarm'), ('add_alert', 'add alert'), ('add_box', 'add box'), ('add_circle', 'add circle'), ('add_circle_outline', 'add circle outline'), ('add_location', 'add location'), ('add_shopping_cart', 'add shopping cart'), ('add_to_photos', 'add to photos'), ('add_to_queue', 'add to queue'), ('adjust', 'adjust'), ('airline_seat_flat', 'airline seat flat'), ('airline_seat_flat_angled', 'airline seat flat angled'), ('airline_seat_individual_suite', 'airline seat individual suite'), ('airline_seat_legroom_extra', 'airline seat legroom extra'), ('airline_seat_legroom_normal', 'airline seat legroom normal'), ('airline_seat_legroom_reduced', 'airline seat legroom reduced'), ('airline_seat_recline_extra', 'airline seat recline extra'), ('airline_seat_recline_normal', 'airline seat recline normal'), ('airplanemode_active', 'airplanemode active'), ('airplanemode_inactive', 'airplanemode inactive'), ('airplay', 'airplay'), ('airport_shuttle', 'airport shuttle'), ('alarm', 'alarm'), ('alarm_add', 'alarm add'), ('alarm_off', 'alarm off'), ('alarm_on', 'alarm on'), ('album', 'album'), ('all_inclusive', 'all inclusive'), ('all_out', 'all out'), ('android', 'android'), ('announcement', 'announcement'), ('apps', 'apps'), ('archive', 'archive'), ('arrow_back', 'arrow back'), ('arrow_downward', 'arrow downward'), ('arrow_drop_down', 'arrow drop down'), ('arrow_drop_down_circle', 'arrow drop down circle'), ('arrow_drop_up', 'arrow drop up'), ('arrow_forward', 'arrow forward'), ('arrow_upward', 'arrow upward'), ('art_track', 'art track'), ('aspect_ratio', 'aspect ratio'), ('assessment', 'assessment'), ('assignment', 'assignment'), ('assignment_ind', 'assignment ind'), ('assignment_late', 'assignment late'), ('assignment_return', 'assignment return'), ('assignment_returned', 'assignment returned'), ('assignment_turned_in', 'assignment turned in'), ('assistant', 'assistant'), ('assistant_photo', 'assistant photo'), ('attach_file', 'attach file'), ('attach_money', 'attach money'), ('attachment', 'attachment'), ('audiotrack', 'audiotrack'), ('autorenew', 'autorenew'), ('av_timer', 'av timer'), ('backspace', 'backspace'), ('backup', 'backup'), ('battery_alert', 'battery alert'), ('battery_charging_full', 'battery charging full'), ('battery_full', 'battery full'), ('battery_std', 'battery std'), ('battery_unknown', 'battery unknown'), ('beach_access', 'beach access'), ('beenhere', 'beenhere'), ('block', 'block'), ('bluetooth', 'bluetooth'), ('bluetooth_audio', 'bluetooth audio'), ('bluetooth_connected', 'bluetooth connected'), ('bluetooth_disabled', 'bluetooth disabled'), ('bluetooth_searching', 'bluetooth searching'), ('blur_circular', 'blur circular'), ('blur_linear', 'blur linear'), ('blur_off', 'blur off'), ('blur_on', 'blur on'), ('book', 'book'), ('bookmark', 'bookmark'), ('bookmark_border', 'bookmark border'), ('border_all', 'border all'), ('border_bottom', 'border bottom'), ('border_clear', 'border clear'), ('border_color', 'border color'), ('border_horizontal', 'border horizontal'), ('border_inner', 'border inner'), ('border_left', 'border left'), ('border_outer', 'border outer'), ('border_right', 'border right'), ('border_style', 'border style'), ('border_top', 'border top'), ('border_vertical', 'border vertical'), ('branding_watermark', 'branding watermark'), ('brightness_1', 'brightness 1'), ('brightness_2', 'brightness 2'), ('brightness_3', 'brightness 3'), ('brightness_4', 'brightness 4'), ('brightness_5', 'brightness 5'), ('brightness_6', 'brightness 6'), ('brightness_7', 'brightness 7'), ('brightness_auto', 'brightness auto'), ('brightness_high', 'brightness high'), ('brightness_low', 'brightness low'), ('brightness_medium', 'brightness medium'), ('broken_image', 'broken image'), ('brush', 'brush'), ('bubble_chart', 'bubble chart'), ('bug_report', 'bug report'), ('build', 'build'), ('burst_mode', 'burst mode'), ('business', 'business'), ('business_center', 'business center'), ('cached', 'cached'), ('cake', 'cake'), ('call', 'call'), ('call_end', 'call end'), ('call_made', 'call made'), ('call_merge', 'call merge'), ('call_missed', 'call missed'), ('call_missed_outgoing', 'call missed outgoing'), ('call_received', 'call received'), ('call_split', 'call split'), ('call_to_action', 'call to action'), ('camera', 'camera'), ('camera_alt', 'camera alt'), ('camera_enhance', 'camera enhance'), ('camera_front', 'camera front'), ('camera_rear', 'camera rear'), ('camera_roll', 'camera roll'), ('cancel', 'cancel'), ('card_giftcard', 'card giftcard'), ('card_membership', 'card membership'), ('card_travel', 'card travel'), ('casino', 'casino'), ('cast', 'cast'), ('cast_connected', 'cast connected'), ('center_focus_strong', 'center focus strong'), ('center_focus_weak', 'center focus weak'), ('change_history', 'change history'), ('chat', 'chat'), ('chat_bubble', 'chat bubble'), ('chat_bubble_outline', 'chat bubble outline'), ('check', 'check'), ('check_box', 'check box'), ('check_box_outline_blank', 'check box outline blank'), ('check_circle', 'check circle'), ('chevron_left', 'chevron left'), ('chevron_right', 'chevron right'), ('child_care', 'child care'), ('child_friendly', 'child friendly'), ('chrome_reader_mode', 'chrome reader mode'), ('class', 'class'), ('clear', 'clear'), ('clear_all', 'clear all'), ('close', 'close'), ('closed_caption', 'closed caption'), ('cloud', 'cloud'), ('cloud_circle', 'cloud circle'), ('cloud_done', 'cloud done'), ('cloud_download', 'cloud download'), ('cloud_off', 'cloud off'), ('cloud_queue', 'cloud queue'), ('cloud_upload', 'cloud upload'), ('code', 'code'), ('collections', 'collections'), ('collections_bookmark', 'collections bookmark'), ('color_lens', 'color lens'), ('colorize', 'colorize'), ('comment', 'comment'), ('compare', 'compare'), ('compare_arrows', 'compare arrows'), ('computer', 'computer'), ('confirmation_number', 'confirmation number'), ('contact_mail', 'contact mail'), ('contact_phone', 'contact phone'), ('contacts', 'contacts'), ('content_copy', 'content copy'), ('content_cut', 'content cut'), ('content_paste', 'content paste'), ('control_point', 'control point'), ('control_point_duplicate', 'control point duplicate'), ('copyright', 'copyright'), ('create', 'create'), ('create_new_folder', 'create new folder'), ('credit_card', 'credit card'), ('crop', 'crop'), ('crop_16_9', 'crop 16 9'), ('crop_3_2', 'crop 3 2'), ('crop_5_4', 'crop 5 4'), ('crop_7_5', 'crop 7 5'), ('crop_din', 'crop din'), ('crop_free', 'crop free'), ('crop_landscape', 'crop landscape'), ('crop_original', 'crop original'), ('crop_portrait', 'crop portrait'), ('crop_rotate', 'crop rotate'), ('crop_square', 'crop square'), ('dashboard', 'dashboard'), ('data_usage', 'data usage'), ('date_range', 'date range'), ('dehaze', 'dehaze'), ('delete', 'delete'), ('delete_forever', 'delete forever'), ('delete_sweep', 'delete sweep'), ('description', 'description'), ('desktop_mac', 'desktop mac'), ('desktop_windows', 'desktop windows'), ('details', 'details'), ('developer_board', 'developer board'), ('developer_mode', 'developer mode'), ('device_hub', 'device hub'), ('devices', 'devices'), ('devices_other', 'devices other'), ('dialer_sip', 'dialer sip'), ('dialpad', 'dialpad'), ('directions', 'directions'), ('directions_bike', 'directions bike'), ('directions_boat', 'directions boat'), ('directions_bus', 'directions bus'), ('directions_car', 'directions car'), ('directions_railway', 'directions railway'), ('directions_run', 'directions run'), ('directions_subway', 'directions subway'), ('directions_transit', 'directions transit'), ('directions_walk', 'directions walk'), ('disc_full', 'disc full'), ('dns', 'dns'), ('do_not_disturb', 'do not disturb'), ('do_not_disturb_alt', 'do not disturb alt'), ('do_not_disturb_off', 'do not disturb off'), ('do_not_disturb_on', 'do not disturb on'), ('dock', 'dock'), ('domain', 'domain'), ('done', 'done'), ('done_all', 'done all'), ('donut_large', 'donut large'), ('donut_small', 'donut small'), ('drafts', 'drafts'), ('drag_handle', 'drag handle'), ('drive_eta', 'drive eta'), ('dvr', 'dvr'), ('edit', 'edit'), ('edit_location', 'edit location'), ('eject', 'eject'), ('email', 'email'), ('enhanced_encryption', 'enhanced encryption'), ('equalizer', 'equalizer'), ('error', 'error'), ('error_outline', 'error outline'), ('euro_symbol', 'euro symbol'), ('ev_station', 'ev station'), ('event', 'event'), ('event_available', 'event available'), ('event_busy', 'event busy'), ('event_note', 'event note'), ('event_seat', 'event seat'), ('exit_to_app', 'exit to app'), ('expand_less', 'expand less'), ('expand_more', 'expand more'), ('explicit', 'explicit'), ('explore', 'explore'), ('exposure', 'exposure'), ('exposure_neg_1', 'exposure neg 1'), ('exposure_neg_2', 'exposure neg 2'), ('exposure_plus_1', 'exposure plus 1'), ('exposure_plus_2', 'exposure plus 2'), ('exposure_zero', 'exposure zero'), ('extension', 'extension'), ('face', 'face'), ('fast_forward', 'fast forward'), ('fast_rewind', 'fast rewind'), ('favorite', 'favorite'), ('favorite_border', 'favorite border'), ('featured_play_list', 'featured play list'), ('featured_video', 'featured video'), ('feedback', 'feedback'), ('fiber_dvr', 'fiber dvr'), ('fiber_manual_record', 'fiber manual record'), ('fiber_new', 'fiber new'), ('fiber_pin', 'fiber pin'), ('fiber_smart_record', 'fiber smart record'), ('file_download', 'file download'), ('file_upload', 'file upload'), ('filter', 'filter'), ('filter_1', 'filter 1'), ('filter_2', 'filter 2'), ('filter_3', 'filter 3'), ('filter_4', 'filter 4'), ('filter_5', 'filter 5'), ('filter_6', 'filter 6'), ('filter_7', 'filter 7'), ('filter_8', 'filter 8'), ('filter_9', 'filter 9'), ('filter_9_plus', 'filter 9 plus'), ('filter_b_and_w', 'filter b and w'), ('filter_center_focus', 'filter center focus'), ('filter_drama', 'filter drama'), ('filter_frames', 'filter frames'), ('filter_hdr', 'filter hdr'), ('filter_list', 'filter list'), ('filter_none', 'filter none'), ('filter_tilt_shift', 'filter tilt shift'), ('filter_vintage', 'filter vintage'), ('find_in_page', 'find in page'), ('find_replace', 'find replace'), ('fingerprint', 'fingerprint'), ('first_page', 'first page'), ('fitness_center', 'fitness center'), ('flag', 'flag'), ('flare', 'flare'), ('flash_auto', 'flash auto'), ('flash_off', 'flash off'), ('flash_on', 'flash on'), ('flight', 'flight'), ('flight_land', 'flight land'), ('flight_takeoff', 'flight takeoff'), ('flip', 'flip'), ('flip_to_back', 'flip to back'), ('flip_to_front', 'flip to front'), ('folder', 'folder'), ('folder_open', 'folder open'), ('folder_shared', 'folder shared'), ('folder_special', 'folder special'), ('font_download', 'font download'), ('format_align_center', 'format align center'), ('format_align_justify', 'format align justify'), ('format_align_left', 'format align left'), ('format_align_right', 'format align right'), ('format_bold', 'format bold'), ('format_clear', 'format clear'), ('format_color_fill', 'format color fill'), ('format_color_reset', 'format color reset'), ('format_color_text', 'format color text'), ('format_indent_decrease', 'format indent decrease'), ('format_indent_increase', 'format indent increase'), ('format_italic', 'format italic'), ('format_line_spacing', 'format line spacing'), ('format_list_bulleted', 'format list bulleted'), ('format_list_numbered', 'format list numbered'), ('format_paint', 'format paint'), ('format_quote', 'format quote'), ('format_shapes', 'format shapes'), ('format_size', 'format size'), ('format_strikethrough', 'format strikethrough'), ('format_textdirection_l_to_r', 'format textdirection l to r'), ('format_textdirection_r_to_l', 'format textdirection r to l'), ('format_underlined', 'format underlined'), ('forum', 'forum'), ('forward', 'forward'), ('forward_10', 'forward 10'), ('forward_30', 'forward 30'), ('forward_5', 'forward 5'), ('free_breakfast', 'free breakfast'), ('fullscreen', 'fullscreen'), ('fullscreen_exit', 'fullscreen exit'), ('functions', 'functions'), ('g_translate', 'g translate'), ('gamepad', 'gamepad'), ('games', 'games'), ('gavel', 'gavel'), ('gesture', 'gesture'), ('get_app', 'get app'), ('gif', 'gif'), ('golf_course', 'golf course'), ('gps_fixed', 'gps fixed'), ('gps_not_fixed', 'gps not fixed'), ('gps_off', 'gps off'), ('grade', 'grade'), ('gradient', 'gradient'), ('grain', 'grain'), ('graphic_eq', 'graphic eq'), ('grid_off', 'grid off'), ('grid_on', 'grid on'), ('group', 'group'), ('group_add', 'group add'), ('group_work', 'group work'), ('hd', 'hd'), ('hdr_off', 'hdr off'), ('hdr_on', 'hdr on'), ('hdr_strong', 'hdr strong'), ('hdr_weak', 'hdr weak'), ('headset', 'headset'), ('headset_mic', 'headset mic'), ('healing', 'healing'), ('hearing', 'hearing'), ('help', 'help'), ('help_outline', 'help outline'), ('high_quality', 'high quality'), ('highlight', 'highlight'), ('highlight_off', 'highlight off'), ('history', 'history'), ('home', 'home'), ('hot_tub', 'hot tub'), ('hotel', 'hotel'), ('hourglass_empty', 'hourglass empty'), ('hourglass_full', 'hourglass full'), ('http', 'http'), ('https', 'https'), ('image', 'image'), ('image_aspect_ratio', 'image aspect ratio'), ('import_contacts', 'import contacts'), ('import_export', 'import export'), ('important_devices', 'important devices'), ('inbox', 'inbox'), ('indeterminate_check_box', 'indeterminate check box'), ('info', 'info'), ('info_outline', 'info outline'), ('input', 'input'), ('insert_chart', 'insert chart'), ('insert_comment', 'insert comment'), ('insert_drive_file', 'insert drive file'), ('insert_emoticon', 'insert emoticon'), ('insert_invitation', 'insert invitation'), ('insert_link', 'insert link'), ('insert_photo', 'insert photo'), ('invert_colors', 'invert colors'), ('invert_colors_off', 'invert colors off'), ('iso', 'iso'), ('keyboard', 'keyboard'), ('keyboard_arrow_down', 'keyboard arrow down'), ('keyboard_arrow_left', 'keyboard arrow left'), ('keyboard_arrow_right', 'keyboard arrow right'), ('keyboard_arrow_up', 'keyboard arrow up'), ('keyboard_backspace', 'keyboard backspace'), ('keyboard_capslock', 'keyboard capslock'), ('keyboard_hide', 'keyboard hide'), ('keyboard_return', 'keyboard return'), ('keyboard_tab', 'keyboard tab'), ('keyboard_voice', 'keyboard voice'), ('kitchen', 'kitchen'), ('label', 'label'), ('label_outline', 'label outline'), ('landscape', 'landscape'), ('language', 'language'), ('laptop', 'laptop'), ('laptop_chromebook', 'laptop chromebook'), ('laptop_mac', 'laptop mac'), ('laptop_windows', 'laptop windows'), ('last_page', 'last page'), ('launch', 'launch'), ('layers', 'layers'), ('layers_clear', 'layers clear'), ('leak_add', 'leak add'), ('leak_remove', 'leak remove'), ('lens', 'lens'), ('library_add', 'library add'), ('library_books', 'library books'), ('library_music', 'library music'), ('lightbulb_outline', 'lightbulb outline'), ('line_style', 'line style'), ('line_weight', 'line weight'), ('linear_scale', 'linear scale'), ('link', 'link'), ('linked_camera', 'linked camera'), ('list', 'list'), ('live_help', 'live help'), ('live_tv', 'live tv'), ('local_activity', 'local activity'), ('local_airport', 'local airport'), ('local_atm', 'local atm'), ('local_bar', 'local bar'), ('local_cafe', 'local cafe'), ('local_car_wash', 'local car wash'), ('local_convenience_store', 'local convenience store'), ('local_dining', 'local dining'), ('local_drink', 'local drink'), ('local_florist', 'local florist'), ('local_gas_station', 'local gas station'), ('local_grocery_store', 'local grocery store'), ('local_hospital', 'local hospital'), ('local_hotel', 'local hotel'), ('local_laundry_service', 'local laundry service'), ('local_library', 'local library'), ('local_mall', 'local mall'), ('local_movies', 'local movies'), ('local_offer', 'local offer'), ('local_parking', 'local parking'), ('local_pharmacy', 'local pharmacy'), ('local_phone', 'local phone'), ('local_pizza', 'local pizza'), ('local_play', 'local play'), ('local_post_office', 'local post office'), ('local_printshop', 'local printshop'), ('local_see', 'local see'), ('local_shipping', 'local shipping'), ('local_taxi', 'local taxi'), ('location_city', 'location city'), ('location_disabled', 'location disabled'), ('location_off', 'location off'), ('location_on', 'location on'), ('location_searching', 'location searching'), ('lock', 'lock'), ('lock_open', 'lock open'), ('lock_outline', 'lock outline'), ('looks', 'looks'), ('looks_3', 'looks 3'), ('looks_4', 'looks 4'), ('looks_5', 'looks 5'), ('looks_6', 'looks 6'), ('looks_one', 'looks one'), ('looks_two', 'looks two'), ('loop', 'loop'), ('loupe', 'loupe'), ('low_priority', 'low priority'), ('loyalty', 'loyalty'), ('mail', 'mail'), ('mail_outline', 'mail outline'), ('map', 'map'), ('markunread', 'markunread'), ('markunread_mailbox', 'markunread mailbox'), ('memory', 'memory'), ('menu', 'menu'), ('merge_type', 'merge type'), ('message', 'message'), ('mic', 'mic'), ('mic_none', 'mic none'), ('mic_off', 'mic off'), ('mms', 'mms'), ('mode_comment', 'mode comment'), ('mode_edit', 'mode edit'), ('monetization_on', 'monetization on'), ('money_off', 'money off'), ('monochrome_photos', 'monochrome photos'), ('mood', 'mood'), ('mood_bad', 'mood bad'), ('more', 'more'), ('more_horiz', 'more horiz'), ('more_vert', 'more vert'), ('motorcycle', 'motorcycle'), ('mouse', 'mouse'), ('move_to_inbox', 'move to inbox'), ('movie', 'movie'), ('movie_creation', 'movie creation'), ('movie_filter', 'movie filter'), ('multiline_chart', 'multiline chart'), ('music_note', 'music note'), ('music_video', 'music video'), ('my_location', 'my location'), ('nature', 'nature'), ('nature_people', 'nature people'), ('navigate_before', 'navigate before'), ('navigate_next', 'navigate next'), ('navigation', 'navigation'), ('near_me', 'near me'), ('network_cell', 'network cell'), ('network_check', 'network check'), ('network_locked', 'network locked'), ('network_wifi', 'network wifi'), ('new_releases', 'new releases'), ('next_week', 'next week'), ('nfc', 'nfc'), ('no_encryption', 'no encryption'), ('no_sim', 'no sim'), ('not_interested', 'not interested'), ('note', 'note'), ('note_add', 'note add'), ('notifications', 'notifications'), ('notifications_active', 'notifications active'), ('notifications_none', 'notifications none'), ('notifications_off', 'notifications off'), ('notifications_paused', 'notifications paused'), ('offline_pin', 'offline pin'), ('ondemand_video', 'ondemand video'), ('opacity', 'opacity'), ('open_in_browser', 'open in browser'), ('open_in_new', 'open in new'), ('open_with', 'open with'), ('pages', 'pages'), ('pageview', 'pageview'), ('palette', 'palette'), ('pan_tool', 'pan tool'), ('panorama', 'panorama'), ('panorama_fish_eye', 'panorama fish eye'), ('panorama_horizontal', 'panorama horizontal'), ('panorama_vertical', 'panorama vertical'), ('panorama_wide_angle', 'panorama wide angle'), ('party_mode', 'party mode'), ('pause', 'pause'), ('pause_circle_filled', 'pause circle filled'), ('pause_circle_outline', 'pause circle outline'), ('payment', 'payment'), ('people', 'people'), ('people_outline', 'people outline'), ('perm_camera_mic', 'perm camera mic'), ('perm_contact_calendar', 'perm contact calendar'), ('perm_data_setting', 'perm data setting'), ('perm_device_information', 'perm device information'), ('perm_identity', 'perm identity'), ('perm_media', 'perm media'), ('perm_phone_msg', 'perm phone msg'), ('perm_scan_wifi', 'perm scan wifi'), ('person', 'person'), ('person_add', 'person add'), ('person_outline', 'person outline'), ('person_pin', 'person pin'), ('person_pin_circle', 'person pin circle'), ('personal_video', 'personal video'), ('pets', 'pets'), ('phone', 'phone'), ('phone_android', 'phone android'), ('phone_bluetooth_speaker', 'phone bluetooth speaker'), ('phone_forwarded', 'phone forwarded'), ('phone_in_talk', 'phone in talk'), ('phone_iphone', 'phone iphone'), ('phone_locked', 'phone locked'), ('phone_missed', 'phone missed'), ('phone_paused', 'phone paused'), ('phonelink', 'phonelink'), ('phonelink_erase', 'phonelink erase'), ('phonelink_lock', 'phonelink lock'), ('phonelink_off', 'phonelink off'), ('phonelink_ring', 'phonelink ring'), ('phonelink_setup', 'phonelink setup'), ('photo', 'photo'), ('photo_album', 'photo album'), ('photo_camera', 'photo camera'), ('photo_filter', 'photo filter'), ('photo_library', 'photo library'), ('photo_size_select_actual', 'photo size select actual'), ('photo_size_select_large', 'photo size select large'), ('photo_size_select_small', 'photo size select small'), ('picture_as_pdf', 'picture as pdf'), ('picture_in_picture', 'picture in picture'), ('picture_in_picture_alt', 'picture in picture alt'), ('pie_chart', 'pie chart'), ('pie_chart_outlined', 'pie chart outlined'), ('pin_drop', 'pin drop'), ('place', 'place'), ('play_arrow', 'play arrow'), ('play_circle_filled', 'play circle filled'), ('play_circle_outline', 'play circle outline'), ('play_for_work', 'play for work'), ('playlist_add', 'playlist add'), ('playlist_add_check', 'playlist add check'), ('playlist_play', 'playlist play'), ('plus_one', 'plus one'), ('poll', 'poll'), ('polymer', 'polymer'), ('pool', 'pool'), ('portable_wifi_off', 'portable wifi off'), ('portrait', 'portrait'), ('power', 'power'), ('power_input', 'power input'), ('power_settings_new', 'power settings new'), ('pregnant_woman', 'pregnant woman'), ('present_to_all', 'present to all'), ('print', 'print'), ('priority_high', 'priority high'), ('public', 'public'), ('publish', 'publish'), ('query_builder', 'query builder'), ('question_answer', 'question answer'), ('queue', 'queue'), ('queue_music', 'queue music'), ('queue_play_next', 'queue play next'), ('radio', 'radio'), ('radio_button_checked', 'radio button checked'), ('radio_button_unchecked', 'radio button unchecked'), ('rate_review', 'rate review'), ('receipt', 'receipt'), ('recent_actors', 'recent actors'), ('record_voice_over', 'record voice over'), ('redeem', 'redeem'), ('redo', 'redo'), ('refresh', 'refresh'), ('remove', 'remove'), ('remove_circle', 'remove circle'), ('remove_circle_outline', 'remove circle outline'), ('remove_from_queue', 'remove from queue'), ('remove_red_eye', 'remove red eye'), ('remove_shopping_cart', 'remove shopping cart'), ('reorder', 'reorder'), ('repeat', 'repeat'), ('repeat_one', 'repeat one'), ('replay', 'replay'), ('replay_10', 'replay 10'), ('replay_30', 'replay 30'), ('replay_5', 'replay 5'), ('reply', 'reply'), ('reply_all', 'reply all'), ('report', 'report'), ('report_problem', 'report problem'), ('restaurant', 'restaurant'), ('restaurant_menu', 'restaurant menu'), ('restore', 'restore'), ('restore_page', 'restore page'), ('ring_volume', 'ring volume'), ('room', 'room'), ('room_service', 'room service'), ('rotate_90_degrees_ccw', 'rotate 90 degrees ccw'), ('rotate_left', 'rotate left'), ('rotate_right', 'rotate right'), ('rounded_corner', 'rounded corner'), ('router', 'router'), ('rowing', 'rowing'), ('rss_feed', 'rss feed'), ('rv_hookup', 'rv hookup'), ('satellite', 'satellite'), ('save', 'save'), ('scanner', 'scanner'), ('schedule', 'schedule'), ('school', 'school'), ('screen_lock_landscape', 'screen lock landscape'), ('screen_lock_portrait', 'screen lock portrait'), ('screen_lock_rotation', 'screen lock rotation'), ('screen_rotation', 'screen rotation'), ('screen_share', 'screen share'), ('sd_card', 'sd card'), ('sd_storage', 'sd storage'), ('search', 'search'), ('security', 'security'), ('select_all', 'select all'), ('send', 'send'), ('sentiment_dissatisfied', 'sentiment dissatisfied'), ('sentiment_neutral', 'sentiment neutral'), ('sentiment_satisfied', 'sentiment satisfied'), ('sentiment_very_dissatisfied', 'sentiment very dissatisfied'), ('sentiment_very_satisfied', 'sentiment very satisfied'), ('settings', 'settings'), ('settings_applications', 'settings applications'), ('settings_backup_restore', 'settings backup restore'), ('settings_bluetooth', 'settings bluetooth'), ('settings_brightness', 'settings brightness'), ('settings_cell', 'settings cell'), ('settings_ethernet', 'settings ethernet'), ('settings_input_antenna', 'settings input antenna'), ('settings_input_component', 'settings input component'), ('settings_input_composite', 'settings input composite'), ('settings_input_hdmi', 'settings input hdmi'), ('settings_input_svideo', 'settings input svideo'), ('settings_overscan', 'settings overscan'), ('settings_phone', 'settings phone'), ('settings_power', 'settings power'), ('settings_remote', 'settings remote'), ('settings_system_daydream', 'settings system daydream'), ('settings_voice', 'settings voice'), ('share', 'share'), ('shop', 'shop'), ('shop_two', 'shop two'), ('shopping_basket', 'shopping basket'), ('shopping_cart', 'shopping cart'), ('short_text', 'short text'), ('show_chart', 'show chart'), ('shuffle', 'shuffle'), ('signal_cellular_4_bar', 'signal cellular 4 bar'), ('signal_cellular_connected_no_internet_4_bar', 'signal cellular connected no internet 4 bar'), ('signal_cellular_no_sim', 'signal cellular no sim'), ('signal_cellular_null', 'signal cellular null'), ('signal_cellular_off', 'signal cellular off'), ('signal_wifi_4_bar', 'signal wifi 4 bar'), ('signal_wifi_4_bar_lock', 'signal wifi 4 bar lock'), ('signal_wifi_off', 'signal wifi off'), ('sim_card', 'sim card'), ('sim_card_alert', 'sim card alert'), ('skip_next', 'skip next'), ('skip_previous', 'skip previous'), ('slideshow', 'slideshow'), ('slow_motion_video', 'slow motion video'), ('smartphone', 'smartphone'), ('smoke_free', 'smoke free'), ('smoking_rooms', 'smoking rooms'), ('sms', 'sms'), ('sms_failed', 'sms failed'), ('snooze', 'snooze'), ('sort', 'sort'), ('sort_by_alpha', 'sort by alpha'), ('spa', 'spa'), ('space_bar', 'space bar'), ('speaker', 'speaker'), ('speaker_group', 'speaker group'), ('speaker_notes', 'speaker notes'), ('speaker_notes_off', 'speaker notes off'), ('speaker_phone', 'speaker phone'), ('spellcheck', 'spellcheck'), ('star', 'star'), ('star_border', 'star border'), ('star_half', 'star half'), ('stars', 'stars'), ('stay_current_landscape', 'stay current landscape'), ('stay_current_portrait', 'stay current portrait'), ('stay_primary_landscape', 'stay primary landscape'), ('stay_primary_portrait', 'stay primary portrait'), ('stop', 'stop'), ('stop_screen_share', 'stop screen share'), ('storage', 'storage'), ('store', 'store'), ('store_mall_directory', 'store mall directory'), ('straighten', 'straighten'), ('streetview', 'streetview'), ('strikethrough_s', 'strikethrough s'), ('style', 'style'), ('subdirectory_arrow_left', 'subdirectory arrow left'), ('subdirectory_arrow_right', 'subdirectory arrow right'), ('subject', 'subject'), ('subscriptions', 'subscriptions'), ('subtitles', 'subtitles'), ('subway', 'subway'), ('supervisor_account', 'supervisor account'), ('surround_sound', 'surround sound'), ('swap_calls', 'swap calls'), ('swap_horiz', 'swap horiz'), ('swap_vert', 'swap vert'), ('swap_vertical_circle', 'swap vertical circle'), ('switch_camera', 'switch camera'), ('switch_video', 'switch video'), ('sync', 'sync'), ('sync_disabled', 'sync disabled'), ('sync_problem', 'sync problem'), ('system_update', 'system update'), ('system_update_alt', 'system update alt'), ('tab', 'tab'), ('tab_unselected', 'tab unselected'), ('tablet', 'tablet'), ('tablet_android', 'tablet android'), ('tablet_mac', 'tablet mac'), ('tag_faces', 'tag faces'), ('tap_and_play', 'tap and play'), ('terrain', 'terrain'), ('text_fields', 'text fields'), ('text_format', 'text format'), ('textsms', 'textsms'), ('texture', 'texture'), ('theaters', 'theaters'), ('thumb_down', 'thumb down'), ('thumb_up', 'thumb up'), ('thumbs_up_down', 'thumbs up down'), ('time_to_leave', 'time to leave'), ('timelapse', 'timelapse'), ('timeline', 'timeline'), ('timer', 'timer'), ('timer_10', 'timer 10'), ('timer_3', 'timer 3'), ('timer_off', 'timer off'), ('title', 'title'), ('toc', 'toc'), ('today', 'today'), ('toll', 'toll'), ('tonality', 'tonality'), ('touch_app', 'touch app'), ('toys', 'toys'), ('track_changes', 'track changes'), ('traffic', 'traffic'), ('train', 'train'), ('tram', 'tram'), ('transfer_within_a_station', 'transfer within a station'), ('transform', 'transform'), ('translate', 'translate'), ('trending_down', 'trending down'), ('trending_flat', 'trending flat'), ('trending_up', 'trending up'), ('tune', 'tune'), ('turned_in', 'turned in'), ('turned_in_not', 'turned in not'), ('tv', 'tv'), ('unarchive', 'unarchive'), ('undo', 'undo'), ('unfold_less', 'unfold less'), ('unfold_more', 'unfold more'), ('update', 'update'), ('usb', 'usb'), ('verified_user', 'verified user'), ('vertical_align_bottom', 'vertical align bottom'), ('vertical_align_center', 'vertical align center'), ('vertical_align_top', 'vertical align top'), ('vibration', 'vibration'), ('video_call', 'video call'), ('video_label', 'video label'), ('video_library', 'video library'), ('videocam', 'videocam'), ('videocam_off', 'videocam off'), ('videogame_asset', 'videogame asset'), ('view_agenda', 'view agenda'), ('view_array', 'view array'), ('view_carousel', 'view carousel'), ('view_column', 'view column'), ('view_comfy', 'view comfy'), ('view_compact', 'view compact'), ('view_day', 'view day'), ('view_headline', 'view headline'), ('view_list', 'view list'), ('view_module', 'view module'), ('view_quilt', 'view quilt'), ('view_stream', 'view stream'), ('view_week', 'view week'), ('vignette', 'vignette'), ('visibility', 'visibility'), ('visibility_off', 'visibility off'), ('voice_chat', 'voice chat'), ('voicemail', 'voicemail'), ('volume_down', 'volume down'), ('volume_mute', 'volume mute'), ('volume_off', 'volume off'), ('volume_up', 'volume up'), ('vpn_key', 'vpn key'), ('vpn_lock', 'vpn lock'), ('wallpaper', 'wallpaper'), ('warning', 'warning'), ('watch', 'watch'), ('watch_later', 'watch later'), ('wb_auto', 'wb auto'), ('wb_cloudy', 'wb cloudy'), ('wb_incandescent', 'wb incandescent'), ('wb_iridescent', 'wb iridescent'), ('wb_sunny', 'wb sunny'), ('wc', 'wc'), ('web', 'web'), ('web_asset', 'web asset'), ('weekend', 'weekend'), ('whatshot', 'whatshot'), ('widgets', 'widgets'), ('wifi', 'wifi'), ('wifi_lock', 'wifi lock'), ('wifi_tethering', 'wifi tethering'), ('work', 'work'), ('wrap_text', 'wrap text'), ('youtube_searched_for', 'youtube searched for'), ('zoom_in', 'zoom in'), ('zoom_out', 'zoom out'), ('zoom_out_map', 'zoom out map')], label='Icon')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')], label='Size', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], label='Background Color', required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], label='Icon Color', required=False))))), ('url_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('bookmark_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('page_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('document_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('image_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('h1', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h2', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h3', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h4', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h5', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h6', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))), ('card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('panel_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('image_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_horizontal_style', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use horizontal style', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('reveal_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('reveal_contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),), label='Reveal contents')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_sticky_action', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use sticky action', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))))))))), ('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))))))))), ('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))))))))),), blank=True, verbose_name='Contents')),
                ('copyright_text', models.TextField()),
                ('tags', taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags')),
            ],
            options={
                'verbose_name': 'Footer',
                'verbose_name_plural': 'Footers',
            },
        ),
        migrations.CreateModel(
            name='MaterialPageArticle',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('navbar_attributes', wagtail.wagtailcore.fields.StreamField((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))), blank=True, verbose_name='Navigation bar attributes')),
                ('navbar_fixed', models.BooleanField(default=False, verbose_name='Fixed')),
                ('include_preloader', models.BooleanField(default=False, help_text='A material style preloader will be included in your page', verbose_name='Include preloader')),
                ('enable_perfect_scrollbar', models.BooleanField(default=False, help_text='Fancy scroll bar provided by PerfectScrollbar.js will be enabled', verbose_name='Enable Perfect Scrollbar')),
                ('enable_font_awesome', models.BooleanField(default=True, help_text='Enalble aditional icons provided by FontAwesome', verbose_name='Enable FontAwesome')),
                ('brand', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailmaterialize.BrandLogo')),
                ('footer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailmaterialize.Footer')),
            ],
            options={
                'verbose_name': 'Material Page Blog',
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='MaterialPageParallax',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('navbar_attributes', wagtail.wagtailcore.fields.StreamField((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))), blank=True, verbose_name='Navigation bar attributes')),
                ('navbar_fixed', models.BooleanField(default=False, verbose_name='Fixed')),
                ('include_preloader', models.BooleanField(default=False, help_text='A material style preloader will be included in your page', verbose_name='Include preloader')),
                ('enable_perfect_scrollbar', models.BooleanField(default=False, help_text='Fancy scroll bar provided by PerfectScrollbar.js will be enabled', verbose_name='Enable Perfect Scrollbar')),
                ('enable_font_awesome', models.BooleanField(default=True, help_text='Enalble aditional icons provided by FontAwesome', verbose_name='Enable FontAwesome')),
                ('body', wagtail.wagtailcore.fields.StreamField((('parallax', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.parallax.ParallaxImage()), ('full_screen', wagtail.wagtailcore.blocks.BooleanBlock(label='Full screen', required=False)), ('middle_align', wagtail.wagtailcore.blocks.BooleanBlock(label='Middle align', required=False)), ('center_align', wagtail.wagtailcore.blocks.BooleanBlock(label='Center align', required=False)), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('section', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('full_screen', wagtail.wagtailcore.blocks.BooleanBlock(label='Full screen', required=False)), ('middle_align', wagtail.wagtailcore.blocks.BooleanBlock(label='Middle align', required=False)), ('center_align', wagtail.wagtailcore.blocks.BooleanBlock(label='Center align', required=False)), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('contents', wagtail.wagtailcore.blocks.StreamBlock((('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))), ('promotedicon', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('icon', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('3d_rotation', '3d rotation'), ('ac_unit', 'ac unit'), ('access_alarm', 'access alarm'), ('access_alarms', 'access alarms'), ('access_time', 'access time'), ('accessibility', 'accessibility'), ('accessible', 'accessible'), ('account_balance', 'account balance'), ('account_balance_wallet', 'account balance wallet'), ('account_box', 'account box'), ('account_circle', 'account circle'), ('adb', 'adb'), ('add', 'add'), ('add_a_photo', 'add a photo'), ('add_alarm', 'add alarm'), ('add_alert', 'add alert'), ('add_box', 'add box'), ('add_circle', 'add circle'), ('add_circle_outline', 'add circle outline'), ('add_location', 'add location'), ('add_shopping_cart', 'add shopping cart'), ('add_to_photos', 'add to photos'), ('add_to_queue', 'add to queue'), ('adjust', 'adjust'), ('airline_seat_flat', 'airline seat flat'), ('airline_seat_flat_angled', 'airline seat flat angled'), ('airline_seat_individual_suite', 'airline seat individual suite'), ('airline_seat_legroom_extra', 'airline seat legroom extra'), ('airline_seat_legroom_normal', 'airline seat legroom normal'), ('airline_seat_legroom_reduced', 'airline seat legroom reduced'), ('airline_seat_recline_extra', 'airline seat recline extra'), ('airline_seat_recline_normal', 'airline seat recline normal'), ('airplanemode_active', 'airplanemode active'), ('airplanemode_inactive', 'airplanemode inactive'), ('airplay', 'airplay'), ('airport_shuttle', 'airport shuttle'), ('alarm', 'alarm'), ('alarm_add', 'alarm add'), ('alarm_off', 'alarm off'), ('alarm_on', 'alarm on'), ('album', 'album'), ('all_inclusive', 'all inclusive'), ('all_out', 'all out'), ('android', 'android'), ('announcement', 'announcement'), ('apps', 'apps'), ('archive', 'archive'), ('arrow_back', 'arrow back'), ('arrow_downward', 'arrow downward'), ('arrow_drop_down', 'arrow drop down'), ('arrow_drop_down_circle', 'arrow drop down circle'), ('arrow_drop_up', 'arrow drop up'), ('arrow_forward', 'arrow forward'), ('arrow_upward', 'arrow upward'), ('art_track', 'art track'), ('aspect_ratio', 'aspect ratio'), ('assessment', 'assessment'), ('assignment', 'assignment'), ('assignment_ind', 'assignment ind'), ('assignment_late', 'assignment late'), ('assignment_return', 'assignment return'), ('assignment_returned', 'assignment returned'), ('assignment_turned_in', 'assignment turned in'), ('assistant', 'assistant'), ('assistant_photo', 'assistant photo'), ('attach_file', 'attach file'), ('attach_money', 'attach money'), ('attachment', 'attachment'), ('audiotrack', 'audiotrack'), ('autorenew', 'autorenew'), ('av_timer', 'av timer'), ('backspace', 'backspace'), ('backup', 'backup'), ('battery_alert', 'battery alert'), ('battery_charging_full', 'battery charging full'), ('battery_full', 'battery full'), ('battery_std', 'battery std'), ('battery_unknown', 'battery unknown'), ('beach_access', 'beach access'), ('beenhere', 'beenhere'), ('block', 'block'), ('bluetooth', 'bluetooth'), ('bluetooth_audio', 'bluetooth audio'), ('bluetooth_connected', 'bluetooth connected'), ('bluetooth_disabled', 'bluetooth disabled'), ('bluetooth_searching', 'bluetooth searching'), ('blur_circular', 'blur circular'), ('blur_linear', 'blur linear'), ('blur_off', 'blur off'), ('blur_on', 'blur on'), ('book', 'book'), ('bookmark', 'bookmark'), ('bookmark_border', 'bookmark border'), ('border_all', 'border all'), ('border_bottom', 'border bottom'), ('border_clear', 'border clear'), ('border_color', 'border color'), ('border_horizontal', 'border horizontal'), ('border_inner', 'border inner'), ('border_left', 'border left'), ('border_outer', 'border outer'), ('border_right', 'border right'), ('border_style', 'border style'), ('border_top', 'border top'), ('border_vertical', 'border vertical'), ('branding_watermark', 'branding watermark'), ('brightness_1', 'brightness 1'), ('brightness_2', 'brightness 2'), ('brightness_3', 'brightness 3'), ('brightness_4', 'brightness 4'), ('brightness_5', 'brightness 5'), ('brightness_6', 'brightness 6'), ('brightness_7', 'brightness 7'), ('brightness_auto', 'brightness auto'), ('brightness_high', 'brightness high'), ('brightness_low', 'brightness low'), ('brightness_medium', 'brightness medium'), ('broken_image', 'broken image'), ('brush', 'brush'), ('bubble_chart', 'bubble chart'), ('bug_report', 'bug report'), ('build', 'build'), ('burst_mode', 'burst mode'), ('business', 'business'), ('business_center', 'business center'), ('cached', 'cached'), ('cake', 'cake'), ('call', 'call'), ('call_end', 'call end'), ('call_made', 'call made'), ('call_merge', 'call merge'), ('call_missed', 'call missed'), ('call_missed_outgoing', 'call missed outgoing'), ('call_received', 'call received'), ('call_split', 'call split'), ('call_to_action', 'call to action'), ('camera', 'camera'), ('camera_alt', 'camera alt'), ('camera_enhance', 'camera enhance'), ('camera_front', 'camera front'), ('camera_rear', 'camera rear'), ('camera_roll', 'camera roll'), ('cancel', 'cancel'), ('card_giftcard', 'card giftcard'), ('card_membership', 'card membership'), ('card_travel', 'card travel'), ('casino', 'casino'), ('cast', 'cast'), ('cast_connected', 'cast connected'), ('center_focus_strong', 'center focus strong'), ('center_focus_weak', 'center focus weak'), ('change_history', 'change history'), ('chat', 'chat'), ('chat_bubble', 'chat bubble'), ('chat_bubble_outline', 'chat bubble outline'), ('check', 'check'), ('check_box', 'check box'), ('check_box_outline_blank', 'check box outline blank'), ('check_circle', 'check circle'), ('chevron_left', 'chevron left'), ('chevron_right', 'chevron right'), ('child_care', 'child care'), ('child_friendly', 'child friendly'), ('chrome_reader_mode', 'chrome reader mode'), ('class', 'class'), ('clear', 'clear'), ('clear_all', 'clear all'), ('close', 'close'), ('closed_caption', 'closed caption'), ('cloud', 'cloud'), ('cloud_circle', 'cloud circle'), ('cloud_done', 'cloud done'), ('cloud_download', 'cloud download'), ('cloud_off', 'cloud off'), ('cloud_queue', 'cloud queue'), ('cloud_upload', 'cloud upload'), ('code', 'code'), ('collections', 'collections'), ('collections_bookmark', 'collections bookmark'), ('color_lens', 'color lens'), ('colorize', 'colorize'), ('comment', 'comment'), ('compare', 'compare'), ('compare_arrows', 'compare arrows'), ('computer', 'computer'), ('confirmation_number', 'confirmation number'), ('contact_mail', 'contact mail'), ('contact_phone', 'contact phone'), ('contacts', 'contacts'), ('content_copy', 'content copy'), ('content_cut', 'content cut'), ('content_paste', 'content paste'), ('control_point', 'control point'), ('control_point_duplicate', 'control point duplicate'), ('copyright', 'copyright'), ('create', 'create'), ('create_new_folder', 'create new folder'), ('credit_card', 'credit card'), ('crop', 'crop'), ('crop_16_9', 'crop 16 9'), ('crop_3_2', 'crop 3 2'), ('crop_5_4', 'crop 5 4'), ('crop_7_5', 'crop 7 5'), ('crop_din', 'crop din'), ('crop_free', 'crop free'), ('crop_landscape', 'crop landscape'), ('crop_original', 'crop original'), ('crop_portrait', 'crop portrait'), ('crop_rotate', 'crop rotate'), ('crop_square', 'crop square'), ('dashboard', 'dashboard'), ('data_usage', 'data usage'), ('date_range', 'date range'), ('dehaze', 'dehaze'), ('delete', 'delete'), ('delete_forever', 'delete forever'), ('delete_sweep', 'delete sweep'), ('description', 'description'), ('desktop_mac', 'desktop mac'), ('desktop_windows', 'desktop windows'), ('details', 'details'), ('developer_board', 'developer board'), ('developer_mode', 'developer mode'), ('device_hub', 'device hub'), ('devices', 'devices'), ('devices_other', 'devices other'), ('dialer_sip', 'dialer sip'), ('dialpad', 'dialpad'), ('directions', 'directions'), ('directions_bike', 'directions bike'), ('directions_boat', 'directions boat'), ('directions_bus', 'directions bus'), ('directions_car', 'directions car'), ('directions_railway', 'directions railway'), ('directions_run', 'directions run'), ('directions_subway', 'directions subway'), ('directions_transit', 'directions transit'), ('directions_walk', 'directions walk'), ('disc_full', 'disc full'), ('dns', 'dns'), ('do_not_disturb', 'do not disturb'), ('do_not_disturb_alt', 'do not disturb alt'), ('do_not_disturb_off', 'do not disturb off'), ('do_not_disturb_on', 'do not disturb on'), ('dock', 'dock'), ('domain', 'domain'), ('done', 'done'), ('done_all', 'done all'), ('donut_large', 'donut large'), ('donut_small', 'donut small'), ('drafts', 'drafts'), ('drag_handle', 'drag handle'), ('drive_eta', 'drive eta'), ('dvr', 'dvr'), ('edit', 'edit'), ('edit_location', 'edit location'), ('eject', 'eject'), ('email', 'email'), ('enhanced_encryption', 'enhanced encryption'), ('equalizer', 'equalizer'), ('error', 'error'), ('error_outline', 'error outline'), ('euro_symbol', 'euro symbol'), ('ev_station', 'ev station'), ('event', 'event'), ('event_available', 'event available'), ('event_busy', 'event busy'), ('event_note', 'event note'), ('event_seat', 'event seat'), ('exit_to_app', 'exit to app'), ('expand_less', 'expand less'), ('expand_more', 'expand more'), ('explicit', 'explicit'), ('explore', 'explore'), ('exposure', 'exposure'), ('exposure_neg_1', 'exposure neg 1'), ('exposure_neg_2', 'exposure neg 2'), ('exposure_plus_1', 'exposure plus 1'), ('exposure_plus_2', 'exposure plus 2'), ('exposure_zero', 'exposure zero'), ('extension', 'extension'), ('face', 'face'), ('fast_forward', 'fast forward'), ('fast_rewind', 'fast rewind'), ('favorite', 'favorite'), ('favorite_border', 'favorite border'), ('featured_play_list', 'featured play list'), ('featured_video', 'featured video'), ('feedback', 'feedback'), ('fiber_dvr', 'fiber dvr'), ('fiber_manual_record', 'fiber manual record'), ('fiber_new', 'fiber new'), ('fiber_pin', 'fiber pin'), ('fiber_smart_record', 'fiber smart record'), ('file_download', 'file download'), ('file_upload', 'file upload'), ('filter', 'filter'), ('filter_1', 'filter 1'), ('filter_2', 'filter 2'), ('filter_3', 'filter 3'), ('filter_4', 'filter 4'), ('filter_5', 'filter 5'), ('filter_6', 'filter 6'), ('filter_7', 'filter 7'), ('filter_8', 'filter 8'), ('filter_9', 'filter 9'), ('filter_9_plus', 'filter 9 plus'), ('filter_b_and_w', 'filter b and w'), ('filter_center_focus', 'filter center focus'), ('filter_drama', 'filter drama'), ('filter_frames', 'filter frames'), ('filter_hdr', 'filter hdr'), ('filter_list', 'filter list'), ('filter_none', 'filter none'), ('filter_tilt_shift', 'filter tilt shift'), ('filter_vintage', 'filter vintage'), ('find_in_page', 'find in page'), ('find_replace', 'find replace'), ('fingerprint', 'fingerprint'), ('first_page', 'first page'), ('fitness_center', 'fitness center'), ('flag', 'flag'), ('flare', 'flare'), ('flash_auto', 'flash auto'), ('flash_off', 'flash off'), ('flash_on', 'flash on'), ('flight', 'flight'), ('flight_land', 'flight land'), ('flight_takeoff', 'flight takeoff'), ('flip', 'flip'), ('flip_to_back', 'flip to back'), ('flip_to_front', 'flip to front'), ('folder', 'folder'), ('folder_open', 'folder open'), ('folder_shared', 'folder shared'), ('folder_special', 'folder special'), ('font_download', 'font download'), ('format_align_center', 'format align center'), ('format_align_justify', 'format align justify'), ('format_align_left', 'format align left'), ('format_align_right', 'format align right'), ('format_bold', 'format bold'), ('format_clear', 'format clear'), ('format_color_fill', 'format color fill'), ('format_color_reset', 'format color reset'), ('format_color_text', 'format color text'), ('format_indent_decrease', 'format indent decrease'), ('format_indent_increase', 'format indent increase'), ('format_italic', 'format italic'), ('format_line_spacing', 'format line spacing'), ('format_list_bulleted', 'format list bulleted'), ('format_list_numbered', 'format list numbered'), ('format_paint', 'format paint'), ('format_quote', 'format quote'), ('format_shapes', 'format shapes'), ('format_size', 'format size'), ('format_strikethrough', 'format strikethrough'), ('format_textdirection_l_to_r', 'format textdirection l to r'), ('format_textdirection_r_to_l', 'format textdirection r to l'), ('format_underlined', 'format underlined'), ('forum', 'forum'), ('forward', 'forward'), ('forward_10', 'forward 10'), ('forward_30', 'forward 30'), ('forward_5', 'forward 5'), ('free_breakfast', 'free breakfast'), ('fullscreen', 'fullscreen'), ('fullscreen_exit', 'fullscreen exit'), ('functions', 'functions'), ('g_translate', 'g translate'), ('gamepad', 'gamepad'), ('games', 'games'), ('gavel', 'gavel'), ('gesture', 'gesture'), ('get_app', 'get app'), ('gif', 'gif'), ('golf_course', 'golf course'), ('gps_fixed', 'gps fixed'), ('gps_not_fixed', 'gps not fixed'), ('gps_off', 'gps off'), ('grade', 'grade'), ('gradient', 'gradient'), ('grain', 'grain'), ('graphic_eq', 'graphic eq'), ('grid_off', 'grid off'), ('grid_on', 'grid on'), ('group', 'group'), ('group_add', 'group add'), ('group_work', 'group work'), ('hd', 'hd'), ('hdr_off', 'hdr off'), ('hdr_on', 'hdr on'), ('hdr_strong', 'hdr strong'), ('hdr_weak', 'hdr weak'), ('headset', 'headset'), ('headset_mic', 'headset mic'), ('healing', 'healing'), ('hearing', 'hearing'), ('help', 'help'), ('help_outline', 'help outline'), ('high_quality', 'high quality'), ('highlight', 'highlight'), ('highlight_off', 'highlight off'), ('history', 'history'), ('home', 'home'), ('hot_tub', 'hot tub'), ('hotel', 'hotel'), ('hourglass_empty', 'hourglass empty'), ('hourglass_full', 'hourglass full'), ('http', 'http'), ('https', 'https'), ('image', 'image'), ('image_aspect_ratio', 'image aspect ratio'), ('import_contacts', 'import contacts'), ('import_export', 'import export'), ('important_devices', 'important devices'), ('inbox', 'inbox'), ('indeterminate_check_box', 'indeterminate check box'), ('info', 'info'), ('info_outline', 'info outline'), ('input', 'input'), ('insert_chart', 'insert chart'), ('insert_comment', 'insert comment'), ('insert_drive_file', 'insert drive file'), ('insert_emoticon', 'insert emoticon'), ('insert_invitation', 'insert invitation'), ('insert_link', 'insert link'), ('insert_photo', 'insert photo'), ('invert_colors', 'invert colors'), ('invert_colors_off', 'invert colors off'), ('iso', 'iso'), ('keyboard', 'keyboard'), ('keyboard_arrow_down', 'keyboard arrow down'), ('keyboard_arrow_left', 'keyboard arrow left'), ('keyboard_arrow_right', 'keyboard arrow right'), ('keyboard_arrow_up', 'keyboard arrow up'), ('keyboard_backspace', 'keyboard backspace'), ('keyboard_capslock', 'keyboard capslock'), ('keyboard_hide', 'keyboard hide'), ('keyboard_return', 'keyboard return'), ('keyboard_tab', 'keyboard tab'), ('keyboard_voice', 'keyboard voice'), ('kitchen', 'kitchen'), ('label', 'label'), ('label_outline', 'label outline'), ('landscape', 'landscape'), ('language', 'language'), ('laptop', 'laptop'), ('laptop_chromebook', 'laptop chromebook'), ('laptop_mac', 'laptop mac'), ('laptop_windows', 'laptop windows'), ('last_page', 'last page'), ('launch', 'launch'), ('layers', 'layers'), ('layers_clear', 'layers clear'), ('leak_add', 'leak add'), ('leak_remove', 'leak remove'), ('lens', 'lens'), ('library_add', 'library add'), ('library_books', 'library books'), ('library_music', 'library music'), ('lightbulb_outline', 'lightbulb outline'), ('line_style', 'line style'), ('line_weight', 'line weight'), ('linear_scale', 'linear scale'), ('link', 'link'), ('linked_camera', 'linked camera'), ('list', 'list'), ('live_help', 'live help'), ('live_tv', 'live tv'), ('local_activity', 'local activity'), ('local_airport', 'local airport'), ('local_atm', 'local atm'), ('local_bar', 'local bar'), ('local_cafe', 'local cafe'), ('local_car_wash', 'local car wash'), ('local_convenience_store', 'local convenience store'), ('local_dining', 'local dining'), ('local_drink', 'local drink'), ('local_florist', 'local florist'), ('local_gas_station', 'local gas station'), ('local_grocery_store', 'local grocery store'), ('local_hospital', 'local hospital'), ('local_hotel', 'local hotel'), ('local_laundry_service', 'local laundry service'), ('local_library', 'local library'), ('local_mall', 'local mall'), ('local_movies', 'local movies'), ('local_offer', 'local offer'), ('local_parking', 'local parking'), ('local_pharmacy', 'local pharmacy'), ('local_phone', 'local phone'), ('local_pizza', 'local pizza'), ('local_play', 'local play'), ('local_post_office', 'local post office'), ('local_printshop', 'local printshop'), ('local_see', 'local see'), ('local_shipping', 'local shipping'), ('local_taxi', 'local taxi'), ('location_city', 'location city'), ('location_disabled', 'location disabled'), ('location_off', 'location off'), ('location_on', 'location on'), ('location_searching', 'location searching'), ('lock', 'lock'), ('lock_open', 'lock open'), ('lock_outline', 'lock outline'), ('looks', 'looks'), ('looks_3', 'looks 3'), ('looks_4', 'looks 4'), ('looks_5', 'looks 5'), ('looks_6', 'looks 6'), ('looks_one', 'looks one'), ('looks_two', 'looks two'), ('loop', 'loop'), ('loupe', 'loupe'), ('low_priority', 'low priority'), ('loyalty', 'loyalty'), ('mail', 'mail'), ('mail_outline', 'mail outline'), ('map', 'map'), ('markunread', 'markunread'), ('markunread_mailbox', 'markunread mailbox'), ('memory', 'memory'), ('menu', 'menu'), ('merge_type', 'merge type'), ('message', 'message'), ('mic', 'mic'), ('mic_none', 'mic none'), ('mic_off', 'mic off'), ('mms', 'mms'), ('mode_comment', 'mode comment'), ('mode_edit', 'mode edit'), ('monetization_on', 'monetization on'), ('money_off', 'money off'), ('monochrome_photos', 'monochrome photos'), ('mood', 'mood'), ('mood_bad', 'mood bad'), ('more', 'more'), ('more_horiz', 'more horiz'), ('more_vert', 'more vert'), ('motorcycle', 'motorcycle'), ('mouse', 'mouse'), ('move_to_inbox', 'move to inbox'), ('movie', 'movie'), ('movie_creation', 'movie creation'), ('movie_filter', 'movie filter'), ('multiline_chart', 'multiline chart'), ('music_note', 'music note'), ('music_video', 'music video'), ('my_location', 'my location'), ('nature', 'nature'), ('nature_people', 'nature people'), ('navigate_before', 'navigate before'), ('navigate_next', 'navigate next'), ('navigation', 'navigation'), ('near_me', 'near me'), ('network_cell', 'network cell'), ('network_check', 'network check'), ('network_locked', 'network locked'), ('network_wifi', 'network wifi'), ('new_releases', 'new releases'), ('next_week', 'next week'), ('nfc', 'nfc'), ('no_encryption', 'no encryption'), ('no_sim', 'no sim'), ('not_interested', 'not interested'), ('note', 'note'), ('note_add', 'note add'), ('notifications', 'notifications'), ('notifications_active', 'notifications active'), ('notifications_none', 'notifications none'), ('notifications_off', 'notifications off'), ('notifications_paused', 'notifications paused'), ('offline_pin', 'offline pin'), ('ondemand_video', 'ondemand video'), ('opacity', 'opacity'), ('open_in_browser', 'open in browser'), ('open_in_new', 'open in new'), ('open_with', 'open with'), ('pages', 'pages'), ('pageview', 'pageview'), ('palette', 'palette'), ('pan_tool', 'pan tool'), ('panorama', 'panorama'), ('panorama_fish_eye', 'panorama fish eye'), ('panorama_horizontal', 'panorama horizontal'), ('panorama_vertical', 'panorama vertical'), ('panorama_wide_angle', 'panorama wide angle'), ('party_mode', 'party mode'), ('pause', 'pause'), ('pause_circle_filled', 'pause circle filled'), ('pause_circle_outline', 'pause circle outline'), ('payment', 'payment'), ('people', 'people'), ('people_outline', 'people outline'), ('perm_camera_mic', 'perm camera mic'), ('perm_contact_calendar', 'perm contact calendar'), ('perm_data_setting', 'perm data setting'), ('perm_device_information', 'perm device information'), ('perm_identity', 'perm identity'), ('perm_media', 'perm media'), ('perm_phone_msg', 'perm phone msg'), ('perm_scan_wifi', 'perm scan wifi'), ('person', 'person'), ('person_add', 'person add'), ('person_outline', 'person outline'), ('person_pin', 'person pin'), ('person_pin_circle', 'person pin circle'), ('personal_video', 'personal video'), ('pets', 'pets'), ('phone', 'phone'), ('phone_android', 'phone android'), ('phone_bluetooth_speaker', 'phone bluetooth speaker'), ('phone_forwarded', 'phone forwarded'), ('phone_in_talk', 'phone in talk'), ('phone_iphone', 'phone iphone'), ('phone_locked', 'phone locked'), ('phone_missed', 'phone missed'), ('phone_paused', 'phone paused'), ('phonelink', 'phonelink'), ('phonelink_erase', 'phonelink erase'), ('phonelink_lock', 'phonelink lock'), ('phonelink_off', 'phonelink off'), ('phonelink_ring', 'phonelink ring'), ('phonelink_setup', 'phonelink setup'), ('photo', 'photo'), ('photo_album', 'photo album'), ('photo_camera', 'photo camera'), ('photo_filter', 'photo filter'), ('photo_library', 'photo library'), ('photo_size_select_actual', 'photo size select actual'), ('photo_size_select_large', 'photo size select large'), ('photo_size_select_small', 'photo size select small'), ('picture_as_pdf', 'picture as pdf'), ('picture_in_picture', 'picture in picture'), ('picture_in_picture_alt', 'picture in picture alt'), ('pie_chart', 'pie chart'), ('pie_chart_outlined', 'pie chart outlined'), ('pin_drop', 'pin drop'), ('place', 'place'), ('play_arrow', 'play arrow'), ('play_circle_filled', 'play circle filled'), ('play_circle_outline', 'play circle outline'), ('play_for_work', 'play for work'), ('playlist_add', 'playlist add'), ('playlist_add_check', 'playlist add check'), ('playlist_play', 'playlist play'), ('plus_one', 'plus one'), ('poll', 'poll'), ('polymer', 'polymer'), ('pool', 'pool'), ('portable_wifi_off', 'portable wifi off'), ('portrait', 'portrait'), ('power', 'power'), ('power_input', 'power input'), ('power_settings_new', 'power settings new'), ('pregnant_woman', 'pregnant woman'), ('present_to_all', 'present to all'), ('print', 'print'), ('priority_high', 'priority high'), ('public', 'public'), ('publish', 'publish'), ('query_builder', 'query builder'), ('question_answer', 'question answer'), ('queue', 'queue'), ('queue_music', 'queue music'), ('queue_play_next', 'queue play next'), ('radio', 'radio'), ('radio_button_checked', 'radio button checked'), ('radio_button_unchecked', 'radio button unchecked'), ('rate_review', 'rate review'), ('receipt', 'receipt'), ('recent_actors', 'recent actors'), ('record_voice_over', 'record voice over'), ('redeem', 'redeem'), ('redo', 'redo'), ('refresh', 'refresh'), ('remove', 'remove'), ('remove_circle', 'remove circle'), ('remove_circle_outline', 'remove circle outline'), ('remove_from_queue', 'remove from queue'), ('remove_red_eye', 'remove red eye'), ('remove_shopping_cart', 'remove shopping cart'), ('reorder', 'reorder'), ('repeat', 'repeat'), ('repeat_one', 'repeat one'), ('replay', 'replay'), ('replay_10', 'replay 10'), ('replay_30', 'replay 30'), ('replay_5', 'replay 5'), ('reply', 'reply'), ('reply_all', 'reply all'), ('report', 'report'), ('report_problem', 'report problem'), ('restaurant', 'restaurant'), ('restaurant_menu', 'restaurant menu'), ('restore', 'restore'), ('restore_page', 'restore page'), ('ring_volume', 'ring volume'), ('room', 'room'), ('room_service', 'room service'), ('rotate_90_degrees_ccw', 'rotate 90 degrees ccw'), ('rotate_left', 'rotate left'), ('rotate_right', 'rotate right'), ('rounded_corner', 'rounded corner'), ('router', 'router'), ('rowing', 'rowing'), ('rss_feed', 'rss feed'), ('rv_hookup', 'rv hookup'), ('satellite', 'satellite'), ('save', 'save'), ('scanner', 'scanner'), ('schedule', 'schedule'), ('school', 'school'), ('screen_lock_landscape', 'screen lock landscape'), ('screen_lock_portrait', 'screen lock portrait'), ('screen_lock_rotation', 'screen lock rotation'), ('screen_rotation', 'screen rotation'), ('screen_share', 'screen share'), ('sd_card', 'sd card'), ('sd_storage', 'sd storage'), ('search', 'search'), ('security', 'security'), ('select_all', 'select all'), ('send', 'send'), ('sentiment_dissatisfied', 'sentiment dissatisfied'), ('sentiment_neutral', 'sentiment neutral'), ('sentiment_satisfied', 'sentiment satisfied'), ('sentiment_very_dissatisfied', 'sentiment very dissatisfied'), ('sentiment_very_satisfied', 'sentiment very satisfied'), ('settings', 'settings'), ('settings_applications', 'settings applications'), ('settings_backup_restore', 'settings backup restore'), ('settings_bluetooth', 'settings bluetooth'), ('settings_brightness', 'settings brightness'), ('settings_cell', 'settings cell'), ('settings_ethernet', 'settings ethernet'), ('settings_input_antenna', 'settings input antenna'), ('settings_input_component', 'settings input component'), ('settings_input_composite', 'settings input composite'), ('settings_input_hdmi', 'settings input hdmi'), ('settings_input_svideo', 'settings input svideo'), ('settings_overscan', 'settings overscan'), ('settings_phone', 'settings phone'), ('settings_power', 'settings power'), ('settings_remote', 'settings remote'), ('settings_system_daydream', 'settings system daydream'), ('settings_voice', 'settings voice'), ('share', 'share'), ('shop', 'shop'), ('shop_two', 'shop two'), ('shopping_basket', 'shopping basket'), ('shopping_cart', 'shopping cart'), ('short_text', 'short text'), ('show_chart', 'show chart'), ('shuffle', 'shuffle'), ('signal_cellular_4_bar', 'signal cellular 4 bar'), ('signal_cellular_connected_no_internet_4_bar', 'signal cellular connected no internet 4 bar'), ('signal_cellular_no_sim', 'signal cellular no sim'), ('signal_cellular_null', 'signal cellular null'), ('signal_cellular_off', 'signal cellular off'), ('signal_wifi_4_bar', 'signal wifi 4 bar'), ('signal_wifi_4_bar_lock', 'signal wifi 4 bar lock'), ('signal_wifi_off', 'signal wifi off'), ('sim_card', 'sim card'), ('sim_card_alert', 'sim card alert'), ('skip_next', 'skip next'), ('skip_previous', 'skip previous'), ('slideshow', 'slideshow'), ('slow_motion_video', 'slow motion video'), ('smartphone', 'smartphone'), ('smoke_free', 'smoke free'), ('smoking_rooms', 'smoking rooms'), ('sms', 'sms'), ('sms_failed', 'sms failed'), ('snooze', 'snooze'), ('sort', 'sort'), ('sort_by_alpha', 'sort by alpha'), ('spa', 'spa'), ('space_bar', 'space bar'), ('speaker', 'speaker'), ('speaker_group', 'speaker group'), ('speaker_notes', 'speaker notes'), ('speaker_notes_off', 'speaker notes off'), ('speaker_phone', 'speaker phone'), ('spellcheck', 'spellcheck'), ('star', 'star'), ('star_border', 'star border'), ('star_half', 'star half'), ('stars', 'stars'), ('stay_current_landscape', 'stay current landscape'), ('stay_current_portrait', 'stay current portrait'), ('stay_primary_landscape', 'stay primary landscape'), ('stay_primary_portrait', 'stay primary portrait'), ('stop', 'stop'), ('stop_screen_share', 'stop screen share'), ('storage', 'storage'), ('store', 'store'), ('store_mall_directory', 'store mall directory'), ('straighten', 'straighten'), ('streetview', 'streetview'), ('strikethrough_s', 'strikethrough s'), ('style', 'style'), ('subdirectory_arrow_left', 'subdirectory arrow left'), ('subdirectory_arrow_right', 'subdirectory arrow right'), ('subject', 'subject'), ('subscriptions', 'subscriptions'), ('subtitles', 'subtitles'), ('subway', 'subway'), ('supervisor_account', 'supervisor account'), ('surround_sound', 'surround sound'), ('swap_calls', 'swap calls'), ('swap_horiz', 'swap horiz'), ('swap_vert', 'swap vert'), ('swap_vertical_circle', 'swap vertical circle'), ('switch_camera', 'switch camera'), ('switch_video', 'switch video'), ('sync', 'sync'), ('sync_disabled', 'sync disabled'), ('sync_problem', 'sync problem'), ('system_update', 'system update'), ('system_update_alt', 'system update alt'), ('tab', 'tab'), ('tab_unselected', 'tab unselected'), ('tablet', 'tablet'), ('tablet_android', 'tablet android'), ('tablet_mac', 'tablet mac'), ('tag_faces', 'tag faces'), ('tap_and_play', 'tap and play'), ('terrain', 'terrain'), ('text_fields', 'text fields'), ('text_format', 'text format'), ('textsms', 'textsms'), ('texture', 'texture'), ('theaters', 'theaters'), ('thumb_down', 'thumb down'), ('thumb_up', 'thumb up'), ('thumbs_up_down', 'thumbs up down'), ('time_to_leave', 'time to leave'), ('timelapse', 'timelapse'), ('timeline', 'timeline'), ('timer', 'timer'), ('timer_10', 'timer 10'), ('timer_3', 'timer 3'), ('timer_off', 'timer off'), ('title', 'title'), ('toc', 'toc'), ('today', 'today'), ('toll', 'toll'), ('tonality', 'tonality'), ('touch_app', 'touch app'), ('toys', 'toys'), ('track_changes', 'track changes'), ('traffic', 'traffic'), ('train', 'train'), ('tram', 'tram'), ('transfer_within_a_station', 'transfer within a station'), ('transform', 'transform'), ('translate', 'translate'), ('trending_down', 'trending down'), ('trending_flat', 'trending flat'), ('trending_up', 'trending up'), ('tune', 'tune'), ('turned_in', 'turned in'), ('turned_in_not', 'turned in not'), ('tv', 'tv'), ('unarchive', 'unarchive'), ('undo', 'undo'), ('unfold_less', 'unfold less'), ('unfold_more', 'unfold more'), ('update', 'update'), ('usb', 'usb'), ('verified_user', 'verified user'), ('vertical_align_bottom', 'vertical align bottom'), ('vertical_align_center', 'vertical align center'), ('vertical_align_top', 'vertical align top'), ('vibration', 'vibration'), ('video_call', 'video call'), ('video_label', 'video label'), ('video_library', 'video library'), ('videocam', 'videocam'), ('videocam_off', 'videocam off'), ('videogame_asset', 'videogame asset'), ('view_agenda', 'view agenda'), ('view_array', 'view array'), ('view_carousel', 'view carousel'), ('view_column', 'view column'), ('view_comfy', 'view comfy'), ('view_compact', 'view compact'), ('view_day', 'view day'), ('view_headline', 'view headline'), ('view_list', 'view list'), ('view_module', 'view module'), ('view_quilt', 'view quilt'), ('view_stream', 'view stream'), ('view_week', 'view week'), ('vignette', 'vignette'), ('visibility', 'visibility'), ('visibility_off', 'visibility off'), ('voice_chat', 'voice chat'), ('voicemail', 'voicemail'), ('volume_down', 'volume down'), ('volume_mute', 'volume mute'), ('volume_off', 'volume off'), ('volume_up', 'volume up'), ('vpn_key', 'vpn key'), ('vpn_lock', 'vpn lock'), ('wallpaper', 'wallpaper'), ('warning', 'warning'), ('watch', 'watch'), ('watch_later', 'watch later'), ('wb_auto', 'wb auto'), ('wb_cloudy', 'wb cloudy'), ('wb_incandescent', 'wb incandescent'), ('wb_iridescent', 'wb iridescent'), ('wb_sunny', 'wb sunny'), ('wc', 'wc'), ('web', 'web'), ('web_asset', 'web asset'), ('weekend', 'weekend'), ('whatshot', 'whatshot'), ('widgets', 'widgets'), ('wifi', 'wifi'), ('wifi_lock', 'wifi lock'), ('wifi_tethering', 'wifi tethering'), ('work', 'work'), ('wrap_text', 'wrap text'), ('youtube_searched_for', 'youtube searched for'), ('zoom_in', 'zoom in'), ('zoom_out', 'zoom out'), ('zoom_out_map', 'zoom out map')], label='Icon')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')], label='Size', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], label='Background Color', required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], label='Icon Color', required=False))))), ('url_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('bookmark_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('page_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('document_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('image_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('h1', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h2', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h3', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h4', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h5', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h6', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))), ('card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('panel_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('image_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_horizontal_style', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use horizontal style', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('reveal_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('reveal_contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),), label='Reveal contents')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_sticky_action', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use sticky action', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False)))))))), ('container', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('row', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('column', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))), ('promotedicon', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('icon', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('3d_rotation', '3d rotation'), ('ac_unit', 'ac unit'), ('access_alarm', 'access alarm'), ('access_alarms', 'access alarms'), ('access_time', 'access time'), ('accessibility', 'accessibility'), ('accessible', 'accessible'), ('account_balance', 'account balance'), ('account_balance_wallet', 'account balance wallet'), ('account_box', 'account box'), ('account_circle', 'account circle'), ('adb', 'adb'), ('add', 'add'), ('add_a_photo', 'add a photo'), ('add_alarm', 'add alarm'), ('add_alert', 'add alert'), ('add_box', 'add box'), ('add_circle', 'add circle'), ('add_circle_outline', 'add circle outline'), ('add_location', 'add location'), ('add_shopping_cart', 'add shopping cart'), ('add_to_photos', 'add to photos'), ('add_to_queue', 'add to queue'), ('adjust', 'adjust'), ('airline_seat_flat', 'airline seat flat'), ('airline_seat_flat_angled', 'airline seat flat angled'), ('airline_seat_individual_suite', 'airline seat individual suite'), ('airline_seat_legroom_extra', 'airline seat legroom extra'), ('airline_seat_legroom_normal', 'airline seat legroom normal'), ('airline_seat_legroom_reduced', 'airline seat legroom reduced'), ('airline_seat_recline_extra', 'airline seat recline extra'), ('airline_seat_recline_normal', 'airline seat recline normal'), ('airplanemode_active', 'airplanemode active'), ('airplanemode_inactive', 'airplanemode inactive'), ('airplay', 'airplay'), ('airport_shuttle', 'airport shuttle'), ('alarm', 'alarm'), ('alarm_add', 'alarm add'), ('alarm_off', 'alarm off'), ('alarm_on', 'alarm on'), ('album', 'album'), ('all_inclusive', 'all inclusive'), ('all_out', 'all out'), ('android', 'android'), ('announcement', 'announcement'), ('apps', 'apps'), ('archive', 'archive'), ('arrow_back', 'arrow back'), ('arrow_downward', 'arrow downward'), ('arrow_drop_down', 'arrow drop down'), ('arrow_drop_down_circle', 'arrow drop down circle'), ('arrow_drop_up', 'arrow drop up'), ('arrow_forward', 'arrow forward'), ('arrow_upward', 'arrow upward'), ('art_track', 'art track'), ('aspect_ratio', 'aspect ratio'), ('assessment', 'assessment'), ('assignment', 'assignment'), ('assignment_ind', 'assignment ind'), ('assignment_late', 'assignment late'), ('assignment_return', 'assignment return'), ('assignment_returned', 'assignment returned'), ('assignment_turned_in', 'assignment turned in'), ('assistant', 'assistant'), ('assistant_photo', 'assistant photo'), ('attach_file', 'attach file'), ('attach_money', 'attach money'), ('attachment', 'attachment'), ('audiotrack', 'audiotrack'), ('autorenew', 'autorenew'), ('av_timer', 'av timer'), ('backspace', 'backspace'), ('backup', 'backup'), ('battery_alert', 'battery alert'), ('battery_charging_full', 'battery charging full'), ('battery_full', 'battery full'), ('battery_std', 'battery std'), ('battery_unknown', 'battery unknown'), ('beach_access', 'beach access'), ('beenhere', 'beenhere'), ('block', 'block'), ('bluetooth', 'bluetooth'), ('bluetooth_audio', 'bluetooth audio'), ('bluetooth_connected', 'bluetooth connected'), ('bluetooth_disabled', 'bluetooth disabled'), ('bluetooth_searching', 'bluetooth searching'), ('blur_circular', 'blur circular'), ('blur_linear', 'blur linear'), ('blur_off', 'blur off'), ('blur_on', 'blur on'), ('book', 'book'), ('bookmark', 'bookmark'), ('bookmark_border', 'bookmark border'), ('border_all', 'border all'), ('border_bottom', 'border bottom'), ('border_clear', 'border clear'), ('border_color', 'border color'), ('border_horizontal', 'border horizontal'), ('border_inner', 'border inner'), ('border_left', 'border left'), ('border_outer', 'border outer'), ('border_right', 'border right'), ('border_style', 'border style'), ('border_top', 'border top'), ('border_vertical', 'border vertical'), ('branding_watermark', 'branding watermark'), ('brightness_1', 'brightness 1'), ('brightness_2', 'brightness 2'), ('brightness_3', 'brightness 3'), ('brightness_4', 'brightness 4'), ('brightness_5', 'brightness 5'), ('brightness_6', 'brightness 6'), ('brightness_7', 'brightness 7'), ('brightness_auto', 'brightness auto'), ('brightness_high', 'brightness high'), ('brightness_low', 'brightness low'), ('brightness_medium', 'brightness medium'), ('broken_image', 'broken image'), ('brush', 'brush'), ('bubble_chart', 'bubble chart'), ('bug_report', 'bug report'), ('build', 'build'), ('burst_mode', 'burst mode'), ('business', 'business'), ('business_center', 'business center'), ('cached', 'cached'), ('cake', 'cake'), ('call', 'call'), ('call_end', 'call end'), ('call_made', 'call made'), ('call_merge', 'call merge'), ('call_missed', 'call missed'), ('call_missed_outgoing', 'call missed outgoing'), ('call_received', 'call received'), ('call_split', 'call split'), ('call_to_action', 'call to action'), ('camera', 'camera'), ('camera_alt', 'camera alt'), ('camera_enhance', 'camera enhance'), ('camera_front', 'camera front'), ('camera_rear', 'camera rear'), ('camera_roll', 'camera roll'), ('cancel', 'cancel'), ('card_giftcard', 'card giftcard'), ('card_membership', 'card membership'), ('card_travel', 'card travel'), ('casino', 'casino'), ('cast', 'cast'), ('cast_connected', 'cast connected'), ('center_focus_strong', 'center focus strong'), ('center_focus_weak', 'center focus weak'), ('change_history', 'change history'), ('chat', 'chat'), ('chat_bubble', 'chat bubble'), ('chat_bubble_outline', 'chat bubble outline'), ('check', 'check'), ('check_box', 'check box'), ('check_box_outline_blank', 'check box outline blank'), ('check_circle', 'check circle'), ('chevron_left', 'chevron left'), ('chevron_right', 'chevron right'), ('child_care', 'child care'), ('child_friendly', 'child friendly'), ('chrome_reader_mode', 'chrome reader mode'), ('class', 'class'), ('clear', 'clear'), ('clear_all', 'clear all'), ('close', 'close'), ('closed_caption', 'closed caption'), ('cloud', 'cloud'), ('cloud_circle', 'cloud circle'), ('cloud_done', 'cloud done'), ('cloud_download', 'cloud download'), ('cloud_off', 'cloud off'), ('cloud_queue', 'cloud queue'), ('cloud_upload', 'cloud upload'), ('code', 'code'), ('collections', 'collections'), ('collections_bookmark', 'collections bookmark'), ('color_lens', 'color lens'), ('colorize', 'colorize'), ('comment', 'comment'), ('compare', 'compare'), ('compare_arrows', 'compare arrows'), ('computer', 'computer'), ('confirmation_number', 'confirmation number'), ('contact_mail', 'contact mail'), ('contact_phone', 'contact phone'), ('contacts', 'contacts'), ('content_copy', 'content copy'), ('content_cut', 'content cut'), ('content_paste', 'content paste'), ('control_point', 'control point'), ('control_point_duplicate', 'control point duplicate'), ('copyright', 'copyright'), ('create', 'create'), ('create_new_folder', 'create new folder'), ('credit_card', 'credit card'), ('crop', 'crop'), ('crop_16_9', 'crop 16 9'), ('crop_3_2', 'crop 3 2'), ('crop_5_4', 'crop 5 4'), ('crop_7_5', 'crop 7 5'), ('crop_din', 'crop din'), ('crop_free', 'crop free'), ('crop_landscape', 'crop landscape'), ('crop_original', 'crop original'), ('crop_portrait', 'crop portrait'), ('crop_rotate', 'crop rotate'), ('crop_square', 'crop square'), ('dashboard', 'dashboard'), ('data_usage', 'data usage'), ('date_range', 'date range'), ('dehaze', 'dehaze'), ('delete', 'delete'), ('delete_forever', 'delete forever'), ('delete_sweep', 'delete sweep'), ('description', 'description'), ('desktop_mac', 'desktop mac'), ('desktop_windows', 'desktop windows'), ('details', 'details'), ('developer_board', 'developer board'), ('developer_mode', 'developer mode'), ('device_hub', 'device hub'), ('devices', 'devices'), ('devices_other', 'devices other'), ('dialer_sip', 'dialer sip'), ('dialpad', 'dialpad'), ('directions', 'directions'), ('directions_bike', 'directions bike'), ('directions_boat', 'directions boat'), ('directions_bus', 'directions bus'), ('directions_car', 'directions car'), ('directions_railway', 'directions railway'), ('directions_run', 'directions run'), ('directions_subway', 'directions subway'), ('directions_transit', 'directions transit'), ('directions_walk', 'directions walk'), ('disc_full', 'disc full'), ('dns', 'dns'), ('do_not_disturb', 'do not disturb'), ('do_not_disturb_alt', 'do not disturb alt'), ('do_not_disturb_off', 'do not disturb off'), ('do_not_disturb_on', 'do not disturb on'), ('dock', 'dock'), ('domain', 'domain'), ('done', 'done'), ('done_all', 'done all'), ('donut_large', 'donut large'), ('donut_small', 'donut small'), ('drafts', 'drafts'), ('drag_handle', 'drag handle'), ('drive_eta', 'drive eta'), ('dvr', 'dvr'), ('edit', 'edit'), ('edit_location', 'edit location'), ('eject', 'eject'), ('email', 'email'), ('enhanced_encryption', 'enhanced encryption'), ('equalizer', 'equalizer'), ('error', 'error'), ('error_outline', 'error outline'), ('euro_symbol', 'euro symbol'), ('ev_station', 'ev station'), ('event', 'event'), ('event_available', 'event available'), ('event_busy', 'event busy'), ('event_note', 'event note'), ('event_seat', 'event seat'), ('exit_to_app', 'exit to app'), ('expand_less', 'expand less'), ('expand_more', 'expand more'), ('explicit', 'explicit'), ('explore', 'explore'), ('exposure', 'exposure'), ('exposure_neg_1', 'exposure neg 1'), ('exposure_neg_2', 'exposure neg 2'), ('exposure_plus_1', 'exposure plus 1'), ('exposure_plus_2', 'exposure plus 2'), ('exposure_zero', 'exposure zero'), ('extension', 'extension'), ('face', 'face'), ('fast_forward', 'fast forward'), ('fast_rewind', 'fast rewind'), ('favorite', 'favorite'), ('favorite_border', 'favorite border'), ('featured_play_list', 'featured play list'), ('featured_video', 'featured video'), ('feedback', 'feedback'), ('fiber_dvr', 'fiber dvr'), ('fiber_manual_record', 'fiber manual record'), ('fiber_new', 'fiber new'), ('fiber_pin', 'fiber pin'), ('fiber_smart_record', 'fiber smart record'), ('file_download', 'file download'), ('file_upload', 'file upload'), ('filter', 'filter'), ('filter_1', 'filter 1'), ('filter_2', 'filter 2'), ('filter_3', 'filter 3'), ('filter_4', 'filter 4'), ('filter_5', 'filter 5'), ('filter_6', 'filter 6'), ('filter_7', 'filter 7'), ('filter_8', 'filter 8'), ('filter_9', 'filter 9'), ('filter_9_plus', 'filter 9 plus'), ('filter_b_and_w', 'filter b and w'), ('filter_center_focus', 'filter center focus'), ('filter_drama', 'filter drama'), ('filter_frames', 'filter frames'), ('filter_hdr', 'filter hdr'), ('filter_list', 'filter list'), ('filter_none', 'filter none'), ('filter_tilt_shift', 'filter tilt shift'), ('filter_vintage', 'filter vintage'), ('find_in_page', 'find in page'), ('find_replace', 'find replace'), ('fingerprint', 'fingerprint'), ('first_page', 'first page'), ('fitness_center', 'fitness center'), ('flag', 'flag'), ('flare', 'flare'), ('flash_auto', 'flash auto'), ('flash_off', 'flash off'), ('flash_on', 'flash on'), ('flight', 'flight'), ('flight_land', 'flight land'), ('flight_takeoff', 'flight takeoff'), ('flip', 'flip'), ('flip_to_back', 'flip to back'), ('flip_to_front', 'flip to front'), ('folder', 'folder'), ('folder_open', 'folder open'), ('folder_shared', 'folder shared'), ('folder_special', 'folder special'), ('font_download', 'font download'), ('format_align_center', 'format align center'), ('format_align_justify', 'format align justify'), ('format_align_left', 'format align left'), ('format_align_right', 'format align right'), ('format_bold', 'format bold'), ('format_clear', 'format clear'), ('format_color_fill', 'format color fill'), ('format_color_reset', 'format color reset'), ('format_color_text', 'format color text'), ('format_indent_decrease', 'format indent decrease'), ('format_indent_increase', 'format indent increase'), ('format_italic', 'format italic'), ('format_line_spacing', 'format line spacing'), ('format_list_bulleted', 'format list bulleted'), ('format_list_numbered', 'format list numbered'), ('format_paint', 'format paint'), ('format_quote', 'format quote'), ('format_shapes', 'format shapes'), ('format_size', 'format size'), ('format_strikethrough', 'format strikethrough'), ('format_textdirection_l_to_r', 'format textdirection l to r'), ('format_textdirection_r_to_l', 'format textdirection r to l'), ('format_underlined', 'format underlined'), ('forum', 'forum'), ('forward', 'forward'), ('forward_10', 'forward 10'), ('forward_30', 'forward 30'), ('forward_5', 'forward 5'), ('free_breakfast', 'free breakfast'), ('fullscreen', 'fullscreen'), ('fullscreen_exit', 'fullscreen exit'), ('functions', 'functions'), ('g_translate', 'g translate'), ('gamepad', 'gamepad'), ('games', 'games'), ('gavel', 'gavel'), ('gesture', 'gesture'), ('get_app', 'get app'), ('gif', 'gif'), ('golf_course', 'golf course'), ('gps_fixed', 'gps fixed'), ('gps_not_fixed', 'gps not fixed'), ('gps_off', 'gps off'), ('grade', 'grade'), ('gradient', 'gradient'), ('grain', 'grain'), ('graphic_eq', 'graphic eq'), ('grid_off', 'grid off'), ('grid_on', 'grid on'), ('group', 'group'), ('group_add', 'group add'), ('group_work', 'group work'), ('hd', 'hd'), ('hdr_off', 'hdr off'), ('hdr_on', 'hdr on'), ('hdr_strong', 'hdr strong'), ('hdr_weak', 'hdr weak'), ('headset', 'headset'), ('headset_mic', 'headset mic'), ('healing', 'healing'), ('hearing', 'hearing'), ('help', 'help'), ('help_outline', 'help outline'), ('high_quality', 'high quality'), ('highlight', 'highlight'), ('highlight_off', 'highlight off'), ('history', 'history'), ('home', 'home'), ('hot_tub', 'hot tub'), ('hotel', 'hotel'), ('hourglass_empty', 'hourglass empty'), ('hourglass_full', 'hourglass full'), ('http', 'http'), ('https', 'https'), ('image', 'image'), ('image_aspect_ratio', 'image aspect ratio'), ('import_contacts', 'import contacts'), ('import_export', 'import export'), ('important_devices', 'important devices'), ('inbox', 'inbox'), ('indeterminate_check_box', 'indeterminate check box'), ('info', 'info'), ('info_outline', 'info outline'), ('input', 'input'), ('insert_chart', 'insert chart'), ('insert_comment', 'insert comment'), ('insert_drive_file', 'insert drive file'), ('insert_emoticon', 'insert emoticon'), ('insert_invitation', 'insert invitation'), ('insert_link', 'insert link'), ('insert_photo', 'insert photo'), ('invert_colors', 'invert colors'), ('invert_colors_off', 'invert colors off'), ('iso', 'iso'), ('keyboard', 'keyboard'), ('keyboard_arrow_down', 'keyboard arrow down'), ('keyboard_arrow_left', 'keyboard arrow left'), ('keyboard_arrow_right', 'keyboard arrow right'), ('keyboard_arrow_up', 'keyboard arrow up'), ('keyboard_backspace', 'keyboard backspace'), ('keyboard_capslock', 'keyboard capslock'), ('keyboard_hide', 'keyboard hide'), ('keyboard_return', 'keyboard return'), ('keyboard_tab', 'keyboard tab'), ('keyboard_voice', 'keyboard voice'), ('kitchen', 'kitchen'), ('label', 'label'), ('label_outline', 'label outline'), ('landscape', 'landscape'), ('language', 'language'), ('laptop', 'laptop'), ('laptop_chromebook', 'laptop chromebook'), ('laptop_mac', 'laptop mac'), ('laptop_windows', 'laptop windows'), ('last_page', 'last page'), ('launch', 'launch'), ('layers', 'layers'), ('layers_clear', 'layers clear'), ('leak_add', 'leak add'), ('leak_remove', 'leak remove'), ('lens', 'lens'), ('library_add', 'library add'), ('library_books', 'library books'), ('library_music', 'library music'), ('lightbulb_outline', 'lightbulb outline'), ('line_style', 'line style'), ('line_weight', 'line weight'), ('linear_scale', 'linear scale'), ('link', 'link'), ('linked_camera', 'linked camera'), ('list', 'list'), ('live_help', 'live help'), ('live_tv', 'live tv'), ('local_activity', 'local activity'), ('local_airport', 'local airport'), ('local_atm', 'local atm'), ('local_bar', 'local bar'), ('local_cafe', 'local cafe'), ('local_car_wash', 'local car wash'), ('local_convenience_store', 'local convenience store'), ('local_dining', 'local dining'), ('local_drink', 'local drink'), ('local_florist', 'local florist'), ('local_gas_station', 'local gas station'), ('local_grocery_store', 'local grocery store'), ('local_hospital', 'local hospital'), ('local_hotel', 'local hotel'), ('local_laundry_service', 'local laundry service'), ('local_library', 'local library'), ('local_mall', 'local mall'), ('local_movies', 'local movies'), ('local_offer', 'local offer'), ('local_parking', 'local parking'), ('local_pharmacy', 'local pharmacy'), ('local_phone', 'local phone'), ('local_pizza', 'local pizza'), ('local_play', 'local play'), ('local_post_office', 'local post office'), ('local_printshop', 'local printshop'), ('local_see', 'local see'), ('local_shipping', 'local shipping'), ('local_taxi', 'local taxi'), ('location_city', 'location city'), ('location_disabled', 'location disabled'), ('location_off', 'location off'), ('location_on', 'location on'), ('location_searching', 'location searching'), ('lock', 'lock'), ('lock_open', 'lock open'), ('lock_outline', 'lock outline'), ('looks', 'looks'), ('looks_3', 'looks 3'), ('looks_4', 'looks 4'), ('looks_5', 'looks 5'), ('looks_6', 'looks 6'), ('looks_one', 'looks one'), ('looks_two', 'looks two'), ('loop', 'loop'), ('loupe', 'loupe'), ('low_priority', 'low priority'), ('loyalty', 'loyalty'), ('mail', 'mail'), ('mail_outline', 'mail outline'), ('map', 'map'), ('markunread', 'markunread'), ('markunread_mailbox', 'markunread mailbox'), ('memory', 'memory'), ('menu', 'menu'), ('merge_type', 'merge type'), ('message', 'message'), ('mic', 'mic'), ('mic_none', 'mic none'), ('mic_off', 'mic off'), ('mms', 'mms'), ('mode_comment', 'mode comment'), ('mode_edit', 'mode edit'), ('monetization_on', 'monetization on'), ('money_off', 'money off'), ('monochrome_photos', 'monochrome photos'), ('mood', 'mood'), ('mood_bad', 'mood bad'), ('more', 'more'), ('more_horiz', 'more horiz'), ('more_vert', 'more vert'), ('motorcycle', 'motorcycle'), ('mouse', 'mouse'), ('move_to_inbox', 'move to inbox'), ('movie', 'movie'), ('movie_creation', 'movie creation'), ('movie_filter', 'movie filter'), ('multiline_chart', 'multiline chart'), ('music_note', 'music note'), ('music_video', 'music video'), ('my_location', 'my location'), ('nature', 'nature'), ('nature_people', 'nature people'), ('navigate_before', 'navigate before'), ('navigate_next', 'navigate next'), ('navigation', 'navigation'), ('near_me', 'near me'), ('network_cell', 'network cell'), ('network_check', 'network check'), ('network_locked', 'network locked'), ('network_wifi', 'network wifi'), ('new_releases', 'new releases'), ('next_week', 'next week'), ('nfc', 'nfc'), ('no_encryption', 'no encryption'), ('no_sim', 'no sim'), ('not_interested', 'not interested'), ('note', 'note'), ('note_add', 'note add'), ('notifications', 'notifications'), ('notifications_active', 'notifications active'), ('notifications_none', 'notifications none'), ('notifications_off', 'notifications off'), ('notifications_paused', 'notifications paused'), ('offline_pin', 'offline pin'), ('ondemand_video', 'ondemand video'), ('opacity', 'opacity'), ('open_in_browser', 'open in browser'), ('open_in_new', 'open in new'), ('open_with', 'open with'), ('pages', 'pages'), ('pageview', 'pageview'), ('palette', 'palette'), ('pan_tool', 'pan tool'), ('panorama', 'panorama'), ('panorama_fish_eye', 'panorama fish eye'), ('panorama_horizontal', 'panorama horizontal'), ('panorama_vertical', 'panorama vertical'), ('panorama_wide_angle', 'panorama wide angle'), ('party_mode', 'party mode'), ('pause', 'pause'), ('pause_circle_filled', 'pause circle filled'), ('pause_circle_outline', 'pause circle outline'), ('payment', 'payment'), ('people', 'people'), ('people_outline', 'people outline'), ('perm_camera_mic', 'perm camera mic'), ('perm_contact_calendar', 'perm contact calendar'), ('perm_data_setting', 'perm data setting'), ('perm_device_information', 'perm device information'), ('perm_identity', 'perm identity'), ('perm_media', 'perm media'), ('perm_phone_msg', 'perm phone msg'), ('perm_scan_wifi', 'perm scan wifi'), ('person', 'person'), ('person_add', 'person add'), ('person_outline', 'person outline'), ('person_pin', 'person pin'), ('person_pin_circle', 'person pin circle'), ('personal_video', 'personal video'), ('pets', 'pets'), ('phone', 'phone'), ('phone_android', 'phone android'), ('phone_bluetooth_speaker', 'phone bluetooth speaker'), ('phone_forwarded', 'phone forwarded'), ('phone_in_talk', 'phone in talk'), ('phone_iphone', 'phone iphone'), ('phone_locked', 'phone locked'), ('phone_missed', 'phone missed'), ('phone_paused', 'phone paused'), ('phonelink', 'phonelink'), ('phonelink_erase', 'phonelink erase'), ('phonelink_lock', 'phonelink lock'), ('phonelink_off', 'phonelink off'), ('phonelink_ring', 'phonelink ring'), ('phonelink_setup', 'phonelink setup'), ('photo', 'photo'), ('photo_album', 'photo album'), ('photo_camera', 'photo camera'), ('photo_filter', 'photo filter'), ('photo_library', 'photo library'), ('photo_size_select_actual', 'photo size select actual'), ('photo_size_select_large', 'photo size select large'), ('photo_size_select_small', 'photo size select small'), ('picture_as_pdf', 'picture as pdf'), ('picture_in_picture', 'picture in picture'), ('picture_in_picture_alt', 'picture in picture alt'), ('pie_chart', 'pie chart'), ('pie_chart_outlined', 'pie chart outlined'), ('pin_drop', 'pin drop'), ('place', 'place'), ('play_arrow', 'play arrow'), ('play_circle_filled', 'play circle filled'), ('play_circle_outline', 'play circle outline'), ('play_for_work', 'play for work'), ('playlist_add', 'playlist add'), ('playlist_add_check', 'playlist add check'), ('playlist_play', 'playlist play'), ('plus_one', 'plus one'), ('poll', 'poll'), ('polymer', 'polymer'), ('pool', 'pool'), ('portable_wifi_off', 'portable wifi off'), ('portrait', 'portrait'), ('power', 'power'), ('power_input', 'power input'), ('power_settings_new', 'power settings new'), ('pregnant_woman', 'pregnant woman'), ('present_to_all', 'present to all'), ('print', 'print'), ('priority_high', 'priority high'), ('public', 'public'), ('publish', 'publish'), ('query_builder', 'query builder'), ('question_answer', 'question answer'), ('queue', 'queue'), ('queue_music', 'queue music'), ('queue_play_next', 'queue play next'), ('radio', 'radio'), ('radio_button_checked', 'radio button checked'), ('radio_button_unchecked', 'radio button unchecked'), ('rate_review', 'rate review'), ('receipt', 'receipt'), ('recent_actors', 'recent actors'), ('record_voice_over', 'record voice over'), ('redeem', 'redeem'), ('redo', 'redo'), ('refresh', 'refresh'), ('remove', 'remove'), ('remove_circle', 'remove circle'), ('remove_circle_outline', 'remove circle outline'), ('remove_from_queue', 'remove from queue'), ('remove_red_eye', 'remove red eye'), ('remove_shopping_cart', 'remove shopping cart'), ('reorder', 'reorder'), ('repeat', 'repeat'), ('repeat_one', 'repeat one'), ('replay', 'replay'), ('replay_10', 'replay 10'), ('replay_30', 'replay 30'), ('replay_5', 'replay 5'), ('reply', 'reply'), ('reply_all', 'reply all'), ('report', 'report'), ('report_problem', 'report problem'), ('restaurant', 'restaurant'), ('restaurant_menu', 'restaurant menu'), ('restore', 'restore'), ('restore_page', 'restore page'), ('ring_volume', 'ring volume'), ('room', 'room'), ('room_service', 'room service'), ('rotate_90_degrees_ccw', 'rotate 90 degrees ccw'), ('rotate_left', 'rotate left'), ('rotate_right', 'rotate right'), ('rounded_corner', 'rounded corner'), ('router', 'router'), ('rowing', 'rowing'), ('rss_feed', 'rss feed'), ('rv_hookup', 'rv hookup'), ('satellite', 'satellite'), ('save', 'save'), ('scanner', 'scanner'), ('schedule', 'schedule'), ('school', 'school'), ('screen_lock_landscape', 'screen lock landscape'), ('screen_lock_portrait', 'screen lock portrait'), ('screen_lock_rotation', 'screen lock rotation'), ('screen_rotation', 'screen rotation'), ('screen_share', 'screen share'), ('sd_card', 'sd card'), ('sd_storage', 'sd storage'), ('search', 'search'), ('security', 'security'), ('select_all', 'select all'), ('send', 'send'), ('sentiment_dissatisfied', 'sentiment dissatisfied'), ('sentiment_neutral', 'sentiment neutral'), ('sentiment_satisfied', 'sentiment satisfied'), ('sentiment_very_dissatisfied', 'sentiment very dissatisfied'), ('sentiment_very_satisfied', 'sentiment very satisfied'), ('settings', 'settings'), ('settings_applications', 'settings applications'), ('settings_backup_restore', 'settings backup restore'), ('settings_bluetooth', 'settings bluetooth'), ('settings_brightness', 'settings brightness'), ('settings_cell', 'settings cell'), ('settings_ethernet', 'settings ethernet'), ('settings_input_antenna', 'settings input antenna'), ('settings_input_component', 'settings input component'), ('settings_input_composite', 'settings input composite'), ('settings_input_hdmi', 'settings input hdmi'), ('settings_input_svideo', 'settings input svideo'), ('settings_overscan', 'settings overscan'), ('settings_phone', 'settings phone'), ('settings_power', 'settings power'), ('settings_remote', 'settings remote'), ('settings_system_daydream', 'settings system daydream'), ('settings_voice', 'settings voice'), ('share', 'share'), ('shop', 'shop'), ('shop_two', 'shop two'), ('shopping_basket', 'shopping basket'), ('shopping_cart', 'shopping cart'), ('short_text', 'short text'), ('show_chart', 'show chart'), ('shuffle', 'shuffle'), ('signal_cellular_4_bar', 'signal cellular 4 bar'), ('signal_cellular_connected_no_internet_4_bar', 'signal cellular connected no internet 4 bar'), ('signal_cellular_no_sim', 'signal cellular no sim'), ('signal_cellular_null', 'signal cellular null'), ('signal_cellular_off', 'signal cellular off'), ('signal_wifi_4_bar', 'signal wifi 4 bar'), ('signal_wifi_4_bar_lock', 'signal wifi 4 bar lock'), ('signal_wifi_off', 'signal wifi off'), ('sim_card', 'sim card'), ('sim_card_alert', 'sim card alert'), ('skip_next', 'skip next'), ('skip_previous', 'skip previous'), ('slideshow', 'slideshow'), ('slow_motion_video', 'slow motion video'), ('smartphone', 'smartphone'), ('smoke_free', 'smoke free'), ('smoking_rooms', 'smoking rooms'), ('sms', 'sms'), ('sms_failed', 'sms failed'), ('snooze', 'snooze'), ('sort', 'sort'), ('sort_by_alpha', 'sort by alpha'), ('spa', 'spa'), ('space_bar', 'space bar'), ('speaker', 'speaker'), ('speaker_group', 'speaker group'), ('speaker_notes', 'speaker notes'), ('speaker_notes_off', 'speaker notes off'), ('speaker_phone', 'speaker phone'), ('spellcheck', 'spellcheck'), ('star', 'star'), ('star_border', 'star border'), ('star_half', 'star half'), ('stars', 'stars'), ('stay_current_landscape', 'stay current landscape'), ('stay_current_portrait', 'stay current portrait'), ('stay_primary_landscape', 'stay primary landscape'), ('stay_primary_portrait', 'stay primary portrait'), ('stop', 'stop'), ('stop_screen_share', 'stop screen share'), ('storage', 'storage'), ('store', 'store'), ('store_mall_directory', 'store mall directory'), ('straighten', 'straighten'), ('streetview', 'streetview'), ('strikethrough_s', 'strikethrough s'), ('style', 'style'), ('subdirectory_arrow_left', 'subdirectory arrow left'), ('subdirectory_arrow_right', 'subdirectory arrow right'), ('subject', 'subject'), ('subscriptions', 'subscriptions'), ('subtitles', 'subtitles'), ('subway', 'subway'), ('supervisor_account', 'supervisor account'), ('surround_sound', 'surround sound'), ('swap_calls', 'swap calls'), ('swap_horiz', 'swap horiz'), ('swap_vert', 'swap vert'), ('swap_vertical_circle', 'swap vertical circle'), ('switch_camera', 'switch camera'), ('switch_video', 'switch video'), ('sync', 'sync'), ('sync_disabled', 'sync disabled'), ('sync_problem', 'sync problem'), ('system_update', 'system update'), ('system_update_alt', 'system update alt'), ('tab', 'tab'), ('tab_unselected', 'tab unselected'), ('tablet', 'tablet'), ('tablet_android', 'tablet android'), ('tablet_mac', 'tablet mac'), ('tag_faces', 'tag faces'), ('tap_and_play', 'tap and play'), ('terrain', 'terrain'), ('text_fields', 'text fields'), ('text_format', 'text format'), ('textsms', 'textsms'), ('texture', 'texture'), ('theaters', 'theaters'), ('thumb_down', 'thumb down'), ('thumb_up', 'thumb up'), ('thumbs_up_down', 'thumbs up down'), ('time_to_leave', 'time to leave'), ('timelapse', 'timelapse'), ('timeline', 'timeline'), ('timer', 'timer'), ('timer_10', 'timer 10'), ('timer_3', 'timer 3'), ('timer_off', 'timer off'), ('title', 'title'), ('toc', 'toc'), ('today', 'today'), ('toll', 'toll'), ('tonality', 'tonality'), ('touch_app', 'touch app'), ('toys', 'toys'), ('track_changes', 'track changes'), ('traffic', 'traffic'), ('train', 'train'), ('tram', 'tram'), ('transfer_within_a_station', 'transfer within a station'), ('transform', 'transform'), ('translate', 'translate'), ('trending_down', 'trending down'), ('trending_flat', 'trending flat'), ('trending_up', 'trending up'), ('tune', 'tune'), ('turned_in', 'turned in'), ('turned_in_not', 'turned in not'), ('tv', 'tv'), ('unarchive', 'unarchive'), ('undo', 'undo'), ('unfold_less', 'unfold less'), ('unfold_more', 'unfold more'), ('update', 'update'), ('usb', 'usb'), ('verified_user', 'verified user'), ('vertical_align_bottom', 'vertical align bottom'), ('vertical_align_center', 'vertical align center'), ('vertical_align_top', 'vertical align top'), ('vibration', 'vibration'), ('video_call', 'video call'), ('video_label', 'video label'), ('video_library', 'video library'), ('videocam', 'videocam'), ('videocam_off', 'videocam off'), ('videogame_asset', 'videogame asset'), ('view_agenda', 'view agenda'), ('view_array', 'view array'), ('view_carousel', 'view carousel'), ('view_column', 'view column'), ('view_comfy', 'view comfy'), ('view_compact', 'view compact'), ('view_day', 'view day'), ('view_headline', 'view headline'), ('view_list', 'view list'), ('view_module', 'view module'), ('view_quilt', 'view quilt'), ('view_stream', 'view stream'), ('view_week', 'view week'), ('vignette', 'vignette'), ('visibility', 'visibility'), ('visibility_off', 'visibility off'), ('voice_chat', 'voice chat'), ('voicemail', 'voicemail'), ('volume_down', 'volume down'), ('volume_mute', 'volume mute'), ('volume_off', 'volume off'), ('volume_up', 'volume up'), ('vpn_key', 'vpn key'), ('vpn_lock', 'vpn lock'), ('wallpaper', 'wallpaper'), ('warning', 'warning'), ('watch', 'watch'), ('watch_later', 'watch later'), ('wb_auto', 'wb auto'), ('wb_cloudy', 'wb cloudy'), ('wb_incandescent', 'wb incandescent'), ('wb_iridescent', 'wb iridescent'), ('wb_sunny', 'wb sunny'), ('wc', 'wc'), ('web', 'web'), ('web_asset', 'web asset'), ('weekend', 'weekend'), ('whatshot', 'whatshot'), ('widgets', 'widgets'), ('wifi', 'wifi'), ('wifi_lock', 'wifi lock'), ('wifi_tethering', 'wifi tethering'), ('work', 'work'), ('wrap_text', 'wrap text'), ('youtube_searched_for', 'youtube searched for'), ('zoom_in', 'zoom in'), ('zoom_out', 'zoom out'), ('zoom_out_map', 'zoom out map')], label='Icon')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')], label='Size', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], label='Background Color', required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], label='Icon Color', required=False))))), ('url_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('bookmark_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('page_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('document_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('image_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('h1', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h2', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h3', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h4', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h5', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h6', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))), ('card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('panel_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('image_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_horizontal_style', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use horizontal style', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('reveal_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('reveal_contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),), label='Reveal contents')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_sticky_action', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use sticky action', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))), ('promotedicon', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('icon', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('3d_rotation', '3d rotation'), ('ac_unit', 'ac unit'), ('access_alarm', 'access alarm'), ('access_alarms', 'access alarms'), ('access_time', 'access time'), ('accessibility', 'accessibility'), ('accessible', 'accessible'), ('account_balance', 'account balance'), ('account_balance_wallet', 'account balance wallet'), ('account_box', 'account box'), ('account_circle', 'account circle'), ('adb', 'adb'), ('add', 'add'), ('add_a_photo', 'add a photo'), ('add_alarm', 'add alarm'), ('add_alert', 'add alert'), ('add_box', 'add box'), ('add_circle', 'add circle'), ('add_circle_outline', 'add circle outline'), ('add_location', 'add location'), ('add_shopping_cart', 'add shopping cart'), ('add_to_photos', 'add to photos'), ('add_to_queue', 'add to queue'), ('adjust', 'adjust'), ('airline_seat_flat', 'airline seat flat'), ('airline_seat_flat_angled', 'airline seat flat angled'), ('airline_seat_individual_suite', 'airline seat individual suite'), ('airline_seat_legroom_extra', 'airline seat legroom extra'), ('airline_seat_legroom_normal', 'airline seat legroom normal'), ('airline_seat_legroom_reduced', 'airline seat legroom reduced'), ('airline_seat_recline_extra', 'airline seat recline extra'), ('airline_seat_recline_normal', 'airline seat recline normal'), ('airplanemode_active', 'airplanemode active'), ('airplanemode_inactive', 'airplanemode inactive'), ('airplay', 'airplay'), ('airport_shuttle', 'airport shuttle'), ('alarm', 'alarm'), ('alarm_add', 'alarm add'), ('alarm_off', 'alarm off'), ('alarm_on', 'alarm on'), ('album', 'album'), ('all_inclusive', 'all inclusive'), ('all_out', 'all out'), ('android', 'android'), ('announcement', 'announcement'), ('apps', 'apps'), ('archive', 'archive'), ('arrow_back', 'arrow back'), ('arrow_downward', 'arrow downward'), ('arrow_drop_down', 'arrow drop down'), ('arrow_drop_down_circle', 'arrow drop down circle'), ('arrow_drop_up', 'arrow drop up'), ('arrow_forward', 'arrow forward'), ('arrow_upward', 'arrow upward'), ('art_track', 'art track'), ('aspect_ratio', 'aspect ratio'), ('assessment', 'assessment'), ('assignment', 'assignment'), ('assignment_ind', 'assignment ind'), ('assignment_late', 'assignment late'), ('assignment_return', 'assignment return'), ('assignment_returned', 'assignment returned'), ('assignment_turned_in', 'assignment turned in'), ('assistant', 'assistant'), ('assistant_photo', 'assistant photo'), ('attach_file', 'attach file'), ('attach_money', 'attach money'), ('attachment', 'attachment'), ('audiotrack', 'audiotrack'), ('autorenew', 'autorenew'), ('av_timer', 'av timer'), ('backspace', 'backspace'), ('backup', 'backup'), ('battery_alert', 'battery alert'), ('battery_charging_full', 'battery charging full'), ('battery_full', 'battery full'), ('battery_std', 'battery std'), ('battery_unknown', 'battery unknown'), ('beach_access', 'beach access'), ('beenhere', 'beenhere'), ('block', 'block'), ('bluetooth', 'bluetooth'), ('bluetooth_audio', 'bluetooth audio'), ('bluetooth_connected', 'bluetooth connected'), ('bluetooth_disabled', 'bluetooth disabled'), ('bluetooth_searching', 'bluetooth searching'), ('blur_circular', 'blur circular'), ('blur_linear', 'blur linear'), ('blur_off', 'blur off'), ('blur_on', 'blur on'), ('book', 'book'), ('bookmark', 'bookmark'), ('bookmark_border', 'bookmark border'), ('border_all', 'border all'), ('border_bottom', 'border bottom'), ('border_clear', 'border clear'), ('border_color', 'border color'), ('border_horizontal', 'border horizontal'), ('border_inner', 'border inner'), ('border_left', 'border left'), ('border_outer', 'border outer'), ('border_right', 'border right'), ('border_style', 'border style'), ('border_top', 'border top'), ('border_vertical', 'border vertical'), ('branding_watermark', 'branding watermark'), ('brightness_1', 'brightness 1'), ('brightness_2', 'brightness 2'), ('brightness_3', 'brightness 3'), ('brightness_4', 'brightness 4'), ('brightness_5', 'brightness 5'), ('brightness_6', 'brightness 6'), ('brightness_7', 'brightness 7'), ('brightness_auto', 'brightness auto'), ('brightness_high', 'brightness high'), ('brightness_low', 'brightness low'), ('brightness_medium', 'brightness medium'), ('broken_image', 'broken image'), ('brush', 'brush'), ('bubble_chart', 'bubble chart'), ('bug_report', 'bug report'), ('build', 'build'), ('burst_mode', 'burst mode'), ('business', 'business'), ('business_center', 'business center'), ('cached', 'cached'), ('cake', 'cake'), ('call', 'call'), ('call_end', 'call end'), ('call_made', 'call made'), ('call_merge', 'call merge'), ('call_missed', 'call missed'), ('call_missed_outgoing', 'call missed outgoing'), ('call_received', 'call received'), ('call_split', 'call split'), ('call_to_action', 'call to action'), ('camera', 'camera'), ('camera_alt', 'camera alt'), ('camera_enhance', 'camera enhance'), ('camera_front', 'camera front'), ('camera_rear', 'camera rear'), ('camera_roll', 'camera roll'), ('cancel', 'cancel'), ('card_giftcard', 'card giftcard'), ('card_membership', 'card membership'), ('card_travel', 'card travel'), ('casino', 'casino'), ('cast', 'cast'), ('cast_connected', 'cast connected'), ('center_focus_strong', 'center focus strong'), ('center_focus_weak', 'center focus weak'), ('change_history', 'change history'), ('chat', 'chat'), ('chat_bubble', 'chat bubble'), ('chat_bubble_outline', 'chat bubble outline'), ('check', 'check'), ('check_box', 'check box'), ('check_box_outline_blank', 'check box outline blank'), ('check_circle', 'check circle'), ('chevron_left', 'chevron left'), ('chevron_right', 'chevron right'), ('child_care', 'child care'), ('child_friendly', 'child friendly'), ('chrome_reader_mode', 'chrome reader mode'), ('class', 'class'), ('clear', 'clear'), ('clear_all', 'clear all'), ('close', 'close'), ('closed_caption', 'closed caption'), ('cloud', 'cloud'), ('cloud_circle', 'cloud circle'), ('cloud_done', 'cloud done'), ('cloud_download', 'cloud download'), ('cloud_off', 'cloud off'), ('cloud_queue', 'cloud queue'), ('cloud_upload', 'cloud upload'), ('code', 'code'), ('collections', 'collections'), ('collections_bookmark', 'collections bookmark'), ('color_lens', 'color lens'), ('colorize', 'colorize'), ('comment', 'comment'), ('compare', 'compare'), ('compare_arrows', 'compare arrows'), ('computer', 'computer'), ('confirmation_number', 'confirmation number'), ('contact_mail', 'contact mail'), ('contact_phone', 'contact phone'), ('contacts', 'contacts'), ('content_copy', 'content copy'), ('content_cut', 'content cut'), ('content_paste', 'content paste'), ('control_point', 'control point'), ('control_point_duplicate', 'control point duplicate'), ('copyright', 'copyright'), ('create', 'create'), ('create_new_folder', 'create new folder'), ('credit_card', 'credit card'), ('crop', 'crop'), ('crop_16_9', 'crop 16 9'), ('crop_3_2', 'crop 3 2'), ('crop_5_4', 'crop 5 4'), ('crop_7_5', 'crop 7 5'), ('crop_din', 'crop din'), ('crop_free', 'crop free'), ('crop_landscape', 'crop landscape'), ('crop_original', 'crop original'), ('crop_portrait', 'crop portrait'), ('crop_rotate', 'crop rotate'), ('crop_square', 'crop square'), ('dashboard', 'dashboard'), ('data_usage', 'data usage'), ('date_range', 'date range'), ('dehaze', 'dehaze'), ('delete', 'delete'), ('delete_forever', 'delete forever'), ('delete_sweep', 'delete sweep'), ('description', 'description'), ('desktop_mac', 'desktop mac'), ('desktop_windows', 'desktop windows'), ('details', 'details'), ('developer_board', 'developer board'), ('developer_mode', 'developer mode'), ('device_hub', 'device hub'), ('devices', 'devices'), ('devices_other', 'devices other'), ('dialer_sip', 'dialer sip'), ('dialpad', 'dialpad'), ('directions', 'directions'), ('directions_bike', 'directions bike'), ('directions_boat', 'directions boat'), ('directions_bus', 'directions bus'), ('directions_car', 'directions car'), ('directions_railway', 'directions railway'), ('directions_run', 'directions run'), ('directions_subway', 'directions subway'), ('directions_transit', 'directions transit'), ('directions_walk', 'directions walk'), ('disc_full', 'disc full'), ('dns', 'dns'), ('do_not_disturb', 'do not disturb'), ('do_not_disturb_alt', 'do not disturb alt'), ('do_not_disturb_off', 'do not disturb off'), ('do_not_disturb_on', 'do not disturb on'), ('dock', 'dock'), ('domain', 'domain'), ('done', 'done'), ('done_all', 'done all'), ('donut_large', 'donut large'), ('donut_small', 'donut small'), ('drafts', 'drafts'), ('drag_handle', 'drag handle'), ('drive_eta', 'drive eta'), ('dvr', 'dvr'), ('edit', 'edit'), ('edit_location', 'edit location'), ('eject', 'eject'), ('email', 'email'), ('enhanced_encryption', 'enhanced encryption'), ('equalizer', 'equalizer'), ('error', 'error'), ('error_outline', 'error outline'), ('euro_symbol', 'euro symbol'), ('ev_station', 'ev station'), ('event', 'event'), ('event_available', 'event available'), ('event_busy', 'event busy'), ('event_note', 'event note'), ('event_seat', 'event seat'), ('exit_to_app', 'exit to app'), ('expand_less', 'expand less'), ('expand_more', 'expand more'), ('explicit', 'explicit'), ('explore', 'explore'), ('exposure', 'exposure'), ('exposure_neg_1', 'exposure neg 1'), ('exposure_neg_2', 'exposure neg 2'), ('exposure_plus_1', 'exposure plus 1'), ('exposure_plus_2', 'exposure plus 2'), ('exposure_zero', 'exposure zero'), ('extension', 'extension'), ('face', 'face'), ('fast_forward', 'fast forward'), ('fast_rewind', 'fast rewind'), ('favorite', 'favorite'), ('favorite_border', 'favorite border'), ('featured_play_list', 'featured play list'), ('featured_video', 'featured video'), ('feedback', 'feedback'), ('fiber_dvr', 'fiber dvr'), ('fiber_manual_record', 'fiber manual record'), ('fiber_new', 'fiber new'), ('fiber_pin', 'fiber pin'), ('fiber_smart_record', 'fiber smart record'), ('file_download', 'file download'), ('file_upload', 'file upload'), ('filter', 'filter'), ('filter_1', 'filter 1'), ('filter_2', 'filter 2'), ('filter_3', 'filter 3'), ('filter_4', 'filter 4'), ('filter_5', 'filter 5'), ('filter_6', 'filter 6'), ('filter_7', 'filter 7'), ('filter_8', 'filter 8'), ('filter_9', 'filter 9'), ('filter_9_plus', 'filter 9 plus'), ('filter_b_and_w', 'filter b and w'), ('filter_center_focus', 'filter center focus'), ('filter_drama', 'filter drama'), ('filter_frames', 'filter frames'), ('filter_hdr', 'filter hdr'), ('filter_list', 'filter list'), ('filter_none', 'filter none'), ('filter_tilt_shift', 'filter tilt shift'), ('filter_vintage', 'filter vintage'), ('find_in_page', 'find in page'), ('find_replace', 'find replace'), ('fingerprint', 'fingerprint'), ('first_page', 'first page'), ('fitness_center', 'fitness center'), ('flag', 'flag'), ('flare', 'flare'), ('flash_auto', 'flash auto'), ('flash_off', 'flash off'), ('flash_on', 'flash on'), ('flight', 'flight'), ('flight_land', 'flight land'), ('flight_takeoff', 'flight takeoff'), ('flip', 'flip'), ('flip_to_back', 'flip to back'), ('flip_to_front', 'flip to front'), ('folder', 'folder'), ('folder_open', 'folder open'), ('folder_shared', 'folder shared'), ('folder_special', 'folder special'), ('font_download', 'font download'), ('format_align_center', 'format align center'), ('format_align_justify', 'format align justify'), ('format_align_left', 'format align left'), ('format_align_right', 'format align right'), ('format_bold', 'format bold'), ('format_clear', 'format clear'), ('format_color_fill', 'format color fill'), ('format_color_reset', 'format color reset'), ('format_color_text', 'format color text'), ('format_indent_decrease', 'format indent decrease'), ('format_indent_increase', 'format indent increase'), ('format_italic', 'format italic'), ('format_line_spacing', 'format line spacing'), ('format_list_bulleted', 'format list bulleted'), ('format_list_numbered', 'format list numbered'), ('format_paint', 'format paint'), ('format_quote', 'format quote'), ('format_shapes', 'format shapes'), ('format_size', 'format size'), ('format_strikethrough', 'format strikethrough'), ('format_textdirection_l_to_r', 'format textdirection l to r'), ('format_textdirection_r_to_l', 'format textdirection r to l'), ('format_underlined', 'format underlined'), ('forum', 'forum'), ('forward', 'forward'), ('forward_10', 'forward 10'), ('forward_30', 'forward 30'), ('forward_5', 'forward 5'), ('free_breakfast', 'free breakfast'), ('fullscreen', 'fullscreen'), ('fullscreen_exit', 'fullscreen exit'), ('functions', 'functions'), ('g_translate', 'g translate'), ('gamepad', 'gamepad'), ('games', 'games'), ('gavel', 'gavel'), ('gesture', 'gesture'), ('get_app', 'get app'), ('gif', 'gif'), ('golf_course', 'golf course'), ('gps_fixed', 'gps fixed'), ('gps_not_fixed', 'gps not fixed'), ('gps_off', 'gps off'), ('grade', 'grade'), ('gradient', 'gradient'), ('grain', 'grain'), ('graphic_eq', 'graphic eq'), ('grid_off', 'grid off'), ('grid_on', 'grid on'), ('group', 'group'), ('group_add', 'group add'), ('group_work', 'group work'), ('hd', 'hd'), ('hdr_off', 'hdr off'), ('hdr_on', 'hdr on'), ('hdr_strong', 'hdr strong'), ('hdr_weak', 'hdr weak'), ('headset', 'headset'), ('headset_mic', 'headset mic'), ('healing', 'healing'), ('hearing', 'hearing'), ('help', 'help'), ('help_outline', 'help outline'), ('high_quality', 'high quality'), ('highlight', 'highlight'), ('highlight_off', 'highlight off'), ('history', 'history'), ('home', 'home'), ('hot_tub', 'hot tub'), ('hotel', 'hotel'), ('hourglass_empty', 'hourglass empty'), ('hourglass_full', 'hourglass full'), ('http', 'http'), ('https', 'https'), ('image', 'image'), ('image_aspect_ratio', 'image aspect ratio'), ('import_contacts', 'import contacts'), ('import_export', 'import export'), ('important_devices', 'important devices'), ('inbox', 'inbox'), ('indeterminate_check_box', 'indeterminate check box'), ('info', 'info'), ('info_outline', 'info outline'), ('input', 'input'), ('insert_chart', 'insert chart'), ('insert_comment', 'insert comment'), ('insert_drive_file', 'insert drive file'), ('insert_emoticon', 'insert emoticon'), ('insert_invitation', 'insert invitation'), ('insert_link', 'insert link'), ('insert_photo', 'insert photo'), ('invert_colors', 'invert colors'), ('invert_colors_off', 'invert colors off'), ('iso', 'iso'), ('keyboard', 'keyboard'), ('keyboard_arrow_down', 'keyboard arrow down'), ('keyboard_arrow_left', 'keyboard arrow left'), ('keyboard_arrow_right', 'keyboard arrow right'), ('keyboard_arrow_up', 'keyboard arrow up'), ('keyboard_backspace', 'keyboard backspace'), ('keyboard_capslock', 'keyboard capslock'), ('keyboard_hide', 'keyboard hide'), ('keyboard_return', 'keyboard return'), ('keyboard_tab', 'keyboard tab'), ('keyboard_voice', 'keyboard voice'), ('kitchen', 'kitchen'), ('label', 'label'), ('label_outline', 'label outline'), ('landscape', 'landscape'), ('language', 'language'), ('laptop', 'laptop'), ('laptop_chromebook', 'laptop chromebook'), ('laptop_mac', 'laptop mac'), ('laptop_windows', 'laptop windows'), ('last_page', 'last page'), ('launch', 'launch'), ('layers', 'layers'), ('layers_clear', 'layers clear'), ('leak_add', 'leak add'), ('leak_remove', 'leak remove'), ('lens', 'lens'), ('library_add', 'library add'), ('library_books', 'library books'), ('library_music', 'library music'), ('lightbulb_outline', 'lightbulb outline'), ('line_style', 'line style'), ('line_weight', 'line weight'), ('linear_scale', 'linear scale'), ('link', 'link'), ('linked_camera', 'linked camera'), ('list', 'list'), ('live_help', 'live help'), ('live_tv', 'live tv'), ('local_activity', 'local activity'), ('local_airport', 'local airport'), ('local_atm', 'local atm'), ('local_bar', 'local bar'), ('local_cafe', 'local cafe'), ('local_car_wash', 'local car wash'), ('local_convenience_store', 'local convenience store'), ('local_dining', 'local dining'), ('local_drink', 'local drink'), ('local_florist', 'local florist'), ('local_gas_station', 'local gas station'), ('local_grocery_store', 'local grocery store'), ('local_hospital', 'local hospital'), ('local_hotel', 'local hotel'), ('local_laundry_service', 'local laundry service'), ('local_library', 'local library'), ('local_mall', 'local mall'), ('local_movies', 'local movies'), ('local_offer', 'local offer'), ('local_parking', 'local parking'), ('local_pharmacy', 'local pharmacy'), ('local_phone', 'local phone'), ('local_pizza', 'local pizza'), ('local_play', 'local play'), ('local_post_office', 'local post office'), ('local_printshop', 'local printshop'), ('local_see', 'local see'), ('local_shipping', 'local shipping'), ('local_taxi', 'local taxi'), ('location_city', 'location city'), ('location_disabled', 'location disabled'), ('location_off', 'location off'), ('location_on', 'location on'), ('location_searching', 'location searching'), ('lock', 'lock'), ('lock_open', 'lock open'), ('lock_outline', 'lock outline'), ('looks', 'looks'), ('looks_3', 'looks 3'), ('looks_4', 'looks 4'), ('looks_5', 'looks 5'), ('looks_6', 'looks 6'), ('looks_one', 'looks one'), ('looks_two', 'looks two'), ('loop', 'loop'), ('loupe', 'loupe'), ('low_priority', 'low priority'), ('loyalty', 'loyalty'), ('mail', 'mail'), ('mail_outline', 'mail outline'), ('map', 'map'), ('markunread', 'markunread'), ('markunread_mailbox', 'markunread mailbox'), ('memory', 'memory'), ('menu', 'menu'), ('merge_type', 'merge type'), ('message', 'message'), ('mic', 'mic'), ('mic_none', 'mic none'), ('mic_off', 'mic off'), ('mms', 'mms'), ('mode_comment', 'mode comment'), ('mode_edit', 'mode edit'), ('monetization_on', 'monetization on'), ('money_off', 'money off'), ('monochrome_photos', 'monochrome photos'), ('mood', 'mood'), ('mood_bad', 'mood bad'), ('more', 'more'), ('more_horiz', 'more horiz'), ('more_vert', 'more vert'), ('motorcycle', 'motorcycle'), ('mouse', 'mouse'), ('move_to_inbox', 'move to inbox'), ('movie', 'movie'), ('movie_creation', 'movie creation'), ('movie_filter', 'movie filter'), ('multiline_chart', 'multiline chart'), ('music_note', 'music note'), ('music_video', 'music video'), ('my_location', 'my location'), ('nature', 'nature'), ('nature_people', 'nature people'), ('navigate_before', 'navigate before'), ('navigate_next', 'navigate next'), ('navigation', 'navigation'), ('near_me', 'near me'), ('network_cell', 'network cell'), ('network_check', 'network check'), ('network_locked', 'network locked'), ('network_wifi', 'network wifi'), ('new_releases', 'new releases'), ('next_week', 'next week'), ('nfc', 'nfc'), ('no_encryption', 'no encryption'), ('no_sim', 'no sim'), ('not_interested', 'not interested'), ('note', 'note'), ('note_add', 'note add'), ('notifications', 'notifications'), ('notifications_active', 'notifications active'), ('notifications_none', 'notifications none'), ('notifications_off', 'notifications off'), ('notifications_paused', 'notifications paused'), ('offline_pin', 'offline pin'), ('ondemand_video', 'ondemand video'), ('opacity', 'opacity'), ('open_in_browser', 'open in browser'), ('open_in_new', 'open in new'), ('open_with', 'open with'), ('pages', 'pages'), ('pageview', 'pageview'), ('palette', 'palette'), ('pan_tool', 'pan tool'), ('panorama', 'panorama'), ('panorama_fish_eye', 'panorama fish eye'), ('panorama_horizontal', 'panorama horizontal'), ('panorama_vertical', 'panorama vertical'), ('panorama_wide_angle', 'panorama wide angle'), ('party_mode', 'party mode'), ('pause', 'pause'), ('pause_circle_filled', 'pause circle filled'), ('pause_circle_outline', 'pause circle outline'), ('payment', 'payment'), ('people', 'people'), ('people_outline', 'people outline'), ('perm_camera_mic', 'perm camera mic'), ('perm_contact_calendar', 'perm contact calendar'), ('perm_data_setting', 'perm data setting'), ('perm_device_information', 'perm device information'), ('perm_identity', 'perm identity'), ('perm_media', 'perm media'), ('perm_phone_msg', 'perm phone msg'), ('perm_scan_wifi', 'perm scan wifi'), ('person', 'person'), ('person_add', 'person add'), ('person_outline', 'person outline'), ('person_pin', 'person pin'), ('person_pin_circle', 'person pin circle'), ('personal_video', 'personal video'), ('pets', 'pets'), ('phone', 'phone'), ('phone_android', 'phone android'), ('phone_bluetooth_speaker', 'phone bluetooth speaker'), ('phone_forwarded', 'phone forwarded'), ('phone_in_talk', 'phone in talk'), ('phone_iphone', 'phone iphone'), ('phone_locked', 'phone locked'), ('phone_missed', 'phone missed'), ('phone_paused', 'phone paused'), ('phonelink', 'phonelink'), ('phonelink_erase', 'phonelink erase'), ('phonelink_lock', 'phonelink lock'), ('phonelink_off', 'phonelink off'), ('phonelink_ring', 'phonelink ring'), ('phonelink_setup', 'phonelink setup'), ('photo', 'photo'), ('photo_album', 'photo album'), ('photo_camera', 'photo camera'), ('photo_filter', 'photo filter'), ('photo_library', 'photo library'), ('photo_size_select_actual', 'photo size select actual'), ('photo_size_select_large', 'photo size select large'), ('photo_size_select_small', 'photo size select small'), ('picture_as_pdf', 'picture as pdf'), ('picture_in_picture', 'picture in picture'), ('picture_in_picture_alt', 'picture in picture alt'), ('pie_chart', 'pie chart'), ('pie_chart_outlined', 'pie chart outlined'), ('pin_drop', 'pin drop'), ('place', 'place'), ('play_arrow', 'play arrow'), ('play_circle_filled', 'play circle filled'), ('play_circle_outline', 'play circle outline'), ('play_for_work', 'play for work'), ('playlist_add', 'playlist add'), ('playlist_add_check', 'playlist add check'), ('playlist_play', 'playlist play'), ('plus_one', 'plus one'), ('poll', 'poll'), ('polymer', 'polymer'), ('pool', 'pool'), ('portable_wifi_off', 'portable wifi off'), ('portrait', 'portrait'), ('power', 'power'), ('power_input', 'power input'), ('power_settings_new', 'power settings new'), ('pregnant_woman', 'pregnant woman'), ('present_to_all', 'present to all'), ('print', 'print'), ('priority_high', 'priority high'), ('public', 'public'), ('publish', 'publish'), ('query_builder', 'query builder'), ('question_answer', 'question answer'), ('queue', 'queue'), ('queue_music', 'queue music'), ('queue_play_next', 'queue play next'), ('radio', 'radio'), ('radio_button_checked', 'radio button checked'), ('radio_button_unchecked', 'radio button unchecked'), ('rate_review', 'rate review'), ('receipt', 'receipt'), ('recent_actors', 'recent actors'), ('record_voice_over', 'record voice over'), ('redeem', 'redeem'), ('redo', 'redo'), ('refresh', 'refresh'), ('remove', 'remove'), ('remove_circle', 'remove circle'), ('remove_circle_outline', 'remove circle outline'), ('remove_from_queue', 'remove from queue'), ('remove_red_eye', 'remove red eye'), ('remove_shopping_cart', 'remove shopping cart'), ('reorder', 'reorder'), ('repeat', 'repeat'), ('repeat_one', 'repeat one'), ('replay', 'replay'), ('replay_10', 'replay 10'), ('replay_30', 'replay 30'), ('replay_5', 'replay 5'), ('reply', 'reply'), ('reply_all', 'reply all'), ('report', 'report'), ('report_problem', 'report problem'), ('restaurant', 'restaurant'), ('restaurant_menu', 'restaurant menu'), ('restore', 'restore'), ('restore_page', 'restore page'), ('ring_volume', 'ring volume'), ('room', 'room'), ('room_service', 'room service'), ('rotate_90_degrees_ccw', 'rotate 90 degrees ccw'), ('rotate_left', 'rotate left'), ('rotate_right', 'rotate right'), ('rounded_corner', 'rounded corner'), ('router', 'router'), ('rowing', 'rowing'), ('rss_feed', 'rss feed'), ('rv_hookup', 'rv hookup'), ('satellite', 'satellite'), ('save', 'save'), ('scanner', 'scanner'), ('schedule', 'schedule'), ('school', 'school'), ('screen_lock_landscape', 'screen lock landscape'), ('screen_lock_portrait', 'screen lock portrait'), ('screen_lock_rotation', 'screen lock rotation'), ('screen_rotation', 'screen rotation'), ('screen_share', 'screen share'), ('sd_card', 'sd card'), ('sd_storage', 'sd storage'), ('search', 'search'), ('security', 'security'), ('select_all', 'select all'), ('send', 'send'), ('sentiment_dissatisfied', 'sentiment dissatisfied'), ('sentiment_neutral', 'sentiment neutral'), ('sentiment_satisfied', 'sentiment satisfied'), ('sentiment_very_dissatisfied', 'sentiment very dissatisfied'), ('sentiment_very_satisfied', 'sentiment very satisfied'), ('settings', 'settings'), ('settings_applications', 'settings applications'), ('settings_backup_restore', 'settings backup restore'), ('settings_bluetooth', 'settings bluetooth'), ('settings_brightness', 'settings brightness'), ('settings_cell', 'settings cell'), ('settings_ethernet', 'settings ethernet'), ('settings_input_antenna', 'settings input antenna'), ('settings_input_component', 'settings input component'), ('settings_input_composite', 'settings input composite'), ('settings_input_hdmi', 'settings input hdmi'), ('settings_input_svideo', 'settings input svideo'), ('settings_overscan', 'settings overscan'), ('settings_phone', 'settings phone'), ('settings_power', 'settings power'), ('settings_remote', 'settings remote'), ('settings_system_daydream', 'settings system daydream'), ('settings_voice', 'settings voice'), ('share', 'share'), ('shop', 'shop'), ('shop_two', 'shop two'), ('shopping_basket', 'shopping basket'), ('shopping_cart', 'shopping cart'), ('short_text', 'short text'), ('show_chart', 'show chart'), ('shuffle', 'shuffle'), ('signal_cellular_4_bar', 'signal cellular 4 bar'), ('signal_cellular_connected_no_internet_4_bar', 'signal cellular connected no internet 4 bar'), ('signal_cellular_no_sim', 'signal cellular no sim'), ('signal_cellular_null', 'signal cellular null'), ('signal_cellular_off', 'signal cellular off'), ('signal_wifi_4_bar', 'signal wifi 4 bar'), ('signal_wifi_4_bar_lock', 'signal wifi 4 bar lock'), ('signal_wifi_off', 'signal wifi off'), ('sim_card', 'sim card'), ('sim_card_alert', 'sim card alert'), ('skip_next', 'skip next'), ('skip_previous', 'skip previous'), ('slideshow', 'slideshow'), ('slow_motion_video', 'slow motion video'), ('smartphone', 'smartphone'), ('smoke_free', 'smoke free'), ('smoking_rooms', 'smoking rooms'), ('sms', 'sms'), ('sms_failed', 'sms failed'), ('snooze', 'snooze'), ('sort', 'sort'), ('sort_by_alpha', 'sort by alpha'), ('spa', 'spa'), ('space_bar', 'space bar'), ('speaker', 'speaker'), ('speaker_group', 'speaker group'), ('speaker_notes', 'speaker notes'), ('speaker_notes_off', 'speaker notes off'), ('speaker_phone', 'speaker phone'), ('spellcheck', 'spellcheck'), ('star', 'star'), ('star_border', 'star border'), ('star_half', 'star half'), ('stars', 'stars'), ('stay_current_landscape', 'stay current landscape'), ('stay_current_portrait', 'stay current portrait'), ('stay_primary_landscape', 'stay primary landscape'), ('stay_primary_portrait', 'stay primary portrait'), ('stop', 'stop'), ('stop_screen_share', 'stop screen share'), ('storage', 'storage'), ('store', 'store'), ('store_mall_directory', 'store mall directory'), ('straighten', 'straighten'), ('streetview', 'streetview'), ('strikethrough_s', 'strikethrough s'), ('style', 'style'), ('subdirectory_arrow_left', 'subdirectory arrow left'), ('subdirectory_arrow_right', 'subdirectory arrow right'), ('subject', 'subject'), ('subscriptions', 'subscriptions'), ('subtitles', 'subtitles'), ('subway', 'subway'), ('supervisor_account', 'supervisor account'), ('surround_sound', 'surround sound'), ('swap_calls', 'swap calls'), ('swap_horiz', 'swap horiz'), ('swap_vert', 'swap vert'), ('swap_vertical_circle', 'swap vertical circle'), ('switch_camera', 'switch camera'), ('switch_video', 'switch video'), ('sync', 'sync'), ('sync_disabled', 'sync disabled'), ('sync_problem', 'sync problem'), ('system_update', 'system update'), ('system_update_alt', 'system update alt'), ('tab', 'tab'), ('tab_unselected', 'tab unselected'), ('tablet', 'tablet'), ('tablet_android', 'tablet android'), ('tablet_mac', 'tablet mac'), ('tag_faces', 'tag faces'), ('tap_and_play', 'tap and play'), ('terrain', 'terrain'), ('text_fields', 'text fields'), ('text_format', 'text format'), ('textsms', 'textsms'), ('texture', 'texture'), ('theaters', 'theaters'), ('thumb_down', 'thumb down'), ('thumb_up', 'thumb up'), ('thumbs_up_down', 'thumbs up down'), ('time_to_leave', 'time to leave'), ('timelapse', 'timelapse'), ('timeline', 'timeline'), ('timer', 'timer'), ('timer_10', 'timer 10'), ('timer_3', 'timer 3'), ('timer_off', 'timer off'), ('title', 'title'), ('toc', 'toc'), ('today', 'today'), ('toll', 'toll'), ('tonality', 'tonality'), ('touch_app', 'touch app'), ('toys', 'toys'), ('track_changes', 'track changes'), ('traffic', 'traffic'), ('train', 'train'), ('tram', 'tram'), ('transfer_within_a_station', 'transfer within a station'), ('transform', 'transform'), ('translate', 'translate'), ('trending_down', 'trending down'), ('trending_flat', 'trending flat'), ('trending_up', 'trending up'), ('tune', 'tune'), ('turned_in', 'turned in'), ('turned_in_not', 'turned in not'), ('tv', 'tv'), ('unarchive', 'unarchive'), ('undo', 'undo'), ('unfold_less', 'unfold less'), ('unfold_more', 'unfold more'), ('update', 'update'), ('usb', 'usb'), ('verified_user', 'verified user'), ('vertical_align_bottom', 'vertical align bottom'), ('vertical_align_center', 'vertical align center'), ('vertical_align_top', 'vertical align top'), ('vibration', 'vibration'), ('video_call', 'video call'), ('video_label', 'video label'), ('video_library', 'video library'), ('videocam', 'videocam'), ('videocam_off', 'videocam off'), ('videogame_asset', 'videogame asset'), ('view_agenda', 'view agenda'), ('view_array', 'view array'), ('view_carousel', 'view carousel'), ('view_column', 'view column'), ('view_comfy', 'view comfy'), ('view_compact', 'view compact'), ('view_day', 'view day'), ('view_headline', 'view headline'), ('view_list', 'view list'), ('view_module', 'view module'), ('view_quilt', 'view quilt'), ('view_stream', 'view stream'), ('view_week', 'view week'), ('vignette', 'vignette'), ('visibility', 'visibility'), ('visibility_off', 'visibility off'), ('voice_chat', 'voice chat'), ('voicemail', 'voicemail'), ('volume_down', 'volume down'), ('volume_mute', 'volume mute'), ('volume_off', 'volume off'), ('volume_up', 'volume up'), ('vpn_key', 'vpn key'), ('vpn_lock', 'vpn lock'), ('wallpaper', 'wallpaper'), ('warning', 'warning'), ('watch', 'watch'), ('watch_later', 'watch later'), ('wb_auto', 'wb auto'), ('wb_cloudy', 'wb cloudy'), ('wb_incandescent', 'wb incandescent'), ('wb_iridescent', 'wb iridescent'), ('wb_sunny', 'wb sunny'), ('wc', 'wc'), ('web', 'web'), ('web_asset', 'web asset'), ('weekend', 'weekend'), ('whatshot', 'whatshot'), ('widgets', 'widgets'), ('wifi', 'wifi'), ('wifi_lock', 'wifi lock'), ('wifi_tethering', 'wifi tethering'), ('work', 'work'), ('wrap_text', 'wrap text'), ('youtube_searched_for', 'youtube searched for'), ('zoom_in', 'zoom in'), ('zoom_out', 'zoom out'), ('zoom_out_map', 'zoom out map')], label='Icon')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')], label='Size', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], label='Background Color', required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], label='Icon Color', required=False))))), ('url_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('bookmark_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('page_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('document_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('image_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('h1', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h2', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h3', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h4', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h5', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h6', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))), ('card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('panel_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('image_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_horizontal_style', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use horizontal style', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('reveal_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('reveal_contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),), label='Reveal contents')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_sticky_action', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use sticky action', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False)))))))), ('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))), ('promotedicon', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('icon', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('3d_rotation', '3d rotation'), ('ac_unit', 'ac unit'), ('access_alarm', 'access alarm'), ('access_alarms', 'access alarms'), ('access_time', 'access time'), ('accessibility', 'accessibility'), ('accessible', 'accessible'), ('account_balance', 'account balance'), ('account_balance_wallet', 'account balance wallet'), ('account_box', 'account box'), ('account_circle', 'account circle'), ('adb', 'adb'), ('add', 'add'), ('add_a_photo', 'add a photo'), ('add_alarm', 'add alarm'), ('add_alert', 'add alert'), ('add_box', 'add box'), ('add_circle', 'add circle'), ('add_circle_outline', 'add circle outline'), ('add_location', 'add location'), ('add_shopping_cart', 'add shopping cart'), ('add_to_photos', 'add to photos'), ('add_to_queue', 'add to queue'), ('adjust', 'adjust'), ('airline_seat_flat', 'airline seat flat'), ('airline_seat_flat_angled', 'airline seat flat angled'), ('airline_seat_individual_suite', 'airline seat individual suite'), ('airline_seat_legroom_extra', 'airline seat legroom extra'), ('airline_seat_legroom_normal', 'airline seat legroom normal'), ('airline_seat_legroom_reduced', 'airline seat legroom reduced'), ('airline_seat_recline_extra', 'airline seat recline extra'), ('airline_seat_recline_normal', 'airline seat recline normal'), ('airplanemode_active', 'airplanemode active'), ('airplanemode_inactive', 'airplanemode inactive'), ('airplay', 'airplay'), ('airport_shuttle', 'airport shuttle'), ('alarm', 'alarm'), ('alarm_add', 'alarm add'), ('alarm_off', 'alarm off'), ('alarm_on', 'alarm on'), ('album', 'album'), ('all_inclusive', 'all inclusive'), ('all_out', 'all out'), ('android', 'android'), ('announcement', 'announcement'), ('apps', 'apps'), ('archive', 'archive'), ('arrow_back', 'arrow back'), ('arrow_downward', 'arrow downward'), ('arrow_drop_down', 'arrow drop down'), ('arrow_drop_down_circle', 'arrow drop down circle'), ('arrow_drop_up', 'arrow drop up'), ('arrow_forward', 'arrow forward'), ('arrow_upward', 'arrow upward'), ('art_track', 'art track'), ('aspect_ratio', 'aspect ratio'), ('assessment', 'assessment'), ('assignment', 'assignment'), ('assignment_ind', 'assignment ind'), ('assignment_late', 'assignment late'), ('assignment_return', 'assignment return'), ('assignment_returned', 'assignment returned'), ('assignment_turned_in', 'assignment turned in'), ('assistant', 'assistant'), ('assistant_photo', 'assistant photo'), ('attach_file', 'attach file'), ('attach_money', 'attach money'), ('attachment', 'attachment'), ('audiotrack', 'audiotrack'), ('autorenew', 'autorenew'), ('av_timer', 'av timer'), ('backspace', 'backspace'), ('backup', 'backup'), ('battery_alert', 'battery alert'), ('battery_charging_full', 'battery charging full'), ('battery_full', 'battery full'), ('battery_std', 'battery std'), ('battery_unknown', 'battery unknown'), ('beach_access', 'beach access'), ('beenhere', 'beenhere'), ('block', 'block'), ('bluetooth', 'bluetooth'), ('bluetooth_audio', 'bluetooth audio'), ('bluetooth_connected', 'bluetooth connected'), ('bluetooth_disabled', 'bluetooth disabled'), ('bluetooth_searching', 'bluetooth searching'), ('blur_circular', 'blur circular'), ('blur_linear', 'blur linear'), ('blur_off', 'blur off'), ('blur_on', 'blur on'), ('book', 'book'), ('bookmark', 'bookmark'), ('bookmark_border', 'bookmark border'), ('border_all', 'border all'), ('border_bottom', 'border bottom'), ('border_clear', 'border clear'), ('border_color', 'border color'), ('border_horizontal', 'border horizontal'), ('border_inner', 'border inner'), ('border_left', 'border left'), ('border_outer', 'border outer'), ('border_right', 'border right'), ('border_style', 'border style'), ('border_top', 'border top'), ('border_vertical', 'border vertical'), ('branding_watermark', 'branding watermark'), ('brightness_1', 'brightness 1'), ('brightness_2', 'brightness 2'), ('brightness_3', 'brightness 3'), ('brightness_4', 'brightness 4'), ('brightness_5', 'brightness 5'), ('brightness_6', 'brightness 6'), ('brightness_7', 'brightness 7'), ('brightness_auto', 'brightness auto'), ('brightness_high', 'brightness high'), ('brightness_low', 'brightness low'), ('brightness_medium', 'brightness medium'), ('broken_image', 'broken image'), ('brush', 'brush'), ('bubble_chart', 'bubble chart'), ('bug_report', 'bug report'), ('build', 'build'), ('burst_mode', 'burst mode'), ('business', 'business'), ('business_center', 'business center'), ('cached', 'cached'), ('cake', 'cake'), ('call', 'call'), ('call_end', 'call end'), ('call_made', 'call made'), ('call_merge', 'call merge'), ('call_missed', 'call missed'), ('call_missed_outgoing', 'call missed outgoing'), ('call_received', 'call received'), ('call_split', 'call split'), ('call_to_action', 'call to action'), ('camera', 'camera'), ('camera_alt', 'camera alt'), ('camera_enhance', 'camera enhance'), ('camera_front', 'camera front'), ('camera_rear', 'camera rear'), ('camera_roll', 'camera roll'), ('cancel', 'cancel'), ('card_giftcard', 'card giftcard'), ('card_membership', 'card membership'), ('card_travel', 'card travel'), ('casino', 'casino'), ('cast', 'cast'), ('cast_connected', 'cast connected'), ('center_focus_strong', 'center focus strong'), ('center_focus_weak', 'center focus weak'), ('change_history', 'change history'), ('chat', 'chat'), ('chat_bubble', 'chat bubble'), ('chat_bubble_outline', 'chat bubble outline'), ('check', 'check'), ('check_box', 'check box'), ('check_box_outline_blank', 'check box outline blank'), ('check_circle', 'check circle'), ('chevron_left', 'chevron left'), ('chevron_right', 'chevron right'), ('child_care', 'child care'), ('child_friendly', 'child friendly'), ('chrome_reader_mode', 'chrome reader mode'), ('class', 'class'), ('clear', 'clear'), ('clear_all', 'clear all'), ('close', 'close'), ('closed_caption', 'closed caption'), ('cloud', 'cloud'), ('cloud_circle', 'cloud circle'), ('cloud_done', 'cloud done'), ('cloud_download', 'cloud download'), ('cloud_off', 'cloud off'), ('cloud_queue', 'cloud queue'), ('cloud_upload', 'cloud upload'), ('code', 'code'), ('collections', 'collections'), ('collections_bookmark', 'collections bookmark'), ('color_lens', 'color lens'), ('colorize', 'colorize'), ('comment', 'comment'), ('compare', 'compare'), ('compare_arrows', 'compare arrows'), ('computer', 'computer'), ('confirmation_number', 'confirmation number'), ('contact_mail', 'contact mail'), ('contact_phone', 'contact phone'), ('contacts', 'contacts'), ('content_copy', 'content copy'), ('content_cut', 'content cut'), ('content_paste', 'content paste'), ('control_point', 'control point'), ('control_point_duplicate', 'control point duplicate'), ('copyright', 'copyright'), ('create', 'create'), ('create_new_folder', 'create new folder'), ('credit_card', 'credit card'), ('crop', 'crop'), ('crop_16_9', 'crop 16 9'), ('crop_3_2', 'crop 3 2'), ('crop_5_4', 'crop 5 4'), ('crop_7_5', 'crop 7 5'), ('crop_din', 'crop din'), ('crop_free', 'crop free'), ('crop_landscape', 'crop landscape'), ('crop_original', 'crop original'), ('crop_portrait', 'crop portrait'), ('crop_rotate', 'crop rotate'), ('crop_square', 'crop square'), ('dashboard', 'dashboard'), ('data_usage', 'data usage'), ('date_range', 'date range'), ('dehaze', 'dehaze'), ('delete', 'delete'), ('delete_forever', 'delete forever'), ('delete_sweep', 'delete sweep'), ('description', 'description'), ('desktop_mac', 'desktop mac'), ('desktop_windows', 'desktop windows'), ('details', 'details'), ('developer_board', 'developer board'), ('developer_mode', 'developer mode'), ('device_hub', 'device hub'), ('devices', 'devices'), ('devices_other', 'devices other'), ('dialer_sip', 'dialer sip'), ('dialpad', 'dialpad'), ('directions', 'directions'), ('directions_bike', 'directions bike'), ('directions_boat', 'directions boat'), ('directions_bus', 'directions bus'), ('directions_car', 'directions car'), ('directions_railway', 'directions railway'), ('directions_run', 'directions run'), ('directions_subway', 'directions subway'), ('directions_transit', 'directions transit'), ('directions_walk', 'directions walk'), ('disc_full', 'disc full'), ('dns', 'dns'), ('do_not_disturb', 'do not disturb'), ('do_not_disturb_alt', 'do not disturb alt'), ('do_not_disturb_off', 'do not disturb off'), ('do_not_disturb_on', 'do not disturb on'), ('dock', 'dock'), ('domain', 'domain'), ('done', 'done'), ('done_all', 'done all'), ('donut_large', 'donut large'), ('donut_small', 'donut small'), ('drafts', 'drafts'), ('drag_handle', 'drag handle'), ('drive_eta', 'drive eta'), ('dvr', 'dvr'), ('edit', 'edit'), ('edit_location', 'edit location'), ('eject', 'eject'), ('email', 'email'), ('enhanced_encryption', 'enhanced encryption'), ('equalizer', 'equalizer'), ('error', 'error'), ('error_outline', 'error outline'), ('euro_symbol', 'euro symbol'), ('ev_station', 'ev station'), ('event', 'event'), ('event_available', 'event available'), ('event_busy', 'event busy'), ('event_note', 'event note'), ('event_seat', 'event seat'), ('exit_to_app', 'exit to app'), ('expand_less', 'expand less'), ('expand_more', 'expand more'), ('explicit', 'explicit'), ('explore', 'explore'), ('exposure', 'exposure'), ('exposure_neg_1', 'exposure neg 1'), ('exposure_neg_2', 'exposure neg 2'), ('exposure_plus_1', 'exposure plus 1'), ('exposure_plus_2', 'exposure plus 2'), ('exposure_zero', 'exposure zero'), ('extension', 'extension'), ('face', 'face'), ('fast_forward', 'fast forward'), ('fast_rewind', 'fast rewind'), ('favorite', 'favorite'), ('favorite_border', 'favorite border'), ('featured_play_list', 'featured play list'), ('featured_video', 'featured video'), ('feedback', 'feedback'), ('fiber_dvr', 'fiber dvr'), ('fiber_manual_record', 'fiber manual record'), ('fiber_new', 'fiber new'), ('fiber_pin', 'fiber pin'), ('fiber_smart_record', 'fiber smart record'), ('file_download', 'file download'), ('file_upload', 'file upload'), ('filter', 'filter'), ('filter_1', 'filter 1'), ('filter_2', 'filter 2'), ('filter_3', 'filter 3'), ('filter_4', 'filter 4'), ('filter_5', 'filter 5'), ('filter_6', 'filter 6'), ('filter_7', 'filter 7'), ('filter_8', 'filter 8'), ('filter_9', 'filter 9'), ('filter_9_plus', 'filter 9 plus'), ('filter_b_and_w', 'filter b and w'), ('filter_center_focus', 'filter center focus'), ('filter_drama', 'filter drama'), ('filter_frames', 'filter frames'), ('filter_hdr', 'filter hdr'), ('filter_list', 'filter list'), ('filter_none', 'filter none'), ('filter_tilt_shift', 'filter tilt shift'), ('filter_vintage', 'filter vintage'), ('find_in_page', 'find in page'), ('find_replace', 'find replace'), ('fingerprint', 'fingerprint'), ('first_page', 'first page'), ('fitness_center', 'fitness center'), ('flag', 'flag'), ('flare', 'flare'), ('flash_auto', 'flash auto'), ('flash_off', 'flash off'), ('flash_on', 'flash on'), ('flight', 'flight'), ('flight_land', 'flight land'), ('flight_takeoff', 'flight takeoff'), ('flip', 'flip'), ('flip_to_back', 'flip to back'), ('flip_to_front', 'flip to front'), ('folder', 'folder'), ('folder_open', 'folder open'), ('folder_shared', 'folder shared'), ('folder_special', 'folder special'), ('font_download', 'font download'), ('format_align_center', 'format align center'), ('format_align_justify', 'format align justify'), ('format_align_left', 'format align left'), ('format_align_right', 'format align right'), ('format_bold', 'format bold'), ('format_clear', 'format clear'), ('format_color_fill', 'format color fill'), ('format_color_reset', 'format color reset'), ('format_color_text', 'format color text'), ('format_indent_decrease', 'format indent decrease'), ('format_indent_increase', 'format indent increase'), ('format_italic', 'format italic'), ('format_line_spacing', 'format line spacing'), ('format_list_bulleted', 'format list bulleted'), ('format_list_numbered', 'format list numbered'), ('format_paint', 'format paint'), ('format_quote', 'format quote'), ('format_shapes', 'format shapes'), ('format_size', 'format size'), ('format_strikethrough', 'format strikethrough'), ('format_textdirection_l_to_r', 'format textdirection l to r'), ('format_textdirection_r_to_l', 'format textdirection r to l'), ('format_underlined', 'format underlined'), ('forum', 'forum'), ('forward', 'forward'), ('forward_10', 'forward 10'), ('forward_30', 'forward 30'), ('forward_5', 'forward 5'), ('free_breakfast', 'free breakfast'), ('fullscreen', 'fullscreen'), ('fullscreen_exit', 'fullscreen exit'), ('functions', 'functions'), ('g_translate', 'g translate'), ('gamepad', 'gamepad'), ('games', 'games'), ('gavel', 'gavel'), ('gesture', 'gesture'), ('get_app', 'get app'), ('gif', 'gif'), ('golf_course', 'golf course'), ('gps_fixed', 'gps fixed'), ('gps_not_fixed', 'gps not fixed'), ('gps_off', 'gps off'), ('grade', 'grade'), ('gradient', 'gradient'), ('grain', 'grain'), ('graphic_eq', 'graphic eq'), ('grid_off', 'grid off'), ('grid_on', 'grid on'), ('group', 'group'), ('group_add', 'group add'), ('group_work', 'group work'), ('hd', 'hd'), ('hdr_off', 'hdr off'), ('hdr_on', 'hdr on'), ('hdr_strong', 'hdr strong'), ('hdr_weak', 'hdr weak'), ('headset', 'headset'), ('headset_mic', 'headset mic'), ('healing', 'healing'), ('hearing', 'hearing'), ('help', 'help'), ('help_outline', 'help outline'), ('high_quality', 'high quality'), ('highlight', 'highlight'), ('highlight_off', 'highlight off'), ('history', 'history'), ('home', 'home'), ('hot_tub', 'hot tub'), ('hotel', 'hotel'), ('hourglass_empty', 'hourglass empty'), ('hourglass_full', 'hourglass full'), ('http', 'http'), ('https', 'https'), ('image', 'image'), ('image_aspect_ratio', 'image aspect ratio'), ('import_contacts', 'import contacts'), ('import_export', 'import export'), ('important_devices', 'important devices'), ('inbox', 'inbox'), ('indeterminate_check_box', 'indeterminate check box'), ('info', 'info'), ('info_outline', 'info outline'), ('input', 'input'), ('insert_chart', 'insert chart'), ('insert_comment', 'insert comment'), ('insert_drive_file', 'insert drive file'), ('insert_emoticon', 'insert emoticon'), ('insert_invitation', 'insert invitation'), ('insert_link', 'insert link'), ('insert_photo', 'insert photo'), ('invert_colors', 'invert colors'), ('invert_colors_off', 'invert colors off'), ('iso', 'iso'), ('keyboard', 'keyboard'), ('keyboard_arrow_down', 'keyboard arrow down'), ('keyboard_arrow_left', 'keyboard arrow left'), ('keyboard_arrow_right', 'keyboard arrow right'), ('keyboard_arrow_up', 'keyboard arrow up'), ('keyboard_backspace', 'keyboard backspace'), ('keyboard_capslock', 'keyboard capslock'), ('keyboard_hide', 'keyboard hide'), ('keyboard_return', 'keyboard return'), ('keyboard_tab', 'keyboard tab'), ('keyboard_voice', 'keyboard voice'), ('kitchen', 'kitchen'), ('label', 'label'), ('label_outline', 'label outline'), ('landscape', 'landscape'), ('language', 'language'), ('laptop', 'laptop'), ('laptop_chromebook', 'laptop chromebook'), ('laptop_mac', 'laptop mac'), ('laptop_windows', 'laptop windows'), ('last_page', 'last page'), ('launch', 'launch'), ('layers', 'layers'), ('layers_clear', 'layers clear'), ('leak_add', 'leak add'), ('leak_remove', 'leak remove'), ('lens', 'lens'), ('library_add', 'library add'), ('library_books', 'library books'), ('library_music', 'library music'), ('lightbulb_outline', 'lightbulb outline'), ('line_style', 'line style'), ('line_weight', 'line weight'), ('linear_scale', 'linear scale'), ('link', 'link'), ('linked_camera', 'linked camera'), ('list', 'list'), ('live_help', 'live help'), ('live_tv', 'live tv'), ('local_activity', 'local activity'), ('local_airport', 'local airport'), ('local_atm', 'local atm'), ('local_bar', 'local bar'), ('local_cafe', 'local cafe'), ('local_car_wash', 'local car wash'), ('local_convenience_store', 'local convenience store'), ('local_dining', 'local dining'), ('local_drink', 'local drink'), ('local_florist', 'local florist'), ('local_gas_station', 'local gas station'), ('local_grocery_store', 'local grocery store'), ('local_hospital', 'local hospital'), ('local_hotel', 'local hotel'), ('local_laundry_service', 'local laundry service'), ('local_library', 'local library'), ('local_mall', 'local mall'), ('local_movies', 'local movies'), ('local_offer', 'local offer'), ('local_parking', 'local parking'), ('local_pharmacy', 'local pharmacy'), ('local_phone', 'local phone'), ('local_pizza', 'local pizza'), ('local_play', 'local play'), ('local_post_office', 'local post office'), ('local_printshop', 'local printshop'), ('local_see', 'local see'), ('local_shipping', 'local shipping'), ('local_taxi', 'local taxi'), ('location_city', 'location city'), ('location_disabled', 'location disabled'), ('location_off', 'location off'), ('location_on', 'location on'), ('location_searching', 'location searching'), ('lock', 'lock'), ('lock_open', 'lock open'), ('lock_outline', 'lock outline'), ('looks', 'looks'), ('looks_3', 'looks 3'), ('looks_4', 'looks 4'), ('looks_5', 'looks 5'), ('looks_6', 'looks 6'), ('looks_one', 'looks one'), ('looks_two', 'looks two'), ('loop', 'loop'), ('loupe', 'loupe'), ('low_priority', 'low priority'), ('loyalty', 'loyalty'), ('mail', 'mail'), ('mail_outline', 'mail outline'), ('map', 'map'), ('markunread', 'markunread'), ('markunread_mailbox', 'markunread mailbox'), ('memory', 'memory'), ('menu', 'menu'), ('merge_type', 'merge type'), ('message', 'message'), ('mic', 'mic'), ('mic_none', 'mic none'), ('mic_off', 'mic off'), ('mms', 'mms'), ('mode_comment', 'mode comment'), ('mode_edit', 'mode edit'), ('monetization_on', 'monetization on'), ('money_off', 'money off'), ('monochrome_photos', 'monochrome photos'), ('mood', 'mood'), ('mood_bad', 'mood bad'), ('more', 'more'), ('more_horiz', 'more horiz'), ('more_vert', 'more vert'), ('motorcycle', 'motorcycle'), ('mouse', 'mouse'), ('move_to_inbox', 'move to inbox'), ('movie', 'movie'), ('movie_creation', 'movie creation'), ('movie_filter', 'movie filter'), ('multiline_chart', 'multiline chart'), ('music_note', 'music note'), ('music_video', 'music video'), ('my_location', 'my location'), ('nature', 'nature'), ('nature_people', 'nature people'), ('navigate_before', 'navigate before'), ('navigate_next', 'navigate next'), ('navigation', 'navigation'), ('near_me', 'near me'), ('network_cell', 'network cell'), ('network_check', 'network check'), ('network_locked', 'network locked'), ('network_wifi', 'network wifi'), ('new_releases', 'new releases'), ('next_week', 'next week'), ('nfc', 'nfc'), ('no_encryption', 'no encryption'), ('no_sim', 'no sim'), ('not_interested', 'not interested'), ('note', 'note'), ('note_add', 'note add'), ('notifications', 'notifications'), ('notifications_active', 'notifications active'), ('notifications_none', 'notifications none'), ('notifications_off', 'notifications off'), ('notifications_paused', 'notifications paused'), ('offline_pin', 'offline pin'), ('ondemand_video', 'ondemand video'), ('opacity', 'opacity'), ('open_in_browser', 'open in browser'), ('open_in_new', 'open in new'), ('open_with', 'open with'), ('pages', 'pages'), ('pageview', 'pageview'), ('palette', 'palette'), ('pan_tool', 'pan tool'), ('panorama', 'panorama'), ('panorama_fish_eye', 'panorama fish eye'), ('panorama_horizontal', 'panorama horizontal'), ('panorama_vertical', 'panorama vertical'), ('panorama_wide_angle', 'panorama wide angle'), ('party_mode', 'party mode'), ('pause', 'pause'), ('pause_circle_filled', 'pause circle filled'), ('pause_circle_outline', 'pause circle outline'), ('payment', 'payment'), ('people', 'people'), ('people_outline', 'people outline'), ('perm_camera_mic', 'perm camera mic'), ('perm_contact_calendar', 'perm contact calendar'), ('perm_data_setting', 'perm data setting'), ('perm_device_information', 'perm device information'), ('perm_identity', 'perm identity'), ('perm_media', 'perm media'), ('perm_phone_msg', 'perm phone msg'), ('perm_scan_wifi', 'perm scan wifi'), ('person', 'person'), ('person_add', 'person add'), ('person_outline', 'person outline'), ('person_pin', 'person pin'), ('person_pin_circle', 'person pin circle'), ('personal_video', 'personal video'), ('pets', 'pets'), ('phone', 'phone'), ('phone_android', 'phone android'), ('phone_bluetooth_speaker', 'phone bluetooth speaker'), ('phone_forwarded', 'phone forwarded'), ('phone_in_talk', 'phone in talk'), ('phone_iphone', 'phone iphone'), ('phone_locked', 'phone locked'), ('phone_missed', 'phone missed'), ('phone_paused', 'phone paused'), ('phonelink', 'phonelink'), ('phonelink_erase', 'phonelink erase'), ('phonelink_lock', 'phonelink lock'), ('phonelink_off', 'phonelink off'), ('phonelink_ring', 'phonelink ring'), ('phonelink_setup', 'phonelink setup'), ('photo', 'photo'), ('photo_album', 'photo album'), ('photo_camera', 'photo camera'), ('photo_filter', 'photo filter'), ('photo_library', 'photo library'), ('photo_size_select_actual', 'photo size select actual'), ('photo_size_select_large', 'photo size select large'), ('photo_size_select_small', 'photo size select small'), ('picture_as_pdf', 'picture as pdf'), ('picture_in_picture', 'picture in picture'), ('picture_in_picture_alt', 'picture in picture alt'), ('pie_chart', 'pie chart'), ('pie_chart_outlined', 'pie chart outlined'), ('pin_drop', 'pin drop'), ('place', 'place'), ('play_arrow', 'play arrow'), ('play_circle_filled', 'play circle filled'), ('play_circle_outline', 'play circle outline'), ('play_for_work', 'play for work'), ('playlist_add', 'playlist add'), ('playlist_add_check', 'playlist add check'), ('playlist_play', 'playlist play'), ('plus_one', 'plus one'), ('poll', 'poll'), ('polymer', 'polymer'), ('pool', 'pool'), ('portable_wifi_off', 'portable wifi off'), ('portrait', 'portrait'), ('power', 'power'), ('power_input', 'power input'), ('power_settings_new', 'power settings new'), ('pregnant_woman', 'pregnant woman'), ('present_to_all', 'present to all'), ('print', 'print'), ('priority_high', 'priority high'), ('public', 'public'), ('publish', 'publish'), ('query_builder', 'query builder'), ('question_answer', 'question answer'), ('queue', 'queue'), ('queue_music', 'queue music'), ('queue_play_next', 'queue play next'), ('radio', 'radio'), ('radio_button_checked', 'radio button checked'), ('radio_button_unchecked', 'radio button unchecked'), ('rate_review', 'rate review'), ('receipt', 'receipt'), ('recent_actors', 'recent actors'), ('record_voice_over', 'record voice over'), ('redeem', 'redeem'), ('redo', 'redo'), ('refresh', 'refresh'), ('remove', 'remove'), ('remove_circle', 'remove circle'), ('remove_circle_outline', 'remove circle outline'), ('remove_from_queue', 'remove from queue'), ('remove_red_eye', 'remove red eye'), ('remove_shopping_cart', 'remove shopping cart'), ('reorder', 'reorder'), ('repeat', 'repeat'), ('repeat_one', 'repeat one'), ('replay', 'replay'), ('replay_10', 'replay 10'), ('replay_30', 'replay 30'), ('replay_5', 'replay 5'), ('reply', 'reply'), ('reply_all', 'reply all'), ('report', 'report'), ('report_problem', 'report problem'), ('restaurant', 'restaurant'), ('restaurant_menu', 'restaurant menu'), ('restore', 'restore'), ('restore_page', 'restore page'), ('ring_volume', 'ring volume'), ('room', 'room'), ('room_service', 'room service'), ('rotate_90_degrees_ccw', 'rotate 90 degrees ccw'), ('rotate_left', 'rotate left'), ('rotate_right', 'rotate right'), ('rounded_corner', 'rounded corner'), ('router', 'router'), ('rowing', 'rowing'), ('rss_feed', 'rss feed'), ('rv_hookup', 'rv hookup'), ('satellite', 'satellite'), ('save', 'save'), ('scanner', 'scanner'), ('schedule', 'schedule'), ('school', 'school'), ('screen_lock_landscape', 'screen lock landscape'), ('screen_lock_portrait', 'screen lock portrait'), ('screen_lock_rotation', 'screen lock rotation'), ('screen_rotation', 'screen rotation'), ('screen_share', 'screen share'), ('sd_card', 'sd card'), ('sd_storage', 'sd storage'), ('search', 'search'), ('security', 'security'), ('select_all', 'select all'), ('send', 'send'), ('sentiment_dissatisfied', 'sentiment dissatisfied'), ('sentiment_neutral', 'sentiment neutral'), ('sentiment_satisfied', 'sentiment satisfied'), ('sentiment_very_dissatisfied', 'sentiment very dissatisfied'), ('sentiment_very_satisfied', 'sentiment very satisfied'), ('settings', 'settings'), ('settings_applications', 'settings applications'), ('settings_backup_restore', 'settings backup restore'), ('settings_bluetooth', 'settings bluetooth'), ('settings_brightness', 'settings brightness'), ('settings_cell', 'settings cell'), ('settings_ethernet', 'settings ethernet'), ('settings_input_antenna', 'settings input antenna'), ('settings_input_component', 'settings input component'), ('settings_input_composite', 'settings input composite'), ('settings_input_hdmi', 'settings input hdmi'), ('settings_input_svideo', 'settings input svideo'), ('settings_overscan', 'settings overscan'), ('settings_phone', 'settings phone'), ('settings_power', 'settings power'), ('settings_remote', 'settings remote'), ('settings_system_daydream', 'settings system daydream'), ('settings_voice', 'settings voice'), ('share', 'share'), ('shop', 'shop'), ('shop_two', 'shop two'), ('shopping_basket', 'shopping basket'), ('shopping_cart', 'shopping cart'), ('short_text', 'short text'), ('show_chart', 'show chart'), ('shuffle', 'shuffle'), ('signal_cellular_4_bar', 'signal cellular 4 bar'), ('signal_cellular_connected_no_internet_4_bar', 'signal cellular connected no internet 4 bar'), ('signal_cellular_no_sim', 'signal cellular no sim'), ('signal_cellular_null', 'signal cellular null'), ('signal_cellular_off', 'signal cellular off'), ('signal_wifi_4_bar', 'signal wifi 4 bar'), ('signal_wifi_4_bar_lock', 'signal wifi 4 bar lock'), ('signal_wifi_off', 'signal wifi off'), ('sim_card', 'sim card'), ('sim_card_alert', 'sim card alert'), ('skip_next', 'skip next'), ('skip_previous', 'skip previous'), ('slideshow', 'slideshow'), ('slow_motion_video', 'slow motion video'), ('smartphone', 'smartphone'), ('smoke_free', 'smoke free'), ('smoking_rooms', 'smoking rooms'), ('sms', 'sms'), ('sms_failed', 'sms failed'), ('snooze', 'snooze'), ('sort', 'sort'), ('sort_by_alpha', 'sort by alpha'), ('spa', 'spa'), ('space_bar', 'space bar'), ('speaker', 'speaker'), ('speaker_group', 'speaker group'), ('speaker_notes', 'speaker notes'), ('speaker_notes_off', 'speaker notes off'), ('speaker_phone', 'speaker phone'), ('spellcheck', 'spellcheck'), ('star', 'star'), ('star_border', 'star border'), ('star_half', 'star half'), ('stars', 'stars'), ('stay_current_landscape', 'stay current landscape'), ('stay_current_portrait', 'stay current portrait'), ('stay_primary_landscape', 'stay primary landscape'), ('stay_primary_portrait', 'stay primary portrait'), ('stop', 'stop'), ('stop_screen_share', 'stop screen share'), ('storage', 'storage'), ('store', 'store'), ('store_mall_directory', 'store mall directory'), ('straighten', 'straighten'), ('streetview', 'streetview'), ('strikethrough_s', 'strikethrough s'), ('style', 'style'), ('subdirectory_arrow_left', 'subdirectory arrow left'), ('subdirectory_arrow_right', 'subdirectory arrow right'), ('subject', 'subject'), ('subscriptions', 'subscriptions'), ('subtitles', 'subtitles'), ('subway', 'subway'), ('supervisor_account', 'supervisor account'), ('surround_sound', 'surround sound'), ('swap_calls', 'swap calls'), ('swap_horiz', 'swap horiz'), ('swap_vert', 'swap vert'), ('swap_vertical_circle', 'swap vertical circle'), ('switch_camera', 'switch camera'), ('switch_video', 'switch video'), ('sync', 'sync'), ('sync_disabled', 'sync disabled'), ('sync_problem', 'sync problem'), ('system_update', 'system update'), ('system_update_alt', 'system update alt'), ('tab', 'tab'), ('tab_unselected', 'tab unselected'), ('tablet', 'tablet'), ('tablet_android', 'tablet android'), ('tablet_mac', 'tablet mac'), ('tag_faces', 'tag faces'), ('tap_and_play', 'tap and play'), ('terrain', 'terrain'), ('text_fields', 'text fields'), ('text_format', 'text format'), ('textsms', 'textsms'), ('texture', 'texture'), ('theaters', 'theaters'), ('thumb_down', 'thumb down'), ('thumb_up', 'thumb up'), ('thumbs_up_down', 'thumbs up down'), ('time_to_leave', 'time to leave'), ('timelapse', 'timelapse'), ('timeline', 'timeline'), ('timer', 'timer'), ('timer_10', 'timer 10'), ('timer_3', 'timer 3'), ('timer_off', 'timer off'), ('title', 'title'), ('toc', 'toc'), ('today', 'today'), ('toll', 'toll'), ('tonality', 'tonality'), ('touch_app', 'touch app'), ('toys', 'toys'), ('track_changes', 'track changes'), ('traffic', 'traffic'), ('train', 'train'), ('tram', 'tram'), ('transfer_within_a_station', 'transfer within a station'), ('transform', 'transform'), ('translate', 'translate'), ('trending_down', 'trending down'), ('trending_flat', 'trending flat'), ('trending_up', 'trending up'), ('tune', 'tune'), ('turned_in', 'turned in'), ('turned_in_not', 'turned in not'), ('tv', 'tv'), ('unarchive', 'unarchive'), ('undo', 'undo'), ('unfold_less', 'unfold less'), ('unfold_more', 'unfold more'), ('update', 'update'), ('usb', 'usb'), ('verified_user', 'verified user'), ('vertical_align_bottom', 'vertical align bottom'), ('vertical_align_center', 'vertical align center'), ('vertical_align_top', 'vertical align top'), ('vibration', 'vibration'), ('video_call', 'video call'), ('video_label', 'video label'), ('video_library', 'video library'), ('videocam', 'videocam'), ('videocam_off', 'videocam off'), ('videogame_asset', 'videogame asset'), ('view_agenda', 'view agenda'), ('view_array', 'view array'), ('view_carousel', 'view carousel'), ('view_column', 'view column'), ('view_comfy', 'view comfy'), ('view_compact', 'view compact'), ('view_day', 'view day'), ('view_headline', 'view headline'), ('view_list', 'view list'), ('view_module', 'view module'), ('view_quilt', 'view quilt'), ('view_stream', 'view stream'), ('view_week', 'view week'), ('vignette', 'vignette'), ('visibility', 'visibility'), ('visibility_off', 'visibility off'), ('voice_chat', 'voice chat'), ('voicemail', 'voicemail'), ('volume_down', 'volume down'), ('volume_mute', 'volume mute'), ('volume_off', 'volume off'), ('volume_up', 'volume up'), ('vpn_key', 'vpn key'), ('vpn_lock', 'vpn lock'), ('wallpaper', 'wallpaper'), ('warning', 'warning'), ('watch', 'watch'), ('watch_later', 'watch later'), ('wb_auto', 'wb auto'), ('wb_cloudy', 'wb cloudy'), ('wb_incandescent', 'wb incandescent'), ('wb_iridescent', 'wb iridescent'), ('wb_sunny', 'wb sunny'), ('wc', 'wc'), ('web', 'web'), ('web_asset', 'web asset'), ('weekend', 'weekend'), ('whatshot', 'whatshot'), ('widgets', 'widgets'), ('wifi', 'wifi'), ('wifi_lock', 'wifi lock'), ('wifi_tethering', 'wifi tethering'), ('work', 'work'), ('wrap_text', 'wrap text'), ('youtube_searched_for', 'youtube searched for'), ('zoom_in', 'zoom in'), ('zoom_out', 'zoom out'), ('zoom_out_map', 'zoom out map')], label='Icon')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')], label='Size', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], label='Background Color', required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], label='Icon Color', required=False))))), ('url_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('bookmark_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('page_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('document_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('image_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('h1', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h2', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h3', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h4', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h5', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h6', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))), ('card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('panel_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('image_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_horizontal_style', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use horizontal style', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('reveal_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('reveal_contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),), label='Reveal contents')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_sticky_action', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use sticky action', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False)))))))), ('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))))))))), ('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))))))))), ('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))))))))), ('section', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('full_screen', wagtail.wagtailcore.blocks.BooleanBlock(label='Full screen', required=False)), ('middle_align', wagtail.wagtailcore.blocks.BooleanBlock(label='Middle align', required=False)), ('center_align', wagtail.wagtailcore.blocks.BooleanBlock(label='Center align', required=False)), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('contents', wagtail.wagtailcore.blocks.StreamBlock((('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))), ('promotedicon', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('icon', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('3d_rotation', '3d rotation'), ('ac_unit', 'ac unit'), ('access_alarm', 'access alarm'), ('access_alarms', 'access alarms'), ('access_time', 'access time'), ('accessibility', 'accessibility'), ('accessible', 'accessible'), ('account_balance', 'account balance'), ('account_balance_wallet', 'account balance wallet'), ('account_box', 'account box'), ('account_circle', 'account circle'), ('adb', 'adb'), ('add', 'add'), ('add_a_photo', 'add a photo'), ('add_alarm', 'add alarm'), ('add_alert', 'add alert'), ('add_box', 'add box'), ('add_circle', 'add circle'), ('add_circle_outline', 'add circle outline'), ('add_location', 'add location'), ('add_shopping_cart', 'add shopping cart'), ('add_to_photos', 'add to photos'), ('add_to_queue', 'add to queue'), ('adjust', 'adjust'), ('airline_seat_flat', 'airline seat flat'), ('airline_seat_flat_angled', 'airline seat flat angled'), ('airline_seat_individual_suite', 'airline seat individual suite'), ('airline_seat_legroom_extra', 'airline seat legroom extra'), ('airline_seat_legroom_normal', 'airline seat legroom normal'), ('airline_seat_legroom_reduced', 'airline seat legroom reduced'), ('airline_seat_recline_extra', 'airline seat recline extra'), ('airline_seat_recline_normal', 'airline seat recline normal'), ('airplanemode_active', 'airplanemode active'), ('airplanemode_inactive', 'airplanemode inactive'), ('airplay', 'airplay'), ('airport_shuttle', 'airport shuttle'), ('alarm', 'alarm'), ('alarm_add', 'alarm add'), ('alarm_off', 'alarm off'), ('alarm_on', 'alarm on'), ('album', 'album'), ('all_inclusive', 'all inclusive'), ('all_out', 'all out'), ('android', 'android'), ('announcement', 'announcement'), ('apps', 'apps'), ('archive', 'archive'), ('arrow_back', 'arrow back'), ('arrow_downward', 'arrow downward'), ('arrow_drop_down', 'arrow drop down'), ('arrow_drop_down_circle', 'arrow drop down circle'), ('arrow_drop_up', 'arrow drop up'), ('arrow_forward', 'arrow forward'), ('arrow_upward', 'arrow upward'), ('art_track', 'art track'), ('aspect_ratio', 'aspect ratio'), ('assessment', 'assessment'), ('assignment', 'assignment'), ('assignment_ind', 'assignment ind'), ('assignment_late', 'assignment late'), ('assignment_return', 'assignment return'), ('assignment_returned', 'assignment returned'), ('assignment_turned_in', 'assignment turned in'), ('assistant', 'assistant'), ('assistant_photo', 'assistant photo'), ('attach_file', 'attach file'), ('attach_money', 'attach money'), ('attachment', 'attachment'), ('audiotrack', 'audiotrack'), ('autorenew', 'autorenew'), ('av_timer', 'av timer'), ('backspace', 'backspace'), ('backup', 'backup'), ('battery_alert', 'battery alert'), ('battery_charging_full', 'battery charging full'), ('battery_full', 'battery full'), ('battery_std', 'battery std'), ('battery_unknown', 'battery unknown'), ('beach_access', 'beach access'), ('beenhere', 'beenhere'), ('block', 'block'), ('bluetooth', 'bluetooth'), ('bluetooth_audio', 'bluetooth audio'), ('bluetooth_connected', 'bluetooth connected'), ('bluetooth_disabled', 'bluetooth disabled'), ('bluetooth_searching', 'bluetooth searching'), ('blur_circular', 'blur circular'), ('blur_linear', 'blur linear'), ('blur_off', 'blur off'), ('blur_on', 'blur on'), ('book', 'book'), ('bookmark', 'bookmark'), ('bookmark_border', 'bookmark border'), ('border_all', 'border all'), ('border_bottom', 'border bottom'), ('border_clear', 'border clear'), ('border_color', 'border color'), ('border_horizontal', 'border horizontal'), ('border_inner', 'border inner'), ('border_left', 'border left'), ('border_outer', 'border outer'), ('border_right', 'border right'), ('border_style', 'border style'), ('border_top', 'border top'), ('border_vertical', 'border vertical'), ('branding_watermark', 'branding watermark'), ('brightness_1', 'brightness 1'), ('brightness_2', 'brightness 2'), ('brightness_3', 'brightness 3'), ('brightness_4', 'brightness 4'), ('brightness_5', 'brightness 5'), ('brightness_6', 'brightness 6'), ('brightness_7', 'brightness 7'), ('brightness_auto', 'brightness auto'), ('brightness_high', 'brightness high'), ('brightness_low', 'brightness low'), ('brightness_medium', 'brightness medium'), ('broken_image', 'broken image'), ('brush', 'brush'), ('bubble_chart', 'bubble chart'), ('bug_report', 'bug report'), ('build', 'build'), ('burst_mode', 'burst mode'), ('business', 'business'), ('business_center', 'business center'), ('cached', 'cached'), ('cake', 'cake'), ('call', 'call'), ('call_end', 'call end'), ('call_made', 'call made'), ('call_merge', 'call merge'), ('call_missed', 'call missed'), ('call_missed_outgoing', 'call missed outgoing'), ('call_received', 'call received'), ('call_split', 'call split'), ('call_to_action', 'call to action'), ('camera', 'camera'), ('camera_alt', 'camera alt'), ('camera_enhance', 'camera enhance'), ('camera_front', 'camera front'), ('camera_rear', 'camera rear'), ('camera_roll', 'camera roll'), ('cancel', 'cancel'), ('card_giftcard', 'card giftcard'), ('card_membership', 'card membership'), ('card_travel', 'card travel'), ('casino', 'casino'), ('cast', 'cast'), ('cast_connected', 'cast connected'), ('center_focus_strong', 'center focus strong'), ('center_focus_weak', 'center focus weak'), ('change_history', 'change history'), ('chat', 'chat'), ('chat_bubble', 'chat bubble'), ('chat_bubble_outline', 'chat bubble outline'), ('check', 'check'), ('check_box', 'check box'), ('check_box_outline_blank', 'check box outline blank'), ('check_circle', 'check circle'), ('chevron_left', 'chevron left'), ('chevron_right', 'chevron right'), ('child_care', 'child care'), ('child_friendly', 'child friendly'), ('chrome_reader_mode', 'chrome reader mode'), ('class', 'class'), ('clear', 'clear'), ('clear_all', 'clear all'), ('close', 'close'), ('closed_caption', 'closed caption'), ('cloud', 'cloud'), ('cloud_circle', 'cloud circle'), ('cloud_done', 'cloud done'), ('cloud_download', 'cloud download'), ('cloud_off', 'cloud off'), ('cloud_queue', 'cloud queue'), ('cloud_upload', 'cloud upload'), ('code', 'code'), ('collections', 'collections'), ('collections_bookmark', 'collections bookmark'), ('color_lens', 'color lens'), ('colorize', 'colorize'), ('comment', 'comment'), ('compare', 'compare'), ('compare_arrows', 'compare arrows'), ('computer', 'computer'), ('confirmation_number', 'confirmation number'), ('contact_mail', 'contact mail'), ('contact_phone', 'contact phone'), ('contacts', 'contacts'), ('content_copy', 'content copy'), ('content_cut', 'content cut'), ('content_paste', 'content paste'), ('control_point', 'control point'), ('control_point_duplicate', 'control point duplicate'), ('copyright', 'copyright'), ('create', 'create'), ('create_new_folder', 'create new folder'), ('credit_card', 'credit card'), ('crop', 'crop'), ('crop_16_9', 'crop 16 9'), ('crop_3_2', 'crop 3 2'), ('crop_5_4', 'crop 5 4'), ('crop_7_5', 'crop 7 5'), ('crop_din', 'crop din'), ('crop_free', 'crop free'), ('crop_landscape', 'crop landscape'), ('crop_original', 'crop original'), ('crop_portrait', 'crop portrait'), ('crop_rotate', 'crop rotate'), ('crop_square', 'crop square'), ('dashboard', 'dashboard'), ('data_usage', 'data usage'), ('date_range', 'date range'), ('dehaze', 'dehaze'), ('delete', 'delete'), ('delete_forever', 'delete forever'), ('delete_sweep', 'delete sweep'), ('description', 'description'), ('desktop_mac', 'desktop mac'), ('desktop_windows', 'desktop windows'), ('details', 'details'), ('developer_board', 'developer board'), ('developer_mode', 'developer mode'), ('device_hub', 'device hub'), ('devices', 'devices'), ('devices_other', 'devices other'), ('dialer_sip', 'dialer sip'), ('dialpad', 'dialpad'), ('directions', 'directions'), ('directions_bike', 'directions bike'), ('directions_boat', 'directions boat'), ('directions_bus', 'directions bus'), ('directions_car', 'directions car'), ('directions_railway', 'directions railway'), ('directions_run', 'directions run'), ('directions_subway', 'directions subway'), ('directions_transit', 'directions transit'), ('directions_walk', 'directions walk'), ('disc_full', 'disc full'), ('dns', 'dns'), ('do_not_disturb', 'do not disturb'), ('do_not_disturb_alt', 'do not disturb alt'), ('do_not_disturb_off', 'do not disturb off'), ('do_not_disturb_on', 'do not disturb on'), ('dock', 'dock'), ('domain', 'domain'), ('done', 'done'), ('done_all', 'done all'), ('donut_large', 'donut large'), ('donut_small', 'donut small'), ('drafts', 'drafts'), ('drag_handle', 'drag handle'), ('drive_eta', 'drive eta'), ('dvr', 'dvr'), ('edit', 'edit'), ('edit_location', 'edit location'), ('eject', 'eject'), ('email', 'email'), ('enhanced_encryption', 'enhanced encryption'), ('equalizer', 'equalizer'), ('error', 'error'), ('error_outline', 'error outline'), ('euro_symbol', 'euro symbol'), ('ev_station', 'ev station'), ('event', 'event'), ('event_available', 'event available'), ('event_busy', 'event busy'), ('event_note', 'event note'), ('event_seat', 'event seat'), ('exit_to_app', 'exit to app'), ('expand_less', 'expand less'), ('expand_more', 'expand more'), ('explicit', 'explicit'), ('explore', 'explore'), ('exposure', 'exposure'), ('exposure_neg_1', 'exposure neg 1'), ('exposure_neg_2', 'exposure neg 2'), ('exposure_plus_1', 'exposure plus 1'), ('exposure_plus_2', 'exposure plus 2'), ('exposure_zero', 'exposure zero'), ('extension', 'extension'), ('face', 'face'), ('fast_forward', 'fast forward'), ('fast_rewind', 'fast rewind'), ('favorite', 'favorite'), ('favorite_border', 'favorite border'), ('featured_play_list', 'featured play list'), ('featured_video', 'featured video'), ('feedback', 'feedback'), ('fiber_dvr', 'fiber dvr'), ('fiber_manual_record', 'fiber manual record'), ('fiber_new', 'fiber new'), ('fiber_pin', 'fiber pin'), ('fiber_smart_record', 'fiber smart record'), ('file_download', 'file download'), ('file_upload', 'file upload'), ('filter', 'filter'), ('filter_1', 'filter 1'), ('filter_2', 'filter 2'), ('filter_3', 'filter 3'), ('filter_4', 'filter 4'), ('filter_5', 'filter 5'), ('filter_6', 'filter 6'), ('filter_7', 'filter 7'), ('filter_8', 'filter 8'), ('filter_9', 'filter 9'), ('filter_9_plus', 'filter 9 plus'), ('filter_b_and_w', 'filter b and w'), ('filter_center_focus', 'filter center focus'), ('filter_drama', 'filter drama'), ('filter_frames', 'filter frames'), ('filter_hdr', 'filter hdr'), ('filter_list', 'filter list'), ('filter_none', 'filter none'), ('filter_tilt_shift', 'filter tilt shift'), ('filter_vintage', 'filter vintage'), ('find_in_page', 'find in page'), ('find_replace', 'find replace'), ('fingerprint', 'fingerprint'), ('first_page', 'first page'), ('fitness_center', 'fitness center'), ('flag', 'flag'), ('flare', 'flare'), ('flash_auto', 'flash auto'), ('flash_off', 'flash off'), ('flash_on', 'flash on'), ('flight', 'flight'), ('flight_land', 'flight land'), ('flight_takeoff', 'flight takeoff'), ('flip', 'flip'), ('flip_to_back', 'flip to back'), ('flip_to_front', 'flip to front'), ('folder', 'folder'), ('folder_open', 'folder open'), ('folder_shared', 'folder shared'), ('folder_special', 'folder special'), ('font_download', 'font download'), ('format_align_center', 'format align center'), ('format_align_justify', 'format align justify'), ('format_align_left', 'format align left'), ('format_align_right', 'format align right'), ('format_bold', 'format bold'), ('format_clear', 'format clear'), ('format_color_fill', 'format color fill'), ('format_color_reset', 'format color reset'), ('format_color_text', 'format color text'), ('format_indent_decrease', 'format indent decrease'), ('format_indent_increase', 'format indent increase'), ('format_italic', 'format italic'), ('format_line_spacing', 'format line spacing'), ('format_list_bulleted', 'format list bulleted'), ('format_list_numbered', 'format list numbered'), ('format_paint', 'format paint'), ('format_quote', 'format quote'), ('format_shapes', 'format shapes'), ('format_size', 'format size'), ('format_strikethrough', 'format strikethrough'), ('format_textdirection_l_to_r', 'format textdirection l to r'), ('format_textdirection_r_to_l', 'format textdirection r to l'), ('format_underlined', 'format underlined'), ('forum', 'forum'), ('forward', 'forward'), ('forward_10', 'forward 10'), ('forward_30', 'forward 30'), ('forward_5', 'forward 5'), ('free_breakfast', 'free breakfast'), ('fullscreen', 'fullscreen'), ('fullscreen_exit', 'fullscreen exit'), ('functions', 'functions'), ('g_translate', 'g translate'), ('gamepad', 'gamepad'), ('games', 'games'), ('gavel', 'gavel'), ('gesture', 'gesture'), ('get_app', 'get app'), ('gif', 'gif'), ('golf_course', 'golf course'), ('gps_fixed', 'gps fixed'), ('gps_not_fixed', 'gps not fixed'), ('gps_off', 'gps off'), ('grade', 'grade'), ('gradient', 'gradient'), ('grain', 'grain'), ('graphic_eq', 'graphic eq'), ('grid_off', 'grid off'), ('grid_on', 'grid on'), ('group', 'group'), ('group_add', 'group add'), ('group_work', 'group work'), ('hd', 'hd'), ('hdr_off', 'hdr off'), ('hdr_on', 'hdr on'), ('hdr_strong', 'hdr strong'), ('hdr_weak', 'hdr weak'), ('headset', 'headset'), ('headset_mic', 'headset mic'), ('healing', 'healing'), ('hearing', 'hearing'), ('help', 'help'), ('help_outline', 'help outline'), ('high_quality', 'high quality'), ('highlight', 'highlight'), ('highlight_off', 'highlight off'), ('history', 'history'), ('home', 'home'), ('hot_tub', 'hot tub'), ('hotel', 'hotel'), ('hourglass_empty', 'hourglass empty'), ('hourglass_full', 'hourglass full'), ('http', 'http'), ('https', 'https'), ('image', 'image'), ('image_aspect_ratio', 'image aspect ratio'), ('import_contacts', 'import contacts'), ('import_export', 'import export'), ('important_devices', 'important devices'), ('inbox', 'inbox'), ('indeterminate_check_box', 'indeterminate check box'), ('info', 'info'), ('info_outline', 'info outline'), ('input', 'input'), ('insert_chart', 'insert chart'), ('insert_comment', 'insert comment'), ('insert_drive_file', 'insert drive file'), ('insert_emoticon', 'insert emoticon'), ('insert_invitation', 'insert invitation'), ('insert_link', 'insert link'), ('insert_photo', 'insert photo'), ('invert_colors', 'invert colors'), ('invert_colors_off', 'invert colors off'), ('iso', 'iso'), ('keyboard', 'keyboard'), ('keyboard_arrow_down', 'keyboard arrow down'), ('keyboard_arrow_left', 'keyboard arrow left'), ('keyboard_arrow_right', 'keyboard arrow right'), ('keyboard_arrow_up', 'keyboard arrow up'), ('keyboard_backspace', 'keyboard backspace'), ('keyboard_capslock', 'keyboard capslock'), ('keyboard_hide', 'keyboard hide'), ('keyboard_return', 'keyboard return'), ('keyboard_tab', 'keyboard tab'), ('keyboard_voice', 'keyboard voice'), ('kitchen', 'kitchen'), ('label', 'label'), ('label_outline', 'label outline'), ('landscape', 'landscape'), ('language', 'language'), ('laptop', 'laptop'), ('laptop_chromebook', 'laptop chromebook'), ('laptop_mac', 'laptop mac'), ('laptop_windows', 'laptop windows'), ('last_page', 'last page'), ('launch', 'launch'), ('layers', 'layers'), ('layers_clear', 'layers clear'), ('leak_add', 'leak add'), ('leak_remove', 'leak remove'), ('lens', 'lens'), ('library_add', 'library add'), ('library_books', 'library books'), ('library_music', 'library music'), ('lightbulb_outline', 'lightbulb outline'), ('line_style', 'line style'), ('line_weight', 'line weight'), ('linear_scale', 'linear scale'), ('link', 'link'), ('linked_camera', 'linked camera'), ('list', 'list'), ('live_help', 'live help'), ('live_tv', 'live tv'), ('local_activity', 'local activity'), ('local_airport', 'local airport'), ('local_atm', 'local atm'), ('local_bar', 'local bar'), ('local_cafe', 'local cafe'), ('local_car_wash', 'local car wash'), ('local_convenience_store', 'local convenience store'), ('local_dining', 'local dining'), ('local_drink', 'local drink'), ('local_florist', 'local florist'), ('local_gas_station', 'local gas station'), ('local_grocery_store', 'local grocery store'), ('local_hospital', 'local hospital'), ('local_hotel', 'local hotel'), ('local_laundry_service', 'local laundry service'), ('local_library', 'local library'), ('local_mall', 'local mall'), ('local_movies', 'local movies'), ('local_offer', 'local offer'), ('local_parking', 'local parking'), ('local_pharmacy', 'local pharmacy'), ('local_phone', 'local phone'), ('local_pizza', 'local pizza'), ('local_play', 'local play'), ('local_post_office', 'local post office'), ('local_printshop', 'local printshop'), ('local_see', 'local see'), ('local_shipping', 'local shipping'), ('local_taxi', 'local taxi'), ('location_city', 'location city'), ('location_disabled', 'location disabled'), ('location_off', 'location off'), ('location_on', 'location on'), ('location_searching', 'location searching'), ('lock', 'lock'), ('lock_open', 'lock open'), ('lock_outline', 'lock outline'), ('looks', 'looks'), ('looks_3', 'looks 3'), ('looks_4', 'looks 4'), ('looks_5', 'looks 5'), ('looks_6', 'looks 6'), ('looks_one', 'looks one'), ('looks_two', 'looks two'), ('loop', 'loop'), ('loupe', 'loupe'), ('low_priority', 'low priority'), ('loyalty', 'loyalty'), ('mail', 'mail'), ('mail_outline', 'mail outline'), ('map', 'map'), ('markunread', 'markunread'), ('markunread_mailbox', 'markunread mailbox'), ('memory', 'memory'), ('menu', 'menu'), ('merge_type', 'merge type'), ('message', 'message'), ('mic', 'mic'), ('mic_none', 'mic none'), ('mic_off', 'mic off'), ('mms', 'mms'), ('mode_comment', 'mode comment'), ('mode_edit', 'mode edit'), ('monetization_on', 'monetization on'), ('money_off', 'money off'), ('monochrome_photos', 'monochrome photos'), ('mood', 'mood'), ('mood_bad', 'mood bad'), ('more', 'more'), ('more_horiz', 'more horiz'), ('more_vert', 'more vert'), ('motorcycle', 'motorcycle'), ('mouse', 'mouse'), ('move_to_inbox', 'move to inbox'), ('movie', 'movie'), ('movie_creation', 'movie creation'), ('movie_filter', 'movie filter'), ('multiline_chart', 'multiline chart'), ('music_note', 'music note'), ('music_video', 'music video'), ('my_location', 'my location'), ('nature', 'nature'), ('nature_people', 'nature people'), ('navigate_before', 'navigate before'), ('navigate_next', 'navigate next'), ('navigation', 'navigation'), ('near_me', 'near me'), ('network_cell', 'network cell'), ('network_check', 'network check'), ('network_locked', 'network locked'), ('network_wifi', 'network wifi'), ('new_releases', 'new releases'), ('next_week', 'next week'), ('nfc', 'nfc'), ('no_encryption', 'no encryption'), ('no_sim', 'no sim'), ('not_interested', 'not interested'), ('note', 'note'), ('note_add', 'note add'), ('notifications', 'notifications'), ('notifications_active', 'notifications active'), ('notifications_none', 'notifications none'), ('notifications_off', 'notifications off'), ('notifications_paused', 'notifications paused'), ('offline_pin', 'offline pin'), ('ondemand_video', 'ondemand video'), ('opacity', 'opacity'), ('open_in_browser', 'open in browser'), ('open_in_new', 'open in new'), ('open_with', 'open with'), ('pages', 'pages'), ('pageview', 'pageview'), ('palette', 'palette'), ('pan_tool', 'pan tool'), ('panorama', 'panorama'), ('panorama_fish_eye', 'panorama fish eye'), ('panorama_horizontal', 'panorama horizontal'), ('panorama_vertical', 'panorama vertical'), ('panorama_wide_angle', 'panorama wide angle'), ('party_mode', 'party mode'), ('pause', 'pause'), ('pause_circle_filled', 'pause circle filled'), ('pause_circle_outline', 'pause circle outline'), ('payment', 'payment'), ('people', 'people'), ('people_outline', 'people outline'), ('perm_camera_mic', 'perm camera mic'), ('perm_contact_calendar', 'perm contact calendar'), ('perm_data_setting', 'perm data setting'), ('perm_device_information', 'perm device information'), ('perm_identity', 'perm identity'), ('perm_media', 'perm media'), ('perm_phone_msg', 'perm phone msg'), ('perm_scan_wifi', 'perm scan wifi'), ('person', 'person'), ('person_add', 'person add'), ('person_outline', 'person outline'), ('person_pin', 'person pin'), ('person_pin_circle', 'person pin circle'), ('personal_video', 'personal video'), ('pets', 'pets'), ('phone', 'phone'), ('phone_android', 'phone android'), ('phone_bluetooth_speaker', 'phone bluetooth speaker'), ('phone_forwarded', 'phone forwarded'), ('phone_in_talk', 'phone in talk'), ('phone_iphone', 'phone iphone'), ('phone_locked', 'phone locked'), ('phone_missed', 'phone missed'), ('phone_paused', 'phone paused'), ('phonelink', 'phonelink'), ('phonelink_erase', 'phonelink erase'), ('phonelink_lock', 'phonelink lock'), ('phonelink_off', 'phonelink off'), ('phonelink_ring', 'phonelink ring'), ('phonelink_setup', 'phonelink setup'), ('photo', 'photo'), ('photo_album', 'photo album'), ('photo_camera', 'photo camera'), ('photo_filter', 'photo filter'), ('photo_library', 'photo library'), ('photo_size_select_actual', 'photo size select actual'), ('photo_size_select_large', 'photo size select large'), ('photo_size_select_small', 'photo size select small'), ('picture_as_pdf', 'picture as pdf'), ('picture_in_picture', 'picture in picture'), ('picture_in_picture_alt', 'picture in picture alt'), ('pie_chart', 'pie chart'), ('pie_chart_outlined', 'pie chart outlined'), ('pin_drop', 'pin drop'), ('place', 'place'), ('play_arrow', 'play arrow'), ('play_circle_filled', 'play circle filled'), ('play_circle_outline', 'play circle outline'), ('play_for_work', 'play for work'), ('playlist_add', 'playlist add'), ('playlist_add_check', 'playlist add check'), ('playlist_play', 'playlist play'), ('plus_one', 'plus one'), ('poll', 'poll'), ('polymer', 'polymer'), ('pool', 'pool'), ('portable_wifi_off', 'portable wifi off'), ('portrait', 'portrait'), ('power', 'power'), ('power_input', 'power input'), ('power_settings_new', 'power settings new'), ('pregnant_woman', 'pregnant woman'), ('present_to_all', 'present to all'), ('print', 'print'), ('priority_high', 'priority high'), ('public', 'public'), ('publish', 'publish'), ('query_builder', 'query builder'), ('question_answer', 'question answer'), ('queue', 'queue'), ('queue_music', 'queue music'), ('queue_play_next', 'queue play next'), ('radio', 'radio'), ('radio_button_checked', 'radio button checked'), ('radio_button_unchecked', 'radio button unchecked'), ('rate_review', 'rate review'), ('receipt', 'receipt'), ('recent_actors', 'recent actors'), ('record_voice_over', 'record voice over'), ('redeem', 'redeem'), ('redo', 'redo'), ('refresh', 'refresh'), ('remove', 'remove'), ('remove_circle', 'remove circle'), ('remove_circle_outline', 'remove circle outline'), ('remove_from_queue', 'remove from queue'), ('remove_red_eye', 'remove red eye'), ('remove_shopping_cart', 'remove shopping cart'), ('reorder', 'reorder'), ('repeat', 'repeat'), ('repeat_one', 'repeat one'), ('replay', 'replay'), ('replay_10', 'replay 10'), ('replay_30', 'replay 30'), ('replay_5', 'replay 5'), ('reply', 'reply'), ('reply_all', 'reply all'), ('report', 'report'), ('report_problem', 'report problem'), ('restaurant', 'restaurant'), ('restaurant_menu', 'restaurant menu'), ('restore', 'restore'), ('restore_page', 'restore page'), ('ring_volume', 'ring volume'), ('room', 'room'), ('room_service', 'room service'), ('rotate_90_degrees_ccw', 'rotate 90 degrees ccw'), ('rotate_left', 'rotate left'), ('rotate_right', 'rotate right'), ('rounded_corner', 'rounded corner'), ('router', 'router'), ('rowing', 'rowing'), ('rss_feed', 'rss feed'), ('rv_hookup', 'rv hookup'), ('satellite', 'satellite'), ('save', 'save'), ('scanner', 'scanner'), ('schedule', 'schedule'), ('school', 'school'), ('screen_lock_landscape', 'screen lock landscape'), ('screen_lock_portrait', 'screen lock portrait'), ('screen_lock_rotation', 'screen lock rotation'), ('screen_rotation', 'screen rotation'), ('screen_share', 'screen share'), ('sd_card', 'sd card'), ('sd_storage', 'sd storage'), ('search', 'search'), ('security', 'security'), ('select_all', 'select all'), ('send', 'send'), ('sentiment_dissatisfied', 'sentiment dissatisfied'), ('sentiment_neutral', 'sentiment neutral'), ('sentiment_satisfied', 'sentiment satisfied'), ('sentiment_very_dissatisfied', 'sentiment very dissatisfied'), ('sentiment_very_satisfied', 'sentiment very satisfied'), ('settings', 'settings'), ('settings_applications', 'settings applications'), ('settings_backup_restore', 'settings backup restore'), ('settings_bluetooth', 'settings bluetooth'), ('settings_brightness', 'settings brightness'), ('settings_cell', 'settings cell'), ('settings_ethernet', 'settings ethernet'), ('settings_input_antenna', 'settings input antenna'), ('settings_input_component', 'settings input component'), ('settings_input_composite', 'settings input composite'), ('settings_input_hdmi', 'settings input hdmi'), ('settings_input_svideo', 'settings input svideo'), ('settings_overscan', 'settings overscan'), ('settings_phone', 'settings phone'), ('settings_power', 'settings power'), ('settings_remote', 'settings remote'), ('settings_system_daydream', 'settings system daydream'), ('settings_voice', 'settings voice'), ('share', 'share'), ('shop', 'shop'), ('shop_two', 'shop two'), ('shopping_basket', 'shopping basket'), ('shopping_cart', 'shopping cart'), ('short_text', 'short text'), ('show_chart', 'show chart'), ('shuffle', 'shuffle'), ('signal_cellular_4_bar', 'signal cellular 4 bar'), ('signal_cellular_connected_no_internet_4_bar', 'signal cellular connected no internet 4 bar'), ('signal_cellular_no_sim', 'signal cellular no sim'), ('signal_cellular_null', 'signal cellular null'), ('signal_cellular_off', 'signal cellular off'), ('signal_wifi_4_bar', 'signal wifi 4 bar'), ('signal_wifi_4_bar_lock', 'signal wifi 4 bar lock'), ('signal_wifi_off', 'signal wifi off'), ('sim_card', 'sim card'), ('sim_card_alert', 'sim card alert'), ('skip_next', 'skip next'), ('skip_previous', 'skip previous'), ('slideshow', 'slideshow'), ('slow_motion_video', 'slow motion video'), ('smartphone', 'smartphone'), ('smoke_free', 'smoke free'), ('smoking_rooms', 'smoking rooms'), ('sms', 'sms'), ('sms_failed', 'sms failed'), ('snooze', 'snooze'), ('sort', 'sort'), ('sort_by_alpha', 'sort by alpha'), ('spa', 'spa'), ('space_bar', 'space bar'), ('speaker', 'speaker'), ('speaker_group', 'speaker group'), ('speaker_notes', 'speaker notes'), ('speaker_notes_off', 'speaker notes off'), ('speaker_phone', 'speaker phone'), ('spellcheck', 'spellcheck'), ('star', 'star'), ('star_border', 'star border'), ('star_half', 'star half'), ('stars', 'stars'), ('stay_current_landscape', 'stay current landscape'), ('stay_current_portrait', 'stay current portrait'), ('stay_primary_landscape', 'stay primary landscape'), ('stay_primary_portrait', 'stay primary portrait'), ('stop', 'stop'), ('stop_screen_share', 'stop screen share'), ('storage', 'storage'), ('store', 'store'), ('store_mall_directory', 'store mall directory'), ('straighten', 'straighten'), ('streetview', 'streetview'), ('strikethrough_s', 'strikethrough s'), ('style', 'style'), ('subdirectory_arrow_left', 'subdirectory arrow left'), ('subdirectory_arrow_right', 'subdirectory arrow right'), ('subject', 'subject'), ('subscriptions', 'subscriptions'), ('subtitles', 'subtitles'), ('subway', 'subway'), ('supervisor_account', 'supervisor account'), ('surround_sound', 'surround sound'), ('swap_calls', 'swap calls'), ('swap_horiz', 'swap horiz'), ('swap_vert', 'swap vert'), ('swap_vertical_circle', 'swap vertical circle'), ('switch_camera', 'switch camera'), ('switch_video', 'switch video'), ('sync', 'sync'), ('sync_disabled', 'sync disabled'), ('sync_problem', 'sync problem'), ('system_update', 'system update'), ('system_update_alt', 'system update alt'), ('tab', 'tab'), ('tab_unselected', 'tab unselected'), ('tablet', 'tablet'), ('tablet_android', 'tablet android'), ('tablet_mac', 'tablet mac'), ('tag_faces', 'tag faces'), ('tap_and_play', 'tap and play'), ('terrain', 'terrain'), ('text_fields', 'text fields'), ('text_format', 'text format'), ('textsms', 'textsms'), ('texture', 'texture'), ('theaters', 'theaters'), ('thumb_down', 'thumb down'), ('thumb_up', 'thumb up'), ('thumbs_up_down', 'thumbs up down'), ('time_to_leave', 'time to leave'), ('timelapse', 'timelapse'), ('timeline', 'timeline'), ('timer', 'timer'), ('timer_10', 'timer 10'), ('timer_3', 'timer 3'), ('timer_off', 'timer off'), ('title', 'title'), ('toc', 'toc'), ('today', 'today'), ('toll', 'toll'), ('tonality', 'tonality'), ('touch_app', 'touch app'), ('toys', 'toys'), ('track_changes', 'track changes'), ('traffic', 'traffic'), ('train', 'train'), ('tram', 'tram'), ('transfer_within_a_station', 'transfer within a station'), ('transform', 'transform'), ('translate', 'translate'), ('trending_down', 'trending down'), ('trending_flat', 'trending flat'), ('trending_up', 'trending up'), ('tune', 'tune'), ('turned_in', 'turned in'), ('turned_in_not', 'turned in not'), ('tv', 'tv'), ('unarchive', 'unarchive'), ('undo', 'undo'), ('unfold_less', 'unfold less'), ('unfold_more', 'unfold more'), ('update', 'update'), ('usb', 'usb'), ('verified_user', 'verified user'), ('vertical_align_bottom', 'vertical align bottom'), ('vertical_align_center', 'vertical align center'), ('vertical_align_top', 'vertical align top'), ('vibration', 'vibration'), ('video_call', 'video call'), ('video_label', 'video label'), ('video_library', 'video library'), ('videocam', 'videocam'), ('videocam_off', 'videocam off'), ('videogame_asset', 'videogame asset'), ('view_agenda', 'view agenda'), ('view_array', 'view array'), ('view_carousel', 'view carousel'), ('view_column', 'view column'), ('view_comfy', 'view comfy'), ('view_compact', 'view compact'), ('view_day', 'view day'), ('view_headline', 'view headline'), ('view_list', 'view list'), ('view_module', 'view module'), ('view_quilt', 'view quilt'), ('view_stream', 'view stream'), ('view_week', 'view week'), ('vignette', 'vignette'), ('visibility', 'visibility'), ('visibility_off', 'visibility off'), ('voice_chat', 'voice chat'), ('voicemail', 'voicemail'), ('volume_down', 'volume down'), ('volume_mute', 'volume mute'), ('volume_off', 'volume off'), ('volume_up', 'volume up'), ('vpn_key', 'vpn key'), ('vpn_lock', 'vpn lock'), ('wallpaper', 'wallpaper'), ('warning', 'warning'), ('watch', 'watch'), ('watch_later', 'watch later'), ('wb_auto', 'wb auto'), ('wb_cloudy', 'wb cloudy'), ('wb_incandescent', 'wb incandescent'), ('wb_iridescent', 'wb iridescent'), ('wb_sunny', 'wb sunny'), ('wc', 'wc'), ('web', 'web'), ('web_asset', 'web asset'), ('weekend', 'weekend'), ('whatshot', 'whatshot'), ('widgets', 'widgets'), ('wifi', 'wifi'), ('wifi_lock', 'wifi lock'), ('wifi_tethering', 'wifi tethering'), ('work', 'work'), ('wrap_text', 'wrap text'), ('youtube_searched_for', 'youtube searched for'), ('zoom_in', 'zoom in'), ('zoom_out', 'zoom out'), ('zoom_out_map', 'zoom out map')], label='Icon')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')], label='Size', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], label='Background Color', required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], label='Icon Color', required=False))))), ('url_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('bookmark_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('page_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('document_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('image_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('h1', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h2', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h3', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h4', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h5', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h6', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))), ('card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('panel_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('image_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_horizontal_style', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use horizontal style', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('reveal_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('reveal_contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),), label='Reveal contents')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_sticky_action', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use sticky action', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False)))))))), ('container', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('row', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('column', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))), ('promotedicon', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('icon', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('3d_rotation', '3d rotation'), ('ac_unit', 'ac unit'), ('access_alarm', 'access alarm'), ('access_alarms', 'access alarms'), ('access_time', 'access time'), ('accessibility', 'accessibility'), ('accessible', 'accessible'), ('account_balance', 'account balance'), ('account_balance_wallet', 'account balance wallet'), ('account_box', 'account box'), ('account_circle', 'account circle'), ('adb', 'adb'), ('add', 'add'), ('add_a_photo', 'add a photo'), ('add_alarm', 'add alarm'), ('add_alert', 'add alert'), ('add_box', 'add box'), ('add_circle', 'add circle'), ('add_circle_outline', 'add circle outline'), ('add_location', 'add location'), ('add_shopping_cart', 'add shopping cart'), ('add_to_photos', 'add to photos'), ('add_to_queue', 'add to queue'), ('adjust', 'adjust'), ('airline_seat_flat', 'airline seat flat'), ('airline_seat_flat_angled', 'airline seat flat angled'), ('airline_seat_individual_suite', 'airline seat individual suite'), ('airline_seat_legroom_extra', 'airline seat legroom extra'), ('airline_seat_legroom_normal', 'airline seat legroom normal'), ('airline_seat_legroom_reduced', 'airline seat legroom reduced'), ('airline_seat_recline_extra', 'airline seat recline extra'), ('airline_seat_recline_normal', 'airline seat recline normal'), ('airplanemode_active', 'airplanemode active'), ('airplanemode_inactive', 'airplanemode inactive'), ('airplay', 'airplay'), ('airport_shuttle', 'airport shuttle'), ('alarm', 'alarm'), ('alarm_add', 'alarm add'), ('alarm_off', 'alarm off'), ('alarm_on', 'alarm on'), ('album', 'album'), ('all_inclusive', 'all inclusive'), ('all_out', 'all out'), ('android', 'android'), ('announcement', 'announcement'), ('apps', 'apps'), ('archive', 'archive'), ('arrow_back', 'arrow back'), ('arrow_downward', 'arrow downward'), ('arrow_drop_down', 'arrow drop down'), ('arrow_drop_down_circle', 'arrow drop down circle'), ('arrow_drop_up', 'arrow drop up'), ('arrow_forward', 'arrow forward'), ('arrow_upward', 'arrow upward'), ('art_track', 'art track'), ('aspect_ratio', 'aspect ratio'), ('assessment', 'assessment'), ('assignment', 'assignment'), ('assignment_ind', 'assignment ind'), ('assignment_late', 'assignment late'), ('assignment_return', 'assignment return'), ('assignment_returned', 'assignment returned'), ('assignment_turned_in', 'assignment turned in'), ('assistant', 'assistant'), ('assistant_photo', 'assistant photo'), ('attach_file', 'attach file'), ('attach_money', 'attach money'), ('attachment', 'attachment'), ('audiotrack', 'audiotrack'), ('autorenew', 'autorenew'), ('av_timer', 'av timer'), ('backspace', 'backspace'), ('backup', 'backup'), ('battery_alert', 'battery alert'), ('battery_charging_full', 'battery charging full'), ('battery_full', 'battery full'), ('battery_std', 'battery std'), ('battery_unknown', 'battery unknown'), ('beach_access', 'beach access'), ('beenhere', 'beenhere'), ('block', 'block'), ('bluetooth', 'bluetooth'), ('bluetooth_audio', 'bluetooth audio'), ('bluetooth_connected', 'bluetooth connected'), ('bluetooth_disabled', 'bluetooth disabled'), ('bluetooth_searching', 'bluetooth searching'), ('blur_circular', 'blur circular'), ('blur_linear', 'blur linear'), ('blur_off', 'blur off'), ('blur_on', 'blur on'), ('book', 'book'), ('bookmark', 'bookmark'), ('bookmark_border', 'bookmark border'), ('border_all', 'border all'), ('border_bottom', 'border bottom'), ('border_clear', 'border clear'), ('border_color', 'border color'), ('border_horizontal', 'border horizontal'), ('border_inner', 'border inner'), ('border_left', 'border left'), ('border_outer', 'border outer'), ('border_right', 'border right'), ('border_style', 'border style'), ('border_top', 'border top'), ('border_vertical', 'border vertical'), ('branding_watermark', 'branding watermark'), ('brightness_1', 'brightness 1'), ('brightness_2', 'brightness 2'), ('brightness_3', 'brightness 3'), ('brightness_4', 'brightness 4'), ('brightness_5', 'brightness 5'), ('brightness_6', 'brightness 6'), ('brightness_7', 'brightness 7'), ('brightness_auto', 'brightness auto'), ('brightness_high', 'brightness high'), ('brightness_low', 'brightness low'), ('brightness_medium', 'brightness medium'), ('broken_image', 'broken image'), ('brush', 'brush'), ('bubble_chart', 'bubble chart'), ('bug_report', 'bug report'), ('build', 'build'), ('burst_mode', 'burst mode'), ('business', 'business'), ('business_center', 'business center'), ('cached', 'cached'), ('cake', 'cake'), ('call', 'call'), ('call_end', 'call end'), ('call_made', 'call made'), ('call_merge', 'call merge'), ('call_missed', 'call missed'), ('call_missed_outgoing', 'call missed outgoing'), ('call_received', 'call received'), ('call_split', 'call split'), ('call_to_action', 'call to action'), ('camera', 'camera'), ('camera_alt', 'camera alt'), ('camera_enhance', 'camera enhance'), ('camera_front', 'camera front'), ('camera_rear', 'camera rear'), ('camera_roll', 'camera roll'), ('cancel', 'cancel'), ('card_giftcard', 'card giftcard'), ('card_membership', 'card membership'), ('card_travel', 'card travel'), ('casino', 'casino'), ('cast', 'cast'), ('cast_connected', 'cast connected'), ('center_focus_strong', 'center focus strong'), ('center_focus_weak', 'center focus weak'), ('change_history', 'change history'), ('chat', 'chat'), ('chat_bubble', 'chat bubble'), ('chat_bubble_outline', 'chat bubble outline'), ('check', 'check'), ('check_box', 'check box'), ('check_box_outline_blank', 'check box outline blank'), ('check_circle', 'check circle'), ('chevron_left', 'chevron left'), ('chevron_right', 'chevron right'), ('child_care', 'child care'), ('child_friendly', 'child friendly'), ('chrome_reader_mode', 'chrome reader mode'), ('class', 'class'), ('clear', 'clear'), ('clear_all', 'clear all'), ('close', 'close'), ('closed_caption', 'closed caption'), ('cloud', 'cloud'), ('cloud_circle', 'cloud circle'), ('cloud_done', 'cloud done'), ('cloud_download', 'cloud download'), ('cloud_off', 'cloud off'), ('cloud_queue', 'cloud queue'), ('cloud_upload', 'cloud upload'), ('code', 'code'), ('collections', 'collections'), ('collections_bookmark', 'collections bookmark'), ('color_lens', 'color lens'), ('colorize', 'colorize'), ('comment', 'comment'), ('compare', 'compare'), ('compare_arrows', 'compare arrows'), ('computer', 'computer'), ('confirmation_number', 'confirmation number'), ('contact_mail', 'contact mail'), ('contact_phone', 'contact phone'), ('contacts', 'contacts'), ('content_copy', 'content copy'), ('content_cut', 'content cut'), ('content_paste', 'content paste'), ('control_point', 'control point'), ('control_point_duplicate', 'control point duplicate'), ('copyright', 'copyright'), ('create', 'create'), ('create_new_folder', 'create new folder'), ('credit_card', 'credit card'), ('crop', 'crop'), ('crop_16_9', 'crop 16 9'), ('crop_3_2', 'crop 3 2'), ('crop_5_4', 'crop 5 4'), ('crop_7_5', 'crop 7 5'), ('crop_din', 'crop din'), ('crop_free', 'crop free'), ('crop_landscape', 'crop landscape'), ('crop_original', 'crop original'), ('crop_portrait', 'crop portrait'), ('crop_rotate', 'crop rotate'), ('crop_square', 'crop square'), ('dashboard', 'dashboard'), ('data_usage', 'data usage'), ('date_range', 'date range'), ('dehaze', 'dehaze'), ('delete', 'delete'), ('delete_forever', 'delete forever'), ('delete_sweep', 'delete sweep'), ('description', 'description'), ('desktop_mac', 'desktop mac'), ('desktop_windows', 'desktop windows'), ('details', 'details'), ('developer_board', 'developer board'), ('developer_mode', 'developer mode'), ('device_hub', 'device hub'), ('devices', 'devices'), ('devices_other', 'devices other'), ('dialer_sip', 'dialer sip'), ('dialpad', 'dialpad'), ('directions', 'directions'), ('directions_bike', 'directions bike'), ('directions_boat', 'directions boat'), ('directions_bus', 'directions bus'), ('directions_car', 'directions car'), ('directions_railway', 'directions railway'), ('directions_run', 'directions run'), ('directions_subway', 'directions subway'), ('directions_transit', 'directions transit'), ('directions_walk', 'directions walk'), ('disc_full', 'disc full'), ('dns', 'dns'), ('do_not_disturb', 'do not disturb'), ('do_not_disturb_alt', 'do not disturb alt'), ('do_not_disturb_off', 'do not disturb off'), ('do_not_disturb_on', 'do not disturb on'), ('dock', 'dock'), ('domain', 'domain'), ('done', 'done'), ('done_all', 'done all'), ('donut_large', 'donut large'), ('donut_small', 'donut small'), ('drafts', 'drafts'), ('drag_handle', 'drag handle'), ('drive_eta', 'drive eta'), ('dvr', 'dvr'), ('edit', 'edit'), ('edit_location', 'edit location'), ('eject', 'eject'), ('email', 'email'), ('enhanced_encryption', 'enhanced encryption'), ('equalizer', 'equalizer'), ('error', 'error'), ('error_outline', 'error outline'), ('euro_symbol', 'euro symbol'), ('ev_station', 'ev station'), ('event', 'event'), ('event_available', 'event available'), ('event_busy', 'event busy'), ('event_note', 'event note'), ('event_seat', 'event seat'), ('exit_to_app', 'exit to app'), ('expand_less', 'expand less'), ('expand_more', 'expand more'), ('explicit', 'explicit'), ('explore', 'explore'), ('exposure', 'exposure'), ('exposure_neg_1', 'exposure neg 1'), ('exposure_neg_2', 'exposure neg 2'), ('exposure_plus_1', 'exposure plus 1'), ('exposure_plus_2', 'exposure plus 2'), ('exposure_zero', 'exposure zero'), ('extension', 'extension'), ('face', 'face'), ('fast_forward', 'fast forward'), ('fast_rewind', 'fast rewind'), ('favorite', 'favorite'), ('favorite_border', 'favorite border'), ('featured_play_list', 'featured play list'), ('featured_video', 'featured video'), ('feedback', 'feedback'), ('fiber_dvr', 'fiber dvr'), ('fiber_manual_record', 'fiber manual record'), ('fiber_new', 'fiber new'), ('fiber_pin', 'fiber pin'), ('fiber_smart_record', 'fiber smart record'), ('file_download', 'file download'), ('file_upload', 'file upload'), ('filter', 'filter'), ('filter_1', 'filter 1'), ('filter_2', 'filter 2'), ('filter_3', 'filter 3'), ('filter_4', 'filter 4'), ('filter_5', 'filter 5'), ('filter_6', 'filter 6'), ('filter_7', 'filter 7'), ('filter_8', 'filter 8'), ('filter_9', 'filter 9'), ('filter_9_plus', 'filter 9 plus'), ('filter_b_and_w', 'filter b and w'), ('filter_center_focus', 'filter center focus'), ('filter_drama', 'filter drama'), ('filter_frames', 'filter frames'), ('filter_hdr', 'filter hdr'), ('filter_list', 'filter list'), ('filter_none', 'filter none'), ('filter_tilt_shift', 'filter tilt shift'), ('filter_vintage', 'filter vintage'), ('find_in_page', 'find in page'), ('find_replace', 'find replace'), ('fingerprint', 'fingerprint'), ('first_page', 'first page'), ('fitness_center', 'fitness center'), ('flag', 'flag'), ('flare', 'flare'), ('flash_auto', 'flash auto'), ('flash_off', 'flash off'), ('flash_on', 'flash on'), ('flight', 'flight'), ('flight_land', 'flight land'), ('flight_takeoff', 'flight takeoff'), ('flip', 'flip'), ('flip_to_back', 'flip to back'), ('flip_to_front', 'flip to front'), ('folder', 'folder'), ('folder_open', 'folder open'), ('folder_shared', 'folder shared'), ('folder_special', 'folder special'), ('font_download', 'font download'), ('format_align_center', 'format align center'), ('format_align_justify', 'format align justify'), ('format_align_left', 'format align left'), ('format_align_right', 'format align right'), ('format_bold', 'format bold'), ('format_clear', 'format clear'), ('format_color_fill', 'format color fill'), ('format_color_reset', 'format color reset'), ('format_color_text', 'format color text'), ('format_indent_decrease', 'format indent decrease'), ('format_indent_increase', 'format indent increase'), ('format_italic', 'format italic'), ('format_line_spacing', 'format line spacing'), ('format_list_bulleted', 'format list bulleted'), ('format_list_numbered', 'format list numbered'), ('format_paint', 'format paint'), ('format_quote', 'format quote'), ('format_shapes', 'format shapes'), ('format_size', 'format size'), ('format_strikethrough', 'format strikethrough'), ('format_textdirection_l_to_r', 'format textdirection l to r'), ('format_textdirection_r_to_l', 'format textdirection r to l'), ('format_underlined', 'format underlined'), ('forum', 'forum'), ('forward', 'forward'), ('forward_10', 'forward 10'), ('forward_30', 'forward 30'), ('forward_5', 'forward 5'), ('free_breakfast', 'free breakfast'), ('fullscreen', 'fullscreen'), ('fullscreen_exit', 'fullscreen exit'), ('functions', 'functions'), ('g_translate', 'g translate'), ('gamepad', 'gamepad'), ('games', 'games'), ('gavel', 'gavel'), ('gesture', 'gesture'), ('get_app', 'get app'), ('gif', 'gif'), ('golf_course', 'golf course'), ('gps_fixed', 'gps fixed'), ('gps_not_fixed', 'gps not fixed'), ('gps_off', 'gps off'), ('grade', 'grade'), ('gradient', 'gradient'), ('grain', 'grain'), ('graphic_eq', 'graphic eq'), ('grid_off', 'grid off'), ('grid_on', 'grid on'), ('group', 'group'), ('group_add', 'group add'), ('group_work', 'group work'), ('hd', 'hd'), ('hdr_off', 'hdr off'), ('hdr_on', 'hdr on'), ('hdr_strong', 'hdr strong'), ('hdr_weak', 'hdr weak'), ('headset', 'headset'), ('headset_mic', 'headset mic'), ('healing', 'healing'), ('hearing', 'hearing'), ('help', 'help'), ('help_outline', 'help outline'), ('high_quality', 'high quality'), ('highlight', 'highlight'), ('highlight_off', 'highlight off'), ('history', 'history'), ('home', 'home'), ('hot_tub', 'hot tub'), ('hotel', 'hotel'), ('hourglass_empty', 'hourglass empty'), ('hourglass_full', 'hourglass full'), ('http', 'http'), ('https', 'https'), ('image', 'image'), ('image_aspect_ratio', 'image aspect ratio'), ('import_contacts', 'import contacts'), ('import_export', 'import export'), ('important_devices', 'important devices'), ('inbox', 'inbox'), ('indeterminate_check_box', 'indeterminate check box'), ('info', 'info'), ('info_outline', 'info outline'), ('input', 'input'), ('insert_chart', 'insert chart'), ('insert_comment', 'insert comment'), ('insert_drive_file', 'insert drive file'), ('insert_emoticon', 'insert emoticon'), ('insert_invitation', 'insert invitation'), ('insert_link', 'insert link'), ('insert_photo', 'insert photo'), ('invert_colors', 'invert colors'), ('invert_colors_off', 'invert colors off'), ('iso', 'iso'), ('keyboard', 'keyboard'), ('keyboard_arrow_down', 'keyboard arrow down'), ('keyboard_arrow_left', 'keyboard arrow left'), ('keyboard_arrow_right', 'keyboard arrow right'), ('keyboard_arrow_up', 'keyboard arrow up'), ('keyboard_backspace', 'keyboard backspace'), ('keyboard_capslock', 'keyboard capslock'), ('keyboard_hide', 'keyboard hide'), ('keyboard_return', 'keyboard return'), ('keyboard_tab', 'keyboard tab'), ('keyboard_voice', 'keyboard voice'), ('kitchen', 'kitchen'), ('label', 'label'), ('label_outline', 'label outline'), ('landscape', 'landscape'), ('language', 'language'), ('laptop', 'laptop'), ('laptop_chromebook', 'laptop chromebook'), ('laptop_mac', 'laptop mac'), ('laptop_windows', 'laptop windows'), ('last_page', 'last page'), ('launch', 'launch'), ('layers', 'layers'), ('layers_clear', 'layers clear'), ('leak_add', 'leak add'), ('leak_remove', 'leak remove'), ('lens', 'lens'), ('library_add', 'library add'), ('library_books', 'library books'), ('library_music', 'library music'), ('lightbulb_outline', 'lightbulb outline'), ('line_style', 'line style'), ('line_weight', 'line weight'), ('linear_scale', 'linear scale'), ('link', 'link'), ('linked_camera', 'linked camera'), ('list', 'list'), ('live_help', 'live help'), ('live_tv', 'live tv'), ('local_activity', 'local activity'), ('local_airport', 'local airport'), ('local_atm', 'local atm'), ('local_bar', 'local bar'), ('local_cafe', 'local cafe'), ('local_car_wash', 'local car wash'), ('local_convenience_store', 'local convenience store'), ('local_dining', 'local dining'), ('local_drink', 'local drink'), ('local_florist', 'local florist'), ('local_gas_station', 'local gas station'), ('local_grocery_store', 'local grocery store'), ('local_hospital', 'local hospital'), ('local_hotel', 'local hotel'), ('local_laundry_service', 'local laundry service'), ('local_library', 'local library'), ('local_mall', 'local mall'), ('local_movies', 'local movies'), ('local_offer', 'local offer'), ('local_parking', 'local parking'), ('local_pharmacy', 'local pharmacy'), ('local_phone', 'local phone'), ('local_pizza', 'local pizza'), ('local_play', 'local play'), ('local_post_office', 'local post office'), ('local_printshop', 'local printshop'), ('local_see', 'local see'), ('local_shipping', 'local shipping'), ('local_taxi', 'local taxi'), ('location_city', 'location city'), ('location_disabled', 'location disabled'), ('location_off', 'location off'), ('location_on', 'location on'), ('location_searching', 'location searching'), ('lock', 'lock'), ('lock_open', 'lock open'), ('lock_outline', 'lock outline'), ('looks', 'looks'), ('looks_3', 'looks 3'), ('looks_4', 'looks 4'), ('looks_5', 'looks 5'), ('looks_6', 'looks 6'), ('looks_one', 'looks one'), ('looks_two', 'looks two'), ('loop', 'loop'), ('loupe', 'loupe'), ('low_priority', 'low priority'), ('loyalty', 'loyalty'), ('mail', 'mail'), ('mail_outline', 'mail outline'), ('map', 'map'), ('markunread', 'markunread'), ('markunread_mailbox', 'markunread mailbox'), ('memory', 'memory'), ('menu', 'menu'), ('merge_type', 'merge type'), ('message', 'message'), ('mic', 'mic'), ('mic_none', 'mic none'), ('mic_off', 'mic off'), ('mms', 'mms'), ('mode_comment', 'mode comment'), ('mode_edit', 'mode edit'), ('monetization_on', 'monetization on'), ('money_off', 'money off'), ('monochrome_photos', 'monochrome photos'), ('mood', 'mood'), ('mood_bad', 'mood bad'), ('more', 'more'), ('more_horiz', 'more horiz'), ('more_vert', 'more vert'), ('motorcycle', 'motorcycle'), ('mouse', 'mouse'), ('move_to_inbox', 'move to inbox'), ('movie', 'movie'), ('movie_creation', 'movie creation'), ('movie_filter', 'movie filter'), ('multiline_chart', 'multiline chart'), ('music_note', 'music note'), ('music_video', 'music video'), ('my_location', 'my location'), ('nature', 'nature'), ('nature_people', 'nature people'), ('navigate_before', 'navigate before'), ('navigate_next', 'navigate next'), ('navigation', 'navigation'), ('near_me', 'near me'), ('network_cell', 'network cell'), ('network_check', 'network check'), ('network_locked', 'network locked'), ('network_wifi', 'network wifi'), ('new_releases', 'new releases'), ('next_week', 'next week'), ('nfc', 'nfc'), ('no_encryption', 'no encryption'), ('no_sim', 'no sim'), ('not_interested', 'not interested'), ('note', 'note'), ('note_add', 'note add'), ('notifications', 'notifications'), ('notifications_active', 'notifications active'), ('notifications_none', 'notifications none'), ('notifications_off', 'notifications off'), ('notifications_paused', 'notifications paused'), ('offline_pin', 'offline pin'), ('ondemand_video', 'ondemand video'), ('opacity', 'opacity'), ('open_in_browser', 'open in browser'), ('open_in_new', 'open in new'), ('open_with', 'open with'), ('pages', 'pages'), ('pageview', 'pageview'), ('palette', 'palette'), ('pan_tool', 'pan tool'), ('panorama', 'panorama'), ('panorama_fish_eye', 'panorama fish eye'), ('panorama_horizontal', 'panorama horizontal'), ('panorama_vertical', 'panorama vertical'), ('panorama_wide_angle', 'panorama wide angle'), ('party_mode', 'party mode'), ('pause', 'pause'), ('pause_circle_filled', 'pause circle filled'), ('pause_circle_outline', 'pause circle outline'), ('payment', 'payment'), ('people', 'people'), ('people_outline', 'people outline'), ('perm_camera_mic', 'perm camera mic'), ('perm_contact_calendar', 'perm contact calendar'), ('perm_data_setting', 'perm data setting'), ('perm_device_information', 'perm device information'), ('perm_identity', 'perm identity'), ('perm_media', 'perm media'), ('perm_phone_msg', 'perm phone msg'), ('perm_scan_wifi', 'perm scan wifi'), ('person', 'person'), ('person_add', 'person add'), ('person_outline', 'person outline'), ('person_pin', 'person pin'), ('person_pin_circle', 'person pin circle'), ('personal_video', 'personal video'), ('pets', 'pets'), ('phone', 'phone'), ('phone_android', 'phone android'), ('phone_bluetooth_speaker', 'phone bluetooth speaker'), ('phone_forwarded', 'phone forwarded'), ('phone_in_talk', 'phone in talk'), ('phone_iphone', 'phone iphone'), ('phone_locked', 'phone locked'), ('phone_missed', 'phone missed'), ('phone_paused', 'phone paused'), ('phonelink', 'phonelink'), ('phonelink_erase', 'phonelink erase'), ('phonelink_lock', 'phonelink lock'), ('phonelink_off', 'phonelink off'), ('phonelink_ring', 'phonelink ring'), ('phonelink_setup', 'phonelink setup'), ('photo', 'photo'), ('photo_album', 'photo album'), ('photo_camera', 'photo camera'), ('photo_filter', 'photo filter'), ('photo_library', 'photo library'), ('photo_size_select_actual', 'photo size select actual'), ('photo_size_select_large', 'photo size select large'), ('photo_size_select_small', 'photo size select small'), ('picture_as_pdf', 'picture as pdf'), ('picture_in_picture', 'picture in picture'), ('picture_in_picture_alt', 'picture in picture alt'), ('pie_chart', 'pie chart'), ('pie_chart_outlined', 'pie chart outlined'), ('pin_drop', 'pin drop'), ('place', 'place'), ('play_arrow', 'play arrow'), ('play_circle_filled', 'play circle filled'), ('play_circle_outline', 'play circle outline'), ('play_for_work', 'play for work'), ('playlist_add', 'playlist add'), ('playlist_add_check', 'playlist add check'), ('playlist_play', 'playlist play'), ('plus_one', 'plus one'), ('poll', 'poll'), ('polymer', 'polymer'), ('pool', 'pool'), ('portable_wifi_off', 'portable wifi off'), ('portrait', 'portrait'), ('power', 'power'), ('power_input', 'power input'), ('power_settings_new', 'power settings new'), ('pregnant_woman', 'pregnant woman'), ('present_to_all', 'present to all'), ('print', 'print'), ('priority_high', 'priority high'), ('public', 'public'), ('publish', 'publish'), ('query_builder', 'query builder'), ('question_answer', 'question answer'), ('queue', 'queue'), ('queue_music', 'queue music'), ('queue_play_next', 'queue play next'), ('radio', 'radio'), ('radio_button_checked', 'radio button checked'), ('radio_button_unchecked', 'radio button unchecked'), ('rate_review', 'rate review'), ('receipt', 'receipt'), ('recent_actors', 'recent actors'), ('record_voice_over', 'record voice over'), ('redeem', 'redeem'), ('redo', 'redo'), ('refresh', 'refresh'), ('remove', 'remove'), ('remove_circle', 'remove circle'), ('remove_circle_outline', 'remove circle outline'), ('remove_from_queue', 'remove from queue'), ('remove_red_eye', 'remove red eye'), ('remove_shopping_cart', 'remove shopping cart'), ('reorder', 'reorder'), ('repeat', 'repeat'), ('repeat_one', 'repeat one'), ('replay', 'replay'), ('replay_10', 'replay 10'), ('replay_30', 'replay 30'), ('replay_5', 'replay 5'), ('reply', 'reply'), ('reply_all', 'reply all'), ('report', 'report'), ('report_problem', 'report problem'), ('restaurant', 'restaurant'), ('restaurant_menu', 'restaurant menu'), ('restore', 'restore'), ('restore_page', 'restore page'), ('ring_volume', 'ring volume'), ('room', 'room'), ('room_service', 'room service'), ('rotate_90_degrees_ccw', 'rotate 90 degrees ccw'), ('rotate_left', 'rotate left'), ('rotate_right', 'rotate right'), ('rounded_corner', 'rounded corner'), ('router', 'router'), ('rowing', 'rowing'), ('rss_feed', 'rss feed'), ('rv_hookup', 'rv hookup'), ('satellite', 'satellite'), ('save', 'save'), ('scanner', 'scanner'), ('schedule', 'schedule'), ('school', 'school'), ('screen_lock_landscape', 'screen lock landscape'), ('screen_lock_portrait', 'screen lock portrait'), ('screen_lock_rotation', 'screen lock rotation'), ('screen_rotation', 'screen rotation'), ('screen_share', 'screen share'), ('sd_card', 'sd card'), ('sd_storage', 'sd storage'), ('search', 'search'), ('security', 'security'), ('select_all', 'select all'), ('send', 'send'), ('sentiment_dissatisfied', 'sentiment dissatisfied'), ('sentiment_neutral', 'sentiment neutral'), ('sentiment_satisfied', 'sentiment satisfied'), ('sentiment_very_dissatisfied', 'sentiment very dissatisfied'), ('sentiment_very_satisfied', 'sentiment very satisfied'), ('settings', 'settings'), ('settings_applications', 'settings applications'), ('settings_backup_restore', 'settings backup restore'), ('settings_bluetooth', 'settings bluetooth'), ('settings_brightness', 'settings brightness'), ('settings_cell', 'settings cell'), ('settings_ethernet', 'settings ethernet'), ('settings_input_antenna', 'settings input antenna'), ('settings_input_component', 'settings input component'), ('settings_input_composite', 'settings input composite'), ('settings_input_hdmi', 'settings input hdmi'), ('settings_input_svideo', 'settings input svideo'), ('settings_overscan', 'settings overscan'), ('settings_phone', 'settings phone'), ('settings_power', 'settings power'), ('settings_remote', 'settings remote'), ('settings_system_daydream', 'settings system daydream'), ('settings_voice', 'settings voice'), ('share', 'share'), ('shop', 'shop'), ('shop_two', 'shop two'), ('shopping_basket', 'shopping basket'), ('shopping_cart', 'shopping cart'), ('short_text', 'short text'), ('show_chart', 'show chart'), ('shuffle', 'shuffle'), ('signal_cellular_4_bar', 'signal cellular 4 bar'), ('signal_cellular_connected_no_internet_4_bar', 'signal cellular connected no internet 4 bar'), ('signal_cellular_no_sim', 'signal cellular no sim'), ('signal_cellular_null', 'signal cellular null'), ('signal_cellular_off', 'signal cellular off'), ('signal_wifi_4_bar', 'signal wifi 4 bar'), ('signal_wifi_4_bar_lock', 'signal wifi 4 bar lock'), ('signal_wifi_off', 'signal wifi off'), ('sim_card', 'sim card'), ('sim_card_alert', 'sim card alert'), ('skip_next', 'skip next'), ('skip_previous', 'skip previous'), ('slideshow', 'slideshow'), ('slow_motion_video', 'slow motion video'), ('smartphone', 'smartphone'), ('smoke_free', 'smoke free'), ('smoking_rooms', 'smoking rooms'), ('sms', 'sms'), ('sms_failed', 'sms failed'), ('snooze', 'snooze'), ('sort', 'sort'), ('sort_by_alpha', 'sort by alpha'), ('spa', 'spa'), ('space_bar', 'space bar'), ('speaker', 'speaker'), ('speaker_group', 'speaker group'), ('speaker_notes', 'speaker notes'), ('speaker_notes_off', 'speaker notes off'), ('speaker_phone', 'speaker phone'), ('spellcheck', 'spellcheck'), ('star', 'star'), ('star_border', 'star border'), ('star_half', 'star half'), ('stars', 'stars'), ('stay_current_landscape', 'stay current landscape'), ('stay_current_portrait', 'stay current portrait'), ('stay_primary_landscape', 'stay primary landscape'), ('stay_primary_portrait', 'stay primary portrait'), ('stop', 'stop'), ('stop_screen_share', 'stop screen share'), ('storage', 'storage'), ('store', 'store'), ('store_mall_directory', 'store mall directory'), ('straighten', 'straighten'), ('streetview', 'streetview'), ('strikethrough_s', 'strikethrough s'), ('style', 'style'), ('subdirectory_arrow_left', 'subdirectory arrow left'), ('subdirectory_arrow_right', 'subdirectory arrow right'), ('subject', 'subject'), ('subscriptions', 'subscriptions'), ('subtitles', 'subtitles'), ('subway', 'subway'), ('supervisor_account', 'supervisor account'), ('surround_sound', 'surround sound'), ('swap_calls', 'swap calls'), ('swap_horiz', 'swap horiz'), ('swap_vert', 'swap vert'), ('swap_vertical_circle', 'swap vertical circle'), ('switch_camera', 'switch camera'), ('switch_video', 'switch video'), ('sync', 'sync'), ('sync_disabled', 'sync disabled'), ('sync_problem', 'sync problem'), ('system_update', 'system update'), ('system_update_alt', 'system update alt'), ('tab', 'tab'), ('tab_unselected', 'tab unselected'), ('tablet', 'tablet'), ('tablet_android', 'tablet android'), ('tablet_mac', 'tablet mac'), ('tag_faces', 'tag faces'), ('tap_and_play', 'tap and play'), ('terrain', 'terrain'), ('text_fields', 'text fields'), ('text_format', 'text format'), ('textsms', 'textsms'), ('texture', 'texture'), ('theaters', 'theaters'), ('thumb_down', 'thumb down'), ('thumb_up', 'thumb up'), ('thumbs_up_down', 'thumbs up down'), ('time_to_leave', 'time to leave'), ('timelapse', 'timelapse'), ('timeline', 'timeline'), ('timer', 'timer'), ('timer_10', 'timer 10'), ('timer_3', 'timer 3'), ('timer_off', 'timer off'), ('title', 'title'), ('toc', 'toc'), ('today', 'today'), ('toll', 'toll'), ('tonality', 'tonality'), ('touch_app', 'touch app'), ('toys', 'toys'), ('track_changes', 'track changes'), ('traffic', 'traffic'), ('train', 'train'), ('tram', 'tram'), ('transfer_within_a_station', 'transfer within a station'), ('transform', 'transform'), ('translate', 'translate'), ('trending_down', 'trending down'), ('trending_flat', 'trending flat'), ('trending_up', 'trending up'), ('tune', 'tune'), ('turned_in', 'turned in'), ('turned_in_not', 'turned in not'), ('tv', 'tv'), ('unarchive', 'unarchive'), ('undo', 'undo'), ('unfold_less', 'unfold less'), ('unfold_more', 'unfold more'), ('update', 'update'), ('usb', 'usb'), ('verified_user', 'verified user'), ('vertical_align_bottom', 'vertical align bottom'), ('vertical_align_center', 'vertical align center'), ('vertical_align_top', 'vertical align top'), ('vibration', 'vibration'), ('video_call', 'video call'), ('video_label', 'video label'), ('video_library', 'video library'), ('videocam', 'videocam'), ('videocam_off', 'videocam off'), ('videogame_asset', 'videogame asset'), ('view_agenda', 'view agenda'), ('view_array', 'view array'), ('view_carousel', 'view carousel'), ('view_column', 'view column'), ('view_comfy', 'view comfy'), ('view_compact', 'view compact'), ('view_day', 'view day'), ('view_headline', 'view headline'), ('view_list', 'view list'), ('view_module', 'view module'), ('view_quilt', 'view quilt'), ('view_stream', 'view stream'), ('view_week', 'view week'), ('vignette', 'vignette'), ('visibility', 'visibility'), ('visibility_off', 'visibility off'), ('voice_chat', 'voice chat'), ('voicemail', 'voicemail'), ('volume_down', 'volume down'), ('volume_mute', 'volume mute'), ('volume_off', 'volume off'), ('volume_up', 'volume up'), ('vpn_key', 'vpn key'), ('vpn_lock', 'vpn lock'), ('wallpaper', 'wallpaper'), ('warning', 'warning'), ('watch', 'watch'), ('watch_later', 'watch later'), ('wb_auto', 'wb auto'), ('wb_cloudy', 'wb cloudy'), ('wb_incandescent', 'wb incandescent'), ('wb_iridescent', 'wb iridescent'), ('wb_sunny', 'wb sunny'), ('wc', 'wc'), ('web', 'web'), ('web_asset', 'web asset'), ('weekend', 'weekend'), ('whatshot', 'whatshot'), ('widgets', 'widgets'), ('wifi', 'wifi'), ('wifi_lock', 'wifi lock'), ('wifi_tethering', 'wifi tethering'), ('work', 'work'), ('wrap_text', 'wrap text'), ('youtube_searched_for', 'youtube searched for'), ('zoom_in', 'zoom in'), ('zoom_out', 'zoom out'), ('zoom_out_map', 'zoom out map')], label='Icon')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')], label='Size', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], label='Background Color', required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], label='Icon Color', required=False))))), ('url_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('bookmark_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('page_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('document_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('image_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('h1', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h2', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h3', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h4', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h5', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h6', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))), ('card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('panel_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('image_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_horizontal_style', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use horizontal style', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('reveal_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('reveal_contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),), label='Reveal contents')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_sticky_action', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use sticky action', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))), ('promotedicon', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('icon', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('3d_rotation', '3d rotation'), ('ac_unit', 'ac unit'), ('access_alarm', 'access alarm'), ('access_alarms', 'access alarms'), ('access_time', 'access time'), ('accessibility', 'accessibility'), ('accessible', 'accessible'), ('account_balance', 'account balance'), ('account_balance_wallet', 'account balance wallet'), ('account_box', 'account box'), ('account_circle', 'account circle'), ('adb', 'adb'), ('add', 'add'), ('add_a_photo', 'add a photo'), ('add_alarm', 'add alarm'), ('add_alert', 'add alert'), ('add_box', 'add box'), ('add_circle', 'add circle'), ('add_circle_outline', 'add circle outline'), ('add_location', 'add location'), ('add_shopping_cart', 'add shopping cart'), ('add_to_photos', 'add to photos'), ('add_to_queue', 'add to queue'), ('adjust', 'adjust'), ('airline_seat_flat', 'airline seat flat'), ('airline_seat_flat_angled', 'airline seat flat angled'), ('airline_seat_individual_suite', 'airline seat individual suite'), ('airline_seat_legroom_extra', 'airline seat legroom extra'), ('airline_seat_legroom_normal', 'airline seat legroom normal'), ('airline_seat_legroom_reduced', 'airline seat legroom reduced'), ('airline_seat_recline_extra', 'airline seat recline extra'), ('airline_seat_recline_normal', 'airline seat recline normal'), ('airplanemode_active', 'airplanemode active'), ('airplanemode_inactive', 'airplanemode inactive'), ('airplay', 'airplay'), ('airport_shuttle', 'airport shuttle'), ('alarm', 'alarm'), ('alarm_add', 'alarm add'), ('alarm_off', 'alarm off'), ('alarm_on', 'alarm on'), ('album', 'album'), ('all_inclusive', 'all inclusive'), ('all_out', 'all out'), ('android', 'android'), ('announcement', 'announcement'), ('apps', 'apps'), ('archive', 'archive'), ('arrow_back', 'arrow back'), ('arrow_downward', 'arrow downward'), ('arrow_drop_down', 'arrow drop down'), ('arrow_drop_down_circle', 'arrow drop down circle'), ('arrow_drop_up', 'arrow drop up'), ('arrow_forward', 'arrow forward'), ('arrow_upward', 'arrow upward'), ('art_track', 'art track'), ('aspect_ratio', 'aspect ratio'), ('assessment', 'assessment'), ('assignment', 'assignment'), ('assignment_ind', 'assignment ind'), ('assignment_late', 'assignment late'), ('assignment_return', 'assignment return'), ('assignment_returned', 'assignment returned'), ('assignment_turned_in', 'assignment turned in'), ('assistant', 'assistant'), ('assistant_photo', 'assistant photo'), ('attach_file', 'attach file'), ('attach_money', 'attach money'), ('attachment', 'attachment'), ('audiotrack', 'audiotrack'), ('autorenew', 'autorenew'), ('av_timer', 'av timer'), ('backspace', 'backspace'), ('backup', 'backup'), ('battery_alert', 'battery alert'), ('battery_charging_full', 'battery charging full'), ('battery_full', 'battery full'), ('battery_std', 'battery std'), ('battery_unknown', 'battery unknown'), ('beach_access', 'beach access'), ('beenhere', 'beenhere'), ('block', 'block'), ('bluetooth', 'bluetooth'), ('bluetooth_audio', 'bluetooth audio'), ('bluetooth_connected', 'bluetooth connected'), ('bluetooth_disabled', 'bluetooth disabled'), ('bluetooth_searching', 'bluetooth searching'), ('blur_circular', 'blur circular'), ('blur_linear', 'blur linear'), ('blur_off', 'blur off'), ('blur_on', 'blur on'), ('book', 'book'), ('bookmark', 'bookmark'), ('bookmark_border', 'bookmark border'), ('border_all', 'border all'), ('border_bottom', 'border bottom'), ('border_clear', 'border clear'), ('border_color', 'border color'), ('border_horizontal', 'border horizontal'), ('border_inner', 'border inner'), ('border_left', 'border left'), ('border_outer', 'border outer'), ('border_right', 'border right'), ('border_style', 'border style'), ('border_top', 'border top'), ('border_vertical', 'border vertical'), ('branding_watermark', 'branding watermark'), ('brightness_1', 'brightness 1'), ('brightness_2', 'brightness 2'), ('brightness_3', 'brightness 3'), ('brightness_4', 'brightness 4'), ('brightness_5', 'brightness 5'), ('brightness_6', 'brightness 6'), ('brightness_7', 'brightness 7'), ('brightness_auto', 'brightness auto'), ('brightness_high', 'brightness high'), ('brightness_low', 'brightness low'), ('brightness_medium', 'brightness medium'), ('broken_image', 'broken image'), ('brush', 'brush'), ('bubble_chart', 'bubble chart'), ('bug_report', 'bug report'), ('build', 'build'), ('burst_mode', 'burst mode'), ('business', 'business'), ('business_center', 'business center'), ('cached', 'cached'), ('cake', 'cake'), ('call', 'call'), ('call_end', 'call end'), ('call_made', 'call made'), ('call_merge', 'call merge'), ('call_missed', 'call missed'), ('call_missed_outgoing', 'call missed outgoing'), ('call_received', 'call received'), ('call_split', 'call split'), ('call_to_action', 'call to action'), ('camera', 'camera'), ('camera_alt', 'camera alt'), ('camera_enhance', 'camera enhance'), ('camera_front', 'camera front'), ('camera_rear', 'camera rear'), ('camera_roll', 'camera roll'), ('cancel', 'cancel'), ('card_giftcard', 'card giftcard'), ('card_membership', 'card membership'), ('card_travel', 'card travel'), ('casino', 'casino'), ('cast', 'cast'), ('cast_connected', 'cast connected'), ('center_focus_strong', 'center focus strong'), ('center_focus_weak', 'center focus weak'), ('change_history', 'change history'), ('chat', 'chat'), ('chat_bubble', 'chat bubble'), ('chat_bubble_outline', 'chat bubble outline'), ('check', 'check'), ('check_box', 'check box'), ('check_box_outline_blank', 'check box outline blank'), ('check_circle', 'check circle'), ('chevron_left', 'chevron left'), ('chevron_right', 'chevron right'), ('child_care', 'child care'), ('child_friendly', 'child friendly'), ('chrome_reader_mode', 'chrome reader mode'), ('class', 'class'), ('clear', 'clear'), ('clear_all', 'clear all'), ('close', 'close'), ('closed_caption', 'closed caption'), ('cloud', 'cloud'), ('cloud_circle', 'cloud circle'), ('cloud_done', 'cloud done'), ('cloud_download', 'cloud download'), ('cloud_off', 'cloud off'), ('cloud_queue', 'cloud queue'), ('cloud_upload', 'cloud upload'), ('code', 'code'), ('collections', 'collections'), ('collections_bookmark', 'collections bookmark'), ('color_lens', 'color lens'), ('colorize', 'colorize'), ('comment', 'comment'), ('compare', 'compare'), ('compare_arrows', 'compare arrows'), ('computer', 'computer'), ('confirmation_number', 'confirmation number'), ('contact_mail', 'contact mail'), ('contact_phone', 'contact phone'), ('contacts', 'contacts'), ('content_copy', 'content copy'), ('content_cut', 'content cut'), ('content_paste', 'content paste'), ('control_point', 'control point'), ('control_point_duplicate', 'control point duplicate'), ('copyright', 'copyright'), ('create', 'create'), ('create_new_folder', 'create new folder'), ('credit_card', 'credit card'), ('crop', 'crop'), ('crop_16_9', 'crop 16 9'), ('crop_3_2', 'crop 3 2'), ('crop_5_4', 'crop 5 4'), ('crop_7_5', 'crop 7 5'), ('crop_din', 'crop din'), ('crop_free', 'crop free'), ('crop_landscape', 'crop landscape'), ('crop_original', 'crop original'), ('crop_portrait', 'crop portrait'), ('crop_rotate', 'crop rotate'), ('crop_square', 'crop square'), ('dashboard', 'dashboard'), ('data_usage', 'data usage'), ('date_range', 'date range'), ('dehaze', 'dehaze'), ('delete', 'delete'), ('delete_forever', 'delete forever'), ('delete_sweep', 'delete sweep'), ('description', 'description'), ('desktop_mac', 'desktop mac'), ('desktop_windows', 'desktop windows'), ('details', 'details'), ('developer_board', 'developer board'), ('developer_mode', 'developer mode'), ('device_hub', 'device hub'), ('devices', 'devices'), ('devices_other', 'devices other'), ('dialer_sip', 'dialer sip'), ('dialpad', 'dialpad'), ('directions', 'directions'), ('directions_bike', 'directions bike'), ('directions_boat', 'directions boat'), ('directions_bus', 'directions bus'), ('directions_car', 'directions car'), ('directions_railway', 'directions railway'), ('directions_run', 'directions run'), ('directions_subway', 'directions subway'), ('directions_transit', 'directions transit'), ('directions_walk', 'directions walk'), ('disc_full', 'disc full'), ('dns', 'dns'), ('do_not_disturb', 'do not disturb'), ('do_not_disturb_alt', 'do not disturb alt'), ('do_not_disturb_off', 'do not disturb off'), ('do_not_disturb_on', 'do not disturb on'), ('dock', 'dock'), ('domain', 'domain'), ('done', 'done'), ('done_all', 'done all'), ('donut_large', 'donut large'), ('donut_small', 'donut small'), ('drafts', 'drafts'), ('drag_handle', 'drag handle'), ('drive_eta', 'drive eta'), ('dvr', 'dvr'), ('edit', 'edit'), ('edit_location', 'edit location'), ('eject', 'eject'), ('email', 'email'), ('enhanced_encryption', 'enhanced encryption'), ('equalizer', 'equalizer'), ('error', 'error'), ('error_outline', 'error outline'), ('euro_symbol', 'euro symbol'), ('ev_station', 'ev station'), ('event', 'event'), ('event_available', 'event available'), ('event_busy', 'event busy'), ('event_note', 'event note'), ('event_seat', 'event seat'), ('exit_to_app', 'exit to app'), ('expand_less', 'expand less'), ('expand_more', 'expand more'), ('explicit', 'explicit'), ('explore', 'explore'), ('exposure', 'exposure'), ('exposure_neg_1', 'exposure neg 1'), ('exposure_neg_2', 'exposure neg 2'), ('exposure_plus_1', 'exposure plus 1'), ('exposure_plus_2', 'exposure plus 2'), ('exposure_zero', 'exposure zero'), ('extension', 'extension'), ('face', 'face'), ('fast_forward', 'fast forward'), ('fast_rewind', 'fast rewind'), ('favorite', 'favorite'), ('favorite_border', 'favorite border'), ('featured_play_list', 'featured play list'), ('featured_video', 'featured video'), ('feedback', 'feedback'), ('fiber_dvr', 'fiber dvr'), ('fiber_manual_record', 'fiber manual record'), ('fiber_new', 'fiber new'), ('fiber_pin', 'fiber pin'), ('fiber_smart_record', 'fiber smart record'), ('file_download', 'file download'), ('file_upload', 'file upload'), ('filter', 'filter'), ('filter_1', 'filter 1'), ('filter_2', 'filter 2'), ('filter_3', 'filter 3'), ('filter_4', 'filter 4'), ('filter_5', 'filter 5'), ('filter_6', 'filter 6'), ('filter_7', 'filter 7'), ('filter_8', 'filter 8'), ('filter_9', 'filter 9'), ('filter_9_plus', 'filter 9 plus'), ('filter_b_and_w', 'filter b and w'), ('filter_center_focus', 'filter center focus'), ('filter_drama', 'filter drama'), ('filter_frames', 'filter frames'), ('filter_hdr', 'filter hdr'), ('filter_list', 'filter list'), ('filter_none', 'filter none'), ('filter_tilt_shift', 'filter tilt shift'), ('filter_vintage', 'filter vintage'), ('find_in_page', 'find in page'), ('find_replace', 'find replace'), ('fingerprint', 'fingerprint'), ('first_page', 'first page'), ('fitness_center', 'fitness center'), ('flag', 'flag'), ('flare', 'flare'), ('flash_auto', 'flash auto'), ('flash_off', 'flash off'), ('flash_on', 'flash on'), ('flight', 'flight'), ('flight_land', 'flight land'), ('flight_takeoff', 'flight takeoff'), ('flip', 'flip'), ('flip_to_back', 'flip to back'), ('flip_to_front', 'flip to front'), ('folder', 'folder'), ('folder_open', 'folder open'), ('folder_shared', 'folder shared'), ('folder_special', 'folder special'), ('font_download', 'font download'), ('format_align_center', 'format align center'), ('format_align_justify', 'format align justify'), ('format_align_left', 'format align left'), ('format_align_right', 'format align right'), ('format_bold', 'format bold'), ('format_clear', 'format clear'), ('format_color_fill', 'format color fill'), ('format_color_reset', 'format color reset'), ('format_color_text', 'format color text'), ('format_indent_decrease', 'format indent decrease'), ('format_indent_increase', 'format indent increase'), ('format_italic', 'format italic'), ('format_line_spacing', 'format line spacing'), ('format_list_bulleted', 'format list bulleted'), ('format_list_numbered', 'format list numbered'), ('format_paint', 'format paint'), ('format_quote', 'format quote'), ('format_shapes', 'format shapes'), ('format_size', 'format size'), ('format_strikethrough', 'format strikethrough'), ('format_textdirection_l_to_r', 'format textdirection l to r'), ('format_textdirection_r_to_l', 'format textdirection r to l'), ('format_underlined', 'format underlined'), ('forum', 'forum'), ('forward', 'forward'), ('forward_10', 'forward 10'), ('forward_30', 'forward 30'), ('forward_5', 'forward 5'), ('free_breakfast', 'free breakfast'), ('fullscreen', 'fullscreen'), ('fullscreen_exit', 'fullscreen exit'), ('functions', 'functions'), ('g_translate', 'g translate'), ('gamepad', 'gamepad'), ('games', 'games'), ('gavel', 'gavel'), ('gesture', 'gesture'), ('get_app', 'get app'), ('gif', 'gif'), ('golf_course', 'golf course'), ('gps_fixed', 'gps fixed'), ('gps_not_fixed', 'gps not fixed'), ('gps_off', 'gps off'), ('grade', 'grade'), ('gradient', 'gradient'), ('grain', 'grain'), ('graphic_eq', 'graphic eq'), ('grid_off', 'grid off'), ('grid_on', 'grid on'), ('group', 'group'), ('group_add', 'group add'), ('group_work', 'group work'), ('hd', 'hd'), ('hdr_off', 'hdr off'), ('hdr_on', 'hdr on'), ('hdr_strong', 'hdr strong'), ('hdr_weak', 'hdr weak'), ('headset', 'headset'), ('headset_mic', 'headset mic'), ('healing', 'healing'), ('hearing', 'hearing'), ('help', 'help'), ('help_outline', 'help outline'), ('high_quality', 'high quality'), ('highlight', 'highlight'), ('highlight_off', 'highlight off'), ('history', 'history'), ('home', 'home'), ('hot_tub', 'hot tub'), ('hotel', 'hotel'), ('hourglass_empty', 'hourglass empty'), ('hourglass_full', 'hourglass full'), ('http', 'http'), ('https', 'https'), ('image', 'image'), ('image_aspect_ratio', 'image aspect ratio'), ('import_contacts', 'import contacts'), ('import_export', 'import export'), ('important_devices', 'important devices'), ('inbox', 'inbox'), ('indeterminate_check_box', 'indeterminate check box'), ('info', 'info'), ('info_outline', 'info outline'), ('input', 'input'), ('insert_chart', 'insert chart'), ('insert_comment', 'insert comment'), ('insert_drive_file', 'insert drive file'), ('insert_emoticon', 'insert emoticon'), ('insert_invitation', 'insert invitation'), ('insert_link', 'insert link'), ('insert_photo', 'insert photo'), ('invert_colors', 'invert colors'), ('invert_colors_off', 'invert colors off'), ('iso', 'iso'), ('keyboard', 'keyboard'), ('keyboard_arrow_down', 'keyboard arrow down'), ('keyboard_arrow_left', 'keyboard arrow left'), ('keyboard_arrow_right', 'keyboard arrow right'), ('keyboard_arrow_up', 'keyboard arrow up'), ('keyboard_backspace', 'keyboard backspace'), ('keyboard_capslock', 'keyboard capslock'), ('keyboard_hide', 'keyboard hide'), ('keyboard_return', 'keyboard return'), ('keyboard_tab', 'keyboard tab'), ('keyboard_voice', 'keyboard voice'), ('kitchen', 'kitchen'), ('label', 'label'), ('label_outline', 'label outline'), ('landscape', 'landscape'), ('language', 'language'), ('laptop', 'laptop'), ('laptop_chromebook', 'laptop chromebook'), ('laptop_mac', 'laptop mac'), ('laptop_windows', 'laptop windows'), ('last_page', 'last page'), ('launch', 'launch'), ('layers', 'layers'), ('layers_clear', 'layers clear'), ('leak_add', 'leak add'), ('leak_remove', 'leak remove'), ('lens', 'lens'), ('library_add', 'library add'), ('library_books', 'library books'), ('library_music', 'library music'), ('lightbulb_outline', 'lightbulb outline'), ('line_style', 'line style'), ('line_weight', 'line weight'), ('linear_scale', 'linear scale'), ('link', 'link'), ('linked_camera', 'linked camera'), ('list', 'list'), ('live_help', 'live help'), ('live_tv', 'live tv'), ('local_activity', 'local activity'), ('local_airport', 'local airport'), ('local_atm', 'local atm'), ('local_bar', 'local bar'), ('local_cafe', 'local cafe'), ('local_car_wash', 'local car wash'), ('local_convenience_store', 'local convenience store'), ('local_dining', 'local dining'), ('local_drink', 'local drink'), ('local_florist', 'local florist'), ('local_gas_station', 'local gas station'), ('local_grocery_store', 'local grocery store'), ('local_hospital', 'local hospital'), ('local_hotel', 'local hotel'), ('local_laundry_service', 'local laundry service'), ('local_library', 'local library'), ('local_mall', 'local mall'), ('local_movies', 'local movies'), ('local_offer', 'local offer'), ('local_parking', 'local parking'), ('local_pharmacy', 'local pharmacy'), ('local_phone', 'local phone'), ('local_pizza', 'local pizza'), ('local_play', 'local play'), ('local_post_office', 'local post office'), ('local_printshop', 'local printshop'), ('local_see', 'local see'), ('local_shipping', 'local shipping'), ('local_taxi', 'local taxi'), ('location_city', 'location city'), ('location_disabled', 'location disabled'), ('location_off', 'location off'), ('location_on', 'location on'), ('location_searching', 'location searching'), ('lock', 'lock'), ('lock_open', 'lock open'), ('lock_outline', 'lock outline'), ('looks', 'looks'), ('looks_3', 'looks 3'), ('looks_4', 'looks 4'), ('looks_5', 'looks 5'), ('looks_6', 'looks 6'), ('looks_one', 'looks one'), ('looks_two', 'looks two'), ('loop', 'loop'), ('loupe', 'loupe'), ('low_priority', 'low priority'), ('loyalty', 'loyalty'), ('mail', 'mail'), ('mail_outline', 'mail outline'), ('map', 'map'), ('markunread', 'markunread'), ('markunread_mailbox', 'markunread mailbox'), ('memory', 'memory'), ('menu', 'menu'), ('merge_type', 'merge type'), ('message', 'message'), ('mic', 'mic'), ('mic_none', 'mic none'), ('mic_off', 'mic off'), ('mms', 'mms'), ('mode_comment', 'mode comment'), ('mode_edit', 'mode edit'), ('monetization_on', 'monetization on'), ('money_off', 'money off'), ('monochrome_photos', 'monochrome photos'), ('mood', 'mood'), ('mood_bad', 'mood bad'), ('more', 'more'), ('more_horiz', 'more horiz'), ('more_vert', 'more vert'), ('motorcycle', 'motorcycle'), ('mouse', 'mouse'), ('move_to_inbox', 'move to inbox'), ('movie', 'movie'), ('movie_creation', 'movie creation'), ('movie_filter', 'movie filter'), ('multiline_chart', 'multiline chart'), ('music_note', 'music note'), ('music_video', 'music video'), ('my_location', 'my location'), ('nature', 'nature'), ('nature_people', 'nature people'), ('navigate_before', 'navigate before'), ('navigate_next', 'navigate next'), ('navigation', 'navigation'), ('near_me', 'near me'), ('network_cell', 'network cell'), ('network_check', 'network check'), ('network_locked', 'network locked'), ('network_wifi', 'network wifi'), ('new_releases', 'new releases'), ('next_week', 'next week'), ('nfc', 'nfc'), ('no_encryption', 'no encryption'), ('no_sim', 'no sim'), ('not_interested', 'not interested'), ('note', 'note'), ('note_add', 'note add'), ('notifications', 'notifications'), ('notifications_active', 'notifications active'), ('notifications_none', 'notifications none'), ('notifications_off', 'notifications off'), ('notifications_paused', 'notifications paused'), ('offline_pin', 'offline pin'), ('ondemand_video', 'ondemand video'), ('opacity', 'opacity'), ('open_in_browser', 'open in browser'), ('open_in_new', 'open in new'), ('open_with', 'open with'), ('pages', 'pages'), ('pageview', 'pageview'), ('palette', 'palette'), ('pan_tool', 'pan tool'), ('panorama', 'panorama'), ('panorama_fish_eye', 'panorama fish eye'), ('panorama_horizontal', 'panorama horizontal'), ('panorama_vertical', 'panorama vertical'), ('panorama_wide_angle', 'panorama wide angle'), ('party_mode', 'party mode'), ('pause', 'pause'), ('pause_circle_filled', 'pause circle filled'), ('pause_circle_outline', 'pause circle outline'), ('payment', 'payment'), ('people', 'people'), ('people_outline', 'people outline'), ('perm_camera_mic', 'perm camera mic'), ('perm_contact_calendar', 'perm contact calendar'), ('perm_data_setting', 'perm data setting'), ('perm_device_information', 'perm device information'), ('perm_identity', 'perm identity'), ('perm_media', 'perm media'), ('perm_phone_msg', 'perm phone msg'), ('perm_scan_wifi', 'perm scan wifi'), ('person', 'person'), ('person_add', 'person add'), ('person_outline', 'person outline'), ('person_pin', 'person pin'), ('person_pin_circle', 'person pin circle'), ('personal_video', 'personal video'), ('pets', 'pets'), ('phone', 'phone'), ('phone_android', 'phone android'), ('phone_bluetooth_speaker', 'phone bluetooth speaker'), ('phone_forwarded', 'phone forwarded'), ('phone_in_talk', 'phone in talk'), ('phone_iphone', 'phone iphone'), ('phone_locked', 'phone locked'), ('phone_missed', 'phone missed'), ('phone_paused', 'phone paused'), ('phonelink', 'phonelink'), ('phonelink_erase', 'phonelink erase'), ('phonelink_lock', 'phonelink lock'), ('phonelink_off', 'phonelink off'), ('phonelink_ring', 'phonelink ring'), ('phonelink_setup', 'phonelink setup'), ('photo', 'photo'), ('photo_album', 'photo album'), ('photo_camera', 'photo camera'), ('photo_filter', 'photo filter'), ('photo_library', 'photo library'), ('photo_size_select_actual', 'photo size select actual'), ('photo_size_select_large', 'photo size select large'), ('photo_size_select_small', 'photo size select small'), ('picture_as_pdf', 'picture as pdf'), ('picture_in_picture', 'picture in picture'), ('picture_in_picture_alt', 'picture in picture alt'), ('pie_chart', 'pie chart'), ('pie_chart_outlined', 'pie chart outlined'), ('pin_drop', 'pin drop'), ('place', 'place'), ('play_arrow', 'play arrow'), ('play_circle_filled', 'play circle filled'), ('play_circle_outline', 'play circle outline'), ('play_for_work', 'play for work'), ('playlist_add', 'playlist add'), ('playlist_add_check', 'playlist add check'), ('playlist_play', 'playlist play'), ('plus_one', 'plus one'), ('poll', 'poll'), ('polymer', 'polymer'), ('pool', 'pool'), ('portable_wifi_off', 'portable wifi off'), ('portrait', 'portrait'), ('power', 'power'), ('power_input', 'power input'), ('power_settings_new', 'power settings new'), ('pregnant_woman', 'pregnant woman'), ('present_to_all', 'present to all'), ('print', 'print'), ('priority_high', 'priority high'), ('public', 'public'), ('publish', 'publish'), ('query_builder', 'query builder'), ('question_answer', 'question answer'), ('queue', 'queue'), ('queue_music', 'queue music'), ('queue_play_next', 'queue play next'), ('radio', 'radio'), ('radio_button_checked', 'radio button checked'), ('radio_button_unchecked', 'radio button unchecked'), ('rate_review', 'rate review'), ('receipt', 'receipt'), ('recent_actors', 'recent actors'), ('record_voice_over', 'record voice over'), ('redeem', 'redeem'), ('redo', 'redo'), ('refresh', 'refresh'), ('remove', 'remove'), ('remove_circle', 'remove circle'), ('remove_circle_outline', 'remove circle outline'), ('remove_from_queue', 'remove from queue'), ('remove_red_eye', 'remove red eye'), ('remove_shopping_cart', 'remove shopping cart'), ('reorder', 'reorder'), ('repeat', 'repeat'), ('repeat_one', 'repeat one'), ('replay', 'replay'), ('replay_10', 'replay 10'), ('replay_30', 'replay 30'), ('replay_5', 'replay 5'), ('reply', 'reply'), ('reply_all', 'reply all'), ('report', 'report'), ('report_problem', 'report problem'), ('restaurant', 'restaurant'), ('restaurant_menu', 'restaurant menu'), ('restore', 'restore'), ('restore_page', 'restore page'), ('ring_volume', 'ring volume'), ('room', 'room'), ('room_service', 'room service'), ('rotate_90_degrees_ccw', 'rotate 90 degrees ccw'), ('rotate_left', 'rotate left'), ('rotate_right', 'rotate right'), ('rounded_corner', 'rounded corner'), ('router', 'router'), ('rowing', 'rowing'), ('rss_feed', 'rss feed'), ('rv_hookup', 'rv hookup'), ('satellite', 'satellite'), ('save', 'save'), ('scanner', 'scanner'), ('schedule', 'schedule'), ('school', 'school'), ('screen_lock_landscape', 'screen lock landscape'), ('screen_lock_portrait', 'screen lock portrait'), ('screen_lock_rotation', 'screen lock rotation'), ('screen_rotation', 'screen rotation'), ('screen_share', 'screen share'), ('sd_card', 'sd card'), ('sd_storage', 'sd storage'), ('search', 'search'), ('security', 'security'), ('select_all', 'select all'), ('send', 'send'), ('sentiment_dissatisfied', 'sentiment dissatisfied'), ('sentiment_neutral', 'sentiment neutral'), ('sentiment_satisfied', 'sentiment satisfied'), ('sentiment_very_dissatisfied', 'sentiment very dissatisfied'), ('sentiment_very_satisfied', 'sentiment very satisfied'), ('settings', 'settings'), ('settings_applications', 'settings applications'), ('settings_backup_restore', 'settings backup restore'), ('settings_bluetooth', 'settings bluetooth'), ('settings_brightness', 'settings brightness'), ('settings_cell', 'settings cell'), ('settings_ethernet', 'settings ethernet'), ('settings_input_antenna', 'settings input antenna'), ('settings_input_component', 'settings input component'), ('settings_input_composite', 'settings input composite'), ('settings_input_hdmi', 'settings input hdmi'), ('settings_input_svideo', 'settings input svideo'), ('settings_overscan', 'settings overscan'), ('settings_phone', 'settings phone'), ('settings_power', 'settings power'), ('settings_remote', 'settings remote'), ('settings_system_daydream', 'settings system daydream'), ('settings_voice', 'settings voice'), ('share', 'share'), ('shop', 'shop'), ('shop_two', 'shop two'), ('shopping_basket', 'shopping basket'), ('shopping_cart', 'shopping cart'), ('short_text', 'short text'), ('show_chart', 'show chart'), ('shuffle', 'shuffle'), ('signal_cellular_4_bar', 'signal cellular 4 bar'), ('signal_cellular_connected_no_internet_4_bar', 'signal cellular connected no internet 4 bar'), ('signal_cellular_no_sim', 'signal cellular no sim'), ('signal_cellular_null', 'signal cellular null'), ('signal_cellular_off', 'signal cellular off'), ('signal_wifi_4_bar', 'signal wifi 4 bar'), ('signal_wifi_4_bar_lock', 'signal wifi 4 bar lock'), ('signal_wifi_off', 'signal wifi off'), ('sim_card', 'sim card'), ('sim_card_alert', 'sim card alert'), ('skip_next', 'skip next'), ('skip_previous', 'skip previous'), ('slideshow', 'slideshow'), ('slow_motion_video', 'slow motion video'), ('smartphone', 'smartphone'), ('smoke_free', 'smoke free'), ('smoking_rooms', 'smoking rooms'), ('sms', 'sms'), ('sms_failed', 'sms failed'), ('snooze', 'snooze'), ('sort', 'sort'), ('sort_by_alpha', 'sort by alpha'), ('spa', 'spa'), ('space_bar', 'space bar'), ('speaker', 'speaker'), ('speaker_group', 'speaker group'), ('speaker_notes', 'speaker notes'), ('speaker_notes_off', 'speaker notes off'), ('speaker_phone', 'speaker phone'), ('spellcheck', 'spellcheck'), ('star', 'star'), ('star_border', 'star border'), ('star_half', 'star half'), ('stars', 'stars'), ('stay_current_landscape', 'stay current landscape'), ('stay_current_portrait', 'stay current portrait'), ('stay_primary_landscape', 'stay primary landscape'), ('stay_primary_portrait', 'stay primary portrait'), ('stop', 'stop'), ('stop_screen_share', 'stop screen share'), ('storage', 'storage'), ('store', 'store'), ('store_mall_directory', 'store mall directory'), ('straighten', 'straighten'), ('streetview', 'streetview'), ('strikethrough_s', 'strikethrough s'), ('style', 'style'), ('subdirectory_arrow_left', 'subdirectory arrow left'), ('subdirectory_arrow_right', 'subdirectory arrow right'), ('subject', 'subject'), ('subscriptions', 'subscriptions'), ('subtitles', 'subtitles'), ('subway', 'subway'), ('supervisor_account', 'supervisor account'), ('surround_sound', 'surround sound'), ('swap_calls', 'swap calls'), ('swap_horiz', 'swap horiz'), ('swap_vert', 'swap vert'), ('swap_vertical_circle', 'swap vertical circle'), ('switch_camera', 'switch camera'), ('switch_video', 'switch video'), ('sync', 'sync'), ('sync_disabled', 'sync disabled'), ('sync_problem', 'sync problem'), ('system_update', 'system update'), ('system_update_alt', 'system update alt'), ('tab', 'tab'), ('tab_unselected', 'tab unselected'), ('tablet', 'tablet'), ('tablet_android', 'tablet android'), ('tablet_mac', 'tablet mac'), ('tag_faces', 'tag faces'), ('tap_and_play', 'tap and play'), ('terrain', 'terrain'), ('text_fields', 'text fields'), ('text_format', 'text format'), ('textsms', 'textsms'), ('texture', 'texture'), ('theaters', 'theaters'), ('thumb_down', 'thumb down'), ('thumb_up', 'thumb up'), ('thumbs_up_down', 'thumbs up down'), ('time_to_leave', 'time to leave'), ('timelapse', 'timelapse'), ('timeline', 'timeline'), ('timer', 'timer'), ('timer_10', 'timer 10'), ('timer_3', 'timer 3'), ('timer_off', 'timer off'), ('title', 'title'), ('toc', 'toc'), ('today', 'today'), ('toll', 'toll'), ('tonality', 'tonality'), ('touch_app', 'touch app'), ('toys', 'toys'), ('track_changes', 'track changes'), ('traffic', 'traffic'), ('train', 'train'), ('tram', 'tram'), ('transfer_within_a_station', 'transfer within a station'), ('transform', 'transform'), ('translate', 'translate'), ('trending_down', 'trending down'), ('trending_flat', 'trending flat'), ('trending_up', 'trending up'), ('tune', 'tune'), ('turned_in', 'turned in'), ('turned_in_not', 'turned in not'), ('tv', 'tv'), ('unarchive', 'unarchive'), ('undo', 'undo'), ('unfold_less', 'unfold less'), ('unfold_more', 'unfold more'), ('update', 'update'), ('usb', 'usb'), ('verified_user', 'verified user'), ('vertical_align_bottom', 'vertical align bottom'), ('vertical_align_center', 'vertical align center'), ('vertical_align_top', 'vertical align top'), ('vibration', 'vibration'), ('video_call', 'video call'), ('video_label', 'video label'), ('video_library', 'video library'), ('videocam', 'videocam'), ('videocam_off', 'videocam off'), ('videogame_asset', 'videogame asset'), ('view_agenda', 'view agenda'), ('view_array', 'view array'), ('view_carousel', 'view carousel'), ('view_column', 'view column'), ('view_comfy', 'view comfy'), ('view_compact', 'view compact'), ('view_day', 'view day'), ('view_headline', 'view headline'), ('view_list', 'view list'), ('view_module', 'view module'), ('view_quilt', 'view quilt'), ('view_stream', 'view stream'), ('view_week', 'view week'), ('vignette', 'vignette'), ('visibility', 'visibility'), ('visibility_off', 'visibility off'), ('voice_chat', 'voice chat'), ('voicemail', 'voicemail'), ('volume_down', 'volume down'), ('volume_mute', 'volume mute'), ('volume_off', 'volume off'), ('volume_up', 'volume up'), ('vpn_key', 'vpn key'), ('vpn_lock', 'vpn lock'), ('wallpaper', 'wallpaper'), ('warning', 'warning'), ('watch', 'watch'), ('watch_later', 'watch later'), ('wb_auto', 'wb auto'), ('wb_cloudy', 'wb cloudy'), ('wb_incandescent', 'wb incandescent'), ('wb_iridescent', 'wb iridescent'), ('wb_sunny', 'wb sunny'), ('wc', 'wc'), ('web', 'web'), ('web_asset', 'web asset'), ('weekend', 'weekend'), ('whatshot', 'whatshot'), ('widgets', 'widgets'), ('wifi', 'wifi'), ('wifi_lock', 'wifi lock'), ('wifi_tethering', 'wifi tethering'), ('work', 'work'), ('wrap_text', 'wrap text'), ('youtube_searched_for', 'youtube searched for'), ('zoom_in', 'zoom in'), ('zoom_out', 'zoom out'), ('zoom_out_map', 'zoom out map')], label='Icon')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')], label='Size', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], label='Background Color', required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], label='Icon Color', required=False))))), ('url_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('bookmark_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('page_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('document_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('image_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('h1', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h2', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h3', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h4', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h5', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h6', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))), ('card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('panel_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('image_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_horizontal_style', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use horizontal style', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('reveal_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('reveal_contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),), label='Reveal contents')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_sticky_action', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use sticky action', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False)))))))), ('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))), ('promotedicon', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('icon', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('3d_rotation', '3d rotation'), ('ac_unit', 'ac unit'), ('access_alarm', 'access alarm'), ('access_alarms', 'access alarms'), ('access_time', 'access time'), ('accessibility', 'accessibility'), ('accessible', 'accessible'), ('account_balance', 'account balance'), ('account_balance_wallet', 'account balance wallet'), ('account_box', 'account box'), ('account_circle', 'account circle'), ('adb', 'adb'), ('add', 'add'), ('add_a_photo', 'add a photo'), ('add_alarm', 'add alarm'), ('add_alert', 'add alert'), ('add_box', 'add box'), ('add_circle', 'add circle'), ('add_circle_outline', 'add circle outline'), ('add_location', 'add location'), ('add_shopping_cart', 'add shopping cart'), ('add_to_photos', 'add to photos'), ('add_to_queue', 'add to queue'), ('adjust', 'adjust'), ('airline_seat_flat', 'airline seat flat'), ('airline_seat_flat_angled', 'airline seat flat angled'), ('airline_seat_individual_suite', 'airline seat individual suite'), ('airline_seat_legroom_extra', 'airline seat legroom extra'), ('airline_seat_legroom_normal', 'airline seat legroom normal'), ('airline_seat_legroom_reduced', 'airline seat legroom reduced'), ('airline_seat_recline_extra', 'airline seat recline extra'), ('airline_seat_recline_normal', 'airline seat recline normal'), ('airplanemode_active', 'airplanemode active'), ('airplanemode_inactive', 'airplanemode inactive'), ('airplay', 'airplay'), ('airport_shuttle', 'airport shuttle'), ('alarm', 'alarm'), ('alarm_add', 'alarm add'), ('alarm_off', 'alarm off'), ('alarm_on', 'alarm on'), ('album', 'album'), ('all_inclusive', 'all inclusive'), ('all_out', 'all out'), ('android', 'android'), ('announcement', 'announcement'), ('apps', 'apps'), ('archive', 'archive'), ('arrow_back', 'arrow back'), ('arrow_downward', 'arrow downward'), ('arrow_drop_down', 'arrow drop down'), ('arrow_drop_down_circle', 'arrow drop down circle'), ('arrow_drop_up', 'arrow drop up'), ('arrow_forward', 'arrow forward'), ('arrow_upward', 'arrow upward'), ('art_track', 'art track'), ('aspect_ratio', 'aspect ratio'), ('assessment', 'assessment'), ('assignment', 'assignment'), ('assignment_ind', 'assignment ind'), ('assignment_late', 'assignment late'), ('assignment_return', 'assignment return'), ('assignment_returned', 'assignment returned'), ('assignment_turned_in', 'assignment turned in'), ('assistant', 'assistant'), ('assistant_photo', 'assistant photo'), ('attach_file', 'attach file'), ('attach_money', 'attach money'), ('attachment', 'attachment'), ('audiotrack', 'audiotrack'), ('autorenew', 'autorenew'), ('av_timer', 'av timer'), ('backspace', 'backspace'), ('backup', 'backup'), ('battery_alert', 'battery alert'), ('battery_charging_full', 'battery charging full'), ('battery_full', 'battery full'), ('battery_std', 'battery std'), ('battery_unknown', 'battery unknown'), ('beach_access', 'beach access'), ('beenhere', 'beenhere'), ('block', 'block'), ('bluetooth', 'bluetooth'), ('bluetooth_audio', 'bluetooth audio'), ('bluetooth_connected', 'bluetooth connected'), ('bluetooth_disabled', 'bluetooth disabled'), ('bluetooth_searching', 'bluetooth searching'), ('blur_circular', 'blur circular'), ('blur_linear', 'blur linear'), ('blur_off', 'blur off'), ('blur_on', 'blur on'), ('book', 'book'), ('bookmark', 'bookmark'), ('bookmark_border', 'bookmark border'), ('border_all', 'border all'), ('border_bottom', 'border bottom'), ('border_clear', 'border clear'), ('border_color', 'border color'), ('border_horizontal', 'border horizontal'), ('border_inner', 'border inner'), ('border_left', 'border left'), ('border_outer', 'border outer'), ('border_right', 'border right'), ('border_style', 'border style'), ('border_top', 'border top'), ('border_vertical', 'border vertical'), ('branding_watermark', 'branding watermark'), ('brightness_1', 'brightness 1'), ('brightness_2', 'brightness 2'), ('brightness_3', 'brightness 3'), ('brightness_4', 'brightness 4'), ('brightness_5', 'brightness 5'), ('brightness_6', 'brightness 6'), ('brightness_7', 'brightness 7'), ('brightness_auto', 'brightness auto'), ('brightness_high', 'brightness high'), ('brightness_low', 'brightness low'), ('brightness_medium', 'brightness medium'), ('broken_image', 'broken image'), ('brush', 'brush'), ('bubble_chart', 'bubble chart'), ('bug_report', 'bug report'), ('build', 'build'), ('burst_mode', 'burst mode'), ('business', 'business'), ('business_center', 'business center'), ('cached', 'cached'), ('cake', 'cake'), ('call', 'call'), ('call_end', 'call end'), ('call_made', 'call made'), ('call_merge', 'call merge'), ('call_missed', 'call missed'), ('call_missed_outgoing', 'call missed outgoing'), ('call_received', 'call received'), ('call_split', 'call split'), ('call_to_action', 'call to action'), ('camera', 'camera'), ('camera_alt', 'camera alt'), ('camera_enhance', 'camera enhance'), ('camera_front', 'camera front'), ('camera_rear', 'camera rear'), ('camera_roll', 'camera roll'), ('cancel', 'cancel'), ('card_giftcard', 'card giftcard'), ('card_membership', 'card membership'), ('card_travel', 'card travel'), ('casino', 'casino'), ('cast', 'cast'), ('cast_connected', 'cast connected'), ('center_focus_strong', 'center focus strong'), ('center_focus_weak', 'center focus weak'), ('change_history', 'change history'), ('chat', 'chat'), ('chat_bubble', 'chat bubble'), ('chat_bubble_outline', 'chat bubble outline'), ('check', 'check'), ('check_box', 'check box'), ('check_box_outline_blank', 'check box outline blank'), ('check_circle', 'check circle'), ('chevron_left', 'chevron left'), ('chevron_right', 'chevron right'), ('child_care', 'child care'), ('child_friendly', 'child friendly'), ('chrome_reader_mode', 'chrome reader mode'), ('class', 'class'), ('clear', 'clear'), ('clear_all', 'clear all'), ('close', 'close'), ('closed_caption', 'closed caption'), ('cloud', 'cloud'), ('cloud_circle', 'cloud circle'), ('cloud_done', 'cloud done'), ('cloud_download', 'cloud download'), ('cloud_off', 'cloud off'), ('cloud_queue', 'cloud queue'), ('cloud_upload', 'cloud upload'), ('code', 'code'), ('collections', 'collections'), ('collections_bookmark', 'collections bookmark'), ('color_lens', 'color lens'), ('colorize', 'colorize'), ('comment', 'comment'), ('compare', 'compare'), ('compare_arrows', 'compare arrows'), ('computer', 'computer'), ('confirmation_number', 'confirmation number'), ('contact_mail', 'contact mail'), ('contact_phone', 'contact phone'), ('contacts', 'contacts'), ('content_copy', 'content copy'), ('content_cut', 'content cut'), ('content_paste', 'content paste'), ('control_point', 'control point'), ('control_point_duplicate', 'control point duplicate'), ('copyright', 'copyright'), ('create', 'create'), ('create_new_folder', 'create new folder'), ('credit_card', 'credit card'), ('crop', 'crop'), ('crop_16_9', 'crop 16 9'), ('crop_3_2', 'crop 3 2'), ('crop_5_4', 'crop 5 4'), ('crop_7_5', 'crop 7 5'), ('crop_din', 'crop din'), ('crop_free', 'crop free'), ('crop_landscape', 'crop landscape'), ('crop_original', 'crop original'), ('crop_portrait', 'crop portrait'), ('crop_rotate', 'crop rotate'), ('crop_square', 'crop square'), ('dashboard', 'dashboard'), ('data_usage', 'data usage'), ('date_range', 'date range'), ('dehaze', 'dehaze'), ('delete', 'delete'), ('delete_forever', 'delete forever'), ('delete_sweep', 'delete sweep'), ('description', 'description'), ('desktop_mac', 'desktop mac'), ('desktop_windows', 'desktop windows'), ('details', 'details'), ('developer_board', 'developer board'), ('developer_mode', 'developer mode'), ('device_hub', 'device hub'), ('devices', 'devices'), ('devices_other', 'devices other'), ('dialer_sip', 'dialer sip'), ('dialpad', 'dialpad'), ('directions', 'directions'), ('directions_bike', 'directions bike'), ('directions_boat', 'directions boat'), ('directions_bus', 'directions bus'), ('directions_car', 'directions car'), ('directions_railway', 'directions railway'), ('directions_run', 'directions run'), ('directions_subway', 'directions subway'), ('directions_transit', 'directions transit'), ('directions_walk', 'directions walk'), ('disc_full', 'disc full'), ('dns', 'dns'), ('do_not_disturb', 'do not disturb'), ('do_not_disturb_alt', 'do not disturb alt'), ('do_not_disturb_off', 'do not disturb off'), ('do_not_disturb_on', 'do not disturb on'), ('dock', 'dock'), ('domain', 'domain'), ('done', 'done'), ('done_all', 'done all'), ('donut_large', 'donut large'), ('donut_small', 'donut small'), ('drafts', 'drafts'), ('drag_handle', 'drag handle'), ('drive_eta', 'drive eta'), ('dvr', 'dvr'), ('edit', 'edit'), ('edit_location', 'edit location'), ('eject', 'eject'), ('email', 'email'), ('enhanced_encryption', 'enhanced encryption'), ('equalizer', 'equalizer'), ('error', 'error'), ('error_outline', 'error outline'), ('euro_symbol', 'euro symbol'), ('ev_station', 'ev station'), ('event', 'event'), ('event_available', 'event available'), ('event_busy', 'event busy'), ('event_note', 'event note'), ('event_seat', 'event seat'), ('exit_to_app', 'exit to app'), ('expand_less', 'expand less'), ('expand_more', 'expand more'), ('explicit', 'explicit'), ('explore', 'explore'), ('exposure', 'exposure'), ('exposure_neg_1', 'exposure neg 1'), ('exposure_neg_2', 'exposure neg 2'), ('exposure_plus_1', 'exposure plus 1'), ('exposure_plus_2', 'exposure plus 2'), ('exposure_zero', 'exposure zero'), ('extension', 'extension'), ('face', 'face'), ('fast_forward', 'fast forward'), ('fast_rewind', 'fast rewind'), ('favorite', 'favorite'), ('favorite_border', 'favorite border'), ('featured_play_list', 'featured play list'), ('featured_video', 'featured video'), ('feedback', 'feedback'), ('fiber_dvr', 'fiber dvr'), ('fiber_manual_record', 'fiber manual record'), ('fiber_new', 'fiber new'), ('fiber_pin', 'fiber pin'), ('fiber_smart_record', 'fiber smart record'), ('file_download', 'file download'), ('file_upload', 'file upload'), ('filter', 'filter'), ('filter_1', 'filter 1'), ('filter_2', 'filter 2'), ('filter_3', 'filter 3'), ('filter_4', 'filter 4'), ('filter_5', 'filter 5'), ('filter_6', 'filter 6'), ('filter_7', 'filter 7'), ('filter_8', 'filter 8'), ('filter_9', 'filter 9'), ('filter_9_plus', 'filter 9 plus'), ('filter_b_and_w', 'filter b and w'), ('filter_center_focus', 'filter center focus'), ('filter_drama', 'filter drama'), ('filter_frames', 'filter frames'), ('filter_hdr', 'filter hdr'), ('filter_list', 'filter list'), ('filter_none', 'filter none'), ('filter_tilt_shift', 'filter tilt shift'), ('filter_vintage', 'filter vintage'), ('find_in_page', 'find in page'), ('find_replace', 'find replace'), ('fingerprint', 'fingerprint'), ('first_page', 'first page'), ('fitness_center', 'fitness center'), ('flag', 'flag'), ('flare', 'flare'), ('flash_auto', 'flash auto'), ('flash_off', 'flash off'), ('flash_on', 'flash on'), ('flight', 'flight'), ('flight_land', 'flight land'), ('flight_takeoff', 'flight takeoff'), ('flip', 'flip'), ('flip_to_back', 'flip to back'), ('flip_to_front', 'flip to front'), ('folder', 'folder'), ('folder_open', 'folder open'), ('folder_shared', 'folder shared'), ('folder_special', 'folder special'), ('font_download', 'font download'), ('format_align_center', 'format align center'), ('format_align_justify', 'format align justify'), ('format_align_left', 'format align left'), ('format_align_right', 'format align right'), ('format_bold', 'format bold'), ('format_clear', 'format clear'), ('format_color_fill', 'format color fill'), ('format_color_reset', 'format color reset'), ('format_color_text', 'format color text'), ('format_indent_decrease', 'format indent decrease'), ('format_indent_increase', 'format indent increase'), ('format_italic', 'format italic'), ('format_line_spacing', 'format line spacing'), ('format_list_bulleted', 'format list bulleted'), ('format_list_numbered', 'format list numbered'), ('format_paint', 'format paint'), ('format_quote', 'format quote'), ('format_shapes', 'format shapes'), ('format_size', 'format size'), ('format_strikethrough', 'format strikethrough'), ('format_textdirection_l_to_r', 'format textdirection l to r'), ('format_textdirection_r_to_l', 'format textdirection r to l'), ('format_underlined', 'format underlined'), ('forum', 'forum'), ('forward', 'forward'), ('forward_10', 'forward 10'), ('forward_30', 'forward 30'), ('forward_5', 'forward 5'), ('free_breakfast', 'free breakfast'), ('fullscreen', 'fullscreen'), ('fullscreen_exit', 'fullscreen exit'), ('functions', 'functions'), ('g_translate', 'g translate'), ('gamepad', 'gamepad'), ('games', 'games'), ('gavel', 'gavel'), ('gesture', 'gesture'), ('get_app', 'get app'), ('gif', 'gif'), ('golf_course', 'golf course'), ('gps_fixed', 'gps fixed'), ('gps_not_fixed', 'gps not fixed'), ('gps_off', 'gps off'), ('grade', 'grade'), ('gradient', 'gradient'), ('grain', 'grain'), ('graphic_eq', 'graphic eq'), ('grid_off', 'grid off'), ('grid_on', 'grid on'), ('group', 'group'), ('group_add', 'group add'), ('group_work', 'group work'), ('hd', 'hd'), ('hdr_off', 'hdr off'), ('hdr_on', 'hdr on'), ('hdr_strong', 'hdr strong'), ('hdr_weak', 'hdr weak'), ('headset', 'headset'), ('headset_mic', 'headset mic'), ('healing', 'healing'), ('hearing', 'hearing'), ('help', 'help'), ('help_outline', 'help outline'), ('high_quality', 'high quality'), ('highlight', 'highlight'), ('highlight_off', 'highlight off'), ('history', 'history'), ('home', 'home'), ('hot_tub', 'hot tub'), ('hotel', 'hotel'), ('hourglass_empty', 'hourglass empty'), ('hourglass_full', 'hourglass full'), ('http', 'http'), ('https', 'https'), ('image', 'image'), ('image_aspect_ratio', 'image aspect ratio'), ('import_contacts', 'import contacts'), ('import_export', 'import export'), ('important_devices', 'important devices'), ('inbox', 'inbox'), ('indeterminate_check_box', 'indeterminate check box'), ('info', 'info'), ('info_outline', 'info outline'), ('input', 'input'), ('insert_chart', 'insert chart'), ('insert_comment', 'insert comment'), ('insert_drive_file', 'insert drive file'), ('insert_emoticon', 'insert emoticon'), ('insert_invitation', 'insert invitation'), ('insert_link', 'insert link'), ('insert_photo', 'insert photo'), ('invert_colors', 'invert colors'), ('invert_colors_off', 'invert colors off'), ('iso', 'iso'), ('keyboard', 'keyboard'), ('keyboard_arrow_down', 'keyboard arrow down'), ('keyboard_arrow_left', 'keyboard arrow left'), ('keyboard_arrow_right', 'keyboard arrow right'), ('keyboard_arrow_up', 'keyboard arrow up'), ('keyboard_backspace', 'keyboard backspace'), ('keyboard_capslock', 'keyboard capslock'), ('keyboard_hide', 'keyboard hide'), ('keyboard_return', 'keyboard return'), ('keyboard_tab', 'keyboard tab'), ('keyboard_voice', 'keyboard voice'), ('kitchen', 'kitchen'), ('label', 'label'), ('label_outline', 'label outline'), ('landscape', 'landscape'), ('language', 'language'), ('laptop', 'laptop'), ('laptop_chromebook', 'laptop chromebook'), ('laptop_mac', 'laptop mac'), ('laptop_windows', 'laptop windows'), ('last_page', 'last page'), ('launch', 'launch'), ('layers', 'layers'), ('layers_clear', 'layers clear'), ('leak_add', 'leak add'), ('leak_remove', 'leak remove'), ('lens', 'lens'), ('library_add', 'library add'), ('library_books', 'library books'), ('library_music', 'library music'), ('lightbulb_outline', 'lightbulb outline'), ('line_style', 'line style'), ('line_weight', 'line weight'), ('linear_scale', 'linear scale'), ('link', 'link'), ('linked_camera', 'linked camera'), ('list', 'list'), ('live_help', 'live help'), ('live_tv', 'live tv'), ('local_activity', 'local activity'), ('local_airport', 'local airport'), ('local_atm', 'local atm'), ('local_bar', 'local bar'), ('local_cafe', 'local cafe'), ('local_car_wash', 'local car wash'), ('local_convenience_store', 'local convenience store'), ('local_dining', 'local dining'), ('local_drink', 'local drink'), ('local_florist', 'local florist'), ('local_gas_station', 'local gas station'), ('local_grocery_store', 'local grocery store'), ('local_hospital', 'local hospital'), ('local_hotel', 'local hotel'), ('local_laundry_service', 'local laundry service'), ('local_library', 'local library'), ('local_mall', 'local mall'), ('local_movies', 'local movies'), ('local_offer', 'local offer'), ('local_parking', 'local parking'), ('local_pharmacy', 'local pharmacy'), ('local_phone', 'local phone'), ('local_pizza', 'local pizza'), ('local_play', 'local play'), ('local_post_office', 'local post office'), ('local_printshop', 'local printshop'), ('local_see', 'local see'), ('local_shipping', 'local shipping'), ('local_taxi', 'local taxi'), ('location_city', 'location city'), ('location_disabled', 'location disabled'), ('location_off', 'location off'), ('location_on', 'location on'), ('location_searching', 'location searching'), ('lock', 'lock'), ('lock_open', 'lock open'), ('lock_outline', 'lock outline'), ('looks', 'looks'), ('looks_3', 'looks 3'), ('looks_4', 'looks 4'), ('looks_5', 'looks 5'), ('looks_6', 'looks 6'), ('looks_one', 'looks one'), ('looks_two', 'looks two'), ('loop', 'loop'), ('loupe', 'loupe'), ('low_priority', 'low priority'), ('loyalty', 'loyalty'), ('mail', 'mail'), ('mail_outline', 'mail outline'), ('map', 'map'), ('markunread', 'markunread'), ('markunread_mailbox', 'markunread mailbox'), ('memory', 'memory'), ('menu', 'menu'), ('merge_type', 'merge type'), ('message', 'message'), ('mic', 'mic'), ('mic_none', 'mic none'), ('mic_off', 'mic off'), ('mms', 'mms'), ('mode_comment', 'mode comment'), ('mode_edit', 'mode edit'), ('monetization_on', 'monetization on'), ('money_off', 'money off'), ('monochrome_photos', 'monochrome photos'), ('mood', 'mood'), ('mood_bad', 'mood bad'), ('more', 'more'), ('more_horiz', 'more horiz'), ('more_vert', 'more vert'), ('motorcycle', 'motorcycle'), ('mouse', 'mouse'), ('move_to_inbox', 'move to inbox'), ('movie', 'movie'), ('movie_creation', 'movie creation'), ('movie_filter', 'movie filter'), ('multiline_chart', 'multiline chart'), ('music_note', 'music note'), ('music_video', 'music video'), ('my_location', 'my location'), ('nature', 'nature'), ('nature_people', 'nature people'), ('navigate_before', 'navigate before'), ('navigate_next', 'navigate next'), ('navigation', 'navigation'), ('near_me', 'near me'), ('network_cell', 'network cell'), ('network_check', 'network check'), ('network_locked', 'network locked'), ('network_wifi', 'network wifi'), ('new_releases', 'new releases'), ('next_week', 'next week'), ('nfc', 'nfc'), ('no_encryption', 'no encryption'), ('no_sim', 'no sim'), ('not_interested', 'not interested'), ('note', 'note'), ('note_add', 'note add'), ('notifications', 'notifications'), ('notifications_active', 'notifications active'), ('notifications_none', 'notifications none'), ('notifications_off', 'notifications off'), ('notifications_paused', 'notifications paused'), ('offline_pin', 'offline pin'), ('ondemand_video', 'ondemand video'), ('opacity', 'opacity'), ('open_in_browser', 'open in browser'), ('open_in_new', 'open in new'), ('open_with', 'open with'), ('pages', 'pages'), ('pageview', 'pageview'), ('palette', 'palette'), ('pan_tool', 'pan tool'), ('panorama', 'panorama'), ('panorama_fish_eye', 'panorama fish eye'), ('panorama_horizontal', 'panorama horizontal'), ('panorama_vertical', 'panorama vertical'), ('panorama_wide_angle', 'panorama wide angle'), ('party_mode', 'party mode'), ('pause', 'pause'), ('pause_circle_filled', 'pause circle filled'), ('pause_circle_outline', 'pause circle outline'), ('payment', 'payment'), ('people', 'people'), ('people_outline', 'people outline'), ('perm_camera_mic', 'perm camera mic'), ('perm_contact_calendar', 'perm contact calendar'), ('perm_data_setting', 'perm data setting'), ('perm_device_information', 'perm device information'), ('perm_identity', 'perm identity'), ('perm_media', 'perm media'), ('perm_phone_msg', 'perm phone msg'), ('perm_scan_wifi', 'perm scan wifi'), ('person', 'person'), ('person_add', 'person add'), ('person_outline', 'person outline'), ('person_pin', 'person pin'), ('person_pin_circle', 'person pin circle'), ('personal_video', 'personal video'), ('pets', 'pets'), ('phone', 'phone'), ('phone_android', 'phone android'), ('phone_bluetooth_speaker', 'phone bluetooth speaker'), ('phone_forwarded', 'phone forwarded'), ('phone_in_talk', 'phone in talk'), ('phone_iphone', 'phone iphone'), ('phone_locked', 'phone locked'), ('phone_missed', 'phone missed'), ('phone_paused', 'phone paused'), ('phonelink', 'phonelink'), ('phonelink_erase', 'phonelink erase'), ('phonelink_lock', 'phonelink lock'), ('phonelink_off', 'phonelink off'), ('phonelink_ring', 'phonelink ring'), ('phonelink_setup', 'phonelink setup'), ('photo', 'photo'), ('photo_album', 'photo album'), ('photo_camera', 'photo camera'), ('photo_filter', 'photo filter'), ('photo_library', 'photo library'), ('photo_size_select_actual', 'photo size select actual'), ('photo_size_select_large', 'photo size select large'), ('photo_size_select_small', 'photo size select small'), ('picture_as_pdf', 'picture as pdf'), ('picture_in_picture', 'picture in picture'), ('picture_in_picture_alt', 'picture in picture alt'), ('pie_chart', 'pie chart'), ('pie_chart_outlined', 'pie chart outlined'), ('pin_drop', 'pin drop'), ('place', 'place'), ('play_arrow', 'play arrow'), ('play_circle_filled', 'play circle filled'), ('play_circle_outline', 'play circle outline'), ('play_for_work', 'play for work'), ('playlist_add', 'playlist add'), ('playlist_add_check', 'playlist add check'), ('playlist_play', 'playlist play'), ('plus_one', 'plus one'), ('poll', 'poll'), ('polymer', 'polymer'), ('pool', 'pool'), ('portable_wifi_off', 'portable wifi off'), ('portrait', 'portrait'), ('power', 'power'), ('power_input', 'power input'), ('power_settings_new', 'power settings new'), ('pregnant_woman', 'pregnant woman'), ('present_to_all', 'present to all'), ('print', 'print'), ('priority_high', 'priority high'), ('public', 'public'), ('publish', 'publish'), ('query_builder', 'query builder'), ('question_answer', 'question answer'), ('queue', 'queue'), ('queue_music', 'queue music'), ('queue_play_next', 'queue play next'), ('radio', 'radio'), ('radio_button_checked', 'radio button checked'), ('radio_button_unchecked', 'radio button unchecked'), ('rate_review', 'rate review'), ('receipt', 'receipt'), ('recent_actors', 'recent actors'), ('record_voice_over', 'record voice over'), ('redeem', 'redeem'), ('redo', 'redo'), ('refresh', 'refresh'), ('remove', 'remove'), ('remove_circle', 'remove circle'), ('remove_circle_outline', 'remove circle outline'), ('remove_from_queue', 'remove from queue'), ('remove_red_eye', 'remove red eye'), ('remove_shopping_cart', 'remove shopping cart'), ('reorder', 'reorder'), ('repeat', 'repeat'), ('repeat_one', 'repeat one'), ('replay', 'replay'), ('replay_10', 'replay 10'), ('replay_30', 'replay 30'), ('replay_5', 'replay 5'), ('reply', 'reply'), ('reply_all', 'reply all'), ('report', 'report'), ('report_problem', 'report problem'), ('restaurant', 'restaurant'), ('restaurant_menu', 'restaurant menu'), ('restore', 'restore'), ('restore_page', 'restore page'), ('ring_volume', 'ring volume'), ('room', 'room'), ('room_service', 'room service'), ('rotate_90_degrees_ccw', 'rotate 90 degrees ccw'), ('rotate_left', 'rotate left'), ('rotate_right', 'rotate right'), ('rounded_corner', 'rounded corner'), ('router', 'router'), ('rowing', 'rowing'), ('rss_feed', 'rss feed'), ('rv_hookup', 'rv hookup'), ('satellite', 'satellite'), ('save', 'save'), ('scanner', 'scanner'), ('schedule', 'schedule'), ('school', 'school'), ('screen_lock_landscape', 'screen lock landscape'), ('screen_lock_portrait', 'screen lock portrait'), ('screen_lock_rotation', 'screen lock rotation'), ('screen_rotation', 'screen rotation'), ('screen_share', 'screen share'), ('sd_card', 'sd card'), ('sd_storage', 'sd storage'), ('search', 'search'), ('security', 'security'), ('select_all', 'select all'), ('send', 'send'), ('sentiment_dissatisfied', 'sentiment dissatisfied'), ('sentiment_neutral', 'sentiment neutral'), ('sentiment_satisfied', 'sentiment satisfied'), ('sentiment_very_dissatisfied', 'sentiment very dissatisfied'), ('sentiment_very_satisfied', 'sentiment very satisfied'), ('settings', 'settings'), ('settings_applications', 'settings applications'), ('settings_backup_restore', 'settings backup restore'), ('settings_bluetooth', 'settings bluetooth'), ('settings_brightness', 'settings brightness'), ('settings_cell', 'settings cell'), ('settings_ethernet', 'settings ethernet'), ('settings_input_antenna', 'settings input antenna'), ('settings_input_component', 'settings input component'), ('settings_input_composite', 'settings input composite'), ('settings_input_hdmi', 'settings input hdmi'), ('settings_input_svideo', 'settings input svideo'), ('settings_overscan', 'settings overscan'), ('settings_phone', 'settings phone'), ('settings_power', 'settings power'), ('settings_remote', 'settings remote'), ('settings_system_daydream', 'settings system daydream'), ('settings_voice', 'settings voice'), ('share', 'share'), ('shop', 'shop'), ('shop_two', 'shop two'), ('shopping_basket', 'shopping basket'), ('shopping_cart', 'shopping cart'), ('short_text', 'short text'), ('show_chart', 'show chart'), ('shuffle', 'shuffle'), ('signal_cellular_4_bar', 'signal cellular 4 bar'), ('signal_cellular_connected_no_internet_4_bar', 'signal cellular connected no internet 4 bar'), ('signal_cellular_no_sim', 'signal cellular no sim'), ('signal_cellular_null', 'signal cellular null'), ('signal_cellular_off', 'signal cellular off'), ('signal_wifi_4_bar', 'signal wifi 4 bar'), ('signal_wifi_4_bar_lock', 'signal wifi 4 bar lock'), ('signal_wifi_off', 'signal wifi off'), ('sim_card', 'sim card'), ('sim_card_alert', 'sim card alert'), ('skip_next', 'skip next'), ('skip_previous', 'skip previous'), ('slideshow', 'slideshow'), ('slow_motion_video', 'slow motion video'), ('smartphone', 'smartphone'), ('smoke_free', 'smoke free'), ('smoking_rooms', 'smoking rooms'), ('sms', 'sms'), ('sms_failed', 'sms failed'), ('snooze', 'snooze'), ('sort', 'sort'), ('sort_by_alpha', 'sort by alpha'), ('spa', 'spa'), ('space_bar', 'space bar'), ('speaker', 'speaker'), ('speaker_group', 'speaker group'), ('speaker_notes', 'speaker notes'), ('speaker_notes_off', 'speaker notes off'), ('speaker_phone', 'speaker phone'), ('spellcheck', 'spellcheck'), ('star', 'star'), ('star_border', 'star border'), ('star_half', 'star half'), ('stars', 'stars'), ('stay_current_landscape', 'stay current landscape'), ('stay_current_portrait', 'stay current portrait'), ('stay_primary_landscape', 'stay primary landscape'), ('stay_primary_portrait', 'stay primary portrait'), ('stop', 'stop'), ('stop_screen_share', 'stop screen share'), ('storage', 'storage'), ('store', 'store'), ('store_mall_directory', 'store mall directory'), ('straighten', 'straighten'), ('streetview', 'streetview'), ('strikethrough_s', 'strikethrough s'), ('style', 'style'), ('subdirectory_arrow_left', 'subdirectory arrow left'), ('subdirectory_arrow_right', 'subdirectory arrow right'), ('subject', 'subject'), ('subscriptions', 'subscriptions'), ('subtitles', 'subtitles'), ('subway', 'subway'), ('supervisor_account', 'supervisor account'), ('surround_sound', 'surround sound'), ('swap_calls', 'swap calls'), ('swap_horiz', 'swap horiz'), ('swap_vert', 'swap vert'), ('swap_vertical_circle', 'swap vertical circle'), ('switch_camera', 'switch camera'), ('switch_video', 'switch video'), ('sync', 'sync'), ('sync_disabled', 'sync disabled'), ('sync_problem', 'sync problem'), ('system_update', 'system update'), ('system_update_alt', 'system update alt'), ('tab', 'tab'), ('tab_unselected', 'tab unselected'), ('tablet', 'tablet'), ('tablet_android', 'tablet android'), ('tablet_mac', 'tablet mac'), ('tag_faces', 'tag faces'), ('tap_and_play', 'tap and play'), ('terrain', 'terrain'), ('text_fields', 'text fields'), ('text_format', 'text format'), ('textsms', 'textsms'), ('texture', 'texture'), ('theaters', 'theaters'), ('thumb_down', 'thumb down'), ('thumb_up', 'thumb up'), ('thumbs_up_down', 'thumbs up down'), ('time_to_leave', 'time to leave'), ('timelapse', 'timelapse'), ('timeline', 'timeline'), ('timer', 'timer'), ('timer_10', 'timer 10'), ('timer_3', 'timer 3'), ('timer_off', 'timer off'), ('title', 'title'), ('toc', 'toc'), ('today', 'today'), ('toll', 'toll'), ('tonality', 'tonality'), ('touch_app', 'touch app'), ('toys', 'toys'), ('track_changes', 'track changes'), ('traffic', 'traffic'), ('train', 'train'), ('tram', 'tram'), ('transfer_within_a_station', 'transfer within a station'), ('transform', 'transform'), ('translate', 'translate'), ('trending_down', 'trending down'), ('trending_flat', 'trending flat'), ('trending_up', 'trending up'), ('tune', 'tune'), ('turned_in', 'turned in'), ('turned_in_not', 'turned in not'), ('tv', 'tv'), ('unarchive', 'unarchive'), ('undo', 'undo'), ('unfold_less', 'unfold less'), ('unfold_more', 'unfold more'), ('update', 'update'), ('usb', 'usb'), ('verified_user', 'verified user'), ('vertical_align_bottom', 'vertical align bottom'), ('vertical_align_center', 'vertical align center'), ('vertical_align_top', 'vertical align top'), ('vibration', 'vibration'), ('video_call', 'video call'), ('video_label', 'video label'), ('video_library', 'video library'), ('videocam', 'videocam'), ('videocam_off', 'videocam off'), ('videogame_asset', 'videogame asset'), ('view_agenda', 'view agenda'), ('view_array', 'view array'), ('view_carousel', 'view carousel'), ('view_column', 'view column'), ('view_comfy', 'view comfy'), ('view_compact', 'view compact'), ('view_day', 'view day'), ('view_headline', 'view headline'), ('view_list', 'view list'), ('view_module', 'view module'), ('view_quilt', 'view quilt'), ('view_stream', 'view stream'), ('view_week', 'view week'), ('vignette', 'vignette'), ('visibility', 'visibility'), ('visibility_off', 'visibility off'), ('voice_chat', 'voice chat'), ('voicemail', 'voicemail'), ('volume_down', 'volume down'), ('volume_mute', 'volume mute'), ('volume_off', 'volume off'), ('volume_up', 'volume up'), ('vpn_key', 'vpn key'), ('vpn_lock', 'vpn lock'), ('wallpaper', 'wallpaper'), ('warning', 'warning'), ('watch', 'watch'), ('watch_later', 'watch later'), ('wb_auto', 'wb auto'), ('wb_cloudy', 'wb cloudy'), ('wb_incandescent', 'wb incandescent'), ('wb_iridescent', 'wb iridescent'), ('wb_sunny', 'wb sunny'), ('wc', 'wc'), ('web', 'web'), ('web_asset', 'web asset'), ('weekend', 'weekend'), ('whatshot', 'whatshot'), ('widgets', 'widgets'), ('wifi', 'wifi'), ('wifi_lock', 'wifi lock'), ('wifi_tethering', 'wifi tethering'), ('work', 'work'), ('wrap_text', 'wrap text'), ('youtube_searched_for', 'youtube searched for'), ('zoom_in', 'zoom in'), ('zoom_out', 'zoom out'), ('zoom_out_map', 'zoom out map')], label='Icon')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')], label='Size', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], label='Background Color', required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], label='Icon Color', required=False))))), ('url_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('bookmark_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('page_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('document_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('image_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('h1', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h2', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h3', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h4', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h5', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h6', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))), ('card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('panel_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('image_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_horizontal_style', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use horizontal style', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('reveal_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('reveal_contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),), label='Reveal contents')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_sticky_action', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use sticky action', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False)))))))), ('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))))))))), ('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))))))))), ('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),)))), blank=True)),
                ('brand', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailmaterialize.BrandLogo')),
                ('footer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailmaterialize.Footer')),
            ],
            options={
                'verbose_name': 'Material Page Parallax',
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='MaterialPageStarter',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('navbar_attributes', wagtail.wagtailcore.fields.StreamField((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))), blank=True, verbose_name='Navigation bar attributes')),
                ('navbar_fixed', models.BooleanField(default=False, verbose_name='Fixed')),
                ('include_preloader', models.BooleanField(default=False, help_text='A material style preloader will be included in your page', verbose_name='Include preloader')),
                ('enable_perfect_scrollbar', models.BooleanField(default=False, help_text='Fancy scroll bar provided by PerfectScrollbar.js will be enabled', verbose_name='Enable Perfect Scrollbar')),
                ('enable_font_awesome', models.BooleanField(default=True, help_text='Enalble aditional icons provided by FontAwesome', verbose_name='Enable FontAwesome')),
                ('body', wagtail.wagtailcore.fields.StreamField((('container', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('row', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('column', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))), ('promotedicon', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('icon', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('3d_rotation', '3d rotation'), ('ac_unit', 'ac unit'), ('access_alarm', 'access alarm'), ('access_alarms', 'access alarms'), ('access_time', 'access time'), ('accessibility', 'accessibility'), ('accessible', 'accessible'), ('account_balance', 'account balance'), ('account_balance_wallet', 'account balance wallet'), ('account_box', 'account box'), ('account_circle', 'account circle'), ('adb', 'adb'), ('add', 'add'), ('add_a_photo', 'add a photo'), ('add_alarm', 'add alarm'), ('add_alert', 'add alert'), ('add_box', 'add box'), ('add_circle', 'add circle'), ('add_circle_outline', 'add circle outline'), ('add_location', 'add location'), ('add_shopping_cart', 'add shopping cart'), ('add_to_photos', 'add to photos'), ('add_to_queue', 'add to queue'), ('adjust', 'adjust'), ('airline_seat_flat', 'airline seat flat'), ('airline_seat_flat_angled', 'airline seat flat angled'), ('airline_seat_individual_suite', 'airline seat individual suite'), ('airline_seat_legroom_extra', 'airline seat legroom extra'), ('airline_seat_legroom_normal', 'airline seat legroom normal'), ('airline_seat_legroom_reduced', 'airline seat legroom reduced'), ('airline_seat_recline_extra', 'airline seat recline extra'), ('airline_seat_recline_normal', 'airline seat recline normal'), ('airplanemode_active', 'airplanemode active'), ('airplanemode_inactive', 'airplanemode inactive'), ('airplay', 'airplay'), ('airport_shuttle', 'airport shuttle'), ('alarm', 'alarm'), ('alarm_add', 'alarm add'), ('alarm_off', 'alarm off'), ('alarm_on', 'alarm on'), ('album', 'album'), ('all_inclusive', 'all inclusive'), ('all_out', 'all out'), ('android', 'android'), ('announcement', 'announcement'), ('apps', 'apps'), ('archive', 'archive'), ('arrow_back', 'arrow back'), ('arrow_downward', 'arrow downward'), ('arrow_drop_down', 'arrow drop down'), ('arrow_drop_down_circle', 'arrow drop down circle'), ('arrow_drop_up', 'arrow drop up'), ('arrow_forward', 'arrow forward'), ('arrow_upward', 'arrow upward'), ('art_track', 'art track'), ('aspect_ratio', 'aspect ratio'), ('assessment', 'assessment'), ('assignment', 'assignment'), ('assignment_ind', 'assignment ind'), ('assignment_late', 'assignment late'), ('assignment_return', 'assignment return'), ('assignment_returned', 'assignment returned'), ('assignment_turned_in', 'assignment turned in'), ('assistant', 'assistant'), ('assistant_photo', 'assistant photo'), ('attach_file', 'attach file'), ('attach_money', 'attach money'), ('attachment', 'attachment'), ('audiotrack', 'audiotrack'), ('autorenew', 'autorenew'), ('av_timer', 'av timer'), ('backspace', 'backspace'), ('backup', 'backup'), ('battery_alert', 'battery alert'), ('battery_charging_full', 'battery charging full'), ('battery_full', 'battery full'), ('battery_std', 'battery std'), ('battery_unknown', 'battery unknown'), ('beach_access', 'beach access'), ('beenhere', 'beenhere'), ('block', 'block'), ('bluetooth', 'bluetooth'), ('bluetooth_audio', 'bluetooth audio'), ('bluetooth_connected', 'bluetooth connected'), ('bluetooth_disabled', 'bluetooth disabled'), ('bluetooth_searching', 'bluetooth searching'), ('blur_circular', 'blur circular'), ('blur_linear', 'blur linear'), ('blur_off', 'blur off'), ('blur_on', 'blur on'), ('book', 'book'), ('bookmark', 'bookmark'), ('bookmark_border', 'bookmark border'), ('border_all', 'border all'), ('border_bottom', 'border bottom'), ('border_clear', 'border clear'), ('border_color', 'border color'), ('border_horizontal', 'border horizontal'), ('border_inner', 'border inner'), ('border_left', 'border left'), ('border_outer', 'border outer'), ('border_right', 'border right'), ('border_style', 'border style'), ('border_top', 'border top'), ('border_vertical', 'border vertical'), ('branding_watermark', 'branding watermark'), ('brightness_1', 'brightness 1'), ('brightness_2', 'brightness 2'), ('brightness_3', 'brightness 3'), ('brightness_4', 'brightness 4'), ('brightness_5', 'brightness 5'), ('brightness_6', 'brightness 6'), ('brightness_7', 'brightness 7'), ('brightness_auto', 'brightness auto'), ('brightness_high', 'brightness high'), ('brightness_low', 'brightness low'), ('brightness_medium', 'brightness medium'), ('broken_image', 'broken image'), ('brush', 'brush'), ('bubble_chart', 'bubble chart'), ('bug_report', 'bug report'), ('build', 'build'), ('burst_mode', 'burst mode'), ('business', 'business'), ('business_center', 'business center'), ('cached', 'cached'), ('cake', 'cake'), ('call', 'call'), ('call_end', 'call end'), ('call_made', 'call made'), ('call_merge', 'call merge'), ('call_missed', 'call missed'), ('call_missed_outgoing', 'call missed outgoing'), ('call_received', 'call received'), ('call_split', 'call split'), ('call_to_action', 'call to action'), ('camera', 'camera'), ('camera_alt', 'camera alt'), ('camera_enhance', 'camera enhance'), ('camera_front', 'camera front'), ('camera_rear', 'camera rear'), ('camera_roll', 'camera roll'), ('cancel', 'cancel'), ('card_giftcard', 'card giftcard'), ('card_membership', 'card membership'), ('card_travel', 'card travel'), ('casino', 'casino'), ('cast', 'cast'), ('cast_connected', 'cast connected'), ('center_focus_strong', 'center focus strong'), ('center_focus_weak', 'center focus weak'), ('change_history', 'change history'), ('chat', 'chat'), ('chat_bubble', 'chat bubble'), ('chat_bubble_outline', 'chat bubble outline'), ('check', 'check'), ('check_box', 'check box'), ('check_box_outline_blank', 'check box outline blank'), ('check_circle', 'check circle'), ('chevron_left', 'chevron left'), ('chevron_right', 'chevron right'), ('child_care', 'child care'), ('child_friendly', 'child friendly'), ('chrome_reader_mode', 'chrome reader mode'), ('class', 'class'), ('clear', 'clear'), ('clear_all', 'clear all'), ('close', 'close'), ('closed_caption', 'closed caption'), ('cloud', 'cloud'), ('cloud_circle', 'cloud circle'), ('cloud_done', 'cloud done'), ('cloud_download', 'cloud download'), ('cloud_off', 'cloud off'), ('cloud_queue', 'cloud queue'), ('cloud_upload', 'cloud upload'), ('code', 'code'), ('collections', 'collections'), ('collections_bookmark', 'collections bookmark'), ('color_lens', 'color lens'), ('colorize', 'colorize'), ('comment', 'comment'), ('compare', 'compare'), ('compare_arrows', 'compare arrows'), ('computer', 'computer'), ('confirmation_number', 'confirmation number'), ('contact_mail', 'contact mail'), ('contact_phone', 'contact phone'), ('contacts', 'contacts'), ('content_copy', 'content copy'), ('content_cut', 'content cut'), ('content_paste', 'content paste'), ('control_point', 'control point'), ('control_point_duplicate', 'control point duplicate'), ('copyright', 'copyright'), ('create', 'create'), ('create_new_folder', 'create new folder'), ('credit_card', 'credit card'), ('crop', 'crop'), ('crop_16_9', 'crop 16 9'), ('crop_3_2', 'crop 3 2'), ('crop_5_4', 'crop 5 4'), ('crop_7_5', 'crop 7 5'), ('crop_din', 'crop din'), ('crop_free', 'crop free'), ('crop_landscape', 'crop landscape'), ('crop_original', 'crop original'), ('crop_portrait', 'crop portrait'), ('crop_rotate', 'crop rotate'), ('crop_square', 'crop square'), ('dashboard', 'dashboard'), ('data_usage', 'data usage'), ('date_range', 'date range'), ('dehaze', 'dehaze'), ('delete', 'delete'), ('delete_forever', 'delete forever'), ('delete_sweep', 'delete sweep'), ('description', 'description'), ('desktop_mac', 'desktop mac'), ('desktop_windows', 'desktop windows'), ('details', 'details'), ('developer_board', 'developer board'), ('developer_mode', 'developer mode'), ('device_hub', 'device hub'), ('devices', 'devices'), ('devices_other', 'devices other'), ('dialer_sip', 'dialer sip'), ('dialpad', 'dialpad'), ('directions', 'directions'), ('directions_bike', 'directions bike'), ('directions_boat', 'directions boat'), ('directions_bus', 'directions bus'), ('directions_car', 'directions car'), ('directions_railway', 'directions railway'), ('directions_run', 'directions run'), ('directions_subway', 'directions subway'), ('directions_transit', 'directions transit'), ('directions_walk', 'directions walk'), ('disc_full', 'disc full'), ('dns', 'dns'), ('do_not_disturb', 'do not disturb'), ('do_not_disturb_alt', 'do not disturb alt'), ('do_not_disturb_off', 'do not disturb off'), ('do_not_disturb_on', 'do not disturb on'), ('dock', 'dock'), ('domain', 'domain'), ('done', 'done'), ('done_all', 'done all'), ('donut_large', 'donut large'), ('donut_small', 'donut small'), ('drafts', 'drafts'), ('drag_handle', 'drag handle'), ('drive_eta', 'drive eta'), ('dvr', 'dvr'), ('edit', 'edit'), ('edit_location', 'edit location'), ('eject', 'eject'), ('email', 'email'), ('enhanced_encryption', 'enhanced encryption'), ('equalizer', 'equalizer'), ('error', 'error'), ('error_outline', 'error outline'), ('euro_symbol', 'euro symbol'), ('ev_station', 'ev station'), ('event', 'event'), ('event_available', 'event available'), ('event_busy', 'event busy'), ('event_note', 'event note'), ('event_seat', 'event seat'), ('exit_to_app', 'exit to app'), ('expand_less', 'expand less'), ('expand_more', 'expand more'), ('explicit', 'explicit'), ('explore', 'explore'), ('exposure', 'exposure'), ('exposure_neg_1', 'exposure neg 1'), ('exposure_neg_2', 'exposure neg 2'), ('exposure_plus_1', 'exposure plus 1'), ('exposure_plus_2', 'exposure plus 2'), ('exposure_zero', 'exposure zero'), ('extension', 'extension'), ('face', 'face'), ('fast_forward', 'fast forward'), ('fast_rewind', 'fast rewind'), ('favorite', 'favorite'), ('favorite_border', 'favorite border'), ('featured_play_list', 'featured play list'), ('featured_video', 'featured video'), ('feedback', 'feedback'), ('fiber_dvr', 'fiber dvr'), ('fiber_manual_record', 'fiber manual record'), ('fiber_new', 'fiber new'), ('fiber_pin', 'fiber pin'), ('fiber_smart_record', 'fiber smart record'), ('file_download', 'file download'), ('file_upload', 'file upload'), ('filter', 'filter'), ('filter_1', 'filter 1'), ('filter_2', 'filter 2'), ('filter_3', 'filter 3'), ('filter_4', 'filter 4'), ('filter_5', 'filter 5'), ('filter_6', 'filter 6'), ('filter_7', 'filter 7'), ('filter_8', 'filter 8'), ('filter_9', 'filter 9'), ('filter_9_plus', 'filter 9 plus'), ('filter_b_and_w', 'filter b and w'), ('filter_center_focus', 'filter center focus'), ('filter_drama', 'filter drama'), ('filter_frames', 'filter frames'), ('filter_hdr', 'filter hdr'), ('filter_list', 'filter list'), ('filter_none', 'filter none'), ('filter_tilt_shift', 'filter tilt shift'), ('filter_vintage', 'filter vintage'), ('find_in_page', 'find in page'), ('find_replace', 'find replace'), ('fingerprint', 'fingerprint'), ('first_page', 'first page'), ('fitness_center', 'fitness center'), ('flag', 'flag'), ('flare', 'flare'), ('flash_auto', 'flash auto'), ('flash_off', 'flash off'), ('flash_on', 'flash on'), ('flight', 'flight'), ('flight_land', 'flight land'), ('flight_takeoff', 'flight takeoff'), ('flip', 'flip'), ('flip_to_back', 'flip to back'), ('flip_to_front', 'flip to front'), ('folder', 'folder'), ('folder_open', 'folder open'), ('folder_shared', 'folder shared'), ('folder_special', 'folder special'), ('font_download', 'font download'), ('format_align_center', 'format align center'), ('format_align_justify', 'format align justify'), ('format_align_left', 'format align left'), ('format_align_right', 'format align right'), ('format_bold', 'format bold'), ('format_clear', 'format clear'), ('format_color_fill', 'format color fill'), ('format_color_reset', 'format color reset'), ('format_color_text', 'format color text'), ('format_indent_decrease', 'format indent decrease'), ('format_indent_increase', 'format indent increase'), ('format_italic', 'format italic'), ('format_line_spacing', 'format line spacing'), ('format_list_bulleted', 'format list bulleted'), ('format_list_numbered', 'format list numbered'), ('format_paint', 'format paint'), ('format_quote', 'format quote'), ('format_shapes', 'format shapes'), ('format_size', 'format size'), ('format_strikethrough', 'format strikethrough'), ('format_textdirection_l_to_r', 'format textdirection l to r'), ('format_textdirection_r_to_l', 'format textdirection r to l'), ('format_underlined', 'format underlined'), ('forum', 'forum'), ('forward', 'forward'), ('forward_10', 'forward 10'), ('forward_30', 'forward 30'), ('forward_5', 'forward 5'), ('free_breakfast', 'free breakfast'), ('fullscreen', 'fullscreen'), ('fullscreen_exit', 'fullscreen exit'), ('functions', 'functions'), ('g_translate', 'g translate'), ('gamepad', 'gamepad'), ('games', 'games'), ('gavel', 'gavel'), ('gesture', 'gesture'), ('get_app', 'get app'), ('gif', 'gif'), ('golf_course', 'golf course'), ('gps_fixed', 'gps fixed'), ('gps_not_fixed', 'gps not fixed'), ('gps_off', 'gps off'), ('grade', 'grade'), ('gradient', 'gradient'), ('grain', 'grain'), ('graphic_eq', 'graphic eq'), ('grid_off', 'grid off'), ('grid_on', 'grid on'), ('group', 'group'), ('group_add', 'group add'), ('group_work', 'group work'), ('hd', 'hd'), ('hdr_off', 'hdr off'), ('hdr_on', 'hdr on'), ('hdr_strong', 'hdr strong'), ('hdr_weak', 'hdr weak'), ('headset', 'headset'), ('headset_mic', 'headset mic'), ('healing', 'healing'), ('hearing', 'hearing'), ('help', 'help'), ('help_outline', 'help outline'), ('high_quality', 'high quality'), ('highlight', 'highlight'), ('highlight_off', 'highlight off'), ('history', 'history'), ('home', 'home'), ('hot_tub', 'hot tub'), ('hotel', 'hotel'), ('hourglass_empty', 'hourglass empty'), ('hourglass_full', 'hourglass full'), ('http', 'http'), ('https', 'https'), ('image', 'image'), ('image_aspect_ratio', 'image aspect ratio'), ('import_contacts', 'import contacts'), ('import_export', 'import export'), ('important_devices', 'important devices'), ('inbox', 'inbox'), ('indeterminate_check_box', 'indeterminate check box'), ('info', 'info'), ('info_outline', 'info outline'), ('input', 'input'), ('insert_chart', 'insert chart'), ('insert_comment', 'insert comment'), ('insert_drive_file', 'insert drive file'), ('insert_emoticon', 'insert emoticon'), ('insert_invitation', 'insert invitation'), ('insert_link', 'insert link'), ('insert_photo', 'insert photo'), ('invert_colors', 'invert colors'), ('invert_colors_off', 'invert colors off'), ('iso', 'iso'), ('keyboard', 'keyboard'), ('keyboard_arrow_down', 'keyboard arrow down'), ('keyboard_arrow_left', 'keyboard arrow left'), ('keyboard_arrow_right', 'keyboard arrow right'), ('keyboard_arrow_up', 'keyboard arrow up'), ('keyboard_backspace', 'keyboard backspace'), ('keyboard_capslock', 'keyboard capslock'), ('keyboard_hide', 'keyboard hide'), ('keyboard_return', 'keyboard return'), ('keyboard_tab', 'keyboard tab'), ('keyboard_voice', 'keyboard voice'), ('kitchen', 'kitchen'), ('label', 'label'), ('label_outline', 'label outline'), ('landscape', 'landscape'), ('language', 'language'), ('laptop', 'laptop'), ('laptop_chromebook', 'laptop chromebook'), ('laptop_mac', 'laptop mac'), ('laptop_windows', 'laptop windows'), ('last_page', 'last page'), ('launch', 'launch'), ('layers', 'layers'), ('layers_clear', 'layers clear'), ('leak_add', 'leak add'), ('leak_remove', 'leak remove'), ('lens', 'lens'), ('library_add', 'library add'), ('library_books', 'library books'), ('library_music', 'library music'), ('lightbulb_outline', 'lightbulb outline'), ('line_style', 'line style'), ('line_weight', 'line weight'), ('linear_scale', 'linear scale'), ('link', 'link'), ('linked_camera', 'linked camera'), ('list', 'list'), ('live_help', 'live help'), ('live_tv', 'live tv'), ('local_activity', 'local activity'), ('local_airport', 'local airport'), ('local_atm', 'local atm'), ('local_bar', 'local bar'), ('local_cafe', 'local cafe'), ('local_car_wash', 'local car wash'), ('local_convenience_store', 'local convenience store'), ('local_dining', 'local dining'), ('local_drink', 'local drink'), ('local_florist', 'local florist'), ('local_gas_station', 'local gas station'), ('local_grocery_store', 'local grocery store'), ('local_hospital', 'local hospital'), ('local_hotel', 'local hotel'), ('local_laundry_service', 'local laundry service'), ('local_library', 'local library'), ('local_mall', 'local mall'), ('local_movies', 'local movies'), ('local_offer', 'local offer'), ('local_parking', 'local parking'), ('local_pharmacy', 'local pharmacy'), ('local_phone', 'local phone'), ('local_pizza', 'local pizza'), ('local_play', 'local play'), ('local_post_office', 'local post office'), ('local_printshop', 'local printshop'), ('local_see', 'local see'), ('local_shipping', 'local shipping'), ('local_taxi', 'local taxi'), ('location_city', 'location city'), ('location_disabled', 'location disabled'), ('location_off', 'location off'), ('location_on', 'location on'), ('location_searching', 'location searching'), ('lock', 'lock'), ('lock_open', 'lock open'), ('lock_outline', 'lock outline'), ('looks', 'looks'), ('looks_3', 'looks 3'), ('looks_4', 'looks 4'), ('looks_5', 'looks 5'), ('looks_6', 'looks 6'), ('looks_one', 'looks one'), ('looks_two', 'looks two'), ('loop', 'loop'), ('loupe', 'loupe'), ('low_priority', 'low priority'), ('loyalty', 'loyalty'), ('mail', 'mail'), ('mail_outline', 'mail outline'), ('map', 'map'), ('markunread', 'markunread'), ('markunread_mailbox', 'markunread mailbox'), ('memory', 'memory'), ('menu', 'menu'), ('merge_type', 'merge type'), ('message', 'message'), ('mic', 'mic'), ('mic_none', 'mic none'), ('mic_off', 'mic off'), ('mms', 'mms'), ('mode_comment', 'mode comment'), ('mode_edit', 'mode edit'), ('monetization_on', 'monetization on'), ('money_off', 'money off'), ('monochrome_photos', 'monochrome photos'), ('mood', 'mood'), ('mood_bad', 'mood bad'), ('more', 'more'), ('more_horiz', 'more horiz'), ('more_vert', 'more vert'), ('motorcycle', 'motorcycle'), ('mouse', 'mouse'), ('move_to_inbox', 'move to inbox'), ('movie', 'movie'), ('movie_creation', 'movie creation'), ('movie_filter', 'movie filter'), ('multiline_chart', 'multiline chart'), ('music_note', 'music note'), ('music_video', 'music video'), ('my_location', 'my location'), ('nature', 'nature'), ('nature_people', 'nature people'), ('navigate_before', 'navigate before'), ('navigate_next', 'navigate next'), ('navigation', 'navigation'), ('near_me', 'near me'), ('network_cell', 'network cell'), ('network_check', 'network check'), ('network_locked', 'network locked'), ('network_wifi', 'network wifi'), ('new_releases', 'new releases'), ('next_week', 'next week'), ('nfc', 'nfc'), ('no_encryption', 'no encryption'), ('no_sim', 'no sim'), ('not_interested', 'not interested'), ('note', 'note'), ('note_add', 'note add'), ('notifications', 'notifications'), ('notifications_active', 'notifications active'), ('notifications_none', 'notifications none'), ('notifications_off', 'notifications off'), ('notifications_paused', 'notifications paused'), ('offline_pin', 'offline pin'), ('ondemand_video', 'ondemand video'), ('opacity', 'opacity'), ('open_in_browser', 'open in browser'), ('open_in_new', 'open in new'), ('open_with', 'open with'), ('pages', 'pages'), ('pageview', 'pageview'), ('palette', 'palette'), ('pan_tool', 'pan tool'), ('panorama', 'panorama'), ('panorama_fish_eye', 'panorama fish eye'), ('panorama_horizontal', 'panorama horizontal'), ('panorama_vertical', 'panorama vertical'), ('panorama_wide_angle', 'panorama wide angle'), ('party_mode', 'party mode'), ('pause', 'pause'), ('pause_circle_filled', 'pause circle filled'), ('pause_circle_outline', 'pause circle outline'), ('payment', 'payment'), ('people', 'people'), ('people_outline', 'people outline'), ('perm_camera_mic', 'perm camera mic'), ('perm_contact_calendar', 'perm contact calendar'), ('perm_data_setting', 'perm data setting'), ('perm_device_information', 'perm device information'), ('perm_identity', 'perm identity'), ('perm_media', 'perm media'), ('perm_phone_msg', 'perm phone msg'), ('perm_scan_wifi', 'perm scan wifi'), ('person', 'person'), ('person_add', 'person add'), ('person_outline', 'person outline'), ('person_pin', 'person pin'), ('person_pin_circle', 'person pin circle'), ('personal_video', 'personal video'), ('pets', 'pets'), ('phone', 'phone'), ('phone_android', 'phone android'), ('phone_bluetooth_speaker', 'phone bluetooth speaker'), ('phone_forwarded', 'phone forwarded'), ('phone_in_talk', 'phone in talk'), ('phone_iphone', 'phone iphone'), ('phone_locked', 'phone locked'), ('phone_missed', 'phone missed'), ('phone_paused', 'phone paused'), ('phonelink', 'phonelink'), ('phonelink_erase', 'phonelink erase'), ('phonelink_lock', 'phonelink lock'), ('phonelink_off', 'phonelink off'), ('phonelink_ring', 'phonelink ring'), ('phonelink_setup', 'phonelink setup'), ('photo', 'photo'), ('photo_album', 'photo album'), ('photo_camera', 'photo camera'), ('photo_filter', 'photo filter'), ('photo_library', 'photo library'), ('photo_size_select_actual', 'photo size select actual'), ('photo_size_select_large', 'photo size select large'), ('photo_size_select_small', 'photo size select small'), ('picture_as_pdf', 'picture as pdf'), ('picture_in_picture', 'picture in picture'), ('picture_in_picture_alt', 'picture in picture alt'), ('pie_chart', 'pie chart'), ('pie_chart_outlined', 'pie chart outlined'), ('pin_drop', 'pin drop'), ('place', 'place'), ('play_arrow', 'play arrow'), ('play_circle_filled', 'play circle filled'), ('play_circle_outline', 'play circle outline'), ('play_for_work', 'play for work'), ('playlist_add', 'playlist add'), ('playlist_add_check', 'playlist add check'), ('playlist_play', 'playlist play'), ('plus_one', 'plus one'), ('poll', 'poll'), ('polymer', 'polymer'), ('pool', 'pool'), ('portable_wifi_off', 'portable wifi off'), ('portrait', 'portrait'), ('power', 'power'), ('power_input', 'power input'), ('power_settings_new', 'power settings new'), ('pregnant_woman', 'pregnant woman'), ('present_to_all', 'present to all'), ('print', 'print'), ('priority_high', 'priority high'), ('public', 'public'), ('publish', 'publish'), ('query_builder', 'query builder'), ('question_answer', 'question answer'), ('queue', 'queue'), ('queue_music', 'queue music'), ('queue_play_next', 'queue play next'), ('radio', 'radio'), ('radio_button_checked', 'radio button checked'), ('radio_button_unchecked', 'radio button unchecked'), ('rate_review', 'rate review'), ('receipt', 'receipt'), ('recent_actors', 'recent actors'), ('record_voice_over', 'record voice over'), ('redeem', 'redeem'), ('redo', 'redo'), ('refresh', 'refresh'), ('remove', 'remove'), ('remove_circle', 'remove circle'), ('remove_circle_outline', 'remove circle outline'), ('remove_from_queue', 'remove from queue'), ('remove_red_eye', 'remove red eye'), ('remove_shopping_cart', 'remove shopping cart'), ('reorder', 'reorder'), ('repeat', 'repeat'), ('repeat_one', 'repeat one'), ('replay', 'replay'), ('replay_10', 'replay 10'), ('replay_30', 'replay 30'), ('replay_5', 'replay 5'), ('reply', 'reply'), ('reply_all', 'reply all'), ('report', 'report'), ('report_problem', 'report problem'), ('restaurant', 'restaurant'), ('restaurant_menu', 'restaurant menu'), ('restore', 'restore'), ('restore_page', 'restore page'), ('ring_volume', 'ring volume'), ('room', 'room'), ('room_service', 'room service'), ('rotate_90_degrees_ccw', 'rotate 90 degrees ccw'), ('rotate_left', 'rotate left'), ('rotate_right', 'rotate right'), ('rounded_corner', 'rounded corner'), ('router', 'router'), ('rowing', 'rowing'), ('rss_feed', 'rss feed'), ('rv_hookup', 'rv hookup'), ('satellite', 'satellite'), ('save', 'save'), ('scanner', 'scanner'), ('schedule', 'schedule'), ('school', 'school'), ('screen_lock_landscape', 'screen lock landscape'), ('screen_lock_portrait', 'screen lock portrait'), ('screen_lock_rotation', 'screen lock rotation'), ('screen_rotation', 'screen rotation'), ('screen_share', 'screen share'), ('sd_card', 'sd card'), ('sd_storage', 'sd storage'), ('search', 'search'), ('security', 'security'), ('select_all', 'select all'), ('send', 'send'), ('sentiment_dissatisfied', 'sentiment dissatisfied'), ('sentiment_neutral', 'sentiment neutral'), ('sentiment_satisfied', 'sentiment satisfied'), ('sentiment_very_dissatisfied', 'sentiment very dissatisfied'), ('sentiment_very_satisfied', 'sentiment very satisfied'), ('settings', 'settings'), ('settings_applications', 'settings applications'), ('settings_backup_restore', 'settings backup restore'), ('settings_bluetooth', 'settings bluetooth'), ('settings_brightness', 'settings brightness'), ('settings_cell', 'settings cell'), ('settings_ethernet', 'settings ethernet'), ('settings_input_antenna', 'settings input antenna'), ('settings_input_component', 'settings input component'), ('settings_input_composite', 'settings input composite'), ('settings_input_hdmi', 'settings input hdmi'), ('settings_input_svideo', 'settings input svideo'), ('settings_overscan', 'settings overscan'), ('settings_phone', 'settings phone'), ('settings_power', 'settings power'), ('settings_remote', 'settings remote'), ('settings_system_daydream', 'settings system daydream'), ('settings_voice', 'settings voice'), ('share', 'share'), ('shop', 'shop'), ('shop_two', 'shop two'), ('shopping_basket', 'shopping basket'), ('shopping_cart', 'shopping cart'), ('short_text', 'short text'), ('show_chart', 'show chart'), ('shuffle', 'shuffle'), ('signal_cellular_4_bar', 'signal cellular 4 bar'), ('signal_cellular_connected_no_internet_4_bar', 'signal cellular connected no internet 4 bar'), ('signal_cellular_no_sim', 'signal cellular no sim'), ('signal_cellular_null', 'signal cellular null'), ('signal_cellular_off', 'signal cellular off'), ('signal_wifi_4_bar', 'signal wifi 4 bar'), ('signal_wifi_4_bar_lock', 'signal wifi 4 bar lock'), ('signal_wifi_off', 'signal wifi off'), ('sim_card', 'sim card'), ('sim_card_alert', 'sim card alert'), ('skip_next', 'skip next'), ('skip_previous', 'skip previous'), ('slideshow', 'slideshow'), ('slow_motion_video', 'slow motion video'), ('smartphone', 'smartphone'), ('smoke_free', 'smoke free'), ('smoking_rooms', 'smoking rooms'), ('sms', 'sms'), ('sms_failed', 'sms failed'), ('snooze', 'snooze'), ('sort', 'sort'), ('sort_by_alpha', 'sort by alpha'), ('spa', 'spa'), ('space_bar', 'space bar'), ('speaker', 'speaker'), ('speaker_group', 'speaker group'), ('speaker_notes', 'speaker notes'), ('speaker_notes_off', 'speaker notes off'), ('speaker_phone', 'speaker phone'), ('spellcheck', 'spellcheck'), ('star', 'star'), ('star_border', 'star border'), ('star_half', 'star half'), ('stars', 'stars'), ('stay_current_landscape', 'stay current landscape'), ('stay_current_portrait', 'stay current portrait'), ('stay_primary_landscape', 'stay primary landscape'), ('stay_primary_portrait', 'stay primary portrait'), ('stop', 'stop'), ('stop_screen_share', 'stop screen share'), ('storage', 'storage'), ('store', 'store'), ('store_mall_directory', 'store mall directory'), ('straighten', 'straighten'), ('streetview', 'streetview'), ('strikethrough_s', 'strikethrough s'), ('style', 'style'), ('subdirectory_arrow_left', 'subdirectory arrow left'), ('subdirectory_arrow_right', 'subdirectory arrow right'), ('subject', 'subject'), ('subscriptions', 'subscriptions'), ('subtitles', 'subtitles'), ('subway', 'subway'), ('supervisor_account', 'supervisor account'), ('surround_sound', 'surround sound'), ('swap_calls', 'swap calls'), ('swap_horiz', 'swap horiz'), ('swap_vert', 'swap vert'), ('swap_vertical_circle', 'swap vertical circle'), ('switch_camera', 'switch camera'), ('switch_video', 'switch video'), ('sync', 'sync'), ('sync_disabled', 'sync disabled'), ('sync_problem', 'sync problem'), ('system_update', 'system update'), ('system_update_alt', 'system update alt'), ('tab', 'tab'), ('tab_unselected', 'tab unselected'), ('tablet', 'tablet'), ('tablet_android', 'tablet android'), ('tablet_mac', 'tablet mac'), ('tag_faces', 'tag faces'), ('tap_and_play', 'tap and play'), ('terrain', 'terrain'), ('text_fields', 'text fields'), ('text_format', 'text format'), ('textsms', 'textsms'), ('texture', 'texture'), ('theaters', 'theaters'), ('thumb_down', 'thumb down'), ('thumb_up', 'thumb up'), ('thumbs_up_down', 'thumbs up down'), ('time_to_leave', 'time to leave'), ('timelapse', 'timelapse'), ('timeline', 'timeline'), ('timer', 'timer'), ('timer_10', 'timer 10'), ('timer_3', 'timer 3'), ('timer_off', 'timer off'), ('title', 'title'), ('toc', 'toc'), ('today', 'today'), ('toll', 'toll'), ('tonality', 'tonality'), ('touch_app', 'touch app'), ('toys', 'toys'), ('track_changes', 'track changes'), ('traffic', 'traffic'), ('train', 'train'), ('tram', 'tram'), ('transfer_within_a_station', 'transfer within a station'), ('transform', 'transform'), ('translate', 'translate'), ('trending_down', 'trending down'), ('trending_flat', 'trending flat'), ('trending_up', 'trending up'), ('tune', 'tune'), ('turned_in', 'turned in'), ('turned_in_not', 'turned in not'), ('tv', 'tv'), ('unarchive', 'unarchive'), ('undo', 'undo'), ('unfold_less', 'unfold less'), ('unfold_more', 'unfold more'), ('update', 'update'), ('usb', 'usb'), ('verified_user', 'verified user'), ('vertical_align_bottom', 'vertical align bottom'), ('vertical_align_center', 'vertical align center'), ('vertical_align_top', 'vertical align top'), ('vibration', 'vibration'), ('video_call', 'video call'), ('video_label', 'video label'), ('video_library', 'video library'), ('videocam', 'videocam'), ('videocam_off', 'videocam off'), ('videogame_asset', 'videogame asset'), ('view_agenda', 'view agenda'), ('view_array', 'view array'), ('view_carousel', 'view carousel'), ('view_column', 'view column'), ('view_comfy', 'view comfy'), ('view_compact', 'view compact'), ('view_day', 'view day'), ('view_headline', 'view headline'), ('view_list', 'view list'), ('view_module', 'view module'), ('view_quilt', 'view quilt'), ('view_stream', 'view stream'), ('view_week', 'view week'), ('vignette', 'vignette'), ('visibility', 'visibility'), ('visibility_off', 'visibility off'), ('voice_chat', 'voice chat'), ('voicemail', 'voicemail'), ('volume_down', 'volume down'), ('volume_mute', 'volume mute'), ('volume_off', 'volume off'), ('volume_up', 'volume up'), ('vpn_key', 'vpn key'), ('vpn_lock', 'vpn lock'), ('wallpaper', 'wallpaper'), ('warning', 'warning'), ('watch', 'watch'), ('watch_later', 'watch later'), ('wb_auto', 'wb auto'), ('wb_cloudy', 'wb cloudy'), ('wb_incandescent', 'wb incandescent'), ('wb_iridescent', 'wb iridescent'), ('wb_sunny', 'wb sunny'), ('wc', 'wc'), ('web', 'web'), ('web_asset', 'web asset'), ('weekend', 'weekend'), ('whatshot', 'whatshot'), ('widgets', 'widgets'), ('wifi', 'wifi'), ('wifi_lock', 'wifi lock'), ('wifi_tethering', 'wifi tethering'), ('work', 'work'), ('wrap_text', 'wrap text'), ('youtube_searched_for', 'youtube searched for'), ('zoom_in', 'zoom in'), ('zoom_out', 'zoom out'), ('zoom_out_map', 'zoom out map')], label='Icon')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')], label='Size', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], label='Background Color', required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], label='Icon Color', required=False))))), ('url_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('bookmark_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('page_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('document_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('image_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('h1', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h2', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h3', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h4', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h5', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h6', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))), ('card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('panel_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('image_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_horizontal_style', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use horizontal style', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('reveal_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('reveal_contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),), label='Reveal contents')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_sticky_action', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use sticky action', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))))))))),)))))),)))))), ('parallax', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.parallax.ParallaxImage()), ('full_screen', wagtail.wagtailcore.blocks.BooleanBlock(label='Full screen', required=False)), ('middle_align', wagtail.wagtailcore.blocks.BooleanBlock(label='Middle align', required=False)), ('center_align', wagtail.wagtailcore.blocks.BooleanBlock(label='Center align', required=False)), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('container', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('row', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('column', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('space', wagtail.wagtailcore.blocks.StructBlock((('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')])),))), ('promotedicon', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('icon', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('3d_rotation', '3d rotation'), ('ac_unit', 'ac unit'), ('access_alarm', 'access alarm'), ('access_alarms', 'access alarms'), ('access_time', 'access time'), ('accessibility', 'accessibility'), ('accessible', 'accessible'), ('account_balance', 'account balance'), ('account_balance_wallet', 'account balance wallet'), ('account_box', 'account box'), ('account_circle', 'account circle'), ('adb', 'adb'), ('add', 'add'), ('add_a_photo', 'add a photo'), ('add_alarm', 'add alarm'), ('add_alert', 'add alert'), ('add_box', 'add box'), ('add_circle', 'add circle'), ('add_circle_outline', 'add circle outline'), ('add_location', 'add location'), ('add_shopping_cart', 'add shopping cart'), ('add_to_photos', 'add to photos'), ('add_to_queue', 'add to queue'), ('adjust', 'adjust'), ('airline_seat_flat', 'airline seat flat'), ('airline_seat_flat_angled', 'airline seat flat angled'), ('airline_seat_individual_suite', 'airline seat individual suite'), ('airline_seat_legroom_extra', 'airline seat legroom extra'), ('airline_seat_legroom_normal', 'airline seat legroom normal'), ('airline_seat_legroom_reduced', 'airline seat legroom reduced'), ('airline_seat_recline_extra', 'airline seat recline extra'), ('airline_seat_recline_normal', 'airline seat recline normal'), ('airplanemode_active', 'airplanemode active'), ('airplanemode_inactive', 'airplanemode inactive'), ('airplay', 'airplay'), ('airport_shuttle', 'airport shuttle'), ('alarm', 'alarm'), ('alarm_add', 'alarm add'), ('alarm_off', 'alarm off'), ('alarm_on', 'alarm on'), ('album', 'album'), ('all_inclusive', 'all inclusive'), ('all_out', 'all out'), ('android', 'android'), ('announcement', 'announcement'), ('apps', 'apps'), ('archive', 'archive'), ('arrow_back', 'arrow back'), ('arrow_downward', 'arrow downward'), ('arrow_drop_down', 'arrow drop down'), ('arrow_drop_down_circle', 'arrow drop down circle'), ('arrow_drop_up', 'arrow drop up'), ('arrow_forward', 'arrow forward'), ('arrow_upward', 'arrow upward'), ('art_track', 'art track'), ('aspect_ratio', 'aspect ratio'), ('assessment', 'assessment'), ('assignment', 'assignment'), ('assignment_ind', 'assignment ind'), ('assignment_late', 'assignment late'), ('assignment_return', 'assignment return'), ('assignment_returned', 'assignment returned'), ('assignment_turned_in', 'assignment turned in'), ('assistant', 'assistant'), ('assistant_photo', 'assistant photo'), ('attach_file', 'attach file'), ('attach_money', 'attach money'), ('attachment', 'attachment'), ('audiotrack', 'audiotrack'), ('autorenew', 'autorenew'), ('av_timer', 'av timer'), ('backspace', 'backspace'), ('backup', 'backup'), ('battery_alert', 'battery alert'), ('battery_charging_full', 'battery charging full'), ('battery_full', 'battery full'), ('battery_std', 'battery std'), ('battery_unknown', 'battery unknown'), ('beach_access', 'beach access'), ('beenhere', 'beenhere'), ('block', 'block'), ('bluetooth', 'bluetooth'), ('bluetooth_audio', 'bluetooth audio'), ('bluetooth_connected', 'bluetooth connected'), ('bluetooth_disabled', 'bluetooth disabled'), ('bluetooth_searching', 'bluetooth searching'), ('blur_circular', 'blur circular'), ('blur_linear', 'blur linear'), ('blur_off', 'blur off'), ('blur_on', 'blur on'), ('book', 'book'), ('bookmark', 'bookmark'), ('bookmark_border', 'bookmark border'), ('border_all', 'border all'), ('border_bottom', 'border bottom'), ('border_clear', 'border clear'), ('border_color', 'border color'), ('border_horizontal', 'border horizontal'), ('border_inner', 'border inner'), ('border_left', 'border left'), ('border_outer', 'border outer'), ('border_right', 'border right'), ('border_style', 'border style'), ('border_top', 'border top'), ('border_vertical', 'border vertical'), ('branding_watermark', 'branding watermark'), ('brightness_1', 'brightness 1'), ('brightness_2', 'brightness 2'), ('brightness_3', 'brightness 3'), ('brightness_4', 'brightness 4'), ('brightness_5', 'brightness 5'), ('brightness_6', 'brightness 6'), ('brightness_7', 'brightness 7'), ('brightness_auto', 'brightness auto'), ('brightness_high', 'brightness high'), ('brightness_low', 'brightness low'), ('brightness_medium', 'brightness medium'), ('broken_image', 'broken image'), ('brush', 'brush'), ('bubble_chart', 'bubble chart'), ('bug_report', 'bug report'), ('build', 'build'), ('burst_mode', 'burst mode'), ('business', 'business'), ('business_center', 'business center'), ('cached', 'cached'), ('cake', 'cake'), ('call', 'call'), ('call_end', 'call end'), ('call_made', 'call made'), ('call_merge', 'call merge'), ('call_missed', 'call missed'), ('call_missed_outgoing', 'call missed outgoing'), ('call_received', 'call received'), ('call_split', 'call split'), ('call_to_action', 'call to action'), ('camera', 'camera'), ('camera_alt', 'camera alt'), ('camera_enhance', 'camera enhance'), ('camera_front', 'camera front'), ('camera_rear', 'camera rear'), ('camera_roll', 'camera roll'), ('cancel', 'cancel'), ('card_giftcard', 'card giftcard'), ('card_membership', 'card membership'), ('card_travel', 'card travel'), ('casino', 'casino'), ('cast', 'cast'), ('cast_connected', 'cast connected'), ('center_focus_strong', 'center focus strong'), ('center_focus_weak', 'center focus weak'), ('change_history', 'change history'), ('chat', 'chat'), ('chat_bubble', 'chat bubble'), ('chat_bubble_outline', 'chat bubble outline'), ('check', 'check'), ('check_box', 'check box'), ('check_box_outline_blank', 'check box outline blank'), ('check_circle', 'check circle'), ('chevron_left', 'chevron left'), ('chevron_right', 'chevron right'), ('child_care', 'child care'), ('child_friendly', 'child friendly'), ('chrome_reader_mode', 'chrome reader mode'), ('class', 'class'), ('clear', 'clear'), ('clear_all', 'clear all'), ('close', 'close'), ('closed_caption', 'closed caption'), ('cloud', 'cloud'), ('cloud_circle', 'cloud circle'), ('cloud_done', 'cloud done'), ('cloud_download', 'cloud download'), ('cloud_off', 'cloud off'), ('cloud_queue', 'cloud queue'), ('cloud_upload', 'cloud upload'), ('code', 'code'), ('collections', 'collections'), ('collections_bookmark', 'collections bookmark'), ('color_lens', 'color lens'), ('colorize', 'colorize'), ('comment', 'comment'), ('compare', 'compare'), ('compare_arrows', 'compare arrows'), ('computer', 'computer'), ('confirmation_number', 'confirmation number'), ('contact_mail', 'contact mail'), ('contact_phone', 'contact phone'), ('contacts', 'contacts'), ('content_copy', 'content copy'), ('content_cut', 'content cut'), ('content_paste', 'content paste'), ('control_point', 'control point'), ('control_point_duplicate', 'control point duplicate'), ('copyright', 'copyright'), ('create', 'create'), ('create_new_folder', 'create new folder'), ('credit_card', 'credit card'), ('crop', 'crop'), ('crop_16_9', 'crop 16 9'), ('crop_3_2', 'crop 3 2'), ('crop_5_4', 'crop 5 4'), ('crop_7_5', 'crop 7 5'), ('crop_din', 'crop din'), ('crop_free', 'crop free'), ('crop_landscape', 'crop landscape'), ('crop_original', 'crop original'), ('crop_portrait', 'crop portrait'), ('crop_rotate', 'crop rotate'), ('crop_square', 'crop square'), ('dashboard', 'dashboard'), ('data_usage', 'data usage'), ('date_range', 'date range'), ('dehaze', 'dehaze'), ('delete', 'delete'), ('delete_forever', 'delete forever'), ('delete_sweep', 'delete sweep'), ('description', 'description'), ('desktop_mac', 'desktop mac'), ('desktop_windows', 'desktop windows'), ('details', 'details'), ('developer_board', 'developer board'), ('developer_mode', 'developer mode'), ('device_hub', 'device hub'), ('devices', 'devices'), ('devices_other', 'devices other'), ('dialer_sip', 'dialer sip'), ('dialpad', 'dialpad'), ('directions', 'directions'), ('directions_bike', 'directions bike'), ('directions_boat', 'directions boat'), ('directions_bus', 'directions bus'), ('directions_car', 'directions car'), ('directions_railway', 'directions railway'), ('directions_run', 'directions run'), ('directions_subway', 'directions subway'), ('directions_transit', 'directions transit'), ('directions_walk', 'directions walk'), ('disc_full', 'disc full'), ('dns', 'dns'), ('do_not_disturb', 'do not disturb'), ('do_not_disturb_alt', 'do not disturb alt'), ('do_not_disturb_off', 'do not disturb off'), ('do_not_disturb_on', 'do not disturb on'), ('dock', 'dock'), ('domain', 'domain'), ('done', 'done'), ('done_all', 'done all'), ('donut_large', 'donut large'), ('donut_small', 'donut small'), ('drafts', 'drafts'), ('drag_handle', 'drag handle'), ('drive_eta', 'drive eta'), ('dvr', 'dvr'), ('edit', 'edit'), ('edit_location', 'edit location'), ('eject', 'eject'), ('email', 'email'), ('enhanced_encryption', 'enhanced encryption'), ('equalizer', 'equalizer'), ('error', 'error'), ('error_outline', 'error outline'), ('euro_symbol', 'euro symbol'), ('ev_station', 'ev station'), ('event', 'event'), ('event_available', 'event available'), ('event_busy', 'event busy'), ('event_note', 'event note'), ('event_seat', 'event seat'), ('exit_to_app', 'exit to app'), ('expand_less', 'expand less'), ('expand_more', 'expand more'), ('explicit', 'explicit'), ('explore', 'explore'), ('exposure', 'exposure'), ('exposure_neg_1', 'exposure neg 1'), ('exposure_neg_2', 'exposure neg 2'), ('exposure_plus_1', 'exposure plus 1'), ('exposure_plus_2', 'exposure plus 2'), ('exposure_zero', 'exposure zero'), ('extension', 'extension'), ('face', 'face'), ('fast_forward', 'fast forward'), ('fast_rewind', 'fast rewind'), ('favorite', 'favorite'), ('favorite_border', 'favorite border'), ('featured_play_list', 'featured play list'), ('featured_video', 'featured video'), ('feedback', 'feedback'), ('fiber_dvr', 'fiber dvr'), ('fiber_manual_record', 'fiber manual record'), ('fiber_new', 'fiber new'), ('fiber_pin', 'fiber pin'), ('fiber_smart_record', 'fiber smart record'), ('file_download', 'file download'), ('file_upload', 'file upload'), ('filter', 'filter'), ('filter_1', 'filter 1'), ('filter_2', 'filter 2'), ('filter_3', 'filter 3'), ('filter_4', 'filter 4'), ('filter_5', 'filter 5'), ('filter_6', 'filter 6'), ('filter_7', 'filter 7'), ('filter_8', 'filter 8'), ('filter_9', 'filter 9'), ('filter_9_plus', 'filter 9 plus'), ('filter_b_and_w', 'filter b and w'), ('filter_center_focus', 'filter center focus'), ('filter_drama', 'filter drama'), ('filter_frames', 'filter frames'), ('filter_hdr', 'filter hdr'), ('filter_list', 'filter list'), ('filter_none', 'filter none'), ('filter_tilt_shift', 'filter tilt shift'), ('filter_vintage', 'filter vintage'), ('find_in_page', 'find in page'), ('find_replace', 'find replace'), ('fingerprint', 'fingerprint'), ('first_page', 'first page'), ('fitness_center', 'fitness center'), ('flag', 'flag'), ('flare', 'flare'), ('flash_auto', 'flash auto'), ('flash_off', 'flash off'), ('flash_on', 'flash on'), ('flight', 'flight'), ('flight_land', 'flight land'), ('flight_takeoff', 'flight takeoff'), ('flip', 'flip'), ('flip_to_back', 'flip to back'), ('flip_to_front', 'flip to front'), ('folder', 'folder'), ('folder_open', 'folder open'), ('folder_shared', 'folder shared'), ('folder_special', 'folder special'), ('font_download', 'font download'), ('format_align_center', 'format align center'), ('format_align_justify', 'format align justify'), ('format_align_left', 'format align left'), ('format_align_right', 'format align right'), ('format_bold', 'format bold'), ('format_clear', 'format clear'), ('format_color_fill', 'format color fill'), ('format_color_reset', 'format color reset'), ('format_color_text', 'format color text'), ('format_indent_decrease', 'format indent decrease'), ('format_indent_increase', 'format indent increase'), ('format_italic', 'format italic'), ('format_line_spacing', 'format line spacing'), ('format_list_bulleted', 'format list bulleted'), ('format_list_numbered', 'format list numbered'), ('format_paint', 'format paint'), ('format_quote', 'format quote'), ('format_shapes', 'format shapes'), ('format_size', 'format size'), ('format_strikethrough', 'format strikethrough'), ('format_textdirection_l_to_r', 'format textdirection l to r'), ('format_textdirection_r_to_l', 'format textdirection r to l'), ('format_underlined', 'format underlined'), ('forum', 'forum'), ('forward', 'forward'), ('forward_10', 'forward 10'), ('forward_30', 'forward 30'), ('forward_5', 'forward 5'), ('free_breakfast', 'free breakfast'), ('fullscreen', 'fullscreen'), ('fullscreen_exit', 'fullscreen exit'), ('functions', 'functions'), ('g_translate', 'g translate'), ('gamepad', 'gamepad'), ('games', 'games'), ('gavel', 'gavel'), ('gesture', 'gesture'), ('get_app', 'get app'), ('gif', 'gif'), ('golf_course', 'golf course'), ('gps_fixed', 'gps fixed'), ('gps_not_fixed', 'gps not fixed'), ('gps_off', 'gps off'), ('grade', 'grade'), ('gradient', 'gradient'), ('grain', 'grain'), ('graphic_eq', 'graphic eq'), ('grid_off', 'grid off'), ('grid_on', 'grid on'), ('group', 'group'), ('group_add', 'group add'), ('group_work', 'group work'), ('hd', 'hd'), ('hdr_off', 'hdr off'), ('hdr_on', 'hdr on'), ('hdr_strong', 'hdr strong'), ('hdr_weak', 'hdr weak'), ('headset', 'headset'), ('headset_mic', 'headset mic'), ('healing', 'healing'), ('hearing', 'hearing'), ('help', 'help'), ('help_outline', 'help outline'), ('high_quality', 'high quality'), ('highlight', 'highlight'), ('highlight_off', 'highlight off'), ('history', 'history'), ('home', 'home'), ('hot_tub', 'hot tub'), ('hotel', 'hotel'), ('hourglass_empty', 'hourglass empty'), ('hourglass_full', 'hourglass full'), ('http', 'http'), ('https', 'https'), ('image', 'image'), ('image_aspect_ratio', 'image aspect ratio'), ('import_contacts', 'import contacts'), ('import_export', 'import export'), ('important_devices', 'important devices'), ('inbox', 'inbox'), ('indeterminate_check_box', 'indeterminate check box'), ('info', 'info'), ('info_outline', 'info outline'), ('input', 'input'), ('insert_chart', 'insert chart'), ('insert_comment', 'insert comment'), ('insert_drive_file', 'insert drive file'), ('insert_emoticon', 'insert emoticon'), ('insert_invitation', 'insert invitation'), ('insert_link', 'insert link'), ('insert_photo', 'insert photo'), ('invert_colors', 'invert colors'), ('invert_colors_off', 'invert colors off'), ('iso', 'iso'), ('keyboard', 'keyboard'), ('keyboard_arrow_down', 'keyboard arrow down'), ('keyboard_arrow_left', 'keyboard arrow left'), ('keyboard_arrow_right', 'keyboard arrow right'), ('keyboard_arrow_up', 'keyboard arrow up'), ('keyboard_backspace', 'keyboard backspace'), ('keyboard_capslock', 'keyboard capslock'), ('keyboard_hide', 'keyboard hide'), ('keyboard_return', 'keyboard return'), ('keyboard_tab', 'keyboard tab'), ('keyboard_voice', 'keyboard voice'), ('kitchen', 'kitchen'), ('label', 'label'), ('label_outline', 'label outline'), ('landscape', 'landscape'), ('language', 'language'), ('laptop', 'laptop'), ('laptop_chromebook', 'laptop chromebook'), ('laptop_mac', 'laptop mac'), ('laptop_windows', 'laptop windows'), ('last_page', 'last page'), ('launch', 'launch'), ('layers', 'layers'), ('layers_clear', 'layers clear'), ('leak_add', 'leak add'), ('leak_remove', 'leak remove'), ('lens', 'lens'), ('library_add', 'library add'), ('library_books', 'library books'), ('library_music', 'library music'), ('lightbulb_outline', 'lightbulb outline'), ('line_style', 'line style'), ('line_weight', 'line weight'), ('linear_scale', 'linear scale'), ('link', 'link'), ('linked_camera', 'linked camera'), ('list', 'list'), ('live_help', 'live help'), ('live_tv', 'live tv'), ('local_activity', 'local activity'), ('local_airport', 'local airport'), ('local_atm', 'local atm'), ('local_bar', 'local bar'), ('local_cafe', 'local cafe'), ('local_car_wash', 'local car wash'), ('local_convenience_store', 'local convenience store'), ('local_dining', 'local dining'), ('local_drink', 'local drink'), ('local_florist', 'local florist'), ('local_gas_station', 'local gas station'), ('local_grocery_store', 'local grocery store'), ('local_hospital', 'local hospital'), ('local_hotel', 'local hotel'), ('local_laundry_service', 'local laundry service'), ('local_library', 'local library'), ('local_mall', 'local mall'), ('local_movies', 'local movies'), ('local_offer', 'local offer'), ('local_parking', 'local parking'), ('local_pharmacy', 'local pharmacy'), ('local_phone', 'local phone'), ('local_pizza', 'local pizza'), ('local_play', 'local play'), ('local_post_office', 'local post office'), ('local_printshop', 'local printshop'), ('local_see', 'local see'), ('local_shipping', 'local shipping'), ('local_taxi', 'local taxi'), ('location_city', 'location city'), ('location_disabled', 'location disabled'), ('location_off', 'location off'), ('location_on', 'location on'), ('location_searching', 'location searching'), ('lock', 'lock'), ('lock_open', 'lock open'), ('lock_outline', 'lock outline'), ('looks', 'looks'), ('looks_3', 'looks 3'), ('looks_4', 'looks 4'), ('looks_5', 'looks 5'), ('looks_6', 'looks 6'), ('looks_one', 'looks one'), ('looks_two', 'looks two'), ('loop', 'loop'), ('loupe', 'loupe'), ('low_priority', 'low priority'), ('loyalty', 'loyalty'), ('mail', 'mail'), ('mail_outline', 'mail outline'), ('map', 'map'), ('markunread', 'markunread'), ('markunread_mailbox', 'markunread mailbox'), ('memory', 'memory'), ('menu', 'menu'), ('merge_type', 'merge type'), ('message', 'message'), ('mic', 'mic'), ('mic_none', 'mic none'), ('mic_off', 'mic off'), ('mms', 'mms'), ('mode_comment', 'mode comment'), ('mode_edit', 'mode edit'), ('monetization_on', 'monetization on'), ('money_off', 'money off'), ('monochrome_photos', 'monochrome photos'), ('mood', 'mood'), ('mood_bad', 'mood bad'), ('more', 'more'), ('more_horiz', 'more horiz'), ('more_vert', 'more vert'), ('motorcycle', 'motorcycle'), ('mouse', 'mouse'), ('move_to_inbox', 'move to inbox'), ('movie', 'movie'), ('movie_creation', 'movie creation'), ('movie_filter', 'movie filter'), ('multiline_chart', 'multiline chart'), ('music_note', 'music note'), ('music_video', 'music video'), ('my_location', 'my location'), ('nature', 'nature'), ('nature_people', 'nature people'), ('navigate_before', 'navigate before'), ('navigate_next', 'navigate next'), ('navigation', 'navigation'), ('near_me', 'near me'), ('network_cell', 'network cell'), ('network_check', 'network check'), ('network_locked', 'network locked'), ('network_wifi', 'network wifi'), ('new_releases', 'new releases'), ('next_week', 'next week'), ('nfc', 'nfc'), ('no_encryption', 'no encryption'), ('no_sim', 'no sim'), ('not_interested', 'not interested'), ('note', 'note'), ('note_add', 'note add'), ('notifications', 'notifications'), ('notifications_active', 'notifications active'), ('notifications_none', 'notifications none'), ('notifications_off', 'notifications off'), ('notifications_paused', 'notifications paused'), ('offline_pin', 'offline pin'), ('ondemand_video', 'ondemand video'), ('opacity', 'opacity'), ('open_in_browser', 'open in browser'), ('open_in_new', 'open in new'), ('open_with', 'open with'), ('pages', 'pages'), ('pageview', 'pageview'), ('palette', 'palette'), ('pan_tool', 'pan tool'), ('panorama', 'panorama'), ('panorama_fish_eye', 'panorama fish eye'), ('panorama_horizontal', 'panorama horizontal'), ('panorama_vertical', 'panorama vertical'), ('panorama_wide_angle', 'panorama wide angle'), ('party_mode', 'party mode'), ('pause', 'pause'), ('pause_circle_filled', 'pause circle filled'), ('pause_circle_outline', 'pause circle outline'), ('payment', 'payment'), ('people', 'people'), ('people_outline', 'people outline'), ('perm_camera_mic', 'perm camera mic'), ('perm_contact_calendar', 'perm contact calendar'), ('perm_data_setting', 'perm data setting'), ('perm_device_information', 'perm device information'), ('perm_identity', 'perm identity'), ('perm_media', 'perm media'), ('perm_phone_msg', 'perm phone msg'), ('perm_scan_wifi', 'perm scan wifi'), ('person', 'person'), ('person_add', 'person add'), ('person_outline', 'person outline'), ('person_pin', 'person pin'), ('person_pin_circle', 'person pin circle'), ('personal_video', 'personal video'), ('pets', 'pets'), ('phone', 'phone'), ('phone_android', 'phone android'), ('phone_bluetooth_speaker', 'phone bluetooth speaker'), ('phone_forwarded', 'phone forwarded'), ('phone_in_talk', 'phone in talk'), ('phone_iphone', 'phone iphone'), ('phone_locked', 'phone locked'), ('phone_missed', 'phone missed'), ('phone_paused', 'phone paused'), ('phonelink', 'phonelink'), ('phonelink_erase', 'phonelink erase'), ('phonelink_lock', 'phonelink lock'), ('phonelink_off', 'phonelink off'), ('phonelink_ring', 'phonelink ring'), ('phonelink_setup', 'phonelink setup'), ('photo', 'photo'), ('photo_album', 'photo album'), ('photo_camera', 'photo camera'), ('photo_filter', 'photo filter'), ('photo_library', 'photo library'), ('photo_size_select_actual', 'photo size select actual'), ('photo_size_select_large', 'photo size select large'), ('photo_size_select_small', 'photo size select small'), ('picture_as_pdf', 'picture as pdf'), ('picture_in_picture', 'picture in picture'), ('picture_in_picture_alt', 'picture in picture alt'), ('pie_chart', 'pie chart'), ('pie_chart_outlined', 'pie chart outlined'), ('pin_drop', 'pin drop'), ('place', 'place'), ('play_arrow', 'play arrow'), ('play_circle_filled', 'play circle filled'), ('play_circle_outline', 'play circle outline'), ('play_for_work', 'play for work'), ('playlist_add', 'playlist add'), ('playlist_add_check', 'playlist add check'), ('playlist_play', 'playlist play'), ('plus_one', 'plus one'), ('poll', 'poll'), ('polymer', 'polymer'), ('pool', 'pool'), ('portable_wifi_off', 'portable wifi off'), ('portrait', 'portrait'), ('power', 'power'), ('power_input', 'power input'), ('power_settings_new', 'power settings new'), ('pregnant_woman', 'pregnant woman'), ('present_to_all', 'present to all'), ('print', 'print'), ('priority_high', 'priority high'), ('public', 'public'), ('publish', 'publish'), ('query_builder', 'query builder'), ('question_answer', 'question answer'), ('queue', 'queue'), ('queue_music', 'queue music'), ('queue_play_next', 'queue play next'), ('radio', 'radio'), ('radio_button_checked', 'radio button checked'), ('radio_button_unchecked', 'radio button unchecked'), ('rate_review', 'rate review'), ('receipt', 'receipt'), ('recent_actors', 'recent actors'), ('record_voice_over', 'record voice over'), ('redeem', 'redeem'), ('redo', 'redo'), ('refresh', 'refresh'), ('remove', 'remove'), ('remove_circle', 'remove circle'), ('remove_circle_outline', 'remove circle outline'), ('remove_from_queue', 'remove from queue'), ('remove_red_eye', 'remove red eye'), ('remove_shopping_cart', 'remove shopping cart'), ('reorder', 'reorder'), ('repeat', 'repeat'), ('repeat_one', 'repeat one'), ('replay', 'replay'), ('replay_10', 'replay 10'), ('replay_30', 'replay 30'), ('replay_5', 'replay 5'), ('reply', 'reply'), ('reply_all', 'reply all'), ('report', 'report'), ('report_problem', 'report problem'), ('restaurant', 'restaurant'), ('restaurant_menu', 'restaurant menu'), ('restore', 'restore'), ('restore_page', 'restore page'), ('ring_volume', 'ring volume'), ('room', 'room'), ('room_service', 'room service'), ('rotate_90_degrees_ccw', 'rotate 90 degrees ccw'), ('rotate_left', 'rotate left'), ('rotate_right', 'rotate right'), ('rounded_corner', 'rounded corner'), ('router', 'router'), ('rowing', 'rowing'), ('rss_feed', 'rss feed'), ('rv_hookup', 'rv hookup'), ('satellite', 'satellite'), ('save', 'save'), ('scanner', 'scanner'), ('schedule', 'schedule'), ('school', 'school'), ('screen_lock_landscape', 'screen lock landscape'), ('screen_lock_portrait', 'screen lock portrait'), ('screen_lock_rotation', 'screen lock rotation'), ('screen_rotation', 'screen rotation'), ('screen_share', 'screen share'), ('sd_card', 'sd card'), ('sd_storage', 'sd storage'), ('search', 'search'), ('security', 'security'), ('select_all', 'select all'), ('send', 'send'), ('sentiment_dissatisfied', 'sentiment dissatisfied'), ('sentiment_neutral', 'sentiment neutral'), ('sentiment_satisfied', 'sentiment satisfied'), ('sentiment_very_dissatisfied', 'sentiment very dissatisfied'), ('sentiment_very_satisfied', 'sentiment very satisfied'), ('settings', 'settings'), ('settings_applications', 'settings applications'), ('settings_backup_restore', 'settings backup restore'), ('settings_bluetooth', 'settings bluetooth'), ('settings_brightness', 'settings brightness'), ('settings_cell', 'settings cell'), ('settings_ethernet', 'settings ethernet'), ('settings_input_antenna', 'settings input antenna'), ('settings_input_component', 'settings input component'), ('settings_input_composite', 'settings input composite'), ('settings_input_hdmi', 'settings input hdmi'), ('settings_input_svideo', 'settings input svideo'), ('settings_overscan', 'settings overscan'), ('settings_phone', 'settings phone'), ('settings_power', 'settings power'), ('settings_remote', 'settings remote'), ('settings_system_daydream', 'settings system daydream'), ('settings_voice', 'settings voice'), ('share', 'share'), ('shop', 'shop'), ('shop_two', 'shop two'), ('shopping_basket', 'shopping basket'), ('shopping_cart', 'shopping cart'), ('short_text', 'short text'), ('show_chart', 'show chart'), ('shuffle', 'shuffle'), ('signal_cellular_4_bar', 'signal cellular 4 bar'), ('signal_cellular_connected_no_internet_4_bar', 'signal cellular connected no internet 4 bar'), ('signal_cellular_no_sim', 'signal cellular no sim'), ('signal_cellular_null', 'signal cellular null'), ('signal_cellular_off', 'signal cellular off'), ('signal_wifi_4_bar', 'signal wifi 4 bar'), ('signal_wifi_4_bar_lock', 'signal wifi 4 bar lock'), ('signal_wifi_off', 'signal wifi off'), ('sim_card', 'sim card'), ('sim_card_alert', 'sim card alert'), ('skip_next', 'skip next'), ('skip_previous', 'skip previous'), ('slideshow', 'slideshow'), ('slow_motion_video', 'slow motion video'), ('smartphone', 'smartphone'), ('smoke_free', 'smoke free'), ('smoking_rooms', 'smoking rooms'), ('sms', 'sms'), ('sms_failed', 'sms failed'), ('snooze', 'snooze'), ('sort', 'sort'), ('sort_by_alpha', 'sort by alpha'), ('spa', 'spa'), ('space_bar', 'space bar'), ('speaker', 'speaker'), ('speaker_group', 'speaker group'), ('speaker_notes', 'speaker notes'), ('speaker_notes_off', 'speaker notes off'), ('speaker_phone', 'speaker phone'), ('spellcheck', 'spellcheck'), ('star', 'star'), ('star_border', 'star border'), ('star_half', 'star half'), ('stars', 'stars'), ('stay_current_landscape', 'stay current landscape'), ('stay_current_portrait', 'stay current portrait'), ('stay_primary_landscape', 'stay primary landscape'), ('stay_primary_portrait', 'stay primary portrait'), ('stop', 'stop'), ('stop_screen_share', 'stop screen share'), ('storage', 'storage'), ('store', 'store'), ('store_mall_directory', 'store mall directory'), ('straighten', 'straighten'), ('streetview', 'streetview'), ('strikethrough_s', 'strikethrough s'), ('style', 'style'), ('subdirectory_arrow_left', 'subdirectory arrow left'), ('subdirectory_arrow_right', 'subdirectory arrow right'), ('subject', 'subject'), ('subscriptions', 'subscriptions'), ('subtitles', 'subtitles'), ('subway', 'subway'), ('supervisor_account', 'supervisor account'), ('surround_sound', 'surround sound'), ('swap_calls', 'swap calls'), ('swap_horiz', 'swap horiz'), ('swap_vert', 'swap vert'), ('swap_vertical_circle', 'swap vertical circle'), ('switch_camera', 'switch camera'), ('switch_video', 'switch video'), ('sync', 'sync'), ('sync_disabled', 'sync disabled'), ('sync_problem', 'sync problem'), ('system_update', 'system update'), ('system_update_alt', 'system update alt'), ('tab', 'tab'), ('tab_unselected', 'tab unselected'), ('tablet', 'tablet'), ('tablet_android', 'tablet android'), ('tablet_mac', 'tablet mac'), ('tag_faces', 'tag faces'), ('tap_and_play', 'tap and play'), ('terrain', 'terrain'), ('text_fields', 'text fields'), ('text_format', 'text format'), ('textsms', 'textsms'), ('texture', 'texture'), ('theaters', 'theaters'), ('thumb_down', 'thumb down'), ('thumb_up', 'thumb up'), ('thumbs_up_down', 'thumbs up down'), ('time_to_leave', 'time to leave'), ('timelapse', 'timelapse'), ('timeline', 'timeline'), ('timer', 'timer'), ('timer_10', 'timer 10'), ('timer_3', 'timer 3'), ('timer_off', 'timer off'), ('title', 'title'), ('toc', 'toc'), ('today', 'today'), ('toll', 'toll'), ('tonality', 'tonality'), ('touch_app', 'touch app'), ('toys', 'toys'), ('track_changes', 'track changes'), ('traffic', 'traffic'), ('train', 'train'), ('tram', 'tram'), ('transfer_within_a_station', 'transfer within a station'), ('transform', 'transform'), ('translate', 'translate'), ('trending_down', 'trending down'), ('trending_flat', 'trending flat'), ('trending_up', 'trending up'), ('tune', 'tune'), ('turned_in', 'turned in'), ('turned_in_not', 'turned in not'), ('tv', 'tv'), ('unarchive', 'unarchive'), ('undo', 'undo'), ('unfold_less', 'unfold less'), ('unfold_more', 'unfold more'), ('update', 'update'), ('usb', 'usb'), ('verified_user', 'verified user'), ('vertical_align_bottom', 'vertical align bottom'), ('vertical_align_center', 'vertical align center'), ('vertical_align_top', 'vertical align top'), ('vibration', 'vibration'), ('video_call', 'video call'), ('video_label', 'video label'), ('video_library', 'video library'), ('videocam', 'videocam'), ('videocam_off', 'videocam off'), ('videogame_asset', 'videogame asset'), ('view_agenda', 'view agenda'), ('view_array', 'view array'), ('view_carousel', 'view carousel'), ('view_column', 'view column'), ('view_comfy', 'view comfy'), ('view_compact', 'view compact'), ('view_day', 'view day'), ('view_headline', 'view headline'), ('view_list', 'view list'), ('view_module', 'view module'), ('view_quilt', 'view quilt'), ('view_stream', 'view stream'), ('view_week', 'view week'), ('vignette', 'vignette'), ('visibility', 'visibility'), ('visibility_off', 'visibility off'), ('voice_chat', 'voice chat'), ('voicemail', 'voicemail'), ('volume_down', 'volume down'), ('volume_mute', 'volume mute'), ('volume_off', 'volume off'), ('volume_up', 'volume up'), ('vpn_key', 'vpn key'), ('vpn_lock', 'vpn lock'), ('wallpaper', 'wallpaper'), ('warning', 'warning'), ('watch', 'watch'), ('watch_later', 'watch later'), ('wb_auto', 'wb auto'), ('wb_cloudy', 'wb cloudy'), ('wb_incandescent', 'wb incandescent'), ('wb_iridescent', 'wb iridescent'), ('wb_sunny', 'wb sunny'), ('wc', 'wc'), ('web', 'web'), ('web_asset', 'web asset'), ('weekend', 'weekend'), ('whatshot', 'whatshot'), ('widgets', 'widgets'), ('wifi', 'wifi'), ('wifi_lock', 'wifi lock'), ('wifi_tethering', 'wifi tethering'), ('work', 'work'), ('wrap_text', 'wrap text'), ('youtube_searched_for', 'youtube searched for'), ('zoom_in', 'zoom in'), ('zoom_out', 'zoom out'), ('zoom_out_map', 'zoom out map')], label='Icon')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('0.5rem', '0.5rem'), ('1.0rem', '1.0rem'), ('1.5rem', '1.5rem'), ('2.0rem', '2.0rem'), ('2.5rem', '2.5rem'), ('3.0rem', '3.0rem'), ('3.5rem', '3.5rem'), ('4.0rem', '4.0rem'), ('4.5rem', '4.5rem'), ('5.0rem', '5.0rem'), ('5.5rem', '5.5rem'), ('6.0rem', '6.0rem'), ('6.5rem', '6.5rem'), ('7.0rem', '7.0rem'), ('7.5rem', '7.5rem'), ('8.0rem', '8.0rem'), ('8.5rem', '8.5rem'), ('9.0rem', '9.0rem'), ('9.5rem', '9.5rem')], label='Size', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], label='Background Color', required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], label='Icon Color', required=False))))), ('url_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('bookmark_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('page_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('document_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('image_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('h1', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h2', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h3', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h4', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h5', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h6', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))), ('card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('panel_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('image_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_horizontal_style', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use horizontal style', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('reveal_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('image', softbutterfly.wagtail.materialize.models.cards.CardImage()), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('reveal_contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),), label='Reveal contents')), ('size', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('small', 'small'), ('medium', 'medium'), ('large', 'large')], required=False)), ('put_image_with_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Put image with title', required=False)), ('add_gradient_to_title', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Add gradient to title', required=False)), ('use_sticky_action', wagtail.wagtailcore.blocks.BooleanBlock(default=False, label='Use sticky action', required=False)), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))))))))),)))))),)))))),))))))), blank=True)),
                ('brand', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailmaterialize.BrandLogo')),
                ('footer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailmaterialize.Footer')),
            ],
            options={
                'verbose_name': 'Material Page Starter',
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='TestingPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('navbar_attributes', wagtail.wagtailcore.fields.StreamField((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))), blank=True, verbose_name='Navigation bar attributes')),
                ('navbar_fixed', models.BooleanField(default=False, verbose_name='Fixed')),
                ('include_preloader', models.BooleanField(default=False, help_text='A material style preloader will be included in your page', verbose_name='Include preloader')),
                ('enable_perfect_scrollbar', models.BooleanField(default=False, help_text='Fancy scroll bar provided by PerfectScrollbar.js will be enabled', verbose_name='Enable Perfect Scrollbar')),
                ('enable_font_awesome', models.BooleanField(default=True, help_text='Enalble aditional icons provided by FontAwesome', verbose_name='Enable FontAwesome')),
                ('body', wagtail.wagtailcore.fields.StreamField((('panel_card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('card', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('title', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.CharBlock(label='Card title'))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))),))), ('actions', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('card_action_to_url', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL', required=False))))), ('card_action_to_bookmark', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador', required=False))))), ('card_action_to_page', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página', required=False))))), ('card_action_to_document', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento', required=False))))), ('card_action_to_image', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen', required=False)))))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False))))), ('color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red lighten-5', 'Red 50'), ('red lighten-4', 'Red 100'), ('red lighten-3', 'Red 200'), ('red lighten-2', 'Red 300'), ('red lighten-1', 'Red 400'), ('red', 'Red 500'), ('red darken-1', 'Red 600'), ('red darken-2', 'Red 700'), ('red darken-3', 'Red 800'), ('red darken-4', 'Red 900'), ('red accent-1', 'Red A100'), ('red accent-2', 'Red A200'), ('red accent-3', 'Red A400'), ('red accent-4', 'Red A500'), ('pink lighten-5', 'Pink 50'), ('pink lighten-4', 'Pink 100'), ('pink lighten-3', 'Pink 200'), ('pink lighten-2', 'Pink 300'), ('pink lighten-1', 'Pink 400'), ('pink', 'Pink 500'), ('pink darken-1', 'Pink 600'), ('pink darken-2', 'Pink 700'), ('pink darken-3', 'Pink 800'), ('pink darken-4', 'Pink 900'), ('pink accent-1', 'Pink A100'), ('pink accent-2', 'Pink A200'), ('pink accent-3', 'Pink A400'), ('pink accent-4', 'Pink A500'), ('purple lighten-5', 'Purple 50'), ('purple lighten-4', 'Purple 100'), ('purple lighten-3', 'Purple 200'), ('purple lighten-2', 'Purple 300'), ('purple lighten-1', 'Purple 400'), ('purple', 'Purple 500'), ('purple darken-1', 'Purple 600'), ('purple darken-2', 'Purple 700'), ('purple darken-3', 'Purple 800'), ('purple darken-4', 'Purple 900'), ('purple accent-1', 'Purple A100'), ('purple accent-2', 'Purple A200'), ('purple accent-3', 'Purple A400'), ('purple accent-4', 'Purple A500'), ('deep-purple lighten-5', 'Deep purple 50'), ('deep-purple lighten-4', 'Deep purple 100'), ('deep-purple lighten-3', 'Deep purple 200'), ('deep-purple lighten-2', 'Deep purple 300'), ('deep-purple lighten-1', 'Deep purple 400'), ('deep-purple', 'Deep purple 500'), ('deep-purple darken-1', 'Deep purple 600'), ('deep-purple darken-2', 'Deep purple 700'), ('deep-purple darken-3', 'Deep purple 800'), ('deep-purple darken-4', 'Deep purple 900'), ('deep-purple accent-1', 'Deep purple A100'), ('deep-purple accent-2', 'Deep purple A200'), ('deep-purple accent-3', 'Deep purple A400'), ('deep-purple accent-4', 'Deep purple A500'), ('indigo lighten-5', 'Indigo 50'), ('indigo lighten-4', 'Indigo 100'), ('indigo lighten-3', 'Indigo 200'), ('indigo lighten-2', 'Indigo 300'), ('indigo lighten-1', 'Indigo 400'), ('indigo', 'Indigo 500'), ('indigo darken-1', 'Indigo 600'), ('indigo darken-2', 'Indigo 700'), ('indigo darken-3', 'Indigo 800'), ('indigo darken-4', 'Indigo 900'), ('indigo accent-1', 'Indigo A100'), ('indigo accent-2', 'Indigo A200'), ('indigo accent-3', 'Indigo A400'), ('indigo accent-4', 'Indigo A500'), ('blue lighten-5', 'Blue 50'), ('blue lighten-4', 'Blue 100'), ('blue lighten-3', 'Blue 200'), ('blue lighten-2', 'Blue 300'), ('blue lighten-1', 'Blue 400'), ('blue', 'Blue 500'), ('blue darken-1', 'Blue 600'), ('blue darken-2', 'Blue 700'), ('blue darken-3', 'Blue 800'), ('blue darken-4', 'Blue 900'), ('blue accent-1', 'Blue A100'), ('blue accent-2', 'Blue A200'), ('blue accent-3', 'Blue A400'), ('blue accent-4', 'Blue A500'), ('light-blue lighten-5', 'Light blue 50'), ('light-blue lighten-4', 'Light blue 100'), ('light-blue lighten-3', 'Light blue 200'), ('light-blue lighten-2', 'Light blue 300'), ('light-blue lighten-1', 'Light blue 400'), ('light-blue', 'Light blue 500'), ('light-blue darken-1', 'Light blue 600'), ('light-blue darken-2', 'Light blue 700'), ('light-blue darken-3', 'Light blue 800'), ('light-blue darken-4', 'Light blue 900'), ('light-blue accent-1', 'Light blue A100'), ('light-blue accent-2', 'Light blue A200'), ('light-blue accent-3', 'Light blue A400'), ('light-blue accent-4', 'Light blue A500'), ('cyan lighten-5', 'Cyan 50'), ('cyan lighten-4', 'Cyan 100'), ('cyan lighten-3', 'Cyan 200'), ('cyan lighten-2', 'Cyan 300'), ('cyan lighten-1', 'Cyan 400'), ('cyan', 'Cyan 500'), ('cyan darken-1', 'Cyan 600'), ('cyan darken-2', 'Cyan 700'), ('cyan darken-3', 'Cyan 800'), ('cyan darken-4', 'Cyan 900'), ('cyan accent-1', 'Cyan A100'), ('cyan accent-2', 'Cyan A200'), ('cyan accent-3', 'Cyan A400'), ('cyan accent-4', 'Cyan A500'), ('teal lighten-5', 'Teal 50'), ('teal lighten-4', 'Teal 100'), ('teal lighten-3', 'Teal 200'), ('teal lighten-2', 'Teal 300'), ('teal lighten-1', 'Teal 400'), ('teal', 'Teal 500'), ('teal darken-1', 'Teal 600'), ('teal darken-2', 'Teal 700'), ('teal darken-3', 'Teal 800'), ('teal darken-4', 'Teal 900'), ('teal accent-1', 'Teal A100'), ('teal accent-2', 'Teal A200'), ('teal accent-3', 'Teal A400'), ('teal accent-4', 'Teal A500'), ('green lighten-5', 'Green 50'), ('green lighten-4', 'Green 100'), ('green lighten-3', 'Green 200'), ('green lighten-2', 'Green 300'), ('green lighten-1', 'Green 400'), ('green', 'Green 500'), ('green darken-1', 'Green 600'), ('green darken-2', 'Green 700'), ('green darken-3', 'Green 800'), ('green darken-4', 'Green 900'), ('green accent-1', 'Green A100'), ('green accent-2', 'Green A200'), ('green accent-3', 'Green A400'), ('green accent-4', 'Green A500'), ('light-green lighten-5', 'Light green 50'), ('light-green lighten-4', 'Light green 100'), ('light-green lighten-3', 'Light green 200'), ('light-green lighten-2', 'Light green 300'), ('light-green lighten-1', 'Light green 400'), ('light-green', 'Light green 500'), ('light-green darken-1', 'Light green 600'), ('light-green darken-2', 'Light green 700'), ('light-green darken-3', 'Light green 800'), ('light-green darken-4', 'Light green 900'), ('light-green accent-1', 'Light green A100'), ('light-green accent-2', 'Light green A200'), ('light-green accent-3', 'Light green A400'), ('light-green accent-4', 'Light green A500'), ('lime lighten-5', 'Lime 50'), ('lime lighten-4', 'Lime 100'), ('lime lighten-3', 'Lime 200'), ('lime lighten-2', 'Lime 300'), ('lime lighten-1', 'Lime 400'), ('lime', 'Lime 500'), ('lime darken-1', 'Lime 600'), ('lime darken-2', 'Lime 700'), ('lime darken-3', 'Lime 800'), ('lime darken-4', 'Lime 900'), ('lime accent-1', 'Lime A100'), ('lime accent-2', 'Lime A200'), ('lime accent-3', 'Lime A400'), ('lime accent-4', 'Lime A500'), ('yellow lighten-5', 'Yellow 50'), ('yellow lighten-4', 'Yellow 100'), ('yellow lighten-3', 'Yellow 200'), ('yellow lighten-2', 'Yellow 300'), ('yellow lighten-1', 'Yellow 400'), ('yellow', 'Yellow 500'), ('yellow darken-1', 'Yellow 600'), ('yellow darken-2', 'Yellow 700'), ('yellow darken-3', 'Yellow 800'), ('yellow darken-4', 'Yellow 900'), ('yellow accent-1', 'Yellow A100'), ('yellow accent-2', 'Yellow A200'), ('yellow accent-3', 'Yellow A400'), ('yellow accent-4', 'Yellow A500'), ('amber lighten-5', 'Amber 50'), ('amber lighten-4', 'Amber 100'), ('amber lighten-3', 'Amber 200'), ('amber lighten-2', 'Amber 300'), ('amber lighten-1', 'Amber 400'), ('amber', 'Amber 500'), ('amber darken-1', 'Amber 600'), ('amber darken-2', 'Amber 700'), ('amber darken-3', 'Amber 800'), ('amber darken-4', 'Amber 900'), ('amber accent-1', 'Amber A100'), ('amber accent-2', 'Amber A200'), ('amber accent-3', 'Amber A400'), ('amber accent-4', 'Amber A500'), ('orange lighten-5', 'Orange 50'), ('orange lighten-4', 'Orange 100'), ('orange lighten-3', 'Orange 200'), ('orange lighten-2', 'Orange 300'), ('orange lighten-1', 'Orange 400'), ('orange', 'Orange 500'), ('orange darken-1', 'Orange 600'), ('orange darken-2', 'Orange 700'), ('orange darken-3', 'Orange 800'), ('orange darken-4', 'Orange 900'), ('orange accent-1', 'Orange A100'), ('orange accent-2', 'Orange A200'), ('orange accent-3', 'Orange A400'), ('orange accent-4', 'Orange A500'), ('deep-orange lighten-5', 'Deep orange 50'), ('deep-orange lighten-4', 'Deep orange 100'), ('deep-orange lighten-3', 'Deep orange 200'), ('deep-orange lighten-2', 'Deep orange 300'), ('deep-orange lighten-1', 'Deep orange 400'), ('deep-orange', 'Deep orange 500'), ('deep-orange darken-1', 'Deep orange 600'), ('deep-orange darken-2', 'Deep orange 700'), ('deep-orange darken-3', 'Deep orange 800'), ('deep-orange darken-4', 'Deep orange 900'), ('deep-orange accent-1', 'Deep orange A100'), ('deep-orange accent-2', 'Deep orange A200'), ('deep-orange accent-3', 'Deep orange A400'), ('deep-orange accent-4', 'Deep orange A500'), ('brown lighten-5', 'Brown 50'), ('brown lighten-4', 'Brown 100'), ('brown lighten-3', 'Brown 200'), ('brown lighten-2', 'Brown 300'), ('brown lighten-1', 'Brown 400'), ('brown', 'Brown 500'), ('brown darken-1', 'Brown 600'), ('brown darken-2', 'Brown 700'), ('brown darken-3', 'Brown 800'), ('brown darken-4', 'Brown 900'), ('grey lighten-5', 'Grey 50'), ('grey lighten-4', 'Grey 100'), ('grey lighten-3', 'Grey 200'), ('grey lighten-2', 'Grey 300'), ('grey lighten-1', 'Grey 400'), ('grey', 'Grey 500'), ('grey darken-1', 'Grey 600'), ('grey darken-2', 'Grey 700'), ('grey darken-3', 'Grey 800'), ('grey darken-4', 'Grey 900'), ('blue-grey lighten-5', 'Blue grey 50'), ('blue-grey lighten-4', 'Blue grey 100'), ('blue-grey lighten-3', 'Blue grey 200'), ('blue-grey lighten-2', 'Blue grey 300'), ('blue-grey lighten-1', 'Blue grey 400'), ('blue-grey', 'Blue grey 500'), ('blue-grey darken-1', 'Blue grey 600'), ('blue-grey darken-2', 'Blue grey 700'), ('blue-grey darken-3', 'Blue grey 800'), ('blue-grey darken-4', 'Blue grey 900'), ('black', 'Black'), ('white', 'White'), ('transparent', 'Transparent')], required=False)), ('text_color', wagtail.wagtailcore.blocks.ChoiceBlock(choices=[('red-text text-lighten-5', 'Red 50'), ('red-text text-lighten-4', 'Red 100'), ('red-text text-lighten-3', 'Red 200'), ('red-text text-lighten-2', 'Red 300'), ('red-text text-lighten-1', 'Red 400'), ('red-text', 'Red 500'), ('red-text text-darken-1', 'Red 600'), ('red-text text-darken-2', 'Red 700'), ('red-text text-darken-3', 'Red 800'), ('red-text text-darken-4', 'Red 900'), ('red-text text-accent-1', 'Red A100'), ('red-text text-accent-2', 'Red A200'), ('red-text text-accent-3', 'Red A400'), ('red-text text-accent-4', 'Red A500'), ('pink-text text-lighten-5', 'Pink 50'), ('pink-text text-lighten-4', 'Pink 100'), ('pink-text text-lighten-3', 'Pink 200'), ('pink-text text-lighten-2', 'Pink 300'), ('pink-text text-lighten-1', 'Pink 400'), ('pink-text', 'Pink 500'), ('pink-text text-darken-1', 'Pink 600'), ('pink-text text-darken-2', 'Pink 700'), ('pink-text text-darken-3', 'Pink 800'), ('pink-text text-darken-4', 'Pink 900'), ('pink-text text-accent-1', 'Pink A100'), ('pink-text text-accent-2', 'Pink A200'), ('pink-text text-accent-3', 'Pink A400'), ('pink-text text-accent-4', 'Pink A500'), ('purple-text text-lighten-5', 'Purple 50'), ('purple-text text-lighten-4', 'Purple 100'), ('purple-text text-lighten-3', 'Purple 200'), ('purple-text text-lighten-2', 'Purple 300'), ('purple-text text-lighten-1', 'Purple 400'), ('purple-text', 'Purple 500'), ('purple-text text-darken-1', 'Purple 600'), ('purple-text text-darken-2', 'Purple 700'), ('purple-text text-darken-3', 'Purple 800'), ('purple-text text-darken-4', 'Purple 900'), ('purple-text text-accent-1', 'Purple A100'), ('purple-text text-accent-2', 'Purple A200'), ('purple-text text-accent-3', 'Purple A400'), ('purple-text text-accent-4', 'Purple A500'), ('deep-purple-text text-lighten-5', 'Deep purple 50'), ('deep-purple-text text-lighten-4', 'Deep purple 100'), ('deep-purple-text text-lighten-3', 'Deep purple 200'), ('deep-purple-text text-lighten-2', 'Deep purple 300'), ('deep-purple-text text-lighten-1', 'Deep purple 400'), ('deep-purple-text', 'Deep purple 500'), ('deep-purple-text text-darken-1', 'Deep purple 600'), ('deep-purple-text text-darken-2', 'Deep purple 700'), ('deep-purple-text text-darken-3', 'Deep purple 800'), ('deep-purple-text text-darken-4', 'Deep purple 900'), ('deep-purple-text text-accent-1', 'Deep purple A100'), ('deep-purple-text text-accent-2', 'Deep purple A200'), ('deep-purple-text text-accent-3', 'Deep purple A400'), ('deep-purple-text text-accent-4', 'Deep purple A500'), ('indigo-text text-lighten-5', 'Indigo 50'), ('indigo-text text-lighten-4', 'Indigo 100'), ('indigo-text text-lighten-3', 'Indigo 200'), ('indigo-text text-lighten-2', 'Indigo 300'), ('indigo-text text-lighten-1', 'Indigo 400'), ('indigo-text', 'Indigo 500'), ('indigo-text text-darken-1', 'Indigo 600'), ('indigo-text text-darken-2', 'Indigo 700'), ('indigo-text text-darken-3', 'Indigo 800'), ('indigo-text text-darken-4', 'Indigo 900'), ('indigo-text text-accent-1', 'Indigo A100'), ('indigo-text text-accent-2', 'Indigo A200'), ('indigo-text text-accent-3', 'Indigo A400'), ('indigo-text text-accent-4', 'Indigo A500'), ('blue-text text-lighten-5', 'Blue 50'), ('blue-text text-lighten-4', 'Blue 100'), ('blue-text text-lighten-3', 'Blue 200'), ('blue-text text-lighten-2', 'Blue 300'), ('blue-text text-lighten-1', 'Blue 400'), ('blue-text', 'Blue 500'), ('blue-text text-darken-1', 'Blue 600'), ('blue-text text-darken-2', 'Blue 700'), ('blue-text text-darken-3', 'Blue 800'), ('blue-text text-darken-4', 'Blue 900'), ('blue-text text-accent-1', 'Blue A100'), ('blue-text text-accent-2', 'Blue A200'), ('blue-text text-accent-3', 'Blue A400'), ('blue-text text-accent-4', 'Blue A500'), ('light-blue-text text-lighten-5', 'Light blue 50'), ('light-blue-text text-lighten-4', 'Light blue 100'), ('light-blue-text text-lighten-3', 'Light blue 200'), ('light-blue-text text-lighten-2', 'Light blue 300'), ('light-blue-text text-lighten-1', 'Light blue 400'), ('light-blue-text', 'Light blue 500'), ('light-blue-text text-darken-1', 'Light blue 600'), ('light-blue-text text-darken-2', 'Light blue 700'), ('light-blue-text text-darken-3', 'Light blue 800'), ('light-blue-text text-darken-4', 'Light blue 900'), ('light-blue-text text-accent-1', 'Light blue A100'), ('light-blue-text text-accent-2', 'Light blue A200'), ('light-blue-text text-accent-3', 'Light blue A400'), ('light-blue-text text-accent-4', 'Light blue A500'), ('cyan-text text-lighten-5', 'Cyan 50'), ('cyan-text text-lighten-4', 'Cyan 100'), ('cyan-text text-lighten-3', 'Cyan 200'), ('cyan-text text-lighten-2', 'Cyan 300'), ('cyan-text text-lighten-1', 'Cyan 400'), ('cyan-text', 'Cyan 500'), ('cyan-text text-darken-1', 'Cyan 600'), ('cyan-text text-darken-2', 'Cyan 700'), ('cyan-text text-darken-3', 'Cyan 800'), ('cyan-text text-darken-4', 'Cyan 900'), ('cyan-text text-accent-1', 'Cyan A100'), ('cyan-text text-accent-2', 'Cyan A200'), ('cyan-text text-accent-3', 'Cyan A400'), ('cyan-text text-accent-4', 'Cyan A500'), ('teal-text text-lighten-5', 'Teal 50'), ('teal-text text-lighten-4', 'Teal 100'), ('teal-text text-lighten-3', 'Teal 200'), ('teal-text text-lighten-2', 'Teal 300'), ('teal-text text-lighten-1', 'Teal 400'), ('teal-text', 'Teal 500'), ('teal-text text-darken-1', 'Teal 600'), ('teal-text text-darken-2', 'Teal 700'), ('teal-text text-darken-3', 'Teal 800'), ('teal-text text-darken-4', 'Teal 900'), ('teal-text text-accent-1', 'Teal A100'), ('teal-text text-accent-2', 'Teal A200'), ('teal-text text-accent-3', 'Teal A400'), ('teal-text text-accent-4', 'Teal A500'), ('green-text text-lighten-5', 'Green 50'), ('green-text text-lighten-4', 'Green 100'), ('green-text text-lighten-3', 'Green 200'), ('green-text text-lighten-2', 'Green 300'), ('green-text text-lighten-1', 'Green 400'), ('green-text', 'Green 500'), ('green-text text-darken-1', 'Green 600'), ('green-text text-darken-2', 'Green 700'), ('green-text text-darken-3', 'Green 800'), ('green-text text-darken-4', 'Green 900'), ('green-text text-accent-1', 'Green A100'), ('green-text text-accent-2', 'Green A200'), ('green-text text-accent-3', 'Green A400'), ('green-text text-accent-4', 'Green A500'), ('light-green-text text-lighten-5', 'Light green 50'), ('light-green-text text-lighten-4', 'Light green 100'), ('light-green-text text-lighten-3', 'Light green 200'), ('light-green-text text-lighten-2', 'Light green 300'), ('light-green-text text-lighten-1', 'Light green 400'), ('light-green-text', 'Light green 500'), ('light-green-text text-darken-1', 'Light green 600'), ('light-green-text text-darken-2', 'Light green 700'), ('light-green-text text-darken-3', 'Light green 800'), ('light-green-text text-darken-4', 'Light green 900'), ('light-green-text text-accent-1', 'Light green A100'), ('light-green-text text-accent-2', 'Light green A200'), ('light-green-text text-accent-3', 'Light green A400'), ('light-green-text text-accent-4', 'Light green A500'), ('lime-text text-lighten-5', 'Lime 50'), ('lime-text text-lighten-4', 'Lime 100'), ('lime-text text-lighten-3', 'Lime 200'), ('lime-text text-lighten-2', 'Lime 300'), ('lime-text text-lighten-1', 'Lime 400'), ('lime-text', 'Lime 500'), ('lime-text text-darken-1', 'Lime 600'), ('lime-text text-darken-2', 'Lime 700'), ('lime-text text-darken-3', 'Lime 800'), ('lime-text text-darken-4', 'Lime 900'), ('lime-text text-accent-1', 'Lime A100'), ('lime-text text-accent-2', 'Lime A200'), ('lime-text text-accent-3', 'Lime A400'), ('lime-text text-accent-4', 'Lime A500'), ('yellow-text text-lighten-5', 'Yellow 50'), ('yellow-text text-lighten-4', 'Yellow 100'), ('yellow-text text-lighten-3', 'Yellow 200'), ('yellow-text text-lighten-2', 'Yellow 300'), ('yellow-text text-lighten-1', 'Yellow 400'), ('yellow-text', 'Yellow 500'), ('yellow-text text-darken-1', 'Yellow 600'), ('yellow-text text-darken-2', 'Yellow 700'), ('yellow-text text-darken-3', 'Yellow 800'), ('yellow-text text-darken-4', 'Yellow 900'), ('yellow-text text-accent-1', 'Yellow A100'), ('yellow-text text-accent-2', 'Yellow A200'), ('yellow-text text-accent-3', 'Yellow A400'), ('yellow-text text-accent-4', 'Yellow A500'), ('amber-text text-lighten-5', 'Amber 50'), ('amber-text text-lighten-4', 'Amber 100'), ('amber-text text-lighten-3', 'Amber 200'), ('amber-text text-lighten-2', 'Amber 300'), ('amber-text text-lighten-1', 'Amber 400'), ('amber-text', 'Amber 500'), ('amber-text text-darken-1', 'Amber 600'), ('amber-text text-darken-2', 'Amber 700'), ('amber-text text-darken-3', 'Amber 800'), ('amber-text text-darken-4', 'Amber 900'), ('amber-text text-accent-1', 'Amber A100'), ('amber-text text-accent-2', 'Amber A200'), ('amber-text text-accent-3', 'Amber A400'), ('amber-text text-accent-4', 'Amber A500'), ('orange-text text-lighten-5', 'Orange 50'), ('orange-text text-lighten-4', 'Orange 100'), ('orange-text text-lighten-3', 'Orange 200'), ('orange-text text-lighten-2', 'Orange 300'), ('orange-text text-lighten-1', 'Orange 400'), ('orange-text', 'Orange 500'), ('orange-text text-darken-1', 'Orange 600'), ('orange-text text-darken-2', 'Orange 700'), ('orange-text text-darken-3', 'Orange 800'), ('orange-text text-darken-4', 'Orange 900'), ('orange-text text-accent-1', 'Orange A100'), ('orange-text text-accent-2', 'Orange A200'), ('orange-text text-accent-3', 'Orange A400'), ('orange-text text-accent-4', 'Orange A500'), ('deep-orange-text text-lighten-5', 'Deep orange 50'), ('deep-orange-text text-lighten-4', 'Deep orange 100'), ('deep-orange-text text-lighten-3', 'Deep orange 200'), ('deep-orange-text text-lighten-2', 'Deep orange 300'), ('deep-orange-text text-lighten-1', 'Deep orange 400'), ('deep-orange-text', 'Deep orange 500'), ('deep-orange-text text-darken-1', 'Deep orange 600'), ('deep-orange-text text-darken-2', 'Deep orange 700'), ('deep-orange-text text-darken-3', 'Deep orange 800'), ('deep-orange-text text-darken-4', 'Deep orange 900'), ('deep-orange-text text-accent-1', 'Deep orange A100'), ('deep-orange-text text-accent-2', 'Deep orange A200'), ('deep-orange-text text-accent-3', 'Deep orange A400'), ('deep-orange-text text-accent-4', 'Deep orange A500'), ('brown-text text-lighten-5', 'Brown 50'), ('brown-text text-lighten-4', 'Brown 100'), ('brown-text text-lighten-3', 'Brown 200'), ('brown-text text-lighten-2', 'Brown 300'), ('brown-text text-lighten-1', 'Brown 400'), ('brown-text', 'Brown 500'), ('brown-text text-darken-1', 'Brown 600'), ('brown-text text-darken-2', 'Brown 700'), ('brown-text text-darken-3', 'Brown 800'), ('brown-text text-darken-4', 'Brown 900'), ('grey-text text-lighten-5', 'Grey 50'), ('grey-text text-lighten-4', 'Grey 100'), ('grey-text text-lighten-3', 'Grey 200'), ('grey-text text-lighten-2', 'Grey 300'), ('grey-text text-lighten-1', 'Grey 400'), ('grey-text', 'Grey 500'), ('grey-text text-darken-1', 'Grey 600'), ('grey-text text-darken-2', 'Grey 700'), ('grey-text text-darken-3', 'Grey 800'), ('grey-text text-darken-4', 'Grey 900'), ('blue-grey-text text-lighten-5', 'Blue grey 50'), ('blue-grey-text text-lighten-4', 'Blue grey 100'), ('blue-grey-text text-lighten-3', 'Blue grey 200'), ('blue-grey-text text-lighten-2', 'Blue grey 300'), ('blue-grey-text text-lighten-1', 'Blue grey 400'), ('blue-grey-text', 'Blue grey 500'), ('blue-grey-text text-darken-1', 'Blue grey 600'), ('blue-grey-text text-darken-2', 'Blue grey 700'), ('blue-grey-text text-darken-3', 'Blue grey 800'), ('blue-grey-text text-darken-4', 'Blue grey 900'), ('black-text', 'Black'), ('white-text', 'White'), ('transparent-text', 'Transparent')], required=False))))), ('container', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('row', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.StreamBlock((('column', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))),))),)))))),)))))), ('heading1', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('heading2', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('heading3', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('heading4', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('heading5', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('heading6', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph'))))), ('text', wagtail.wagtailcore.blocks.StreamBlock((('h1', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h2', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h3', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h4', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h5', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('h6', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Heading'))))), ('paragraph', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Paragraph')))))))), ('buttons', wagtail.wagtailcore.blocks.StreamBlock((('url_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.URLBlock(label='URL')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('bookmark_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.CharBlock(label='Marcador')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('page_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailcore.blocks.PageChooserBlock(label='Página')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('document_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtaildocs.blocks.DocumentChooserBlock(label='Documento')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))), ('image_button', wagtail.wagtailcore.blocks.StructBlock((('attributes', wagtail.wagtailcore.blocks.StreamBlock((('tag', softbutterfly.wagtail.materialize.models.base.Tag()), ('identifier', softbutterfly.wagtail.materialize.models.base.ID()), ('classes', softbutterfly.wagtail.materialize.models.base.Class(label='Classes')), ('attribute', wagtail.wagtailcore.blocks.StructBlock((('attribute_name', wagtail.wagtailcore.blocks.CharBlock(label='Attribute name')), ('attribute_value', wagtail.wagtailcore.blocks.CharBlock(default='', label='Attribute value', required=False)))))))), ('contents', wagtail.wagtailcore.blocks.RawHTMLBlock(label='Text')), ('link', wagtail.wagtailimages.blocks.ImageChooserBlock(label='Imagen')), ('disabled', wagtail.wagtailcore.blocks.BooleanBlock(label='Disabled', required=False)), ('flat', wagtail.wagtailcore.blocks.BooleanBlock(label='Flat', required=False)), ('large', wagtail.wagtailcore.blocks.BooleanBlock(label='Large', required=False))))))))))),
                ('brand', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailmaterialize.BrandLogo')),
                ('footer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailmaterialize.Footer')),
            ],
            options={
                'abstract': False,
            },
            bases=('wagtailcore.page',),
        ),
    ]
